
% cde state file$

% even equation:$

{u_t}={2*u*u_x + u_2x}$

% odd equation$

{p_t}={ - p_2x + 2*p_x*u}$

 $

% Settings:$

 $

indep_var:={x,t}$

dep_var:={u}$

odd_var:={p}$

deg_indep_var:=deg_indep_var$

deg_dep_var:=deg_dep_var$

deg_odd_var:=deg_odd_var$

total_order:=10$

id_tot_der:=dd$

principal_der:={u_t}$

de:={2*u*u_x + u_2x}$

principal_odd:={p_t}$

de_odd:={ - p_2x + 2*p_x*u}$

 $

% Here starts the output of computations of the program.$

 $

% number of independent variables:$

n_indep_var:=2$

% all multiindexes in table format:$

all_mind_table:={{{0,0},{{1,0},{0,1}}},
{{1,0},{{2,0},{1,1}}},
{{0,1},{{1,1},{0,2}}},
{{2,0},{{3,0},{2,1}}},
{{1,1},{{2,1},{1,2}}},
{{0,2},{{1,2},{0,3}}},
{{3,0},{{4,0},{3,1}}},
{{2,1},{{3,1},{2,2}}},
{{1,2},{{2,2},{1,3}}},
{{0,3},{{1,3},{0,4}}},
{{4,0},{{5,0},{4,1}}},
{{3,1},{{4,1},{3,2}}},
{{2,2},{{3,2},{2,3}}},
{{1,3},{{2,3},{1,4}}},
{{0,4},{{1,4},{0,5}}},
{{5,0},{{6,0},{5,1}}},
{{4,1},{{5,1},{4,2}}},
{{3,2},{{4,2},{3,3}}},
{{2,3},{{3,3},{2,4}}},
{{1,4},{{2,4},{1,5}}},
{{0,5},{{1,5},{0,6}}},
{{6,0},{{7,0},{6,1}}},
{{5,1},{{6,1},{5,2}}},
{{4,2},{{5,2},{4,3}}},
{{3,3},{{4,3},{3,4}}},
{{2,4},{{3,4},{2,5}}},
{{1,5},{{2,5},{1,6}}},
{{0,6},{{1,6},{0,7}}},
{{7,0},{{8,0},{7,1}}},
{{6,1},{{7,1},{6,2}}},
{{5,2},{{6,2},{5,3}}},
{{4,3},{{5,3},{4,4}}},
{{3,4},{{4,4},{3,5}}},
{{2,5},{{3,5},{2,6}}},
{{1,6},{{2,6},{1,7}}},
{{0,7},{{1,7},{0,8}}},
{{8,0},{{9,0},{8,1}}},
{{7,1},{{8,1},{7,2}}},
{{6,2},{{7,2},{6,3}}},
{{5,3},{{6,3},{5,4}}},
{{4,4},{{5,4},{4,5}}},
{{3,5},{{4,5},{3,6}}},
{{2,6},{{3,6},{2,7}}},
{{1,7},{{2,7},{1,8}}},
{{0,8},{{1,8},{0,9}}},
{{9,0},{{10,0},{9,1}}},
{{8,1},{{9,1},{8,2}}},
{{7,2},{{8,2},{7,3}}},
{{6,3},{{7,3},{6,4}}},
{{5,4},{{6,4},{5,5}}},
{{4,5},{{5,5},{4,6}}},
{{3,6},{{4,6},{3,7}}},
{{2,7},{{3,7},{2,8}}},
{{1,8},{{2,8},{1,9}}},
{{0,9},{{1,9},{0,10}}},
{{10,0},{}},
{{9,1},{}},
{{8,2},{}},
{{7,3},{}},
{{6,4},{}},
{{5,5},{}},
{{4,6},{}},
{{3,7},{}},
{{2,8},{}},
{{1,9},{}},
{{0,10},{}}}$

% all even derivatives in multiindex notation:$

all_der_mind:={{u,{0,0}},
{u,{1,0}},
{u,{0,1}},
{u,{2,0}},
{u,{1,1}},
{u,{0,2}},
{u,{3,0}},
{u,{2,1}},
{u,{1,2}},
{u,{0,3}},
{u,{4,0}},
{u,{3,1}},
{u,{2,2}},
{u,{1,3}},
{u,{0,4}},
{u,{5,0}},
{u,{4,1}},
{u,{3,2}},
{u,{2,3}},
{u,{1,4}},
{u,{0,5}},
{u,{6,0}},
{u,{5,1}},
{u,{4,2}},
{u,{3,3}},
{u,{2,4}},
{u,{1,5}},
{u,{0,6}},
{u,{7,0}},
{u,{6,1}},
{u,{5,2}},
{u,{4,3}},
{u,{3,4}},
{u,{2,5}},
{u,{1,6}},
{u,{0,7}},
{u,{8,0}},
{u,{7,1}},
{u,{6,2}},
{u,{5,3}},
{u,{4,4}},
{u,{3,5}},
{u,{2,6}},
{u,{1,7}},
{u,{0,8}},
{u,{9,0}},
{u,{8,1}},
{u,{7,2}},
{u,{6,3}},
{u,{5,4}},
{u,{4,5}},
{u,{3,6}},
{u,{2,7}},
{u,{1,8}},
{u,{0,9}},
{u,{10,0}},
{u,{9,1}},
{u,{8,2}},
{u,{7,3}},
{u,{6,4}},
{u,{5,5}},
{u,{4,6}},
{u,{3,7}},
{u,{2,8}},
{u,{1,9}},
{u,{0,10}}}$

% all odd derivatives in multiindex notation:$

all_odd_mind:={{p,{0,0}},
{p,{1,0}},
{p,{0,1}},
{p,{2,0}},
{p,{1,1}},
{p,{0,2}},
{p,{3,0}},
{p,{2,1}},
{p,{1,2}},
{p,{0,3}},
{p,{4,0}},
{p,{3,1}},
{p,{2,2}},
{p,{1,3}},
{p,{0,4}},
{p,{5,0}},
{p,{4,1}},
{p,{3,2}},
{p,{2,3}},
{p,{1,4}},
{p,{0,5}},
{p,{6,0}},
{p,{5,1}},
{p,{4,2}},
{p,{3,3}},
{p,{2,4}},
{p,{1,5}},
{p,{0,6}},
{p,{7,0}},
{p,{6,1}},
{p,{5,2}},
{p,{4,3}},
{p,{3,4}},
{p,{2,5}},
{p,{1,6}},
{p,{0,7}},
{p,{8,0}},
{p,{7,1}},
{p,{6,2}},
{p,{5,3}},
{p,{4,4}},
{p,{3,5}},
{p,{2,6}},
{p,{1,7}},
{p,{0,8}},
{p,{9,0}},
{p,{8,1}},
{p,{7,2}},
{p,{6,3}},
{p,{5,4}},
{p,{4,5}},
{p,{3,6}},
{p,{2,7}},
{p,{1,8}},
{p,{0,9}},
{p,{10,0}},
{p,{9,1}},
{p,{8,2}},
{p,{7,3}},
{p,{6,4}},
{p,{5,5}},
{p,{4,6}},
{p,{3,7}},
{p,{2,8}},
{p,{1,9}},
{p,{0,10}}}$

% all even derivatives in identifier notation:$

all_der_id:={u,
u_x,
u_t,
u_2x,
u_xt,
u_2t,
u_3x,
u_2xt,
u_x2t,
u_3t,
u_4x,
u_3xt,
u_2x2t,
u_x3t,
u_4t,
u_5x,
u_4xt,
u_3x2t,
u_2x3t,
u_x4t,
u_5t,
u_6x,
u_5xt,
u_4x2t,
u_3x3t,
u_2x4t,
u_x5t,
u_6t,
u_7x,
u_6xt,
u_5x2t,
u_4x3t,
u_3x4t,
u_2x5t,
u_x6t,
u_7t,
u_8x,
u_7xt,
u_6x2t,
u_5x3t,
u_4x4t,
u_3x5t,
u_2x6t,
u_x7t,
u_8t,
u_9x,
u_8xt,
u_7x2t,
u_6x3t,
u_5x4t,
u_4x5t,
u_3x6t,
u_2x7t,
u_x8t,
u_9t,
u_10x,
u_9xt,
u_8x2t,
u_7x3t,
u_6x4t,
u_5x5t,
u_4x6t,
u_3x7t,
u_2x8t,
u_x9t,
u_10t}$

% all odd derivatives in identifier notation:$

all_odd_id:={p,
p_x,
p_t,
p_2x,
p_xt,
p_2t,
p_3x,
p_2xt,
p_x2t,
p_3t,
p_4x,
p_3xt,
p_2x2t,
p_x3t,
p_4t,
p_5x,
p_4xt,
p_3x2t,
p_2x3t,
p_x4t,
p_5t,
p_6x,
p_5xt,
p_4x2t,
p_3x3t,
p_2x4t,
p_x5t,
p_6t,
p_7x,
p_6xt,
p_5x2t,
p_4x3t,
p_3x4t,
p_2x5t,
p_x6t,
p_7t,
p_8x,
p_7xt,
p_6x2t,
p_5x3t,
p_4x4t,
p_3x5t,
p_2x6t,
p_x7t,
p_8t,
p_9x,
p_8xt,
p_7x2t,
p_6x3t,
p_5x4t,
p_4x5t,
p_3x6t,
p_2x7t,
p_x8t,
p_9t,
p_10x,
p_9xt,
p_8x2t,
p_7x3t,
p_6x4t,
p_5x5t,
p_4x6t,
p_3x7t,
p_2x8t,
p_x9t,
p_10t}$

% all ext symbols:$

all_ext:={ext(1),
ext(2),
ext(3),
ext(4),
ext(5),
ext(6),
ext(7),
ext(8),
ext(9),
ext(10),
ext(11),
ext(12),
ext(13),
ext(14),
ext(15),
ext(16),
ext(17),
ext(18),
ext(19),
ext(20),
ext(21),
ext(22),
ext(23),
ext(24),
ext(25),
ext(26),
ext(27),
ext(28),
ext(29),
ext(30),
ext(31),
ext(32),
ext(33),
ext(34),
ext(35),
ext(36),
ext(37),
ext(38),
ext(39),
ext(40),
ext(41),
ext(42),
ext(43),
ext(44),
ext(45),
ext(46),
ext(47),
ext(48),
ext(49),
ext(50),
ext(51),
ext(52),
ext(53),
ext(54),
ext(55),
ext(56),
ext(57),
ext(58),
ext(59),
ext(60),
ext(61),
ext(62),
ext(63),
ext(64),
ext(65),
ext(66)}$

% alist of even derivative coordinates:$

i2m_jetspace:={{u,{u,{0,0}}},
{u_x,{u,{1,0}}},
{u_t,{u,{0,1}}},
{u_2x,{u,{2,0}}},
{u_xt,{u,{1,1}}},
{u_2t,{u,{0,2}}},
{u_3x,{u,{3,0}}},
{u_2xt,{u,{2,1}}},
{u_x2t,{u,{1,2}}},
{u_3t,{u,{0,3}}},
{u_4x,{u,{4,0}}},
{u_3xt,{u,{3,1}}},
{u_2x2t,{u,{2,2}}},
{u_x3t,{u,{1,3}}},
{u_4t,{u,{0,4}}},
{u_5x,{u,{5,0}}},
{u_4xt,{u,{4,1}}},
{u_3x2t,{u,{3,2}}},
{u_2x3t,{u,{2,3}}},
{u_x4t,{u,{1,4}}},
{u_5t,{u,{0,5}}},
{u_6x,{u,{6,0}}},
{u_5xt,{u,{5,1}}},
{u_4x2t,{u,{4,2}}},
{u_3x3t,{u,{3,3}}},
{u_2x4t,{u,{2,4}}},
{u_x5t,{u,{1,5}}},
{u_6t,{u,{0,6}}},
{u_7x,{u,{7,0}}},
{u_6xt,{u,{6,1}}},
{u_5x2t,{u,{5,2}}},
{u_4x3t,{u,{4,3}}},
{u_3x4t,{u,{3,4}}},
{u_2x5t,{u,{2,5}}},
{u_x6t,{u,{1,6}}},
{u_7t,{u,{0,7}}},
{u_8x,{u,{8,0}}},
{u_7xt,{u,{7,1}}},
{u_6x2t,{u,{6,2}}},
{u_5x3t,{u,{5,3}}},
{u_4x4t,{u,{4,4}}},
{u_3x5t,{u,{3,5}}},
{u_2x6t,{u,{2,6}}},
{u_x7t,{u,{1,7}}},
{u_8t,{u,{0,8}}},
{u_9x,{u,{9,0}}},
{u_8xt,{u,{8,1}}},
{u_7x2t,{u,{7,2}}},
{u_6x3t,{u,{6,3}}},
{u_5x4t,{u,{5,4}}},
{u_4x5t,{u,{4,5}}},
{u_3x6t,{u,{3,6}}},
{u_2x7t,{u,{2,7}}},
{u_x8t,{u,{1,8}}},
{u_9t,{u,{0,9}}},
{u_10x,{u,{10,0}}},
{u_9xt,{u,{9,1}}},
{u_8x2t,{u,{8,2}}},
{u_7x3t,{u,{7,3}}},
{u_6x4t,{u,{6,4}}},
{u_5x5t,{u,{5,5}}},
{u_4x6t,{u,{4,6}}},
{u_3x7t,{u,{3,7}}},
{u_2x8t,{u,{2,8}}},
{u_x9t,{u,{1,9}}},
{u_10t,{u,{0,10}}}}$

% alist of odd derivative coordinates:$

i2m_jetspace_odd:={{p,{p,{0,0}}},
{p_x,{p,{1,0}}},
{p_t,{p,{0,1}}},
{p_2x,{p,{2,0}}},
{p_xt,{p,{1,1}}},
{p_2t,{p,{0,2}}},
{p_3x,{p,{3,0}}},
{p_2xt,{p,{2,1}}},
{p_x2t,{p,{1,2}}},
{p_3t,{p,{0,3}}},
{p_4x,{p,{4,0}}},
{p_3xt,{p,{3,1}}},
{p_2x2t,{p,{2,2}}},
{p_x3t,{p,{1,3}}},
{p_4t,{p,{0,4}}},
{p_5x,{p,{5,0}}},
{p_4xt,{p,{4,1}}},
{p_3x2t,{p,{3,2}}},
{p_2x3t,{p,{2,3}}},
{p_x4t,{p,{1,4}}},
{p_5t,{p,{0,5}}},
{p_6x,{p,{6,0}}},
{p_5xt,{p,{5,1}}},
{p_4x2t,{p,{4,2}}},
{p_3x3t,{p,{3,3}}},
{p_2x4t,{p,{2,4}}},
{p_x5t,{p,{1,5}}},
{p_6t,{p,{0,6}}},
{p_7x,{p,{7,0}}},
{p_6xt,{p,{6,1}}},
{p_5x2t,{p,{5,2}}},
{p_4x3t,{p,{4,3}}},
{p_3x4t,{p,{3,4}}},
{p_2x5t,{p,{2,5}}},
{p_x6t,{p,{1,6}}},
{p_7t,{p,{0,7}}},
{p_8x,{p,{8,0}}},
{p_7xt,{p,{7,1}}},
{p_6x2t,{p,{6,2}}},
{p_5x3t,{p,{5,3}}},
{p_4x4t,{p,{4,4}}},
{p_3x5t,{p,{3,5}}},
{p_2x6t,{p,{2,6}}},
{p_x7t,{p,{1,7}}},
{p_8t,{p,{0,8}}},
{p_9x,{p,{9,0}}},
{p_8xt,{p,{8,1}}},
{p_7x2t,{p,{7,2}}},
{p_6x3t,{p,{6,3}}},
{p_5x4t,{p,{5,4}}},
{p_4x5t,{p,{4,5}}},
{p_3x6t,{p,{3,6}}},
{p_2x7t,{p,{2,7}}},
{p_x8t,{p,{1,8}}},
{p_9t,{p,{0,9}}},
{p_10x,{p,{10,0}}},
{p_9xt,{p,{9,1}}},
{p_8x2t,{p,{8,2}}},
{p_7x3t,{p,{7,3}}},
{p_6x4t,{p,{6,4}}},
{p_5x5t,{p,{5,5}}},
{p_4x6t,{p,{4,6}}},
{p_3x7t,{p,{3,7}}},
{p_2x8t,{p,{2,8}}},
{p_x9t,{p,{1,9}}},
{p_10t,{p,{0,10}}}}$

% alist of even derivative coordinates - order of derivative:$

i2o_jetspace:={{u,0},
{u_x,1},
{u_t,1},
{u_2x,2},
{u_xt,2},
{u_2t,2},
{u_3x,3},
{u_2xt,3},
{u_x2t,3},
{u_3t,3},
{u_4x,4},
{u_3xt,4},
{u_2x2t,4},
{u_x3t,4},
{u_4t,4},
{u_5x,5},
{u_4xt,5},
{u_3x2t,5},
{u_2x3t,5},
{u_x4t,5},
{u_5t,5},
{u_6x,6},
{u_5xt,6},
{u_4x2t,6},
{u_3x3t,6},
{u_2x4t,6},
{u_x5t,6},
{u_6t,6},
{u_7x,7},
{u_6xt,7},
{u_5x2t,7},
{u_4x3t,7},
{u_3x4t,7},
{u_2x5t,7},
{u_x6t,7},
{u_7t,7},
{u_8x,8},
{u_7xt,8},
{u_6x2t,8},
{u_5x3t,8},
{u_4x4t,8},
{u_3x5t,8},
{u_2x6t,8},
{u_x7t,8},
{u_8t,8},
{u_9x,9},
{u_8xt,9},
{u_7x2t,9},
{u_6x3t,9},
{u_5x4t,9},
{u_4x5t,9},
{u_3x6t,9},
{u_2x7t,9},
{u_x8t,9},
{u_9t,9},
{u_10x,10},
{u_9xt,10},
{u_8x2t,10},
{u_7x3t,10},
{u_6x4t,10},
{u_5x5t,10},
{u_4x6t,10},
{u_3x7t,10},
{u_2x8t,10},
{u_x9t,10},
{u_10t,10}}$

% alist of odd derivative coordinates - order of derivative:$

i2o_jetspace_odd:={{p,0},
{p_x,1},
{p_t,1},
{p_2x,2},
{p_xt,2},
{p_2t,2},
{p_3x,3},
{p_2xt,3},
{p_x2t,3},
{p_3t,3},
{p_4x,4},
{p_3xt,4},
{p_2x2t,4},
{p_x3t,4},
{p_4t,4},
{p_5x,5},
{p_4xt,5},
{p_3x2t,5},
{p_2x3t,5},
{p_x4t,5},
{p_5t,5},
{p_6x,6},
{p_5xt,6},
{p_4x2t,6},
{p_3x3t,6},
{p_2x4t,6},
{p_x5t,6},
{p_6t,6},
{p_7x,7},
{p_6xt,7},
{p_5x2t,7},
{p_4x3t,7},
{p_3x4t,7},
{p_2x5t,7},
{p_x6t,7},
{p_7t,7},
{p_8x,8},
{p_7xt,8},
{p_6x2t,8},
{p_5x3t,8},
{p_4x4t,8},
{p_3x5t,8},
{p_2x6t,8},
{p_x7t,8},
{p_8t,8},
{p_9x,9},
{p_8xt,9},
{p_7x2t,9},
{p_6x3t,9},
{p_5x4t,9},
{p_4x5t,9},
{p_3x6t,9},
{p_2x7t,9},
{p_x8t,9},
{p_9t,9},
{p_10x,10},
{p_9xt,10},
{p_8x2t,10},
{p_7x3t,10},
{p_6x4t,10},
{p_5x5t,10},
{p_4x6t,10},
{p_3x7t,10},
{p_2x8t,10},
{p_x9t,10},
{p_10t,10}}$

% list of even principal derivatives:$

all_principal_der:={u_t,
u_2t,
u_xt,
u_3t,
u_x2t,
u_2xt,
u_4t,
u_x3t,
u_2x2t,
u_3xt,
u_5t,
u_x4t,
u_2x3t,
u_3x2t,
u_4xt,
u_6t,
u_x5t,
u_2x4t,
u_3x3t,
u_4x2t,
u_5xt,
u_7t,
u_x6t,
u_2x5t,
u_3x4t,
u_4x3t,
u_5x2t,
u_6xt,
u_8t,
u_x7t,
u_2x6t,
u_3x5t,
u_4x4t,
u_5x3t,
u_6x2t,
u_7xt,
u_9t,
u_x8t,
u_2x7t,
u_3x6t,
u_4x5t,
u_5x4t,
u_6x3t,
u_7x2t,
u_8xt,
u_10t,
u_x9t,
u_2x8t,
u_3x7t,
u_4x6t,
u_5x5t,
u_6x4t,
u_7x3t,
u_8x2t,
u_9xt}$

% list of even parametric derivatives:$

all_parametric_der:={u,
u_x,
u_2x,
u_3x,
u_4x,
u_5x,
u_6x,
u_7x,
u_8x,
u_9x,
u_10x}$

% list of odd principal derivatives:$

all_principal_odd:={p_t,
p_2t,
p_xt,
p_3t,
p_x2t,
p_2xt,
p_4t,
p_x3t,
p_2x2t,
p_3xt,
p_5t,
p_x4t,
p_2x3t,
p_3x2t,
p_4xt,
p_6t,
p_x5t,
p_2x4t,
p_3x3t,
p_4x2t,
p_5xt,
p_7t,
p_x6t,
p_2x5t,
p_3x4t,
p_4x3t,
p_5x2t,
p_6xt,
p_8t,
p_x7t,
p_2x6t,
p_3x5t,
p_4x4t,
p_5x3t,
p_6x2t,
p_7xt,
p_9t,
p_x8t,
p_2x7t,
p_3x6t,
p_4x5t,
p_5x4t,
p_6x3t,
p_7x2t,
p_8xt,
p_10t,
p_x9t,
p_2x8t,
p_3x7t,
p_4x6t,
p_5x5t,
p_6x4t,
p_7x3t,
p_8x2t,
p_9xt}$

% list of odd parametric derivatives:$

all_parametric_odd:={p,
p_x,
p_2x,
p_3x,
p_4x,
p_5x,
p_6x,
p_7x,
p_8x,
p_9x,
p_10x}$

% list of ext principal derivatives:$

all_principal_ext:={ext(12),
ext(13),
ext(14),
ext(15),
ext(16),
ext(17),
ext(18),
ext(19),
ext(20),
ext(21),
ext(22),
ext(23),
ext(24),
ext(25),
ext(26),
ext(27),
ext(28),
ext(29),
ext(30),
ext(31),
ext(32),
ext(33),
ext(34),
ext(35),
ext(36),
ext(37),
ext(38),
ext(39),
ext(40),
ext(41),
ext(42),
ext(43),
ext(44),
ext(45),
ext(46),
ext(47),
ext(48),
ext(49),
ext(50),
ext(51),
ext(52),
ext(53),
ext(54),
ext(55),
ext(56),
ext(57),
ext(58),
ext(59),
ext(60),
ext(61),
ext(62),
ext(63),
ext(64),
ext(65),
ext(66)}$

% list of ext parametric derivatives:$

all_parametric_ext:={ext(1),
ext(2),
ext(3),
ext(4),
ext(5),
ext(6),
ext(7),
ext(8),
ext(9),
ext(10),
ext(11)}$

% alist of odd derivatives - ext symbols:$

o2e_jetspace:={{p,ext(1)},
{p_x,ext(2)},
{p_2x,ext(3)},
{p_3x,ext(4)},
{p_4x,ext(5)},
{p_5x,ext(6)},
{p_6x,ext(7)},
{p_7x,ext(8)},
{p_8x,ext(9)},
{p_9x,ext(10)},
{p_10x,ext(11)},
{p_t,ext(12)},
{p_2t,ext(13)},
{p_xt,ext(14)},
{p_3t,ext(15)},
{p_x2t,ext(16)},
{p_2xt,ext(17)},
{p_4t,ext(18)},
{p_x3t,ext(19)},
{p_2x2t,ext(20)},
{p_3xt,ext(21)},
{p_5t,ext(22)},
{p_x4t,ext(23)},
{p_2x3t,ext(24)},
{p_3x2t,ext(25)},
{p_4xt,ext(26)},
{p_6t,ext(27)},
{p_x5t,ext(28)},
{p_2x4t,ext(29)},
{p_3x3t,ext(30)},
{p_4x2t,ext(31)},
{p_5xt,ext(32)},
{p_7t,ext(33)},
{p_x6t,ext(34)},
{p_2x5t,ext(35)},
{p_3x4t,ext(36)},
{p_4x3t,ext(37)},
{p_5x2t,ext(38)},
{p_6xt,ext(39)},
{p_8t,ext(40)},
{p_x7t,ext(41)},
{p_2x6t,ext(42)},
{p_3x5t,ext(43)},
{p_4x4t,ext(44)},
{p_5x3t,ext(45)},
{p_6x2t,ext(46)},
{p_7xt,ext(47)},
{p_9t,ext(48)},
{p_x8t,ext(49)},
{p_2x7t,ext(50)},
{p_3x6t,ext(51)},
{p_4x5t,ext(52)},
{p_5x4t,ext(53)},
{p_6x3t,ext(54)},
{p_7x2t,ext(55)},
{p_8xt,ext(56)},
{p_10t,ext(57)},
{p_x9t,ext(58)},
{p_2x8t,ext(59)},
{p_3x7t,ext(60)},
{p_4x6t,ext(61)},
{p_5x5t,ext(62)},
{p_6x4t,ext(63)},
{p_7x3t,ext(64)},
{p_8x2t,ext(65)},
{p_9xt,ext(66)}}$

% set of rules to replace odd ders with ext symbols:$

repoddext:={p=ext(1),
p_x=ext(2),
p_2x=ext(3),
p_3x=ext(4),
p_4x=ext(5),
p_5x=ext(6),
p_6x=ext(7),
p_7x=ext(8),
p_8x=ext(9),
p_9x=ext(10),
p_10x=ext(11),
p_t=ext(12),
p_2t=ext(13),
p_xt=ext(14),
p_3t=ext(15),
p_x2t=ext(16),
p_2xt=ext(17),
p_4t=ext(18),
p_x3t=ext(19),
p_2x2t=ext(20),
p_3xt=ext(21),
p_5t=ext(22),
p_x4t=ext(23),
p_2x3t=ext(24),
p_3x2t=ext(25),
p_4xt=ext(26),
p_6t=ext(27),
p_x5t=ext(28),
p_2x4t=ext(29),
p_3x3t=ext(30),
p_4x2t=ext(31),
p_5xt=ext(32),
p_7t=ext(33),
p_x6t=ext(34),
p_2x5t=ext(35),
p_3x4t=ext(36),
p_4x3t=ext(37),
p_5x2t=ext(38),
p_6xt=ext(39),
p_8t=ext(40),
p_x7t=ext(41),
p_2x6t=ext(42),
p_3x5t=ext(43),
p_4x4t=ext(44),
p_5x3t=ext(45),
p_6x2t=ext(46),
p_7xt=ext(47),
p_9t=ext(48),
p_x8t=ext(49),
p_2x7t=ext(50),
p_3x6t=ext(51),
p_4x5t=ext(52),
p_5x4t=ext(53),
p_6x3t=ext(54),
p_7x2t=ext(55),
p_8xt=ext(56),
p_10t=ext(57),
p_x9t=ext(58),
p_2x8t=ext(59),
p_3x7t=ext(60),
p_4x6t=ext(61),
p_5x5t=ext(62),
p_6x4t=ext(63),
p_7x3t=ext(64),
p_8x2t=ext(65),
p_9xt=ext(66)}$

% set of rules to replace ext symbols with odd ders:$

repextodd:={ext(1)=p,
ext(2)=p_x,
ext(3)=p_2x,
ext(4)=p_3x,
ext(5)=p_4x,
ext(6)=p_5x,
ext(7)=p_6x,
ext(8)=p_7x,
ext(9)=p_8x,
ext(10)=p_9x,
ext(11)=p_10x,
ext(12)=p_t,
ext(13)=p_2t,
ext(14)=p_xt,
ext(15)=p_3t,
ext(16)=p_x2t,
ext(17)=p_2xt,
ext(18)=p_4t,
ext(19)=p_x3t,
ext(20)=p_2x2t,
ext(21)=p_3xt,
ext(22)=p_5t,
ext(23)=p_x4t,
ext(24)=p_2x3t,
ext(25)=p_3x2t,
ext(26)=p_4xt,
ext(27)=p_6t,
ext(28)=p_x5t,
ext(29)=p_2x4t,
ext(30)=p_3x3t,
ext(31)=p_4x2t,
ext(32)=p_5xt,
ext(33)=p_7t,
ext(34)=p_x6t,
ext(35)=p_2x5t,
ext(36)=p_3x4t,
ext(37)=p_4x3t,
ext(38)=p_5x2t,
ext(39)=p_6xt,
ext(40)=p_8t,
ext(41)=p_x7t,
ext(42)=p_2x6t,
ext(43)=p_3x5t,
ext(44)=p_4x4t,
ext(45)=p_5x3t,
ext(46)=p_6x2t,
ext(47)=p_7xt,
ext(48)=p_9t,
ext(49)=p_x8t,
ext(50)=p_2x7t,
ext(51)=p_3x6t,
ext(52)=p_4x5t,
ext(53)=p_5x4t,
ext(54)=p_6x3t,
ext(55)=p_7x2t,
ext(56)=p_8xt,
ext(57)=p_10t,
ext(58)=p_x9t,
ext(59)=p_2x8t,
ext(60)=p_3x7t,
ext(61)=p_4x6t,
ext(62)=p_5x5t,
ext(63)=p_6x4t,
ext(64)=p_7x3t,
ext(65)=p_8x2t,
ext(66)=p_9xt}$

% set of identifiers for total derivatives:$

tot_der:={ddx,ddt}$

% set up the auxiliary variable `letop'$

for each el in indep_var do depend letop,el;$

% Characterization of primary differential consequences:$

primary_diffcon_tot:={{{ddt,0,3,u_t},
{ddt,0,4,u_xt},
{ddt,0,5,u_2xt},
{ddt,0,6,u_3xt},
{ddt,0,7,u_4xt},
{ddt,0,8,u_5xt},
{ddt,0,9,u_6xt},
{ddt,0,10,u_7xt},
{ddt,0,11,u_8xt},
{ddt,0,12,u_9xt}},
{{ddt,1,1,p_t},
{ddt,1,2,p_xt},
{ddt,1,3,p_2xt},
{ddt,1,4,p_3xt},
{ddt,1,5,p_4xt},
{ddt,1,6,p_5xt},
{ddt,1,7,p_6xt},
{ddt,1,8,p_7xt},
{ddt,1,9,p_8xt},
{ddt,1,10,p_9xt}}}$

primary_diffcon_der:={u_xt,
u_2xt,
u_3xt,
u_4xt,
u_5xt,
u_6xt,
u_7xt,
u_8xt,
u_9xt}$

primary_diffcon_odd:={p_xt,
p_2xt,
p_3xt,
p_4xt,
p_5xt,
p_6xt,
p_7xt,
p_8xt,
p_9xt}$

% Alists of differential conseq. needed in total derivatives:$

diffcon_der:={{u_9xt,letop},
{u_8xt,
2*u*u_9x + u_10x + 72*u_2x*u_7x + 168*u_3x*u_6x + 252*u_4x*u_5x + 18*u_8x*u_x},
{u_7xt,
2*u*u_8x + 56*u_2x*u_6x + 112*u_3x*u_5x + 70*u_4x**2 + 16*u_7x*u_x + u_9x},
{u_6xt,
2*u*u_7x + 42*u_2x*u_5x + 70*u_3x*u_4x + 14*u_6x*u_x + u_8x},
{u_5xt,2*u*u_6x + 30*u_2x*u_4x + 20*u_3x**2 + 12*u_5x*u_x + u_7x},
{u_4xt,2*u*u_5x + 20*u_2x*u_3x + 10*u_4x*u_x + u_6x},
{u_3xt,2*u*u_4x + 6*u_2x**2 + 8*u_3x*u_x + u_5x},
{u_2xt,2*u*u_3x + 6*u_2x*u_x + u_4x},
{u_xt,2*u*u_2x + u_3x + 2*u_x**2},
{u_t,2*u*u_x + u_2x}}$

diffcon_odd:={{p_9xt,letop},
{p_8xt,
 - ext(11) + 2*ext(10)*u + 16*ext(9)*u_x + 56*ext(8)*u_2x + 112*ext(7)*u_3x + 
140*ext(6)*u_4x + 112*ext(5)*u_5x + 56*ext(4)*u_6x + 16*ext(3)*u_7x + 2*ext(2)*
u_8x},
{p_7xt,
 - ext(10) + 2*ext(9)*u + 14*ext(8)*u_x + 42*ext(7)*u_2x + 70*ext(6)*u_3x + 70*
ext(5)*u_4x + 42*ext(4)*u_5x + 14*ext(3)*u_6x + 2*ext(2)*u_7x},
{p_6xt,
 - ext(9) + 2*ext(8)*u + 12*ext(7)*u_x + 30*ext(6)*u_2x + 40*ext(5)*u_3x + 30*
ext(4)*u_4x + 12*ext(3)*u_5x + 2*ext(2)*u_6x},
{p_5xt,
 - ext(8) + 2*ext(7)*u + 10*ext(6)*u_x + 20*ext(5)*u_2x + 20*ext(4)*u_3x + 10*
ext(3)*u_4x + 2*ext(2)*u_5x},
{p_4xt,
 - ext(7) + 2*ext(6)*u + 8*ext(5)*u_x + 12*ext(4)*u_2x + 8*ext(3)*u_3x + 2*ext(2
)*u_4x},
{p_3xt,
 - ext(6) + 2*ext(5)*u + 6*ext(4)*u_x + 6*ext(3)*u_2x + 2*ext(2)*u_3x},
{p_2xt,
 - ext(5) + 2*ext(4)*u + 4*ext(3)*u_x + 2*ext(2)*u_2x},
{p_xt, - ext(4) + 2*ext(3)*u + 2*ext(2)*u_x},
{p_t, - ext(3) + 2*ext(2)*u}}$

% Principal derivatives computed:$

diffcon_comp_der:={u_9xt,
u_8xt,
u_7xt,
u_6xt,
u_5xt,
u_4xt,
u_3xt,
u_2xt,
u_xt,
u_t}$

diffcon_comp_odd:={p_9xt,
p_8xt,
p_7xt,
p_6xt,
p_5xt,
p_4xt,
p_3xt,
p_2xt,
p_xt,
p_t}$

diffcon_comp_ext:={ext(66),
ext(56),
ext(47),
ext(39),
ext(32),
ext(26),
ext(21),
ext(17),
ext(14),
ext(12)}$

% Alists of principal derivatives in terms of parametric expr.:$

diffcon_param_der:={{u_9xt,letop},
{u_8xt,
2*u*u_9x + u_10x + 72*u_2x*u_7x + 168*u_3x*u_6x + 252*u_4x*u_5x + 18*u_8x*u_x},
{u_7xt,
2*u*u_8x + 56*u_2x*u_6x + 112*u_3x*u_5x + 70*u_4x**2 + 16*u_7x*u_x + u_9x},
{u_6xt,
2*u*u_7x + 42*u_2x*u_5x + 70*u_3x*u_4x + 14*u_6x*u_x + u_8x},
{u_5xt,2*u*u_6x + 30*u_2x*u_4x + 20*u_3x**2 + 12*u_5x*u_x + u_7x},
{u_4xt,2*u*u_5x + 20*u_2x*u_3x + 10*u_4x*u_x + u_6x},
{u_3xt,2*u*u_4x + 6*u_2x**2 + 8*u_3x*u_x + u_5x},
{u_2xt,2*u*u_3x + 6*u_2x*u_x + u_4x},
{u_xt,2*u*u_2x + u_3x + 2*u_x**2},
{u_t,2*u*u_x + u_2x}}$

diffcon_param_ext:={{ext(66),letop},
{ext(56),
 - ext(11) + 2*ext(10)*u + 16*ext(9)*u_x + 56*ext(8)*u_2x + 112*ext(7)*u_3x + 
140*ext(6)*u_4x + 112*ext(5)*u_5x + 56*ext(4)*u_6x + 16*ext(3)*u_7x + 2*ext(2)*
u_8x},
{ext(47),
 - ext(10) + 2*ext(9)*u + 14*ext(8)*u_x + 42*ext(7)*u_2x + 70*ext(6)*u_3x + 70*
ext(5)*u_4x + 42*ext(4)*u_5x + 14*ext(3)*u_6x + 2*ext(2)*u_7x},
{ext(39),
 - ext(9) + 2*ext(8)*u + 12*ext(7)*u_x + 30*ext(6)*u_2x + 40*ext(5)*u_3x + 30*
ext(4)*u_4x + 12*ext(3)*u_5x + 2*ext(2)*u_6x},
{ext(32),
 - ext(8) + 2*ext(7)*u + 10*ext(6)*u_x + 20*ext(5)*u_2x + 20*ext(4)*u_3x + 10*
ext(3)*u_4x + 2*ext(2)*u_5x},
{ext(26),
 - ext(7) + 2*ext(6)*u + 8*ext(5)*u_x + 12*ext(4)*u_2x + 8*ext(3)*u_3x + 2*ext(2
)*u_4x},
{ext(21),
 - ext(6) + 2*ext(5)*u + 6*ext(4)*u_x + 6*ext(3)*u_2x + 2*ext(2)*u_3x},
{ext(17),
 - ext(5) + 2*ext(4)*u + 4*ext(3)*u_x + 2*ext(2)*u_2x},
{ext(14), - ext(4) + 2*ext(3)*u + 2*ext(2)*u_x},
{ext(12), - ext(3) + 2*ext(2)*u}}$

% Total derivatives declarations:$



for! i:=1:n!_indep!_var! do! super!_vectorfield(part(tot!_der,i),append(indep!_v
ar,all\
!_der!_id),all!_ext)$

% Coefficients of total derivatives:$

% component of ddx w.r.t. x$

ddx(0,1):=1$

% component of ddx w.r.t. t$

ddx(0,2):=0$

% component of ddx w.r.t. u$

ddx(0,3):=u_x$

% component of ddx w.r.t. u_x$

ddx(0,4):=u_2x$

% component of ddx w.r.t. u_2x$

ddx(0,5):=u_3x$

% component of ddx w.r.t. u_3x$

ddx(0,6):=u_4x$

% component of ddx w.r.t. u_4x$

ddx(0,7):=u_5x$

% component of ddx w.r.t. u_5x$

ddx(0,8):=u_6x$

% component of ddx w.r.t. u_6x$

ddx(0,9):=u_7x$

% component of ddx w.r.t. u_7x$

ddx(0,10):=u_8x$

% component of ddx w.r.t. u_8x$

ddx(0,11):=u_9x$

% component of ddx w.r.t. u_9x$

ddx(0,12):=u_10x$

% component of ddx w.r.t. u_10x$

ddx(0,13):=letop$

% component of ddx w.r.t. u_t$

ddx(0,14):=u_xt$

% component of ddx w.r.t. u_2t$

ddx(0,15):=u_x2t$

% component of ddx w.r.t. u_xt$

ddx(0,16):=u_2xt$

% component of ddx w.r.t. u_3t$

ddx(0,17):=u_x3t$

% component of ddx w.r.t. u_x2t$

ddx(0,18):=u_2x2t$

% component of ddx w.r.t. u_2xt$

ddx(0,19):=u_3xt$

% component of ddx w.r.t. u_4t$

ddx(0,20):=u_x4t$

% component of ddx w.r.t. u_x3t$

ddx(0,21):=u_2x3t$

% component of ddx w.r.t. u_2x2t$

ddx(0,22):=u_3x2t$

% component of ddx w.r.t. u_3xt$

ddx(0,23):=u_4xt$

% component of ddx w.r.t. u_5t$

ddx(0,24):=u_x5t$

% component of ddx w.r.t. u_x4t$

ddx(0,25):=u_2x4t$

% component of ddx w.r.t. u_2x3t$

ddx(0,26):=u_3x3t$

% component of ddx w.r.t. u_3x2t$

ddx(0,27):=u_4x2t$

% component of ddx w.r.t. u_4xt$

ddx(0,28):=u_5xt$

% component of ddx w.r.t. u_6t$

ddx(0,29):=u_x6t$

% component of ddx w.r.t. u_x5t$

ddx(0,30):=u_2x5t$

% component of ddx w.r.t. u_2x4t$

ddx(0,31):=u_3x4t$

% component of ddx w.r.t. u_3x3t$

ddx(0,32):=u_4x3t$

% component of ddx w.r.t. u_4x2t$

ddx(0,33):=u_5x2t$

% component of ddx w.r.t. u_5xt$

ddx(0,34):=u_6xt$

% component of ddx w.r.t. u_7t$

ddx(0,35):=u_x7t$

% component of ddx w.r.t. u_x6t$

ddx(0,36):=u_2x6t$

% component of ddx w.r.t. u_2x5t$

ddx(0,37):=u_3x5t$

% component of ddx w.r.t. u_3x4t$

ddx(0,38):=u_4x4t$

% component of ddx w.r.t. u_4x3t$

ddx(0,39):=u_5x3t$

% component of ddx w.r.t. u_5x2t$

ddx(0,40):=u_6x2t$

% component of ddx w.r.t. u_6xt$

ddx(0,41):=u_7xt$

% component of ddx w.r.t. u_8t$

ddx(0,42):=u_x8t$

% component of ddx w.r.t. u_x7t$

ddx(0,43):=u_2x7t$

% component of ddx w.r.t. u_2x6t$

ddx(0,44):=u_3x6t$

% component of ddx w.r.t. u_3x5t$

ddx(0,45):=u_4x5t$

% component of ddx w.r.t. u_4x4t$

ddx(0,46):=u_5x4t$

% component of ddx w.r.t. u_5x3t$

ddx(0,47):=u_6x3t$

% component of ddx w.r.t. u_6x2t$

ddx(0,48):=u_7x2t$

% component of ddx w.r.t. u_7xt$

ddx(0,49):=u_8xt$

% component of ddx w.r.t. u_9t$

ddx(0,50):=u_x9t$

% component of ddx w.r.t. u_x8t$

ddx(0,51):=u_2x8t$

% component of ddx w.r.t. u_2x7t$

ddx(0,52):=u_3x7t$

% component of ddx w.r.t. u_3x6t$

ddx(0,53):=u_4x6t$

% component of ddx w.r.t. u_4x5t$

ddx(0,54):=u_5x5t$

% component of ddx w.r.t. u_5x4t$

ddx(0,55):=u_6x4t$

% component of ddx w.r.t. u_6x3t$

ddx(0,56):=u_7x3t$

% component of ddx w.r.t. u_7x2t$

ddx(0,57):=u_8x2t$

% component of ddx w.r.t. u_8xt$

ddx(0,58):=u_9xt$

% component of ddx w.r.t. u_10t$

ddx(0,59):=letop$

% component of ddx w.r.t. u_x9t$

ddx(0,60):=letop$

% component of ddx w.r.t. u_2x8t$

ddx(0,61):=letop$

% component of ddx w.r.t. u_3x7t$

ddx(0,62):=letop$

% component of ddx w.r.t. u_4x6t$

ddx(0,63):=letop$

% component of ddx w.r.t. u_5x5t$

ddx(0,64):=letop$

% component of ddx w.r.t. u_6x4t$

ddx(0,65):=letop$

% component of ddx w.r.t. u_7x3t$

ddx(0,66):=letop$

% component of ddx w.r.t. u_8x2t$

ddx(0,67):=letop$

% component of ddx w.r.t. u_9xt$

ddx(0,68):=letop$

% component of ddx w.r.t. p i.e. ext(1)$

ddx(1,1):=ext(2)$

% component of ddx w.r.t. p_x i.e. ext(2)$

ddx(1,2):=ext(3)$

% component of ddx w.r.t. p_2x i.e. ext(3)$

ddx(1,3):=ext(4)$

% component of ddx w.r.t. p_3x i.e. ext(4)$

ddx(1,4):=ext(5)$

% component of ddx w.r.t. p_4x i.e. ext(5)$

ddx(1,5):=ext(6)$

% component of ddx w.r.t. p_5x i.e. ext(6)$

ddx(1,6):=ext(7)$

% component of ddx w.r.t. p_6x i.e. ext(7)$

ddx(1,7):=ext(8)$

% component of ddx w.r.t. p_7x i.e. ext(8)$

ddx(1,8):=ext(9)$

% component of ddx w.r.t. p_8x i.e. ext(9)$

ddx(1,9):=ext(10)$

% component of ddx w.r.t. p_9x i.e. ext(10)$

ddx(1,10):=ext(11)$

% component of ddx w.r.t. p_10x i.e. ext(11)$

ddx(1,11):=letop$

% component of ddx w.r.t. p_t i.e. ext(12)$

ddx(1,12):=ext(14)$

% component of ddx w.r.t. p_2t i.e. ext(13)$

ddx(1,13):=ext(16)$

% component of ddx w.r.t. p_xt i.e. ext(14)$

ddx(1,14):=ext(17)$

% component of ddx w.r.t. p_3t i.e. ext(15)$

ddx(1,15):=ext(19)$

% component of ddx w.r.t. p_x2t i.e. ext(16)$

ddx(1,16):=ext(20)$

% component of ddx w.r.t. p_2xt i.e. ext(17)$

ddx(1,17):=ext(21)$

% component of ddx w.r.t. p_4t i.e. ext(18)$

ddx(1,18):=ext(23)$

% component of ddx w.r.t. p_x3t i.e. ext(19)$

ddx(1,19):=ext(24)$

% component of ddx w.r.t. p_2x2t i.e. ext(20)$

ddx(1,20):=ext(25)$

% component of ddx w.r.t. p_3xt i.e. ext(21)$

ddx(1,21):=ext(26)$

% component of ddx w.r.t. p_5t i.e. ext(22)$

ddx(1,22):=ext(28)$

% component of ddx w.r.t. p_x4t i.e. ext(23)$

ddx(1,23):=ext(29)$

% component of ddx w.r.t. p_2x3t i.e. ext(24)$

ddx(1,24):=ext(30)$

% component of ddx w.r.t. p_3x2t i.e. ext(25)$

ddx(1,25):=ext(31)$

% component of ddx w.r.t. p_4xt i.e. ext(26)$

ddx(1,26):=ext(32)$

% component of ddx w.r.t. p_6t i.e. ext(27)$

ddx(1,27):=ext(34)$

% component of ddx w.r.t. p_x5t i.e. ext(28)$

ddx(1,28):=ext(35)$

% component of ddx w.r.t. p_2x4t i.e. ext(29)$

ddx(1,29):=ext(36)$

% component of ddx w.r.t. p_3x3t i.e. ext(30)$

ddx(1,30):=ext(37)$

% component of ddx w.r.t. p_4x2t i.e. ext(31)$

ddx(1,31):=ext(38)$

% component of ddx w.r.t. p_5xt i.e. ext(32)$

ddx(1,32):=ext(39)$

% component of ddx w.r.t. p_7t i.e. ext(33)$

ddx(1,33):=ext(41)$

% component of ddx w.r.t. p_x6t i.e. ext(34)$

ddx(1,34):=ext(42)$

% component of ddx w.r.t. p_2x5t i.e. ext(35)$

ddx(1,35):=ext(43)$

% component of ddx w.r.t. p_3x4t i.e. ext(36)$

ddx(1,36):=ext(44)$

% component of ddx w.r.t. p_4x3t i.e. ext(37)$

ddx(1,37):=ext(45)$

% component of ddx w.r.t. p_5x2t i.e. ext(38)$

ddx(1,38):=ext(46)$

% component of ddx w.r.t. p_6xt i.e. ext(39)$

ddx(1,39):=ext(47)$

% component of ddx w.r.t. p_8t i.e. ext(40)$

ddx(1,40):=ext(49)$

% component of ddx w.r.t. p_x7t i.e. ext(41)$

ddx(1,41):=ext(50)$

% component of ddx w.r.t. p_2x6t i.e. ext(42)$

ddx(1,42):=ext(51)$

% component of ddx w.r.t. p_3x5t i.e. ext(43)$

ddx(1,43):=ext(52)$

% component of ddx w.r.t. p_4x4t i.e. ext(44)$

ddx(1,44):=ext(53)$

% component of ddx w.r.t. p_5x3t i.e. ext(45)$

ddx(1,45):=ext(54)$

% component of ddx w.r.t. p_6x2t i.e. ext(46)$

ddx(1,46):=ext(55)$

% component of ddx w.r.t. p_7xt i.e. ext(47)$

ddx(1,47):=ext(56)$

% component of ddx w.r.t. p_9t i.e. ext(48)$

ddx(1,48):=ext(58)$

% component of ddx w.r.t. p_x8t i.e. ext(49)$

ddx(1,49):=ext(59)$

% component of ddx w.r.t. p_2x7t i.e. ext(50)$

ddx(1,50):=ext(60)$

% component of ddx w.r.t. p_3x6t i.e. ext(51)$

ddx(1,51):=ext(61)$

% component of ddx w.r.t. p_4x5t i.e. ext(52)$

ddx(1,52):=ext(62)$

% component of ddx w.r.t. p_5x4t i.e. ext(53)$

ddx(1,53):=ext(63)$

% component of ddx w.r.t. p_6x3t i.e. ext(54)$

ddx(1,54):=ext(64)$

% component of ddx w.r.t. p_7x2t i.e. ext(55)$

ddx(1,55):=ext(65)$

% component of ddx w.r.t. p_8xt i.e. ext(56)$

ddx(1,56):=ext(66)$

% component of ddx w.r.t. p_10t i.e. ext(57)$

ddx(1,57):=letop$

% component of ddx w.r.t. p_x9t i.e. ext(58)$

ddx(1,58):=letop$

% component of ddx w.r.t. p_2x8t i.e. ext(59)$

ddx(1,59):=letop$

% component of ddx w.r.t. p_3x7t i.e. ext(60)$

ddx(1,60):=letop$

% component of ddx w.r.t. p_4x6t i.e. ext(61)$

ddx(1,61):=letop$

% component of ddx w.r.t. p_5x5t i.e. ext(62)$

ddx(1,62):=letop$

% component of ddx w.r.t. p_6x4t i.e. ext(63)$

ddx(1,63):=letop$

% component of ddx w.r.t. p_7x3t i.e. ext(64)$

ddx(1,64):=letop$

% component of ddx w.r.t. p_8x2t i.e. ext(65)$

ddx(1,65):=letop$

% component of ddx w.r.t. p_9xt i.e. ext(66)$

ddx(1,66):=letop$

% component of ddt w.r.t. x$

ddt(0,1):=0$

% component of ddt w.r.t. t$

ddt(0,2):=1$

% component of ddt w.r.t. u$

ddt(0,3):=2*u*u_x + u_2x$

% component of ddt w.r.t. u_x$

ddt(0,4):=2*u*u_2x + u_3x + 2*u_x**2$

% component of ddt w.r.t. u_2x$

ddt(0,5):=2*u*u_3x + 6*u_2x*u_x + u_4x$

% component of ddt w.r.t. u_3x$

ddt(0,6):=2*u*u_4x + 6*u_2x**2 + 8*u_3x*u_x + u_5x$

% component of ddt w.r.t. u_4x$

ddt(0,7):=2*u*u_5x + 20*u_2x*u_3x + 10*u_4x*u_x + u_6x$

% component of ddt w.r.t. u_5x$

ddt(0,8):=2*u*u_6x + 30*u_2x*u_4x + 20*u_3x**2 + 12*u_5x*u_x + u_7x$

% component of ddt w.r.t. u_6x$

ddt(0,9):=2*u*u_7x + 42*u_2x*u_5x + 70*u_3x*u_4x + 14*u_6x*u_x + u_8x$

% component of ddt w.r.t. u_7x$

ddt(0,10):=2*u*u_8x + 56*u_2x*u_6x + 112*u_3x*u_5x + 70*u_4x**2 + 16*u_7x*u_x + 
u_9x$

% component of ddt w.r.t. u_8x$

ddt(0,11):=2*u*u_9x + u_10x + 72*u_2x*u_7x + 168*u_3x*u_6x + 252*u_4x*u_5x + 18*
u_8x*u_x$

% component of ddt w.r.t. u_9x$

ddt(0,12):=letop$

% component of ddt w.r.t. u_10x$

ddt(0,13):=letop$

% component of ddt w.r.t. u_t$

ddt(0,14):=u_2t$

% component of ddt w.r.t. u_2t$

ddt(0,15):=u_3t$

% component of ddt w.r.t. u_xt$

ddt(0,16):=u_x2t$

% component of ddt w.r.t. u_3t$

ddt(0,17):=u_4t$

% component of ddt w.r.t. u_x2t$

ddt(0,18):=u_x3t$

% component of ddt w.r.t. u_2xt$

ddt(0,19):=u_2x2t$

% component of ddt w.r.t. u_4t$

ddt(0,20):=u_5t$

% component of ddt w.r.t. u_x3t$

ddt(0,21):=u_x4t$

% component of ddt w.r.t. u_2x2t$

ddt(0,22):=u_2x3t$

% component of ddt w.r.t. u_3xt$

ddt(0,23):=u_3x2t$

% component of ddt w.r.t. u_5t$

ddt(0,24):=u_6t$

% component of ddt w.r.t. u_x4t$

ddt(0,25):=u_x5t$

% component of ddt w.r.t. u_2x3t$

ddt(0,26):=u_2x4t$

% component of ddt w.r.t. u_3x2t$

ddt(0,27):=u_3x3t$

% component of ddt w.r.t. u_4xt$

ddt(0,28):=u_4x2t$

% component of ddt w.r.t. u_6t$

ddt(0,29):=u_7t$

% component of ddt w.r.t. u_x5t$

ddt(0,30):=u_x6t$

% component of ddt w.r.t. u_2x4t$

ddt(0,31):=u_2x5t$

% component of ddt w.r.t. u_3x3t$

ddt(0,32):=u_3x4t$

% component of ddt w.r.t. u_4x2t$

ddt(0,33):=u_4x3t$

% component of ddt w.r.t. u_5xt$

ddt(0,34):=u_5x2t$

% component of ddt w.r.t. u_7t$

ddt(0,35):=u_8t$

% component of ddt w.r.t. u_x6t$

ddt(0,36):=u_x7t$

% component of ddt w.r.t. u_2x5t$

ddt(0,37):=u_2x6t$

% component of ddt w.r.t. u_3x4t$

ddt(0,38):=u_3x5t$

% component of ddt w.r.t. u_4x3t$

ddt(0,39):=u_4x4t$

% component of ddt w.r.t. u_5x2t$

ddt(0,40):=u_5x3t$

% component of ddt w.r.t. u_6xt$

ddt(0,41):=u_6x2t$

% component of ddt w.r.t. u_8t$

ddt(0,42):=u_9t$

% component of ddt w.r.t. u_x7t$

ddt(0,43):=u_x8t$

% component of ddt w.r.t. u_2x6t$

ddt(0,44):=u_2x7t$

% component of ddt w.r.t. u_3x5t$

ddt(0,45):=u_3x6t$

% component of ddt w.r.t. u_4x4t$

ddt(0,46):=u_4x5t$

% component of ddt w.r.t. u_5x3t$

ddt(0,47):=u_5x4t$

% component of ddt w.r.t. u_6x2t$

ddt(0,48):=u_6x3t$

% component of ddt w.r.t. u_7xt$

ddt(0,49):=u_7x2t$

% component of ddt w.r.t. u_9t$

ddt(0,50):=u_10t$

% component of ddt w.r.t. u_x8t$

ddt(0,51):=u_x9t$

% component of ddt w.r.t. u_2x7t$

ddt(0,52):=u_2x8t$

% component of ddt w.r.t. u_3x6t$

ddt(0,53):=u_3x7t$

% component of ddt w.r.t. u_4x5t$

ddt(0,54):=u_4x6t$

% component of ddt w.r.t. u_5x4t$

ddt(0,55):=u_5x5t$

% component of ddt w.r.t. u_6x3t$

ddt(0,56):=u_6x4t$

% component of ddt w.r.t. u_7x2t$

ddt(0,57):=u_7x3t$

% component of ddt w.r.t. u_8xt$

ddt(0,58):=u_8x2t$

% component of ddt w.r.t. u_10t$

ddt(0,59):=letop$

% component of ddt w.r.t. u_x9t$

ddt(0,60):=letop$

% component of ddt w.r.t. u_2x8t$

ddt(0,61):=letop$

% component of ddt w.r.t. u_3x7t$

ddt(0,62):=letop$

% component of ddt w.r.t. u_4x6t$

ddt(0,63):=letop$

% component of ddt w.r.t. u_5x5t$

ddt(0,64):=letop$

% component of ddt w.r.t. u_6x4t$

ddt(0,65):=letop$

% component of ddt w.r.t. u_7x3t$

ddt(0,66):=letop$

% component of ddt w.r.t. u_8x2t$

ddt(0,67):=letop$

% component of ddt w.r.t. u_9xt$

ddt(0,68):=letop$

% component of ddt w.r.t. p i.e. ext(1)$

ddt(1,1):= - ext(3) + 2*ext(2)*u$

% component of ddt w.r.t. p_x i.e. ext(2)$

ddt(1,2):= - ext(4) + 2*ext(3)*u + 2*ext(2)*u_x$

% component of ddt w.r.t. p_2x i.e. ext(3)$

ddt(1,3):= - ext(5) + 2*ext(4)*u + 4*ext(3)*u_x + 2*ext(2)*u_2x$

% component of ddt w.r.t. p_3x i.e. ext(4)$

ddt(1,4):= - ext(6) + 2*ext(5)*u + 6*ext(4)*u_x + 6*ext(3)*u_2x + 2*ext(2)*u_3x$

% component of ddt w.r.t. p_4x i.e. ext(5)$

ddt(1,5):= - ext(7) + 2*ext(6)*u + 8*ext(5)*u_x + 12*ext(4)*u_2x + 8*ext(3)*u_3x
 + 2*ext(2)*u_4x$

% component of ddt w.r.t. p_5x i.e. ext(6)$

ddt(1,6):= - ext(8) + 2*ext(7)*u + 10*ext(6)*u_x + 20*ext(5)*u_2x + 20*ext(4)*
u_3x + 10*ext(3)*u_4x + 2*ext(2)*u_5x$

% component of ddt w.r.t. p_6x i.e. ext(7)$

ddt(1,7):= - ext(9) + 2*ext(8)*u + 12*ext(7)*u_x + 30*ext(6)*u_2x + 40*ext(5)*
u_3x + 30*ext(4)*u_4x + 12*ext(3)*u_5x + 2*ext(2)*u_6x$

% component of ddt w.r.t. p_7x i.e. ext(8)$

ddt(1,8):= - ext(10) + 2*ext(9)*u + 14*ext(8)*u_x + 42*ext(7)*u_2x + 70*ext(6)*
u_3x + 70*ext(5)*u_4x + 42*ext(4)*u_5x + 14*ext(3)*u_6x + 2*ext(2)*u_7x$

% component of ddt w.r.t. p_8x i.e. ext(9)$

ddt(1,9):= - ext(11) + 2*ext(10)*u + 16*ext(9)*u_x + 56*ext(8)*u_2x + 112*ext(7)
*u_3x + 140*ext(6)*u_4x + 112*ext(5)*u_5x + 56*ext(4)*u_6x + 16*ext(3)*u_7x + 2*
ext(2)*u_8x$

% component of ddt w.r.t. p_9x i.e. ext(10)$

ddt(1,10):=letop$

% component of ddt w.r.t. p_10x i.e. ext(11)$

ddt(1,11):=letop$

% component of ddt w.r.t. p_t i.e. ext(12)$

ddt(1,12):=ext(13)$

% component of ddt w.r.t. p_2t i.e. ext(13)$

ddt(1,13):=ext(15)$

% component of ddt w.r.t. p_xt i.e. ext(14)$

ddt(1,14):=ext(16)$

% component of ddt w.r.t. p_3t i.e. ext(15)$

ddt(1,15):=ext(18)$

% component of ddt w.r.t. p_x2t i.e. ext(16)$

ddt(1,16):=ext(19)$

% component of ddt w.r.t. p_2xt i.e. ext(17)$

ddt(1,17):=ext(20)$

% component of ddt w.r.t. p_4t i.e. ext(18)$

ddt(1,18):=ext(22)$

% component of ddt w.r.t. p_x3t i.e. ext(19)$

ddt(1,19):=ext(23)$

% component of ddt w.r.t. p_2x2t i.e. ext(20)$

ddt(1,20):=ext(24)$

% component of ddt w.r.t. p_3xt i.e. ext(21)$

ddt(1,21):=ext(25)$

% component of ddt w.r.t. p_5t i.e. ext(22)$

ddt(1,22):=ext(27)$

% component of ddt w.r.t. p_x4t i.e. ext(23)$

ddt(1,23):=ext(28)$

% component of ddt w.r.t. p_2x3t i.e. ext(24)$

ddt(1,24):=ext(29)$

% component of ddt w.r.t. p_3x2t i.e. ext(25)$

ddt(1,25):=ext(30)$

% component of ddt w.r.t. p_4xt i.e. ext(26)$

ddt(1,26):=ext(31)$

% component of ddt w.r.t. p_6t i.e. ext(27)$

ddt(1,27):=ext(33)$

% component of ddt w.r.t. p_x5t i.e. ext(28)$

ddt(1,28):=ext(34)$

% component of ddt w.r.t. p_2x4t i.e. ext(29)$

ddt(1,29):=ext(35)$

% component of ddt w.r.t. p_3x3t i.e. ext(30)$

ddt(1,30):=ext(36)$

% component of ddt w.r.t. p_4x2t i.e. ext(31)$

ddt(1,31):=ext(37)$

% component of ddt w.r.t. p_5xt i.e. ext(32)$

ddt(1,32):=ext(38)$

% component of ddt w.r.t. p_7t i.e. ext(33)$

ddt(1,33):=ext(40)$

% component of ddt w.r.t. p_x6t i.e. ext(34)$

ddt(1,34):=ext(41)$

% component of ddt w.r.t. p_2x5t i.e. ext(35)$

ddt(1,35):=ext(42)$

% component of ddt w.r.t. p_3x4t i.e. ext(36)$

ddt(1,36):=ext(43)$

% component of ddt w.r.t. p_4x3t i.e. ext(37)$

ddt(1,37):=ext(44)$

% component of ddt w.r.t. p_5x2t i.e. ext(38)$

ddt(1,38):=ext(45)$

% component of ddt w.r.t. p_6xt i.e. ext(39)$

ddt(1,39):=ext(46)$

% component of ddt w.r.t. p_8t i.e. ext(40)$

ddt(1,40):=ext(48)$

% component of ddt w.r.t. p_x7t i.e. ext(41)$

ddt(1,41):=ext(49)$

% component of ddt w.r.t. p_2x6t i.e. ext(42)$

ddt(1,42):=ext(50)$

% component of ddt w.r.t. p_3x5t i.e. ext(43)$

ddt(1,43):=ext(51)$

% component of ddt w.r.t. p_4x4t i.e. ext(44)$

ddt(1,44):=ext(52)$

% component of ddt w.r.t. p_5x3t i.e. ext(45)$

ddt(1,45):=ext(53)$

% component of ddt w.r.t. p_6x2t i.e. ext(46)$

ddt(1,46):=ext(54)$

% component of ddt w.r.t. p_7xt i.e. ext(47)$

ddt(1,47):=ext(55)$

% component of ddt w.r.t. p_9t i.e. ext(48)$

ddt(1,48):=ext(57)$

% component of ddt w.r.t. p_x8t i.e. ext(49)$

ddt(1,49):=ext(58)$

% component of ddt w.r.t. p_2x7t i.e. ext(50)$

ddt(1,50):=ext(59)$

% component of ddt w.r.t. p_3x6t i.e. ext(51)$

ddt(1,51):=ext(60)$

% component of ddt w.r.t. p_4x5t i.e. ext(52)$

ddt(1,52):=ext(61)$

% component of ddt w.r.t. p_5x4t i.e. ext(53)$

ddt(1,53):=ext(62)$

% component of ddt w.r.t. p_6x3t i.e. ext(54)$

ddt(1,54):=ext(63)$

% component of ddt w.r.t. p_7x2t i.e. ext(55)$

ddt(1,55):=ext(64)$

% component of ddt w.r.t. p_8xt i.e. ext(56)$

ddt(1,56):=ext(65)$

% component of ddt w.r.t. p_10t i.e. ext(57)$

ddt(1,57):=letop$

% component of ddt w.r.t. p_x9t i.e. ext(58)$

ddt(1,58):=letop$

% component of ddt w.r.t. p_2x8t i.e. ext(59)$

ddt(1,59):=letop$

% component of ddt w.r.t. p_3x7t i.e. ext(60)$

ddt(1,60):=letop$

% component of ddt w.r.t. p_4x6t i.e. ext(61)$

ddt(1,61):=letop$

% component of ddt w.r.t. p_5x5t i.e. ext(62)$

ddt(1,62):=letop$

% component of ddt w.r.t. p_6x4t i.e. ext(63)$

ddt(1,63):=letop$

% component of ddt w.r.t. p_7x3t i.e. ext(64)$

ddt(1,64):=letop$

% component of ddt w.r.t. p_8x2t i.e. ext(65)$

ddt(1,65):=letop$

% component of ddt w.r.t. p_9xt i.e. ext(66)$

ddt(1,66):=letop$

;end;$
