
% cde state file$

% even equation:$

{u_2y}={( - 12*u*u_2x - u_4x + 12*u_tx - 12*u_x**2)/12}$

% odd equation$

{p_2y}={( - 12*p_2x*u - p_4x + 12*p_tx)/12}$

 $

% Settings:$

 $

indep_var:={t,x,y}$

dep_var:={u}$

odd_var:={p}$

deg_indep_var:={-3,-2,-1}$

deg_dep_var:={2}$

deg_odd_var:={1}$

total_order:=6$

id_tot_der:=dd$

principal_der:={u_2y}$

de:={( - 12*u*u_2x - u_4x + 12*u_tx - 12*u_x**2)/12}$

principal_odd:={p_2y}$

de_odd:={( - 12*p_2x*u - p_4x + 12*p_tx)/12}$

 $

% Here starts the output of computations of the program.$

 $

% number of independent variables:$

n_indep_var:=3$

% all multiindexes in table format:$

all_mind_table:={{{0,0,0},{{1,0,0},{0,1,0},{0,0,1}}},
{{1,0,0},{{2,0,0},{1,1,0},{1,0,1}}},
{{0,1,0},{{1,1,0},{0,2,0},{0,1,1}}},
{{0,0,1},{{1,0,1},{0,1,1},{0,0,2}}},
{{2,0,0},{{3,0,0},{2,1,0},{2,0,1}}},
{{1,1,0},{{2,1,0},{1,2,0},{1,1,1}}},
{{0,2,0},{{1,2,0},{0,3,0},{0,2,1}}},
{{1,0,1},{{2,0,1},{1,1,1},{1,0,2}}},
{{0,1,1},{{1,1,1},{0,2,1},{0,1,2}}},
{{0,0,2},{{1,0,2},{0,1,2},{0,0,3}}},
{{3,0,0},{{4,0,0},{3,1,0},{3,0,1}}},
{{2,1,0},{{3,1,0},{2,2,0},{2,1,1}}},
{{1,2,0},{{2,2,0},{1,3,0},{1,2,1}}},
{{0,3,0},{{1,3,0},{0,4,0},{0,3,1}}},
{{2,0,1},{{3,0,1},{2,1,1},{2,0,2}}},
{{1,1,1},{{2,1,1},{1,2,1},{1,1,2}}},
{{0,2,1},{{1,2,1},{0,3,1},{0,2,2}}},
{{1,0,2},{{2,0,2},{1,1,2},{1,0,3}}},
{{0,1,2},{{1,1,2},{0,2,2},{0,1,3}}},
{{0,0,3},{{1,0,3},{0,1,3},{0,0,4}}},
{{4,0,0},{{5,0,0},{4,1,0},{4,0,1}}},
{{3,1,0},{{4,1,0},{3,2,0},{3,1,1}}},
{{2,2,0},{{3,2,0},{2,3,0},{2,2,1}}},
{{1,3,0},{{2,3,0},{1,4,0},{1,3,1}}},
{{0,4,0},{{1,4,0},{0,5,0},{0,4,1}}},
{{3,0,1},{{4,0,1},{3,1,1},{3,0,2}}},
{{2,1,1},{{3,1,1},{2,2,1},{2,1,2}}},
{{1,2,1},{{2,2,1},{1,3,1},{1,2,2}}},
{{0,3,1},{{1,3,1},{0,4,1},{0,3,2}}},
{{2,0,2},{{3,0,2},{2,1,2},{2,0,3}}},
{{1,1,2},{{2,1,2},{1,2,2},{1,1,3}}},
{{0,2,2},{{1,2,2},{0,3,2},{0,2,3}}},
{{1,0,3},{{2,0,3},{1,1,3},{1,0,4}}},
{{0,1,3},{{1,1,3},{0,2,3},{0,1,4}}},
{{0,0,4},{{1,0,4},{0,1,4},{0,0,5}}},
{{5,0,0},{{6,0,0},{5,1,0},{5,0,1}}},
{{4,1,0},{{5,1,0},{4,2,0},{4,1,1}}},
{{3,2,0},{{4,2,0},{3,3,0},{3,2,1}}},
{{2,3,0},{{3,3,0},{2,4,0},{2,3,1}}},
{{1,4,0},{{2,4,0},{1,5,0},{1,4,1}}},
{{0,5,0},{{1,5,0},{0,6,0},{0,5,1}}},
{{4,0,1},{{5,0,1},{4,1,1},{4,0,2}}},
{{3,1,1},{{4,1,1},{3,2,1},{3,1,2}}},
{{2,2,1},{{3,2,1},{2,3,1},{2,2,2}}},
{{1,3,1},{{2,3,1},{1,4,1},{1,3,2}}},
{{0,4,1},{{1,4,1},{0,5,1},{0,4,2}}},
{{3,0,2},{{4,0,2},{3,1,2},{3,0,3}}},
{{2,1,2},{{3,1,2},{2,2,2},{2,1,3}}},
{{1,2,2},{{2,2,2},{1,3,2},{1,2,3}}},
{{0,3,2},{{1,3,2},{0,4,2},{0,3,3}}},
{{2,0,3},{{3,0,3},{2,1,3},{2,0,4}}},
{{1,1,3},{{2,1,3},{1,2,3},{1,1,4}}},
{{0,2,3},{{1,2,3},{0,3,3},{0,2,4}}},
{{1,0,4},{{2,0,4},{1,1,4},{1,0,5}}},
{{0,1,4},{{1,1,4},{0,2,4},{0,1,5}}},
{{0,0,5},{{1,0,5},{0,1,5},{0,0,6}}},
{{6,0,0},{}},
{{5,1,0},{}},
{{4,2,0},{}},
{{3,3,0},{}},
{{2,4,0},{}},
{{1,5,0},{}},
{{0,6,0},{}},
{{5,0,1},{}},
{{4,1,1},{}},
{{3,2,1},{}},
{{2,3,1},{}},
{{1,4,1},{}},
{{0,5,1},{}},
{{4,0,2},{}},
{{3,1,2},{}},
{{2,2,2},{}},
{{1,3,2},{}},
{{0,4,2},{}},
{{3,0,3},{}},
{{2,1,3},{}},
{{1,2,3},{}},
{{0,3,3},{}},
{{2,0,4},{}},
{{1,1,4},{}},
{{0,2,4},{}},
{{1,0,5},{}},
{{0,1,5},{}},
{{0,0,6},{}}}$

% all even derivatives in multiindex notation:$

all_der_mind:={{u,{0,0,0}},
{u,{1,0,0}},
{u,{0,1,0}},
{u,{0,0,1}},
{u,{2,0,0}},
{u,{1,1,0}},
{u,{0,2,0}},
{u,{1,0,1}},
{u,{0,1,1}},
{u,{0,0,2}},
{u,{3,0,0}},
{u,{2,1,0}},
{u,{1,2,0}},
{u,{0,3,0}},
{u,{2,0,1}},
{u,{1,1,1}},
{u,{0,2,1}},
{u,{1,0,2}},
{u,{0,1,2}},
{u,{0,0,3}},
{u,{4,0,0}},
{u,{3,1,0}},
{u,{2,2,0}},
{u,{1,3,0}},
{u,{0,4,0}},
{u,{3,0,1}},
{u,{2,1,1}},
{u,{1,2,1}},
{u,{0,3,1}},
{u,{2,0,2}},
{u,{1,1,2}},
{u,{0,2,2}},
{u,{1,0,3}},
{u,{0,1,3}},
{u,{0,0,4}},
{u,{5,0,0}},
{u,{4,1,0}},
{u,{3,2,0}},
{u,{2,3,0}},
{u,{1,4,0}},
{u,{0,5,0}},
{u,{4,0,1}},
{u,{3,1,1}},
{u,{2,2,1}},
{u,{1,3,1}},
{u,{0,4,1}},
{u,{3,0,2}},
{u,{2,1,2}},
{u,{1,2,2}},
{u,{0,3,2}},
{u,{2,0,3}},
{u,{1,1,3}},
{u,{0,2,3}},
{u,{1,0,4}},
{u,{0,1,4}},
{u,{0,0,5}},
{u,{6,0,0}},
{u,{5,1,0}},
{u,{4,2,0}},
{u,{3,3,0}},
{u,{2,4,0}},
{u,{1,5,0}},
{u,{0,6,0}},
{u,{5,0,1}},
{u,{4,1,1}},
{u,{3,2,1}},
{u,{2,3,1}},
{u,{1,4,1}},
{u,{0,5,1}},
{u,{4,0,2}},
{u,{3,1,2}},
{u,{2,2,2}},
{u,{1,3,2}},
{u,{0,4,2}},
{u,{3,0,3}},
{u,{2,1,3}},
{u,{1,2,3}},
{u,{0,3,3}},
{u,{2,0,4}},
{u,{1,1,4}},
{u,{0,2,4}},
{u,{1,0,5}},
{u,{0,1,5}},
{u,{0,0,6}}}$

% all odd derivatives in multiindex notation:$

all_odd_mind:={{p,{0,0,0}},
{p,{1,0,0}},
{p,{0,1,0}},
{p,{0,0,1}},
{p,{2,0,0}},
{p,{1,1,0}},
{p,{0,2,0}},
{p,{1,0,1}},
{p,{0,1,1}},
{p,{0,0,2}},
{p,{3,0,0}},
{p,{2,1,0}},
{p,{1,2,0}},
{p,{0,3,0}},
{p,{2,0,1}},
{p,{1,1,1}},
{p,{0,2,1}},
{p,{1,0,2}},
{p,{0,1,2}},
{p,{0,0,3}},
{p,{4,0,0}},
{p,{3,1,0}},
{p,{2,2,0}},
{p,{1,3,0}},
{p,{0,4,0}},
{p,{3,0,1}},
{p,{2,1,1}},
{p,{1,2,1}},
{p,{0,3,1}},
{p,{2,0,2}},
{p,{1,1,2}},
{p,{0,2,2}},
{p,{1,0,3}},
{p,{0,1,3}},
{p,{0,0,4}},
{p,{5,0,0}},
{p,{4,1,0}},
{p,{3,2,0}},
{p,{2,3,0}},
{p,{1,4,0}},
{p,{0,5,0}},
{p,{4,0,1}},
{p,{3,1,1}},
{p,{2,2,1}},
{p,{1,3,1}},
{p,{0,4,1}},
{p,{3,0,2}},
{p,{2,1,2}},
{p,{1,2,2}},
{p,{0,3,2}},
{p,{2,0,3}},
{p,{1,1,3}},
{p,{0,2,3}},
{p,{1,0,4}},
{p,{0,1,4}},
{p,{0,0,5}},
{p,{6,0,0}},
{p,{5,1,0}},
{p,{4,2,0}},
{p,{3,3,0}},
{p,{2,4,0}},
{p,{1,5,0}},
{p,{0,6,0}},
{p,{5,0,1}},
{p,{4,1,1}},
{p,{3,2,1}},
{p,{2,3,1}},
{p,{1,4,1}},
{p,{0,5,1}},
{p,{4,0,2}},
{p,{3,1,2}},
{p,{2,2,2}},
{p,{1,3,2}},
{p,{0,4,2}},
{p,{3,0,3}},
{p,{2,1,3}},
{p,{1,2,3}},
{p,{0,3,3}},
{p,{2,0,4}},
{p,{1,1,4}},
{p,{0,2,4}},
{p,{1,0,5}},
{p,{0,1,5}},
{p,{0,0,6}}}$

% all even derivatives in identifier notation:$

all_der_id:={u,
u_t,
u_x,
u_y,
u_2t,
u_tx,
u_2x,
u_ty,
u_xy,
u_2y,
u_3t,
u_2tx,
u_t2x,
u_3x,
u_2ty,
u_txy,
u_2xy,
u_t2y,
u_x2y,
u_3y,
u_4t,
u_3tx,
u_2t2x,
u_t3x,
u_4x,
u_3ty,
u_2txy,
u_t2xy,
u_3xy,
u_2t2y,
u_tx2y,
u_2x2y,
u_t3y,
u_x3y,
u_4y,
u_5t,
u_4tx,
u_3t2x,
u_2t3x,
u_t4x,
u_5x,
u_4ty,
u_3txy,
u_2t2xy,
u_t3xy,
u_4xy,
u_3t2y,
u_2tx2y,
u_t2x2y,
u_3x2y,
u_2t3y,
u_tx3y,
u_2x3y,
u_t4y,
u_x4y,
u_5y,
u_6t,
u_5tx,
u_4t2x,
u_3t3x,
u_2t4x,
u_t5x,
u_6x,
u_5ty,
u_4txy,
u_3t2xy,
u_2t3xy,
u_t4xy,
u_5xy,
u_4t2y,
u_3tx2y,
u_2t2x2y,
u_t3x2y,
u_4x2y,
u_3t3y,
u_2tx3y,
u_t2x3y,
u_3x3y,
u_2t4y,
u_tx4y,
u_2x4y,
u_t5y,
u_x5y,
u_6y}$

% all odd derivatives in identifier notation:$

all_odd_id:={p,
p_t,
p_x,
p_y,
p_2t,
p_tx,
p_2x,
p_ty,
p_xy,
p_2y,
p_3t,
p_2tx,
p_t2x,
p_3x,
p_2ty,
p_txy,
p_2xy,
p_t2y,
p_x2y,
p_3y,
p_4t,
p_3tx,
p_2t2x,
p_t3x,
p_4x,
p_3ty,
p_2txy,
p_t2xy,
p_3xy,
p_2t2y,
p_tx2y,
p_2x2y,
p_t3y,
p_x3y,
p_4y,
p_5t,
p_4tx,
p_3t2x,
p_2t3x,
p_t4x,
p_5x,
p_4ty,
p_3txy,
p_2t2xy,
p_t3xy,
p_4xy,
p_3t2y,
p_2tx2y,
p_t2x2y,
p_3x2y,
p_2t3y,
p_tx3y,
p_2x3y,
p_t4y,
p_x4y,
p_5y,
p_6t,
p_5tx,
p_4t2x,
p_3t3x,
p_2t4x,
p_t5x,
p_6x,
p_5ty,
p_4txy,
p_3t2xy,
p_2t3xy,
p_t4xy,
p_5xy,
p_4t2y,
p_3tx2y,
p_2t2x2y,
p_t3x2y,
p_4x2y,
p_3t3y,
p_2tx3y,
p_t2x3y,
p_3x3y,
p_2t4y,
p_tx4y,
p_2x4y,
p_t5y,
p_x5y,
p_6y}$

% all ext symbols:$

all_ext:={ext(1),
ext(2),
ext(3),
ext(4),
ext(5),
ext(6),
ext(7),
ext(8),
ext(9),
ext(10),
ext(11),
ext(12),
ext(13),
ext(14),
ext(15),
ext(16),
ext(17),
ext(18),
ext(19),
ext(20),
ext(21),
ext(22),
ext(23),
ext(24),
ext(25),
ext(26),
ext(27),
ext(28),
ext(29),
ext(30),
ext(31),
ext(32),
ext(33),
ext(34),
ext(35),
ext(36),
ext(37),
ext(38),
ext(39),
ext(40),
ext(41),
ext(42),
ext(43),
ext(44),
ext(45),
ext(46),
ext(47),
ext(48),
ext(49),
ext(50),
ext(51),
ext(52),
ext(53),
ext(54),
ext(55),
ext(56),
ext(57),
ext(58),
ext(59),
ext(60),
ext(61),
ext(62),
ext(63),
ext(64),
ext(65),
ext(66),
ext(67),
ext(68),
ext(69),
ext(70),
ext(71),
ext(72),
ext(73),
ext(74),
ext(75),
ext(76),
ext(77),
ext(78),
ext(79),
ext(80),
ext(81),
ext(82),
ext(83),
ext(84)}$

% alist of even derivative coordinates:$

i2m_jetspace:={{u,{u,{0,0,0}}},
{u_t,{u,{1,0,0}}},
{u_x,{u,{0,1,0}}},
{u_y,{u,{0,0,1}}},
{u_2t,{u,{2,0,0}}},
{u_tx,{u,{1,1,0}}},
{u_2x,{u,{0,2,0}}},
{u_ty,{u,{1,0,1}}},
{u_xy,{u,{0,1,1}}},
{u_2y,{u,{0,0,2}}},
{u_3t,{u,{3,0,0}}},
{u_2tx,{u,{2,1,0}}},
{u_t2x,{u,{1,2,0}}},
{u_3x,{u,{0,3,0}}},
{u_2ty,{u,{2,0,1}}},
{u_txy,{u,{1,1,1}}},
{u_2xy,{u,{0,2,1}}},
{u_t2y,{u,{1,0,2}}},
{u_x2y,{u,{0,1,2}}},
{u_3y,{u,{0,0,3}}},
{u_4t,{u,{4,0,0}}},
{u_3tx,{u,{3,1,0}}},
{u_2t2x,{u,{2,2,0}}},
{u_t3x,{u,{1,3,0}}},
{u_4x,{u,{0,4,0}}},
{u_3ty,{u,{3,0,1}}},
{u_2txy,{u,{2,1,1}}},
{u_t2xy,{u,{1,2,1}}},
{u_3xy,{u,{0,3,1}}},
{u_2t2y,{u,{2,0,2}}},
{u_tx2y,{u,{1,1,2}}},
{u_2x2y,{u,{0,2,2}}},
{u_t3y,{u,{1,0,3}}},
{u_x3y,{u,{0,1,3}}},
{u_4y,{u,{0,0,4}}},
{u_5t,{u,{5,0,0}}},
{u_4tx,{u,{4,1,0}}},
{u_3t2x,{u,{3,2,0}}},
{u_2t3x,{u,{2,3,0}}},
{u_t4x,{u,{1,4,0}}},
{u_5x,{u,{0,5,0}}},
{u_4ty,{u,{4,0,1}}},
{u_3txy,{u,{3,1,1}}},
{u_2t2xy,{u,{2,2,1}}},
{u_t3xy,{u,{1,3,1}}},
{u_4xy,{u,{0,4,1}}},
{u_3t2y,{u,{3,0,2}}},
{u_2tx2y,{u,{2,1,2}}},
{u_t2x2y,{u,{1,2,2}}},
{u_3x2y,{u,{0,3,2}}},
{u_2t3y,{u,{2,0,3}}},
{u_tx3y,{u,{1,1,3}}},
{u_2x3y,{u,{0,2,3}}},
{u_t4y,{u,{1,0,4}}},
{u_x4y,{u,{0,1,4}}},
{u_5y,{u,{0,0,5}}},
{u_6t,{u,{6,0,0}}},
{u_5tx,{u,{5,1,0}}},
{u_4t2x,{u,{4,2,0}}},
{u_3t3x,{u,{3,3,0}}},
{u_2t4x,{u,{2,4,0}}},
{u_t5x,{u,{1,5,0}}},
{u_6x,{u,{0,6,0}}},
{u_5ty,{u,{5,0,1}}},
{u_4txy,{u,{4,1,1}}},
{u_3t2xy,{u,{3,2,1}}},
{u_2t3xy,{u,{2,3,1}}},
{u_t4xy,{u,{1,4,1}}},
{u_5xy,{u,{0,5,1}}},
{u_4t2y,{u,{4,0,2}}},
{u_3tx2y,{u,{3,1,2}}},
{u_2t2x2y,{u,{2,2,2}}},
{u_t3x2y,{u,{1,3,2}}},
{u_4x2y,{u,{0,4,2}}},
{u_3t3y,{u,{3,0,3}}},
{u_2tx3y,{u,{2,1,3}}},
{u_t2x3y,{u,{1,2,3}}},
{u_3x3y,{u,{0,3,3}}},
{u_2t4y,{u,{2,0,4}}},
{u_tx4y,{u,{1,1,4}}},
{u_2x4y,{u,{0,2,4}}},
{u_t5y,{u,{1,0,5}}},
{u_x5y,{u,{0,1,5}}},
{u_6y,{u,{0,0,6}}}}$

% alist of odd derivative coordinates:$

i2m_jetspace_odd:={{p,{p,{0,0,0}}},
{p_t,{p,{1,0,0}}},
{p_x,{p,{0,1,0}}},
{p_y,{p,{0,0,1}}},
{p_2t,{p,{2,0,0}}},
{p_tx,{p,{1,1,0}}},
{p_2x,{p,{0,2,0}}},
{p_ty,{p,{1,0,1}}},
{p_xy,{p,{0,1,1}}},
{p_2y,{p,{0,0,2}}},
{p_3t,{p,{3,0,0}}},
{p_2tx,{p,{2,1,0}}},
{p_t2x,{p,{1,2,0}}},
{p_3x,{p,{0,3,0}}},
{p_2ty,{p,{2,0,1}}},
{p_txy,{p,{1,1,1}}},
{p_2xy,{p,{0,2,1}}},
{p_t2y,{p,{1,0,2}}},
{p_x2y,{p,{0,1,2}}},
{p_3y,{p,{0,0,3}}},
{p_4t,{p,{4,0,0}}},
{p_3tx,{p,{3,1,0}}},
{p_2t2x,{p,{2,2,0}}},
{p_t3x,{p,{1,3,0}}},
{p_4x,{p,{0,4,0}}},
{p_3ty,{p,{3,0,1}}},
{p_2txy,{p,{2,1,1}}},
{p_t2xy,{p,{1,2,1}}},
{p_3xy,{p,{0,3,1}}},
{p_2t2y,{p,{2,0,2}}},
{p_tx2y,{p,{1,1,2}}},
{p_2x2y,{p,{0,2,2}}},
{p_t3y,{p,{1,0,3}}},
{p_x3y,{p,{0,1,3}}},
{p_4y,{p,{0,0,4}}},
{p_5t,{p,{5,0,0}}},
{p_4tx,{p,{4,1,0}}},
{p_3t2x,{p,{3,2,0}}},
{p_2t3x,{p,{2,3,0}}},
{p_t4x,{p,{1,4,0}}},
{p_5x,{p,{0,5,0}}},
{p_4ty,{p,{4,0,1}}},
{p_3txy,{p,{3,1,1}}},
{p_2t2xy,{p,{2,2,1}}},
{p_t3xy,{p,{1,3,1}}},
{p_4xy,{p,{0,4,1}}},
{p_3t2y,{p,{3,0,2}}},
{p_2tx2y,{p,{2,1,2}}},
{p_t2x2y,{p,{1,2,2}}},
{p_3x2y,{p,{0,3,2}}},
{p_2t3y,{p,{2,0,3}}},
{p_tx3y,{p,{1,1,3}}},
{p_2x3y,{p,{0,2,3}}},
{p_t4y,{p,{1,0,4}}},
{p_x4y,{p,{0,1,4}}},
{p_5y,{p,{0,0,5}}},
{p_6t,{p,{6,0,0}}},
{p_5tx,{p,{5,1,0}}},
{p_4t2x,{p,{4,2,0}}},
{p_3t3x,{p,{3,3,0}}},
{p_2t4x,{p,{2,4,0}}},
{p_t5x,{p,{1,5,0}}},
{p_6x,{p,{0,6,0}}},
{p_5ty,{p,{5,0,1}}},
{p_4txy,{p,{4,1,1}}},
{p_3t2xy,{p,{3,2,1}}},
{p_2t3xy,{p,{2,3,1}}},
{p_t4xy,{p,{1,4,1}}},
{p_5xy,{p,{0,5,1}}},
{p_4t2y,{p,{4,0,2}}},
{p_3tx2y,{p,{3,1,2}}},
{p_2t2x2y,{p,{2,2,2}}},
{p_t3x2y,{p,{1,3,2}}},
{p_4x2y,{p,{0,4,2}}},
{p_3t3y,{p,{3,0,3}}},
{p_2tx3y,{p,{2,1,3}}},
{p_t2x3y,{p,{1,2,3}}},
{p_3x3y,{p,{0,3,3}}},
{p_2t4y,{p,{2,0,4}}},
{p_tx4y,{p,{1,1,4}}},
{p_2x4y,{p,{0,2,4}}},
{p_t5y,{p,{1,0,5}}},
{p_x5y,{p,{0,1,5}}},
{p_6y,{p,{0,0,6}}}}$

% alist of even derivative coordinates - order of derivative:$

i2o_jetspace:={{u,0},
{u_t,1},
{u_x,1},
{u_y,1},
{u_2t,2},
{u_tx,2},
{u_2x,2},
{u_ty,2},
{u_xy,2},
{u_2y,2},
{u_3t,3},
{u_2tx,3},
{u_t2x,3},
{u_3x,3},
{u_2ty,3},
{u_txy,3},
{u_2xy,3},
{u_t2y,3},
{u_x2y,3},
{u_3y,3},
{u_4t,4},
{u_3tx,4},
{u_2t2x,4},
{u_t3x,4},
{u_4x,4},
{u_3ty,4},
{u_2txy,4},
{u_t2xy,4},
{u_3xy,4},
{u_2t2y,4},
{u_tx2y,4},
{u_2x2y,4},
{u_t3y,4},
{u_x3y,4},
{u_4y,4},
{u_5t,5},
{u_4tx,5},
{u_3t2x,5},
{u_2t3x,5},
{u_t4x,5},
{u_5x,5},
{u_4ty,5},
{u_3txy,5},
{u_2t2xy,5},
{u_t3xy,5},
{u_4xy,5},
{u_3t2y,5},
{u_2tx2y,5},
{u_t2x2y,5},
{u_3x2y,5},
{u_2t3y,5},
{u_tx3y,5},
{u_2x3y,5},
{u_t4y,5},
{u_x4y,5},
{u_5y,5},
{u_6t,6},
{u_5tx,6},
{u_4t2x,6},
{u_3t3x,6},
{u_2t4x,6},
{u_t5x,6},
{u_6x,6},
{u_5ty,6},
{u_4txy,6},
{u_3t2xy,6},
{u_2t3xy,6},
{u_t4xy,6},
{u_5xy,6},
{u_4t2y,6},
{u_3tx2y,6},
{u_2t2x2y,6},
{u_t3x2y,6},
{u_4x2y,6},
{u_3t3y,6},
{u_2tx3y,6},
{u_t2x3y,6},
{u_3x3y,6},
{u_2t4y,6},
{u_tx4y,6},
{u_2x4y,6},
{u_t5y,6},
{u_x5y,6},
{u_6y,6}}$

% alist of odd derivative coordinates - order of derivative:$

i2o_jetspace_odd:={{p,0},
{p_t,1},
{p_x,1},
{p_y,1},
{p_2t,2},
{p_tx,2},
{p_2x,2},
{p_ty,2},
{p_xy,2},
{p_2y,2},
{p_3t,3},
{p_2tx,3},
{p_t2x,3},
{p_3x,3},
{p_2ty,3},
{p_txy,3},
{p_2xy,3},
{p_t2y,3},
{p_x2y,3},
{p_3y,3},
{p_4t,4},
{p_3tx,4},
{p_2t2x,4},
{p_t3x,4},
{p_4x,4},
{p_3ty,4},
{p_2txy,4},
{p_t2xy,4},
{p_3xy,4},
{p_2t2y,4},
{p_tx2y,4},
{p_2x2y,4},
{p_t3y,4},
{p_x3y,4},
{p_4y,4},
{p_5t,5},
{p_4tx,5},
{p_3t2x,5},
{p_2t3x,5},
{p_t4x,5},
{p_5x,5},
{p_4ty,5},
{p_3txy,5},
{p_2t2xy,5},
{p_t3xy,5},
{p_4xy,5},
{p_3t2y,5},
{p_2tx2y,5},
{p_t2x2y,5},
{p_3x2y,5},
{p_2t3y,5},
{p_tx3y,5},
{p_2x3y,5},
{p_t4y,5},
{p_x4y,5},
{p_5y,5},
{p_6t,6},
{p_5tx,6},
{p_4t2x,6},
{p_3t3x,6},
{p_2t4x,6},
{p_t5x,6},
{p_6x,6},
{p_5ty,6},
{p_4txy,6},
{p_3t2xy,6},
{p_2t3xy,6},
{p_t4xy,6},
{p_5xy,6},
{p_4t2y,6},
{p_3tx2y,6},
{p_2t2x2y,6},
{p_t3x2y,6},
{p_4x2y,6},
{p_3t3y,6},
{p_2tx3y,6},
{p_t2x3y,6},
{p_3x3y,6},
{p_2t4y,6},
{p_tx4y,6},
{p_2x4y,6},
{p_t5y,6},
{p_x5y,6},
{p_6y,6}}$

% list of even principal derivatives:$

all_principal_der:={u_2y,
u_3y,
u_x2y,
u_t2y,
u_4y,
u_x3y,
u_t3y,
u_2x2y,
u_tx2y,
u_2t2y,
u_5y,
u_x4y,
u_t4y,
u_2x3y,
u_tx3y,
u_2t3y,
u_3x2y,
u_t2x2y,
u_2tx2y,
u_3t2y,
u_6y,
u_x5y,
u_t5y,
u_2x4y,
u_tx4y,
u_2t4y,
u_3x3y,
u_t2x3y,
u_2tx3y,
u_3t3y,
u_4x2y,
u_t3x2y,
u_2t2x2y,
u_3tx2y,
u_4t2y}$

% list of even parametric derivatives:$

all_parametric_der:={u,
u_t,
u_x,
u_y,
u_2t,
u_tx,
u_2x,
u_ty,
u_xy,
u_3t,
u_2tx,
u_t2x,
u_3x,
u_2ty,
u_txy,
u_2xy,
u_4t,
u_3tx,
u_2t2x,
u_t3x,
u_4x,
u_3ty,
u_2txy,
u_t2xy,
u_3xy,
u_5t,
u_4tx,
u_3t2x,
u_2t3x,
u_t4x,
u_5x,
u_4ty,
u_3txy,
u_2t2xy,
u_t3xy,
u_4xy,
u_6t,
u_5tx,
u_4t2x,
u_3t3x,
u_2t4x,
u_t5x,
u_6x,
u_5ty,
u_4txy,
u_3t2xy,
u_2t3xy,
u_t4xy,
u_5xy}$

% list of odd principal derivatives:$

all_principal_odd:={p_2y,
p_3y,
p_x2y,
p_t2y,
p_4y,
p_x3y,
p_t3y,
p_2x2y,
p_tx2y,
p_2t2y,
p_5y,
p_x4y,
p_t4y,
p_2x3y,
p_tx3y,
p_2t3y,
p_3x2y,
p_t2x2y,
p_2tx2y,
p_3t2y,
p_6y,
p_x5y,
p_t5y,
p_2x4y,
p_tx4y,
p_2t4y,
p_3x3y,
p_t2x3y,
p_2tx3y,
p_3t3y,
p_4x2y,
p_t3x2y,
p_2t2x2y,
p_3tx2y,
p_4t2y}$

% list of odd parametric derivatives:$

all_parametric_odd:={p,
p_t,
p_x,
p_y,
p_2t,
p_tx,
p_2x,
p_ty,
p_xy,
p_3t,
p_2tx,
p_t2x,
p_3x,
p_2ty,
p_txy,
p_2xy,
p_4t,
p_3tx,
p_2t2x,
p_t3x,
p_4x,
p_3ty,
p_2txy,
p_t2xy,
p_3xy,
p_5t,
p_4tx,
p_3t2x,
p_2t3x,
p_t4x,
p_5x,
p_4ty,
p_3txy,
p_2t2xy,
p_t3xy,
p_4xy,
p_6t,
p_5tx,
p_4t2x,
p_3t3x,
p_2t4x,
p_t5x,
p_6x,
p_5ty,
p_4txy,
p_3t2xy,
p_2t3xy,
p_t4xy,
p_5xy}$

% list of ext principal derivatives:$

all_principal_ext:={ext(50),
ext(51),
ext(52),
ext(53),
ext(54),
ext(55),
ext(56),
ext(57),
ext(58),
ext(59),
ext(60),
ext(61),
ext(62),
ext(63),
ext(64),
ext(65),
ext(66),
ext(67),
ext(68),
ext(69),
ext(70),
ext(71),
ext(72),
ext(73),
ext(74),
ext(75),
ext(76),
ext(77),
ext(78),
ext(79),
ext(80),
ext(81),
ext(82),
ext(83),
ext(84)}$

% list of ext parametric derivatives:$

all_parametric_ext:={ext(1),
ext(2),
ext(3),
ext(4),
ext(5),
ext(6),
ext(7),
ext(8),
ext(9),
ext(10),
ext(11),
ext(12),
ext(13),
ext(14),
ext(15),
ext(16),
ext(17),
ext(18),
ext(19),
ext(20),
ext(21),
ext(22),
ext(23),
ext(24),
ext(25),
ext(26),
ext(27),
ext(28),
ext(29),
ext(30),
ext(31),
ext(32),
ext(33),
ext(34),
ext(35),
ext(36),
ext(37),
ext(38),
ext(39),
ext(40),
ext(41),
ext(42),
ext(43),
ext(44),
ext(45),
ext(46),
ext(47),
ext(48),
ext(49)}$

% alist of odd derivatives - ext symbols:$

o2e_jetspace:={{p,ext(1)},
{p_t,ext(2)},
{p_x,ext(3)},
{p_y,ext(4)},
{p_2t,ext(5)},
{p_tx,ext(6)},
{p_2x,ext(7)},
{p_ty,ext(8)},
{p_xy,ext(9)},
{p_3t,ext(10)},
{p_2tx,ext(11)},
{p_t2x,ext(12)},
{p_3x,ext(13)},
{p_2ty,ext(14)},
{p_txy,ext(15)},
{p_2xy,ext(16)},
{p_4t,ext(17)},
{p_3tx,ext(18)},
{p_2t2x,ext(19)},
{p_t3x,ext(20)},
{p_4x,ext(21)},
{p_3ty,ext(22)},
{p_2txy,ext(23)},
{p_t2xy,ext(24)},
{p_3xy,ext(25)},
{p_5t,ext(26)},
{p_4tx,ext(27)},
{p_3t2x,ext(28)},
{p_2t3x,ext(29)},
{p_t4x,ext(30)},
{p_5x,ext(31)},
{p_4ty,ext(32)},
{p_3txy,ext(33)},
{p_2t2xy,ext(34)},
{p_t3xy,ext(35)},
{p_4xy,ext(36)},
{p_6t,ext(37)},
{p_5tx,ext(38)},
{p_4t2x,ext(39)},
{p_3t3x,ext(40)},
{p_2t4x,ext(41)},
{p_t5x,ext(42)},
{p_6x,ext(43)},
{p_5ty,ext(44)},
{p_4txy,ext(45)},
{p_3t2xy,ext(46)},
{p_2t3xy,ext(47)},
{p_t4xy,ext(48)},
{p_5xy,ext(49)},
{p_2y,ext(50)},
{p_3y,ext(51)},
{p_x2y,ext(52)},
{p_t2y,ext(53)},
{p_4y,ext(54)},
{p_x3y,ext(55)},
{p_t3y,ext(56)},
{p_2x2y,ext(57)},
{p_tx2y,ext(58)},
{p_2t2y,ext(59)},
{p_5y,ext(60)},
{p_x4y,ext(61)},
{p_t4y,ext(62)},
{p_2x3y,ext(63)},
{p_tx3y,ext(64)},
{p_2t3y,ext(65)},
{p_3x2y,ext(66)},
{p_t2x2y,ext(67)},
{p_2tx2y,ext(68)},
{p_3t2y,ext(69)},
{p_6y,ext(70)},
{p_x5y,ext(71)},
{p_t5y,ext(72)},
{p_2x4y,ext(73)},
{p_tx4y,ext(74)},
{p_2t4y,ext(75)},
{p_3x3y,ext(76)},
{p_t2x3y,ext(77)},
{p_2tx3y,ext(78)},
{p_3t3y,ext(79)},
{p_4x2y,ext(80)},
{p_t3x2y,ext(81)},
{p_2t2x2y,ext(82)},
{p_3tx2y,ext(83)},
{p_4t2y,ext(84)}}$

% set of rules to replace odd ders with ext symbols:$

repoddext:={p=ext(1),
p_t=ext(2),
p_x=ext(3),
p_y=ext(4),
p_2t=ext(5),
p_tx=ext(6),
p_2x=ext(7),
p_ty=ext(8),
p_xy=ext(9),
p_3t=ext(10),
p_2tx=ext(11),
p_t2x=ext(12),
p_3x=ext(13),
p_2ty=ext(14),
p_txy=ext(15),
p_2xy=ext(16),
p_4t=ext(17),
p_3tx=ext(18),
p_2t2x=ext(19),
p_t3x=ext(20),
p_4x=ext(21),
p_3ty=ext(22),
p_2txy=ext(23),
p_t2xy=ext(24),
p_3xy=ext(25),
p_5t=ext(26),
p_4tx=ext(27),
p_3t2x=ext(28),
p_2t3x=ext(29),
p_t4x=ext(30),
p_5x=ext(31),
p_4ty=ext(32),
p_3txy=ext(33),
p_2t2xy=ext(34),
p_t3xy=ext(35),
p_4xy=ext(36),
p_6t=ext(37),
p_5tx=ext(38),
p_4t2x=ext(39),
p_3t3x=ext(40),
p_2t4x=ext(41),
p_t5x=ext(42),
p_6x=ext(43),
p_5ty=ext(44),
p_4txy=ext(45),
p_3t2xy=ext(46),
p_2t3xy=ext(47),
p_t4xy=ext(48),
p_5xy=ext(49),
p_2y=ext(50),
p_3y=ext(51),
p_x2y=ext(52),
p_t2y=ext(53),
p_4y=ext(54),
p_x3y=ext(55),
p_t3y=ext(56),
p_2x2y=ext(57),
p_tx2y=ext(58),
p_2t2y=ext(59),
p_5y=ext(60),
p_x4y=ext(61),
p_t4y=ext(62),
p_2x3y=ext(63),
p_tx3y=ext(64),
p_2t3y=ext(65),
p_3x2y=ext(66),
p_t2x2y=ext(67),
p_2tx2y=ext(68),
p_3t2y=ext(69),
p_6y=ext(70),
p_x5y=ext(71),
p_t5y=ext(72),
p_2x4y=ext(73),
p_tx4y=ext(74),
p_2t4y=ext(75),
p_3x3y=ext(76),
p_t2x3y=ext(77),
p_2tx3y=ext(78),
p_3t3y=ext(79),
p_4x2y=ext(80),
p_t3x2y=ext(81),
p_2t2x2y=ext(82),
p_3tx2y=ext(83),
p_4t2y=ext(84)}$

% set of rules to replace ext symbols with odd ders:$

repextodd:={ext(1)=p,
ext(2)=p_t,
ext(3)=p_x,
ext(4)=p_y,
ext(5)=p_2t,
ext(6)=p_tx,
ext(7)=p_2x,
ext(8)=p_ty,
ext(9)=p_xy,
ext(10)=p_3t,
ext(11)=p_2tx,
ext(12)=p_t2x,
ext(13)=p_3x,
ext(14)=p_2ty,
ext(15)=p_txy,
ext(16)=p_2xy,
ext(17)=p_4t,
ext(18)=p_3tx,
ext(19)=p_2t2x,
ext(20)=p_t3x,
ext(21)=p_4x,
ext(22)=p_3ty,
ext(23)=p_2txy,
ext(24)=p_t2xy,
ext(25)=p_3xy,
ext(26)=p_5t,
ext(27)=p_4tx,
ext(28)=p_3t2x,
ext(29)=p_2t3x,
ext(30)=p_t4x,
ext(31)=p_5x,
ext(32)=p_4ty,
ext(33)=p_3txy,
ext(34)=p_2t2xy,
ext(35)=p_t3xy,
ext(36)=p_4xy,
ext(37)=p_6t,
ext(38)=p_5tx,
ext(39)=p_4t2x,
ext(40)=p_3t3x,
ext(41)=p_2t4x,
ext(42)=p_t5x,
ext(43)=p_6x,
ext(44)=p_5ty,
ext(45)=p_4txy,
ext(46)=p_3t2xy,
ext(47)=p_2t3xy,
ext(48)=p_t4xy,
ext(49)=p_5xy,
ext(50)=p_2y,
ext(51)=p_3y,
ext(52)=p_x2y,
ext(53)=p_t2y,
ext(54)=p_4y,
ext(55)=p_x3y,
ext(56)=p_t3y,
ext(57)=p_2x2y,
ext(58)=p_tx2y,
ext(59)=p_2t2y,
ext(60)=p_5y,
ext(61)=p_x4y,
ext(62)=p_t4y,
ext(63)=p_2x3y,
ext(64)=p_tx3y,
ext(65)=p_2t3y,
ext(66)=p_3x2y,
ext(67)=p_t2x2y,
ext(68)=p_2tx2y,
ext(69)=p_3t2y,
ext(70)=p_6y,
ext(71)=p_x5y,
ext(72)=p_t5y,
ext(73)=p_2x4y,
ext(74)=p_tx4y,
ext(75)=p_2t4y,
ext(76)=p_3x3y,
ext(77)=p_t2x3y,
ext(78)=p_2tx3y,
ext(79)=p_3t3y,
ext(80)=p_4x2y,
ext(81)=p_t3x2y,
ext(82)=p_2t2x2y,
ext(83)=p_3tx2y,
ext(84)=p_4t2y}$

% set of identifiers for total derivatives:$

tot_der:={ddt,ddx,ddy}$

% set up the auxiliary variable `letop'$

for each el in indep_var do depend letop,el;$

% Characterization of primary differential consequences:$

primary_diffcon_tot:={{{ddy,0,7,u_2y},
{ddy,0,11,u_t2y},
{ddy,0,12,u_x2y},
{ddy,0,17,u_2t2y},
{ddy,0,18,u_tx2y},
{ddy,0,19,u_2x2y},
{ddy,0,25,u_3t2y},
{ddy,0,26,u_2tx2y},
{ddy,0,27,u_t2x2y},
{ddy,0,28,u_3x2y},
{ddy,0,35,u_4t2y},
{ddy,0,36,u_3tx2y},
{ddy,0,37,u_2t2x2y},
{ddy,0,38,u_t3x2y},
{ddy,0,39,u_4x2y}},
{{ddy,1,4,p_2y},
{ddy,1,8,p_t2y},
{ddy,1,9,p_x2y},
{ddy,1,14,p_2t2y},
{ddy,1,15,p_tx2y},
{ddy,1,16,p_2x2y},
{ddy,1,22,p_3t2y},
{ddy,1,23,p_2tx2y},
{ddy,1,24,p_t2x2y},
{ddy,1,25,p_3x2y},
{ddy,1,32,p_4t2y},
{ddy,1,33,p_3tx2y},
{ddy,1,34,p_2t2x2y},
{ddy,1,35,p_t3x2y},
{ddy,1,36,p_4x2y}}}$

primary_diffcon_der:={u_t2y,
u_x2y,
u_2t2y,
u_tx2y,
u_2x2y,
u_3t2y,
u_2tx2y,
u_t2x2y,
u_3x2y,
u_4t2y,
u_3tx2y,
u_2t2x2y,
u_t3x2y,
u_4x2y}$

primary_diffcon_odd:={p_t2y,
p_x2y,
p_2t2y,
p_tx2y,
p_2x2y,
p_3t2y,
p_2tx2y,
p_t2x2y,
p_3x2y,
p_4t2y,
p_3tx2y,
p_2t2x2y,
p_t3x2y,
p_4x2y}$

% Alists of differential conseq. needed in total derivatives:$

diffcon_der:={{u_4x2y,letop},
{u_t3x2y,letop},
{u_2t2x2y,letop},
{u_3tx2y,letop},
{u_4t2y,letop},
{u_3x2y,letop},
{u_t2x2y,letop},
{u_2tx2y,letop},
{u_3t2y,letop},
{u_2x2y,( - 12*u*u_4x - 36*u_2x**2 - 48*u_3x*u_x - u_6x + 12*u_t3x)/12},
{u_tx2y,
( - 12*u*u_t3x + 12*u_2t2x - 36*u_2x*u_tx - 12*u_3x*u_t - 36*u_t2x*u_x - u_t5x)/
12},
{u_2t2y,
( - 12*u*u_2t2x - 12*u_2t*u_2x - u_2t4x - 24*u_2tx*u_x + 12*u_3tx - 24*u_t*u_t2x
 - 24*u_tx**2)/12},
{u_x2y,( - 12*u*u_3x - 36*u_2x*u_x - u_5x + 12*u_t2x)/12},
{u_t2y,( - 12*u*u_t2x + 12*u_2tx - 12*u_2x*u_t - u_t4x - 24*u_tx*u_x)/12},
{u_2y,( - 12*u*u_2x - u_4x + 12*u_tx - 12*u_x**2)/12}}$

diffcon_odd:={{p_4x2y,letop},
{p_t3x2y,letop},
{p_2t2x2y,letop},
{p_3tx2y,letop},
{p_4t2y,letop},
{p_3x2y,letop},
{p_t2x2y,letop},
{p_2tx2y,letop},
{p_3t2y,letop},
{p_2x2y,
( - ext(43) - 12*ext(21)*u + 12*ext(20) - 24*ext(13)*u_x - 12*ext(7)*u_2x)/12},
{p_tx2y,
( - ext(42) - 12*ext(20)*u + 12*ext(19) - 12*ext(13)*u_t - 12*ext(12)*u_x - 12*
ext(7)*u_tx)/12},
{p_2t2y,
( - ext(41) - 12*ext(19)*u + 12*ext(18) - 24*ext(12)*u_t - 12*ext(7)*u_2t)/12},
{p_x2y,
( - ext(31) - 12*ext(13)*u + 12*ext(12) - 12*ext(7)*u_x)/12},
{p_t2y,
( - ext(30) - 12*ext(12)*u + 12*ext(11) - 12*ext(7)*u_t)/12},
{p_2y,( - ext(21) - 12*ext(7)*u + 12*ext(6))/12}}$

% Principal derivatives computed:$

diffcon_comp_der:={u_4x2y,
u_t3x2y,
u_2t2x2y,
u_3tx2y,
u_4t2y,
u_3x2y,
u_t2x2y,
u_2tx2y,
u_3t2y,
u_2x2y,
u_tx2y,
u_2t2y,
u_x2y,
u_t2y,
u_2y}$

diffcon_comp_odd:={p_4x2y,
p_t3x2y,
p_2t2x2y,
p_3tx2y,
p_4t2y,
p_3x2y,
p_t2x2y,
p_2tx2y,
p_3t2y,
p_2x2y,
p_tx2y,
p_2t2y,
p_x2y,
p_t2y,
p_2y}$

diffcon_comp_ext:={ext(80),
ext(81),
ext(82),
ext(83),
ext(84),
ext(66),
ext(67),
ext(68),
ext(69),
ext(57),
ext(58),
ext(59),
ext(52),
ext(53),
ext(50)}$

% Alists of principal derivatives in terms of parametric expr.:$

diffcon_param_der:={{u_4x2y,letop},
{u_t3x2y,letop},
{u_2t2x2y,letop},
{u_3tx2y,letop},
{u_4t2y,letop},
{u_3x2y,letop},
{u_t2x2y,letop},
{u_2tx2y,letop},
{u_3t2y,letop},
{u_2x2y,( - 12*u*u_4x - 36*u_2x**2 - 48*u_3x*u_x - u_6x + 12*u_t3x)/12},
{u_tx2y,
( - 12*u*u_t3x + 12*u_2t2x - 36*u_2x*u_tx - 12*u_3x*u_t - 36*u_t2x*u_x - u_t5x)/
12},
{u_2t2y,
( - 12*u*u_2t2x - 12*u_2t*u_2x - u_2t4x - 24*u_2tx*u_x + 12*u_3tx - 24*u_t*u_t2x
 - 24*u_tx**2)/12},
{u_x2y,( - 12*u*u_3x - 36*u_2x*u_x - u_5x + 12*u_t2x)/12},
{u_t2y,( - 12*u*u_t2x + 12*u_2tx - 12*u_2x*u_t - u_t4x - 24*u_tx*u_x)/12},
{u_2y,( - 12*u*u_2x - u_4x + 12*u_tx - 12*u_x**2)/12}}$

diffcon_param_ext:={{ext(80),letop},
{ext(81),letop},
{ext(82),letop},
{ext(83),letop},
{ext(84),letop},
{ext(66),letop},
{ext(67),letop},
{ext(68),letop},
{ext(69),letop},
{ext(57),
( - ext(43) - 12*ext(21)*u + 12*ext(20) - 24*ext(13)*u_x - 12*ext(7)*u_2x)/12},
{ext(58),
( - ext(42) - 12*ext(20)*u + 12*ext(19) - 12*ext(13)*u_t - 12*ext(12)*u_x - 12*
ext(7)*u_tx)/12},
{ext(59),
( - ext(41) - 12*ext(19)*u + 12*ext(18) - 24*ext(12)*u_t - 12*ext(7)*u_2t)/12},
{ext(52),
( - ext(31) - 12*ext(13)*u + 12*ext(12) - 12*ext(7)*u_x)/12},
{ext(53),
( - ext(30) - 12*ext(12)*u + 12*ext(11) - 12*ext(7)*u_t)/12},
{ext(50),( - ext(21) - 12*ext(7)*u + 12*ext(6))/12}}$

% Total derivatives declarations:$



for! i:=1:n!_indep!_var! do! super!_vectorfield(part(tot!_der,i),append(indep!_v
ar,all\
!_der!_id),all!_ext)$

% Coefficients of total derivatives:$

% component of ddt w.r.t. t$

ddt(0,1):=1$

% component of ddt w.r.t. x$

ddt(0,2):=0$

% component of ddt w.r.t. y$

ddt(0,3):=0$

% component of ddt w.r.t. u$

ddt(0,4):=u_t$

% component of ddt w.r.t. u_t$

ddt(0,5):=u_2t$

% component of ddt w.r.t. u_x$

ddt(0,6):=u_tx$

% component of ddt w.r.t. u_y$

ddt(0,7):=u_ty$

% component of ddt w.r.t. u_2t$

ddt(0,8):=u_3t$

% component of ddt w.r.t. u_tx$

ddt(0,9):=u_2tx$

% component of ddt w.r.t. u_2x$

ddt(0,10):=u_t2x$

% component of ddt w.r.t. u_ty$

ddt(0,11):=u_2ty$

% component of ddt w.r.t. u_xy$

ddt(0,12):=u_txy$

% component of ddt w.r.t. u_3t$

ddt(0,13):=u_4t$

% component of ddt w.r.t. u_2tx$

ddt(0,14):=u_3tx$

% component of ddt w.r.t. u_t2x$

ddt(0,15):=u_2t2x$

% component of ddt w.r.t. u_3x$

ddt(0,16):=u_t3x$

% component of ddt w.r.t. u_2ty$

ddt(0,17):=u_3ty$

% component of ddt w.r.t. u_txy$

ddt(0,18):=u_2txy$

% component of ddt w.r.t. u_2xy$

ddt(0,19):=u_t2xy$

% component of ddt w.r.t. u_4t$

ddt(0,20):=u_5t$

% component of ddt w.r.t. u_3tx$

ddt(0,21):=u_4tx$

% component of ddt w.r.t. u_2t2x$

ddt(0,22):=u_3t2x$

% component of ddt w.r.t. u_t3x$

ddt(0,23):=u_2t3x$

% component of ddt w.r.t. u_4x$

ddt(0,24):=u_t4x$

% component of ddt w.r.t. u_3ty$

ddt(0,25):=u_4ty$

% component of ddt w.r.t. u_2txy$

ddt(0,26):=u_3txy$

% component of ddt w.r.t. u_t2xy$

ddt(0,27):=u_2t2xy$

% component of ddt w.r.t. u_3xy$

ddt(0,28):=u_t3xy$

% component of ddt w.r.t. u_5t$

ddt(0,29):=u_6t$

% component of ddt w.r.t. u_4tx$

ddt(0,30):=u_5tx$

% component of ddt w.r.t. u_3t2x$

ddt(0,31):=u_4t2x$

% component of ddt w.r.t. u_2t3x$

ddt(0,32):=u_3t3x$

% component of ddt w.r.t. u_t4x$

ddt(0,33):=u_2t4x$

% component of ddt w.r.t. u_5x$

ddt(0,34):=u_t5x$

% component of ddt w.r.t. u_4ty$

ddt(0,35):=u_5ty$

% component of ddt w.r.t. u_3txy$

ddt(0,36):=u_4txy$

% component of ddt w.r.t. u_2t2xy$

ddt(0,37):=u_3t2xy$

% component of ddt w.r.t. u_t3xy$

ddt(0,38):=u_2t3xy$

% component of ddt w.r.t. u_4xy$

ddt(0,39):=u_t4xy$

% component of ddt w.r.t. u_6t$

ddt(0,40):=letop$

% component of ddt w.r.t. u_5tx$

ddt(0,41):=letop$

% component of ddt w.r.t. u_4t2x$

ddt(0,42):=letop$

% component of ddt w.r.t. u_3t3x$

ddt(0,43):=letop$

% component of ddt w.r.t. u_2t4x$

ddt(0,44):=letop$

% component of ddt w.r.t. u_t5x$

ddt(0,45):=letop$

% component of ddt w.r.t. u_6x$

ddt(0,46):=letop$

% component of ddt w.r.t. u_5ty$

ddt(0,47):=letop$

% component of ddt w.r.t. u_4txy$

ddt(0,48):=letop$

% component of ddt w.r.t. u_3t2xy$

ddt(0,49):=letop$

% component of ddt w.r.t. u_2t3xy$

ddt(0,50):=letop$

% component of ddt w.r.t. u_t4xy$

ddt(0,51):=letop$

% component of ddt w.r.t. u_5xy$

ddt(0,52):=letop$

% component of ddt w.r.t. u_2y$

ddt(0,53):=u_t2y$

% component of ddt w.r.t. u_3y$

ddt(0,54):=u_t3y$

% component of ddt w.r.t. u_x2y$

ddt(0,55):=u_tx2y$

% component of ddt w.r.t. u_t2y$

ddt(0,56):=u_2t2y$

% component of ddt w.r.t. u_4y$

ddt(0,57):=u_t4y$

% component of ddt w.r.t. u_x3y$

ddt(0,58):=u_tx3y$

% component of ddt w.r.t. u_t3y$

ddt(0,59):=u_2t3y$

% component of ddt w.r.t. u_2x2y$

ddt(0,60):=u_t2x2y$

% component of ddt w.r.t. u_tx2y$

ddt(0,61):=u_2tx2y$

% component of ddt w.r.t. u_2t2y$

ddt(0,62):=u_3t2y$

% component of ddt w.r.t. u_5y$

ddt(0,63):=u_t5y$

% component of ddt w.r.t. u_x4y$

ddt(0,64):=u_tx4y$

% component of ddt w.r.t. u_t4y$

ddt(0,65):=u_2t4y$

% component of ddt w.r.t. u_2x3y$

ddt(0,66):=u_t2x3y$

% component of ddt w.r.t. u_tx3y$

ddt(0,67):=u_2tx3y$

% component of ddt w.r.t. u_2t3y$

ddt(0,68):=u_3t3y$

% component of ddt w.r.t. u_3x2y$

ddt(0,69):=u_t3x2y$

% component of ddt w.r.t. u_t2x2y$

ddt(0,70):=u_2t2x2y$

% component of ddt w.r.t. u_2tx2y$

ddt(0,71):=u_3tx2y$

% component of ddt w.r.t. u_3t2y$

ddt(0,72):=u_4t2y$

% component of ddt w.r.t. u_6y$

ddt(0,73):=letop$

% component of ddt w.r.t. u_x5y$

ddt(0,74):=letop$

% component of ddt w.r.t. u_t5y$

ddt(0,75):=letop$

% component of ddt w.r.t. u_2x4y$

ddt(0,76):=letop$

% component of ddt w.r.t. u_tx4y$

ddt(0,77):=letop$

% component of ddt w.r.t. u_2t4y$

ddt(0,78):=letop$

% component of ddt w.r.t. u_3x3y$

ddt(0,79):=letop$

% component of ddt w.r.t. u_t2x3y$

ddt(0,80):=letop$

% component of ddt w.r.t. u_2tx3y$

ddt(0,81):=letop$

% component of ddt w.r.t. u_3t3y$

ddt(0,82):=letop$

% component of ddt w.r.t. u_4x2y$

ddt(0,83):=letop$

% component of ddt w.r.t. u_t3x2y$

ddt(0,84):=letop$

% component of ddt w.r.t. u_2t2x2y$

ddt(0,85):=letop$

% component of ddt w.r.t. u_3tx2y$

ddt(0,86):=letop$

% component of ddt w.r.t. u_4t2y$

ddt(0,87):=letop$

% component of ddt w.r.t. p i.e. ext(1)$

ddt(1,1):=ext(2)$

% component of ddt w.r.t. p_t i.e. ext(2)$

ddt(1,2):=ext(5)$

% component of ddt w.r.t. p_x i.e. ext(3)$

ddt(1,3):=ext(6)$

% component of ddt w.r.t. p_y i.e. ext(4)$

ddt(1,4):=ext(8)$

% component of ddt w.r.t. p_2t i.e. ext(5)$

ddt(1,5):=ext(10)$

% component of ddt w.r.t. p_tx i.e. ext(6)$

ddt(1,6):=ext(11)$

% component of ddt w.r.t. p_2x i.e. ext(7)$

ddt(1,7):=ext(12)$

% component of ddt w.r.t. p_ty i.e. ext(8)$

ddt(1,8):=ext(14)$

% component of ddt w.r.t. p_xy i.e. ext(9)$

ddt(1,9):=ext(15)$

% component of ddt w.r.t. p_3t i.e. ext(10)$

ddt(1,10):=ext(17)$

% component of ddt w.r.t. p_2tx i.e. ext(11)$

ddt(1,11):=ext(18)$

% component of ddt w.r.t. p_t2x i.e. ext(12)$

ddt(1,12):=ext(19)$

% component of ddt w.r.t. p_3x i.e. ext(13)$

ddt(1,13):=ext(20)$

% component of ddt w.r.t. p_2ty i.e. ext(14)$

ddt(1,14):=ext(22)$

% component of ddt w.r.t. p_txy i.e. ext(15)$

ddt(1,15):=ext(23)$

% component of ddt w.r.t. p_2xy i.e. ext(16)$

ddt(1,16):=ext(24)$

% component of ddt w.r.t. p_4t i.e. ext(17)$

ddt(1,17):=ext(26)$

% component of ddt w.r.t. p_3tx i.e. ext(18)$

ddt(1,18):=ext(27)$

% component of ddt w.r.t. p_2t2x i.e. ext(19)$

ddt(1,19):=ext(28)$

% component of ddt w.r.t. p_t3x i.e. ext(20)$

ddt(1,20):=ext(29)$

% component of ddt w.r.t. p_4x i.e. ext(21)$

ddt(1,21):=ext(30)$

% component of ddt w.r.t. p_3ty i.e. ext(22)$

ddt(1,22):=ext(32)$

% component of ddt w.r.t. p_2txy i.e. ext(23)$

ddt(1,23):=ext(33)$

% component of ddt w.r.t. p_t2xy i.e. ext(24)$

ddt(1,24):=ext(34)$

% component of ddt w.r.t. p_3xy i.e. ext(25)$

ddt(1,25):=ext(35)$

% component of ddt w.r.t. p_5t i.e. ext(26)$

ddt(1,26):=ext(37)$

% component of ddt w.r.t. p_4tx i.e. ext(27)$

ddt(1,27):=ext(38)$

% component of ddt w.r.t. p_3t2x i.e. ext(28)$

ddt(1,28):=ext(39)$

% component of ddt w.r.t. p_2t3x i.e. ext(29)$

ddt(1,29):=ext(40)$

% component of ddt w.r.t. p_t4x i.e. ext(30)$

ddt(1,30):=ext(41)$

% component of ddt w.r.t. p_5x i.e. ext(31)$

ddt(1,31):=ext(42)$

% component of ddt w.r.t. p_4ty i.e. ext(32)$

ddt(1,32):=ext(44)$

% component of ddt w.r.t. p_3txy i.e. ext(33)$

ddt(1,33):=ext(45)$

% component of ddt w.r.t. p_2t2xy i.e. ext(34)$

ddt(1,34):=ext(46)$

% component of ddt w.r.t. p_t3xy i.e. ext(35)$

ddt(1,35):=ext(47)$

% component of ddt w.r.t. p_4xy i.e. ext(36)$

ddt(1,36):=ext(48)$

% component of ddt w.r.t. p_6t i.e. ext(37)$

ddt(1,37):=letop$

% component of ddt w.r.t. p_5tx i.e. ext(38)$

ddt(1,38):=letop$

% component of ddt w.r.t. p_4t2x i.e. ext(39)$

ddt(1,39):=letop$

% component of ddt w.r.t. p_3t3x i.e. ext(40)$

ddt(1,40):=letop$

% component of ddt w.r.t. p_2t4x i.e. ext(41)$

ddt(1,41):=letop$

% component of ddt w.r.t. p_t5x i.e. ext(42)$

ddt(1,42):=letop$

% component of ddt w.r.t. p_6x i.e. ext(43)$

ddt(1,43):=letop$

% component of ddt w.r.t. p_5ty i.e. ext(44)$

ddt(1,44):=letop$

% component of ddt w.r.t. p_4txy i.e. ext(45)$

ddt(1,45):=letop$

% component of ddt w.r.t. p_3t2xy i.e. ext(46)$

ddt(1,46):=letop$

% component of ddt w.r.t. p_2t3xy i.e. ext(47)$

ddt(1,47):=letop$

% component of ddt w.r.t. p_t4xy i.e. ext(48)$

ddt(1,48):=letop$

% component of ddt w.r.t. p_5xy i.e. ext(49)$

ddt(1,49):=letop$

% component of ddt w.r.t. p_2y i.e. ext(50)$

ddt(1,50):=ext(53)$

% component of ddt w.r.t. p_3y i.e. ext(51)$

ddt(1,51):=ext(56)$

% component of ddt w.r.t. p_x2y i.e. ext(52)$

ddt(1,52):=ext(58)$

% component of ddt w.r.t. p_t2y i.e. ext(53)$

ddt(1,53):=ext(59)$

% component of ddt w.r.t. p_4y i.e. ext(54)$

ddt(1,54):=ext(62)$

% component of ddt w.r.t. p_x3y i.e. ext(55)$

ddt(1,55):=ext(64)$

% component of ddt w.r.t. p_t3y i.e. ext(56)$

ddt(1,56):=ext(65)$

% component of ddt w.r.t. p_2x2y i.e. ext(57)$

ddt(1,57):=ext(67)$

% component of ddt w.r.t. p_tx2y i.e. ext(58)$

ddt(1,58):=ext(68)$

% component of ddt w.r.t. p_2t2y i.e. ext(59)$

ddt(1,59):=ext(69)$

% component of ddt w.r.t. p_5y i.e. ext(60)$

ddt(1,60):=ext(72)$

% component of ddt w.r.t. p_x4y i.e. ext(61)$

ddt(1,61):=ext(74)$

% component of ddt w.r.t. p_t4y i.e. ext(62)$

ddt(1,62):=ext(75)$

% component of ddt w.r.t. p_2x3y i.e. ext(63)$

ddt(1,63):=ext(77)$

% component of ddt w.r.t. p_tx3y i.e. ext(64)$

ddt(1,64):=ext(78)$

% component of ddt w.r.t. p_2t3y i.e. ext(65)$

ddt(1,65):=ext(79)$

% component of ddt w.r.t. p_3x2y i.e. ext(66)$

ddt(1,66):=ext(81)$

% component of ddt w.r.t. p_t2x2y i.e. ext(67)$

ddt(1,67):=ext(82)$

% component of ddt w.r.t. p_2tx2y i.e. ext(68)$

ddt(1,68):=ext(83)$

% component of ddt w.r.t. p_3t2y i.e. ext(69)$

ddt(1,69):=ext(84)$

% component of ddt w.r.t. p_6y i.e. ext(70)$

ddt(1,70):=letop$

% component of ddt w.r.t. p_x5y i.e. ext(71)$

ddt(1,71):=letop$

% component of ddt w.r.t. p_t5y i.e. ext(72)$

ddt(1,72):=letop$

% component of ddt w.r.t. p_2x4y i.e. ext(73)$

ddt(1,73):=letop$

% component of ddt w.r.t. p_tx4y i.e. ext(74)$

ddt(1,74):=letop$

% component of ddt w.r.t. p_2t4y i.e. ext(75)$

ddt(1,75):=letop$

% component of ddt w.r.t. p_3x3y i.e. ext(76)$

ddt(1,76):=letop$

% component of ddt w.r.t. p_t2x3y i.e. ext(77)$

ddt(1,77):=letop$

% component of ddt w.r.t. p_2tx3y i.e. ext(78)$

ddt(1,78):=letop$

% component of ddt w.r.t. p_3t3y i.e. ext(79)$

ddt(1,79):=letop$

% component of ddt w.r.t. p_4x2y i.e. ext(80)$

ddt(1,80):=letop$

% component of ddt w.r.t. p_t3x2y i.e. ext(81)$

ddt(1,81):=letop$

% component of ddt w.r.t. p_2t2x2y i.e. ext(82)$

ddt(1,82):=letop$

% component of ddt w.r.t. p_3tx2y i.e. ext(83)$

ddt(1,83):=letop$

% component of ddt w.r.t. p_4t2y i.e. ext(84)$

ddt(1,84):=letop$

% component of ddx w.r.t. t$

ddx(0,1):=0$

% component of ddx w.r.t. x$

ddx(0,2):=1$

% component of ddx w.r.t. y$

ddx(0,3):=0$

% component of ddx w.r.t. u$

ddx(0,4):=u_x$

% component of ddx w.r.t. u_t$

ddx(0,5):=u_tx$

% component of ddx w.r.t. u_x$

ddx(0,6):=u_2x$

% component of ddx w.r.t. u_y$

ddx(0,7):=u_xy$

% component of ddx w.r.t. u_2t$

ddx(0,8):=u_2tx$

% component of ddx w.r.t. u_tx$

ddx(0,9):=u_t2x$

% component of ddx w.r.t. u_2x$

ddx(0,10):=u_3x$

% component of ddx w.r.t. u_ty$

ddx(0,11):=u_txy$

% component of ddx w.r.t. u_xy$

ddx(0,12):=u_2xy$

% component of ddx w.r.t. u_3t$

ddx(0,13):=u_3tx$

% component of ddx w.r.t. u_2tx$

ddx(0,14):=u_2t2x$

% component of ddx w.r.t. u_t2x$

ddx(0,15):=u_t3x$

% component of ddx w.r.t. u_3x$

ddx(0,16):=u_4x$

% component of ddx w.r.t. u_2ty$

ddx(0,17):=u_2txy$

% component of ddx w.r.t. u_txy$

ddx(0,18):=u_t2xy$

% component of ddx w.r.t. u_2xy$

ddx(0,19):=u_3xy$

% component of ddx w.r.t. u_4t$

ddx(0,20):=u_4tx$

% component of ddx w.r.t. u_3tx$

ddx(0,21):=u_3t2x$

% component of ddx w.r.t. u_2t2x$

ddx(0,22):=u_2t3x$

% component of ddx w.r.t. u_t3x$

ddx(0,23):=u_t4x$

% component of ddx w.r.t. u_4x$

ddx(0,24):=u_5x$

% component of ddx w.r.t. u_3ty$

ddx(0,25):=u_3txy$

% component of ddx w.r.t. u_2txy$

ddx(0,26):=u_2t2xy$

% component of ddx w.r.t. u_t2xy$

ddx(0,27):=u_t3xy$

% component of ddx w.r.t. u_3xy$

ddx(0,28):=u_4xy$

% component of ddx w.r.t. u_5t$

ddx(0,29):=u_5tx$

% component of ddx w.r.t. u_4tx$

ddx(0,30):=u_4t2x$

% component of ddx w.r.t. u_3t2x$

ddx(0,31):=u_3t3x$

% component of ddx w.r.t. u_2t3x$

ddx(0,32):=u_2t4x$

% component of ddx w.r.t. u_t4x$

ddx(0,33):=u_t5x$

% component of ddx w.r.t. u_5x$

ddx(0,34):=u_6x$

% component of ddx w.r.t. u_4ty$

ddx(0,35):=u_4txy$

% component of ddx w.r.t. u_3txy$

ddx(0,36):=u_3t2xy$

% component of ddx w.r.t. u_2t2xy$

ddx(0,37):=u_2t3xy$

% component of ddx w.r.t. u_t3xy$

ddx(0,38):=u_t4xy$

% component of ddx w.r.t. u_4xy$

ddx(0,39):=u_5xy$

% component of ddx w.r.t. u_6t$

ddx(0,40):=letop$

% component of ddx w.r.t. u_5tx$

ddx(0,41):=letop$

% component of ddx w.r.t. u_4t2x$

ddx(0,42):=letop$

% component of ddx w.r.t. u_3t3x$

ddx(0,43):=letop$

% component of ddx w.r.t. u_2t4x$

ddx(0,44):=letop$

% component of ddx w.r.t. u_t5x$

ddx(0,45):=letop$

% component of ddx w.r.t. u_6x$

ddx(0,46):=letop$

% component of ddx w.r.t. u_5ty$

ddx(0,47):=letop$

% component of ddx w.r.t. u_4txy$

ddx(0,48):=letop$

% component of ddx w.r.t. u_3t2xy$

ddx(0,49):=letop$

% component of ddx w.r.t. u_2t3xy$

ddx(0,50):=letop$

% component of ddx w.r.t. u_t4xy$

ddx(0,51):=letop$

% component of ddx w.r.t. u_5xy$

ddx(0,52):=letop$

% component of ddx w.r.t. u_2y$

ddx(0,53):=u_x2y$

% component of ddx w.r.t. u_3y$

ddx(0,54):=u_x3y$

% component of ddx w.r.t. u_x2y$

ddx(0,55):=u_2x2y$

% component of ddx w.r.t. u_t2y$

ddx(0,56):=u_tx2y$

% component of ddx w.r.t. u_4y$

ddx(0,57):=u_x4y$

% component of ddx w.r.t. u_x3y$

ddx(0,58):=u_2x3y$

% component of ddx w.r.t. u_t3y$

ddx(0,59):=u_tx3y$

% component of ddx w.r.t. u_2x2y$

ddx(0,60):=u_3x2y$

% component of ddx w.r.t. u_tx2y$

ddx(0,61):=u_t2x2y$

% component of ddx w.r.t. u_2t2y$

ddx(0,62):=u_2tx2y$

% component of ddx w.r.t. u_5y$

ddx(0,63):=u_x5y$

% component of ddx w.r.t. u_x4y$

ddx(0,64):=u_2x4y$

% component of ddx w.r.t. u_t4y$

ddx(0,65):=u_tx4y$

% component of ddx w.r.t. u_2x3y$

ddx(0,66):=u_3x3y$

% component of ddx w.r.t. u_tx3y$

ddx(0,67):=u_t2x3y$

% component of ddx w.r.t. u_2t3y$

ddx(0,68):=u_2tx3y$

% component of ddx w.r.t. u_3x2y$

ddx(0,69):=u_4x2y$

% component of ddx w.r.t. u_t2x2y$

ddx(0,70):=u_t3x2y$

% component of ddx w.r.t. u_2tx2y$

ddx(0,71):=u_2t2x2y$

% component of ddx w.r.t. u_3t2y$

ddx(0,72):=u_3tx2y$

% component of ddx w.r.t. u_6y$

ddx(0,73):=letop$

% component of ddx w.r.t. u_x5y$

ddx(0,74):=letop$

% component of ddx w.r.t. u_t5y$

ddx(0,75):=letop$

% component of ddx w.r.t. u_2x4y$

ddx(0,76):=letop$

% component of ddx w.r.t. u_tx4y$

ddx(0,77):=letop$

% component of ddx w.r.t. u_2t4y$

ddx(0,78):=letop$

% component of ddx w.r.t. u_3x3y$

ddx(0,79):=letop$

% component of ddx w.r.t. u_t2x3y$

ddx(0,80):=letop$

% component of ddx w.r.t. u_2tx3y$

ddx(0,81):=letop$

% component of ddx w.r.t. u_3t3y$

ddx(0,82):=letop$

% component of ddx w.r.t. u_4x2y$

ddx(0,83):=letop$

% component of ddx w.r.t. u_t3x2y$

ddx(0,84):=letop$

% component of ddx w.r.t. u_2t2x2y$

ddx(0,85):=letop$

% component of ddx w.r.t. u_3tx2y$

ddx(0,86):=letop$

% component of ddx w.r.t. u_4t2y$

ddx(0,87):=letop$

% component of ddx w.r.t. p i.e. ext(1)$

ddx(1,1):=ext(3)$

% component of ddx w.r.t. p_t i.e. ext(2)$

ddx(1,2):=ext(6)$

% component of ddx w.r.t. p_x i.e. ext(3)$

ddx(1,3):=ext(7)$

% component of ddx w.r.t. p_y i.e. ext(4)$

ddx(1,4):=ext(9)$

% component of ddx w.r.t. p_2t i.e. ext(5)$

ddx(1,5):=ext(11)$

% component of ddx w.r.t. p_tx i.e. ext(6)$

ddx(1,6):=ext(12)$

% component of ddx w.r.t. p_2x i.e. ext(7)$

ddx(1,7):=ext(13)$

% component of ddx w.r.t. p_ty i.e. ext(8)$

ddx(1,8):=ext(15)$

% component of ddx w.r.t. p_xy i.e. ext(9)$

ddx(1,9):=ext(16)$

% component of ddx w.r.t. p_3t i.e. ext(10)$

ddx(1,10):=ext(18)$

% component of ddx w.r.t. p_2tx i.e. ext(11)$

ddx(1,11):=ext(19)$

% component of ddx w.r.t. p_t2x i.e. ext(12)$

ddx(1,12):=ext(20)$

% component of ddx w.r.t. p_3x i.e. ext(13)$

ddx(1,13):=ext(21)$

% component of ddx w.r.t. p_2ty i.e. ext(14)$

ddx(1,14):=ext(23)$

% component of ddx w.r.t. p_txy i.e. ext(15)$

ddx(1,15):=ext(24)$

% component of ddx w.r.t. p_2xy i.e. ext(16)$

ddx(1,16):=ext(25)$

% component of ddx w.r.t. p_4t i.e. ext(17)$

ddx(1,17):=ext(27)$

% component of ddx w.r.t. p_3tx i.e. ext(18)$

ddx(1,18):=ext(28)$

% component of ddx w.r.t. p_2t2x i.e. ext(19)$

ddx(1,19):=ext(29)$

% component of ddx w.r.t. p_t3x i.e. ext(20)$

ddx(1,20):=ext(30)$

% component of ddx w.r.t. p_4x i.e. ext(21)$

ddx(1,21):=ext(31)$

% component of ddx w.r.t. p_3ty i.e. ext(22)$

ddx(1,22):=ext(33)$

% component of ddx w.r.t. p_2txy i.e. ext(23)$

ddx(1,23):=ext(34)$

% component of ddx w.r.t. p_t2xy i.e. ext(24)$

ddx(1,24):=ext(35)$

% component of ddx w.r.t. p_3xy i.e. ext(25)$

ddx(1,25):=ext(36)$

% component of ddx w.r.t. p_5t i.e. ext(26)$

ddx(1,26):=ext(38)$

% component of ddx w.r.t. p_4tx i.e. ext(27)$

ddx(1,27):=ext(39)$

% component of ddx w.r.t. p_3t2x i.e. ext(28)$

ddx(1,28):=ext(40)$

% component of ddx w.r.t. p_2t3x i.e. ext(29)$

ddx(1,29):=ext(41)$

% component of ddx w.r.t. p_t4x i.e. ext(30)$

ddx(1,30):=ext(42)$

% component of ddx w.r.t. p_5x i.e. ext(31)$

ddx(1,31):=ext(43)$

% component of ddx w.r.t. p_4ty i.e. ext(32)$

ddx(1,32):=ext(45)$

% component of ddx w.r.t. p_3txy i.e. ext(33)$

ddx(1,33):=ext(46)$

% component of ddx w.r.t. p_2t2xy i.e. ext(34)$

ddx(1,34):=ext(47)$

% component of ddx w.r.t. p_t3xy i.e. ext(35)$

ddx(1,35):=ext(48)$

% component of ddx w.r.t. p_4xy i.e. ext(36)$

ddx(1,36):=ext(49)$

% component of ddx w.r.t. p_6t i.e. ext(37)$

ddx(1,37):=letop$

% component of ddx w.r.t. p_5tx i.e. ext(38)$

ddx(1,38):=letop$

% component of ddx w.r.t. p_4t2x i.e. ext(39)$

ddx(1,39):=letop$

% component of ddx w.r.t. p_3t3x i.e. ext(40)$

ddx(1,40):=letop$

% component of ddx w.r.t. p_2t4x i.e. ext(41)$

ddx(1,41):=letop$

% component of ddx w.r.t. p_t5x i.e. ext(42)$

ddx(1,42):=letop$

% component of ddx w.r.t. p_6x i.e. ext(43)$

ddx(1,43):=letop$

% component of ddx w.r.t. p_5ty i.e. ext(44)$

ddx(1,44):=letop$

% component of ddx w.r.t. p_4txy i.e. ext(45)$

ddx(1,45):=letop$

% component of ddx w.r.t. p_3t2xy i.e. ext(46)$

ddx(1,46):=letop$

% component of ddx w.r.t. p_2t3xy i.e. ext(47)$

ddx(1,47):=letop$

% component of ddx w.r.t. p_t4xy i.e. ext(48)$

ddx(1,48):=letop$

% component of ddx w.r.t. p_5xy i.e. ext(49)$

ddx(1,49):=letop$

% component of ddx w.r.t. p_2y i.e. ext(50)$

ddx(1,50):=ext(52)$

% component of ddx w.r.t. p_3y i.e. ext(51)$

ddx(1,51):=ext(55)$

% component of ddx w.r.t. p_x2y i.e. ext(52)$

ddx(1,52):=ext(57)$

% component of ddx w.r.t. p_t2y i.e. ext(53)$

ddx(1,53):=ext(58)$

% component of ddx w.r.t. p_4y i.e. ext(54)$

ddx(1,54):=ext(61)$

% component of ddx w.r.t. p_x3y i.e. ext(55)$

ddx(1,55):=ext(63)$

% component of ddx w.r.t. p_t3y i.e. ext(56)$

ddx(1,56):=ext(64)$

% component of ddx w.r.t. p_2x2y i.e. ext(57)$

ddx(1,57):=ext(66)$

% component of ddx w.r.t. p_tx2y i.e. ext(58)$

ddx(1,58):=ext(67)$

% component of ddx w.r.t. p_2t2y i.e. ext(59)$

ddx(1,59):=ext(68)$

% component of ddx w.r.t. p_5y i.e. ext(60)$

ddx(1,60):=ext(71)$

% component of ddx w.r.t. p_x4y i.e. ext(61)$

ddx(1,61):=ext(73)$

% component of ddx w.r.t. p_t4y i.e. ext(62)$

ddx(1,62):=ext(74)$

% component of ddx w.r.t. p_2x3y i.e. ext(63)$

ddx(1,63):=ext(76)$

% component of ddx w.r.t. p_tx3y i.e. ext(64)$

ddx(1,64):=ext(77)$

% component of ddx w.r.t. p_2t3y i.e. ext(65)$

ddx(1,65):=ext(78)$

% component of ddx w.r.t. p_3x2y i.e. ext(66)$

ddx(1,66):=ext(80)$

% component of ddx w.r.t. p_t2x2y i.e. ext(67)$

ddx(1,67):=ext(81)$

% component of ddx w.r.t. p_2tx2y i.e. ext(68)$

ddx(1,68):=ext(82)$

% component of ddx w.r.t. p_3t2y i.e. ext(69)$

ddx(1,69):=ext(83)$

% component of ddx w.r.t. p_6y i.e. ext(70)$

ddx(1,70):=letop$

% component of ddx w.r.t. p_x5y i.e. ext(71)$

ddx(1,71):=letop$

% component of ddx w.r.t. p_t5y i.e. ext(72)$

ddx(1,72):=letop$

% component of ddx w.r.t. p_2x4y i.e. ext(73)$

ddx(1,73):=letop$

% component of ddx w.r.t. p_tx4y i.e. ext(74)$

ddx(1,74):=letop$

% component of ddx w.r.t. p_2t4y i.e. ext(75)$

ddx(1,75):=letop$

% component of ddx w.r.t. p_3x3y i.e. ext(76)$

ddx(1,76):=letop$

% component of ddx w.r.t. p_t2x3y i.e. ext(77)$

ddx(1,77):=letop$

% component of ddx w.r.t. p_2tx3y i.e. ext(78)$

ddx(1,78):=letop$

% component of ddx w.r.t. p_3t3y i.e. ext(79)$

ddx(1,79):=letop$

% component of ddx w.r.t. p_4x2y i.e. ext(80)$

ddx(1,80):=letop$

% component of ddx w.r.t. p_t3x2y i.e. ext(81)$

ddx(1,81):=letop$

% component of ddx w.r.t. p_2t2x2y i.e. ext(82)$

ddx(1,82):=letop$

% component of ddx w.r.t. p_3tx2y i.e. ext(83)$

ddx(1,83):=letop$

% component of ddx w.r.t. p_4t2y i.e. ext(84)$

ddx(1,84):=letop$

% component of ddy w.r.t. t$

ddy(0,1):=0$

% component of ddy w.r.t. x$

ddy(0,2):=0$

% component of ddy w.r.t. y$

ddy(0,3):=1$

% component of ddy w.r.t. u$

ddy(0,4):=u_y$

% component of ddy w.r.t. u_t$

ddy(0,5):=u_ty$

% component of ddy w.r.t. u_x$

ddy(0,6):=u_xy$

% component of ddy w.r.t. u_y$

ddy(0,7):=( - 12*u*u_2x - u_4x + 12*u_tx - 12*u_x**2)/12$

% component of ddy w.r.t. u_2t$

ddy(0,8):=u_2ty$

% component of ddy w.r.t. u_tx$

ddy(0,9):=u_txy$

% component of ddy w.r.t. u_2x$

ddy(0,10):=u_2xy$

% component of ddy w.r.t. u_ty$

ddy(0,11):=( - 12*u*u_t2x + 12*u_2tx - 12*u_2x*u_t - u_t4x - 24*u_tx*u_x)/12$

% component of ddy w.r.t. u_xy$

ddy(0,12):=( - 12*u*u_3x - 36*u_2x*u_x - u_5x + 12*u_t2x)/12$

% component of ddy w.r.t. u_3t$

ddy(0,13):=u_3ty$

% component of ddy w.r.t. u_2tx$

ddy(0,14):=u_2txy$

% component of ddy w.r.t. u_t2x$

ddy(0,15):=u_t2xy$

% component of ddy w.r.t. u_3x$

ddy(0,16):=u_3xy$

% component of ddy w.r.t. u_2ty$

ddy(0,17):=( - 12*u*u_2t2x - 12*u_2t*u_2x - u_2t4x - 24*u_2tx*u_x + 12*u_3tx - 
24*u_t*u_t2x - 24*u_tx**2)/12$

% component of ddy w.r.t. u_txy$

ddy(0,18):=( - 12*u*u_t3x + 12*u_2t2x - 36*u_2x*u_tx - 12*u_3x*u_t - 36*u_t2x*
u_x - u_t5x)/12$

% component of ddy w.r.t. u_2xy$

ddy(0,19):=( - 12*u*u_4x - 36*u_2x**2 - 48*u_3x*u_x - u_6x + 12*u_t3x)/12$

% component of ddy w.r.t. u_4t$

ddy(0,20):=u_4ty$

% component of ddy w.r.t. u_3tx$

ddy(0,21):=u_3txy$

% component of ddy w.r.t. u_2t2x$

ddy(0,22):=u_2t2xy$

% component of ddy w.r.t. u_t3x$

ddy(0,23):=u_t3xy$

% component of ddy w.r.t. u_4x$

ddy(0,24):=u_4xy$

% component of ddy w.r.t. u_3ty$

ddy(0,25):=letop$

% component of ddy w.r.t. u_2txy$

ddy(0,26):=letop$

% component of ddy w.r.t. u_t2xy$

ddy(0,27):=letop$

% component of ddy w.r.t. u_3xy$

ddy(0,28):=letop$

% component of ddy w.r.t. u_5t$

ddy(0,29):=u_5ty$

% component of ddy w.r.t. u_4tx$

ddy(0,30):=u_4txy$

% component of ddy w.r.t. u_3t2x$

ddy(0,31):=u_3t2xy$

% component of ddy w.r.t. u_2t3x$

ddy(0,32):=u_2t3xy$

% component of ddy w.r.t. u_t4x$

ddy(0,33):=u_t4xy$

% component of ddy w.r.t. u_5x$

ddy(0,34):=u_5xy$

% component of ddy w.r.t. u_4ty$

ddy(0,35):=letop$

% component of ddy w.r.t. u_3txy$

ddy(0,36):=letop$

% component of ddy w.r.t. u_2t2xy$

ddy(0,37):=letop$

% component of ddy w.r.t. u_t3xy$

ddy(0,38):=letop$

% component of ddy w.r.t. u_4xy$

ddy(0,39):=letop$

% component of ddy w.r.t. u_6t$

ddy(0,40):=letop$

% component of ddy w.r.t. u_5tx$

ddy(0,41):=letop$

% component of ddy w.r.t. u_4t2x$

ddy(0,42):=letop$

% component of ddy w.r.t. u_3t3x$

ddy(0,43):=letop$

% component of ddy w.r.t. u_2t4x$

ddy(0,44):=letop$

% component of ddy w.r.t. u_t5x$

ddy(0,45):=letop$

% component of ddy w.r.t. u_6x$

ddy(0,46):=letop$

% component of ddy w.r.t. u_5ty$

ddy(0,47):=letop$

% component of ddy w.r.t. u_4txy$

ddy(0,48):=letop$

% component of ddy w.r.t. u_3t2xy$

ddy(0,49):=letop$

% component of ddy w.r.t. u_2t3xy$

ddy(0,50):=letop$

% component of ddy w.r.t. u_t4xy$

ddy(0,51):=letop$

% component of ddy w.r.t. u_5xy$

ddy(0,52):=letop$

% component of ddy w.r.t. u_2y$

ddy(0,53):=u_3y$

% component of ddy w.r.t. u_3y$

ddy(0,54):=u_4y$

% component of ddy w.r.t. u_x2y$

ddy(0,55):=u_x3y$

% component of ddy w.r.t. u_t2y$

ddy(0,56):=u_t3y$

% component of ddy w.r.t. u_4y$

ddy(0,57):=u_5y$

% component of ddy w.r.t. u_x3y$

ddy(0,58):=u_x4y$

% component of ddy w.r.t. u_t3y$

ddy(0,59):=u_t4y$

% component of ddy w.r.t. u_2x2y$

ddy(0,60):=u_2x3y$

% component of ddy w.r.t. u_tx2y$

ddy(0,61):=u_tx3y$

% component of ddy w.r.t. u_2t2y$

ddy(0,62):=u_2t3y$

% component of ddy w.r.t. u_5y$

ddy(0,63):=u_6y$

% component of ddy w.r.t. u_x4y$

ddy(0,64):=u_x5y$

% component of ddy w.r.t. u_t4y$

ddy(0,65):=u_t5y$

% component of ddy w.r.t. u_2x3y$

ddy(0,66):=u_2x4y$

% component of ddy w.r.t. u_tx3y$

ddy(0,67):=u_tx4y$

% component of ddy w.r.t. u_2t3y$

ddy(0,68):=u_2t4y$

% component of ddy w.r.t. u_3x2y$

ddy(0,69):=u_3x3y$

% component of ddy w.r.t. u_t2x2y$

ddy(0,70):=u_t2x3y$

% component of ddy w.r.t. u_2tx2y$

ddy(0,71):=u_2tx3y$

% component of ddy w.r.t. u_3t2y$

ddy(0,72):=u_3t3y$

% component of ddy w.r.t. u_6y$

ddy(0,73):=letop$

% component of ddy w.r.t. u_x5y$

ddy(0,74):=letop$

% component of ddy w.r.t. u_t5y$

ddy(0,75):=letop$

% component of ddy w.r.t. u_2x4y$

ddy(0,76):=letop$

% component of ddy w.r.t. u_tx4y$

ddy(0,77):=letop$

% component of ddy w.r.t. u_2t4y$

ddy(0,78):=letop$

% component of ddy w.r.t. u_3x3y$

ddy(0,79):=letop$

% component of ddy w.r.t. u_t2x3y$

ddy(0,80):=letop$

% component of ddy w.r.t. u_2tx3y$

ddy(0,81):=letop$

% component of ddy w.r.t. u_3t3y$

ddy(0,82):=letop$

% component of ddy w.r.t. u_4x2y$

ddy(0,83):=letop$

% component of ddy w.r.t. u_t3x2y$

ddy(0,84):=letop$

% component of ddy w.r.t. u_2t2x2y$

ddy(0,85):=letop$

% component of ddy w.r.t. u_3tx2y$

ddy(0,86):=letop$

% component of ddy w.r.t. u_4t2y$

ddy(0,87):=letop$

% component of ddy w.r.t. p i.e. ext(1)$

ddy(1,1):=ext(4)$

% component of ddy w.r.t. p_t i.e. ext(2)$

ddy(1,2):=ext(8)$

% component of ddy w.r.t. p_x i.e. ext(3)$

ddy(1,3):=ext(9)$

% component of ddy w.r.t. p_y i.e. ext(4)$

ddy(1,4):=( - ext(21) - 12*ext(7)*u + 12*ext(6))/12$

% component of ddy w.r.t. p_2t i.e. ext(5)$

ddy(1,5):=ext(14)$

% component of ddy w.r.t. p_tx i.e. ext(6)$

ddy(1,6):=ext(15)$

% component of ddy w.r.t. p_2x i.e. ext(7)$

ddy(1,7):=ext(16)$

% component of ddy w.r.t. p_ty i.e. ext(8)$

ddy(1,8):=( - ext(30) - 12*ext(12)*u + 12*ext(11) - 12*ext(7)*u_t)/12$

% component of ddy w.r.t. p_xy i.e. ext(9)$

ddy(1,9):=( - ext(31) - 12*ext(13)*u + 12*ext(12) - 12*ext(7)*u_x)/12$

% component of ddy w.r.t. p_3t i.e. ext(10)$

ddy(1,10):=ext(22)$

% component of ddy w.r.t. p_2tx i.e. ext(11)$

ddy(1,11):=ext(23)$

% component of ddy w.r.t. p_t2x i.e. ext(12)$

ddy(1,12):=ext(24)$

% component of ddy w.r.t. p_3x i.e. ext(13)$

ddy(1,13):=ext(25)$

% component of ddy w.r.t. p_2ty i.e. ext(14)$

ddy(1,14):=( - ext(41) - 12*ext(19)*u + 12*ext(18) - 24*ext(12)*u_t - 12*ext(7)*
u_2t)/12$

% component of ddy w.r.t. p_txy i.e. ext(15)$

ddy(1,15):=( - ext(42) - 12*ext(20)*u + 12*ext(19) - 12*ext(13)*u_t - 12*ext(12)
*u_x - 12*ext(7)*u_tx)/12$

% component of ddy w.r.t. p_2xy i.e. ext(16)$

ddy(1,16):=( - ext(43) - 12*ext(21)*u + 12*ext(20) - 24*ext(13)*u_x - 12*ext(7)*
u_2x)/12$

% component of ddy w.r.t. p_4t i.e. ext(17)$

ddy(1,17):=ext(32)$

% component of ddy w.r.t. p_3tx i.e. ext(18)$

ddy(1,18):=ext(33)$

% component of ddy w.r.t. p_2t2x i.e. ext(19)$

ddy(1,19):=ext(34)$

% component of ddy w.r.t. p_t3x i.e. ext(20)$

ddy(1,20):=ext(35)$

% component of ddy w.r.t. p_4x i.e. ext(21)$

ddy(1,21):=ext(36)$

% component of ddy w.r.t. p_3ty i.e. ext(22)$

ddy(1,22):=letop$

% component of ddy w.r.t. p_2txy i.e. ext(23)$

ddy(1,23):=letop$

% component of ddy w.r.t. p_t2xy i.e. ext(24)$

ddy(1,24):=letop$

% component of ddy w.r.t. p_3xy i.e. ext(25)$

ddy(1,25):=letop$

% component of ddy w.r.t. p_5t i.e. ext(26)$

ddy(1,26):=ext(44)$

% component of ddy w.r.t. p_4tx i.e. ext(27)$

ddy(1,27):=ext(45)$

% component of ddy w.r.t. p_3t2x i.e. ext(28)$

ddy(1,28):=ext(46)$

% component of ddy w.r.t. p_2t3x i.e. ext(29)$

ddy(1,29):=ext(47)$

% component of ddy w.r.t. p_t4x i.e. ext(30)$

ddy(1,30):=ext(48)$

% component of ddy w.r.t. p_5x i.e. ext(31)$

ddy(1,31):=ext(49)$

% component of ddy w.r.t. p_4ty i.e. ext(32)$

ddy(1,32):=letop$

% component of ddy w.r.t. p_3txy i.e. ext(33)$

ddy(1,33):=letop$

% component of ddy w.r.t. p_2t2xy i.e. ext(34)$

ddy(1,34):=letop$

% component of ddy w.r.t. p_t3xy i.e. ext(35)$

ddy(1,35):=letop$

% component of ddy w.r.t. p_4xy i.e. ext(36)$

ddy(1,36):=letop$

% component of ddy w.r.t. p_6t i.e. ext(37)$

ddy(1,37):=letop$

% component of ddy w.r.t. p_5tx i.e. ext(38)$

ddy(1,38):=letop$

% component of ddy w.r.t. p_4t2x i.e. ext(39)$

ddy(1,39):=letop$

% component of ddy w.r.t. p_3t3x i.e. ext(40)$

ddy(1,40):=letop$

% component of ddy w.r.t. p_2t4x i.e. ext(41)$

ddy(1,41):=letop$

% component of ddy w.r.t. p_t5x i.e. ext(42)$

ddy(1,42):=letop$

% component of ddy w.r.t. p_6x i.e. ext(43)$

ddy(1,43):=letop$

% component of ddy w.r.t. p_5ty i.e. ext(44)$

ddy(1,44):=letop$

% component of ddy w.r.t. p_4txy i.e. ext(45)$

ddy(1,45):=letop$

% component of ddy w.r.t. p_3t2xy i.e. ext(46)$

ddy(1,46):=letop$

% component of ddy w.r.t. p_2t3xy i.e. ext(47)$

ddy(1,47):=letop$

% component of ddy w.r.t. p_t4xy i.e. ext(48)$

ddy(1,48):=letop$

% component of ddy w.r.t. p_5xy i.e. ext(49)$

ddy(1,49):=letop$

% component of ddy w.r.t. p_2y i.e. ext(50)$

ddy(1,50):=ext(51)$

% component of ddy w.r.t. p_3y i.e. ext(51)$

ddy(1,51):=ext(54)$

% component of ddy w.r.t. p_x2y i.e. ext(52)$

ddy(1,52):=ext(55)$

% component of ddy w.r.t. p_t2y i.e. ext(53)$

ddy(1,53):=ext(56)$

% component of ddy w.r.t. p_4y i.e. ext(54)$

ddy(1,54):=ext(60)$

% component of ddy w.r.t. p_x3y i.e. ext(55)$

ddy(1,55):=ext(61)$

% component of ddy w.r.t. p_t3y i.e. ext(56)$

ddy(1,56):=ext(62)$

% component of ddy w.r.t. p_2x2y i.e. ext(57)$

ddy(1,57):=ext(63)$

% component of ddy w.r.t. p_tx2y i.e. ext(58)$

ddy(1,58):=ext(64)$

% component of ddy w.r.t. p_2t2y i.e. ext(59)$

ddy(1,59):=ext(65)$

% component of ddy w.r.t. p_5y i.e. ext(60)$

ddy(1,60):=ext(70)$

% component of ddy w.r.t. p_x4y i.e. ext(61)$

ddy(1,61):=ext(71)$

% component of ddy w.r.t. p_t4y i.e. ext(62)$

ddy(1,62):=ext(72)$

% component of ddy w.r.t. p_2x3y i.e. ext(63)$

ddy(1,63):=ext(73)$

% component of ddy w.r.t. p_tx3y i.e. ext(64)$

ddy(1,64):=ext(74)$

% component of ddy w.r.t. p_2t3y i.e. ext(65)$

ddy(1,65):=ext(75)$

% component of ddy w.r.t. p_3x2y i.e. ext(66)$

ddy(1,66):=ext(76)$

% component of ddy w.r.t. p_t2x2y i.e. ext(67)$

ddy(1,67):=ext(77)$

% component of ddy w.r.t. p_2tx2y i.e. ext(68)$

ddy(1,68):=ext(78)$

% component of ddy w.r.t. p_3t2y i.e. ext(69)$

ddy(1,69):=ext(79)$

% component of ddy w.r.t. p_6y i.e. ext(70)$

ddy(1,70):=letop$

% component of ddy w.r.t. p_x5y i.e. ext(71)$

ddy(1,71):=letop$

% component of ddy w.r.t. p_t5y i.e. ext(72)$

ddy(1,72):=letop$

% component of ddy w.r.t. p_2x4y i.e. ext(73)$

ddy(1,73):=letop$

% component of ddy w.r.t. p_tx4y i.e. ext(74)$

ddy(1,74):=letop$

% component of ddy w.r.t. p_2t4y i.e. ext(75)$

ddy(1,75):=letop$

% component of ddy w.r.t. p_3x3y i.e. ext(76)$

ddy(1,76):=letop$

% component of ddy w.r.t. p_t2x3y i.e. ext(77)$

ddy(1,77):=letop$

% component of ddy w.r.t. p_2tx3y i.e. ext(78)$

ddy(1,78):=letop$

% component of ddy w.r.t. p_3t3y i.e. ext(79)$

ddy(1,79):=letop$

% component of ddy w.r.t. p_4x2y i.e. ext(80)$

ddy(1,80):=letop$

% component of ddy w.r.t. p_t3x2y i.e. ext(81)$

ddy(1,81):=letop$

% component of ddy w.r.t. p_2t2x2y i.e. ext(82)$

ddy(1,82):=letop$

% component of ddy w.r.t. p_3tx2y i.e. ext(83)$

ddy(1,83):=letop$

% component of ddy w.r.t. p_4t2y i.e. ext(84)$

ddy(1,84):=letop$

;end;$
