(TeX-add-style-hook "Cde-userguide-1.0"
 (lambda ()
    (LaTeX-add-environments
     "theorem"
     "corollary"
     "lemma"
     "proposition"
     "remark"
     "definition"
     "example"
     "system")
    (LaTeX-add-bibitems
     "red"
     "gdeq"
     "getdeb"
     "noteppp"
     "ed"
     "emacswin"
     "reducewin"
     "svec"
     "integ"
     "tools"
     "redide"
     "Many"
     "BH10"
     "Dub"
     "DN"
     "DN2"
     "FN"
     "fpv"
     "KKV"
     "KKV2"
     "KerstenKrasilshchikVerbovetskyVitolo:HSGP"
     "KrVe-JGP-2011"
     "KKV-SPT-2011"
     "Kupershmidt:KP"
     "Mar"
     "NeyziNutkuSheftel:JPA:2005"
     "inside"
     "nucci1"
     "nucci2"
     "relie"
     "Olv"
     "pv"
     "sv"
     "reduce"
     "wolfcl"
     "wolfsy"
     "wbde"
     "wolfsy0"
     "crack")
    (LaTeX-add-labels
     "sec:installation-reduce"
     "sec:inst-reduce-ide"
     "sec:higher-symmetries"
     "eq:2"
     "sec:local-cons-laws"
     "sec:local-hamilt-oper"
     "sec:korteweg-de-vries"
     "sec:comp-syst-pdes"
     "eq:1"
     "eq:12"
     "sec:mult-case"
     "eq:3"
     "casimir"
     "Killing"
     "sec:non-local-hamilt"
     "sec:korteweg-de-vries-1"
     "sec:korteweg-de-vries-2"
     "sec:plebanski-equation"
     "eq:4"
     "eq:5"
     "eq:6")
    (TeX-add-symbols
     '("eprint" ["argument"] 1)
     '("enVert" ["argument"] 1)
     '("envert" ["argument"] 1)
     '("eval" ["argument"] 1)
     '("nota" 2)
     '("href" 2)
     '("ddx" 1)
     '("CDiffskew" 1)
     '("CDiffself" 1)
     '("CDiffsym" 1)
     '("sdim" 2)
     '("fd" 2)
     '("od" 2)
     '("pd" 2)
     "cprime"
     "doubell"
     "hj"
     "hd"
     "J"
     "Ji"
     "hL"
     "cC"
     "cE"
     "cL"
     "cJ"
     "g"
     "hH"
     "Eu"
     "N"
     "R"
     "Z"
     "alg"
     "id"
     "cde"
     "cdiff"
     "REDUCE"
     "reduce"
     "crack"
     "Ev"
     "EulerOperator"
     "urlprefix"
     "abs"
     "matr"
     "kappa"
     "phi")
    (TeX-run-style-hooks
     "hyperref"
     "urlcolor={red}"
     "citecolor={blue}"
     "linkcolor={blue}"
     "colorlinks"
     "pdfkeywords={}pdfsubject={}"
     "pdfauthor={R. Vitolo}"
     "pdftitle={}"
     "dvips"
     "graphicx"
     "url"
     "upref"
     "microtype"
     "mathrsfs"
     "color"
     "amsthm"
     "amssymb"
     "xspace"
     ""
     "latex2e"
     "amsart12"
     "amsart"
     "12pt")))

