
% cde state file$

% even equation:$

{u_t,v_t}={sig*v_3x + u*v_x + u_x*v,u_x + v*v_x}$

% odd equation$

{p_t,q_t}={p_x*v + q_x,p_3x*sig + p_x*u + q_x*v}$

 $

% Settings:$

 $

indep_var:={x,t}$

dep_var:={u,v}$

odd_var:={p,q}$

deg_indep_var:={-1,-2}$

deg_dep_var:={2,1}$

deg_odd_var:={1,2}$

total_order:=8$

id_tot_der:=dd$

principal_der:={u_t,v_t}$

de:={sig*v_3x + u*v_x + u_x*v,u_x + v*v_x}$

principal_odd:={p_t,q_t}$

de_odd:={p_x*v + q_x,p_3x*sig + p_x*u + q_x*v}$

 $

% Here starts the output of computations of the program.$

 $

% number of independent variables:$

n_indep_var:=2$

% all multiindexes in table format:$

all_mind_table:={{{0,0},{{1,0},{0,1}}},
{{1,0},{{2,0},{1,1}}},
{{0,1},{{1,1},{0,2}}},
{{2,0},{{3,0},{2,1}}},
{{1,1},{{2,1},{1,2}}},
{{0,2},{{1,2},{0,3}}},
{{3,0},{{4,0},{3,1}}},
{{2,1},{{3,1},{2,2}}},
{{1,2},{{2,2},{1,3}}},
{{0,3},{{1,3},{0,4}}},
{{4,0},{{5,0},{4,1}}},
{{3,1},{{4,1},{3,2}}},
{{2,2},{{3,2},{2,3}}},
{{1,3},{{2,3},{1,4}}},
{{0,4},{{1,4},{0,5}}},
{{5,0},{{6,0},{5,1}}},
{{4,1},{{5,1},{4,2}}},
{{3,2},{{4,2},{3,3}}},
{{2,3},{{3,3},{2,4}}},
{{1,4},{{2,4},{1,5}}},
{{0,5},{{1,5},{0,6}}},
{{6,0},{{7,0},{6,1}}},
{{5,1},{{6,1},{5,2}}},
{{4,2},{{5,2},{4,3}}},
{{3,3},{{4,3},{3,4}}},
{{2,4},{{3,4},{2,5}}},
{{1,5},{{2,5},{1,6}}},
{{0,6},{{1,6},{0,7}}},
{{7,0},{{8,0},{7,1}}},
{{6,1},{{7,1},{6,2}}},
{{5,2},{{6,2},{5,3}}},
{{4,3},{{5,3},{4,4}}},
{{3,4},{{4,4},{3,5}}},
{{2,5},{{3,5},{2,6}}},
{{1,6},{{2,6},{1,7}}},
{{0,7},{{1,7},{0,8}}},
{{8,0},{}},
{{7,1},{}},
{{6,2},{}},
{{5,3},{}},
{{4,4},{}},
{{3,5},{}},
{{2,6},{}},
{{1,7},{}},
{{0,8},{}}}$

% all even derivatives in multiindex notation:$

all_der_mind:={{u,{0,0}},
{v,{0,0}},
{u,{1,0}},
{v,{1,0}},
{u,{0,1}},
{v,{0,1}},
{u,{2,0}},
{v,{2,0}},
{u,{1,1}},
{v,{1,1}},
{u,{0,2}},
{v,{0,2}},
{u,{3,0}},
{v,{3,0}},
{u,{2,1}},
{v,{2,1}},
{u,{1,2}},
{v,{1,2}},
{u,{0,3}},
{v,{0,3}},
{u,{4,0}},
{v,{4,0}},
{u,{3,1}},
{v,{3,1}},
{u,{2,2}},
{v,{2,2}},
{u,{1,3}},
{v,{1,3}},
{u,{0,4}},
{v,{0,4}},
{u,{5,0}},
{v,{5,0}},
{u,{4,1}},
{v,{4,1}},
{u,{3,2}},
{v,{3,2}},
{u,{2,3}},
{v,{2,3}},
{u,{1,4}},
{v,{1,4}},
{u,{0,5}},
{v,{0,5}},
{u,{6,0}},
{v,{6,0}},
{u,{5,1}},
{v,{5,1}},
{u,{4,2}},
{v,{4,2}},
{u,{3,3}},
{v,{3,3}},
{u,{2,4}},
{v,{2,4}},
{u,{1,5}},
{v,{1,5}},
{u,{0,6}},
{v,{0,6}},
{u,{7,0}},
{v,{7,0}},
{u,{6,1}},
{v,{6,1}},
{u,{5,2}},
{v,{5,2}},
{u,{4,3}},
{v,{4,3}},
{u,{3,4}},
{v,{3,4}},
{u,{2,5}},
{v,{2,5}},
{u,{1,6}},
{v,{1,6}},
{u,{0,7}},
{v,{0,7}},
{u,{8,0}},
{v,{8,0}},
{u,{7,1}},
{v,{7,1}},
{u,{6,2}},
{v,{6,2}},
{u,{5,3}},
{v,{5,3}},
{u,{4,4}},
{v,{4,4}},
{u,{3,5}},
{v,{3,5}},
{u,{2,6}},
{v,{2,6}},
{u,{1,7}},
{v,{1,7}},
{u,{0,8}},
{v,{0,8}}}$

% all odd derivatives in multiindex notation:$

all_odd_mind:={{p,{0,0}},
{q,{0,0}},
{p,{1,0}},
{q,{1,0}},
{p,{0,1}},
{q,{0,1}},
{p,{2,0}},
{q,{2,0}},
{p,{1,1}},
{q,{1,1}},
{p,{0,2}},
{q,{0,2}},
{p,{3,0}},
{q,{3,0}},
{p,{2,1}},
{q,{2,1}},
{p,{1,2}},
{q,{1,2}},
{p,{0,3}},
{q,{0,3}},
{p,{4,0}},
{q,{4,0}},
{p,{3,1}},
{q,{3,1}},
{p,{2,2}},
{q,{2,2}},
{p,{1,3}},
{q,{1,3}},
{p,{0,4}},
{q,{0,4}},
{p,{5,0}},
{q,{5,0}},
{p,{4,1}},
{q,{4,1}},
{p,{3,2}},
{q,{3,2}},
{p,{2,3}},
{q,{2,3}},
{p,{1,4}},
{q,{1,4}},
{p,{0,5}},
{q,{0,5}},
{p,{6,0}},
{q,{6,0}},
{p,{5,1}},
{q,{5,1}},
{p,{4,2}},
{q,{4,2}},
{p,{3,3}},
{q,{3,3}},
{p,{2,4}},
{q,{2,4}},
{p,{1,5}},
{q,{1,5}},
{p,{0,6}},
{q,{0,6}},
{p,{7,0}},
{q,{7,0}},
{p,{6,1}},
{q,{6,1}},
{p,{5,2}},
{q,{5,2}},
{p,{4,3}},
{q,{4,3}},
{p,{3,4}},
{q,{3,4}},
{p,{2,5}},
{q,{2,5}},
{p,{1,6}},
{q,{1,6}},
{p,{0,7}},
{q,{0,7}},
{p,{8,0}},
{q,{8,0}},
{p,{7,1}},
{q,{7,1}},
{p,{6,2}},
{q,{6,2}},
{p,{5,3}},
{q,{5,3}},
{p,{4,4}},
{q,{4,4}},
{p,{3,5}},
{q,{3,5}},
{p,{2,6}},
{q,{2,6}},
{p,{1,7}},
{q,{1,7}},
{p,{0,8}},
{q,{0,8}}}$

% all even derivatives in identifier notation:$

all_der_id:={u,
v,
u_x,
v_x,
u_t,
v_t,
u_2x,
v_2x,
u_xt,
v_xt,
u_2t,
v_2t,
u_3x,
v_3x,
u_2xt,
v_2xt,
u_x2t,
v_x2t,
u_3t,
v_3t,
u_4x,
v_4x,
u_3xt,
v_3xt,
u_2x2t,
v_2x2t,
u_x3t,
v_x3t,
u_4t,
v_4t,
u_5x,
v_5x,
u_4xt,
v_4xt,
u_3x2t,
v_3x2t,
u_2x3t,
v_2x3t,
u_x4t,
v_x4t,
u_5t,
v_5t,
u_6x,
v_6x,
u_5xt,
v_5xt,
u_4x2t,
v_4x2t,
u_3x3t,
v_3x3t,
u_2x4t,
v_2x4t,
u_x5t,
v_x5t,
u_6t,
v_6t,
u_7x,
v_7x,
u_6xt,
v_6xt,
u_5x2t,
v_5x2t,
u_4x3t,
v_4x3t,
u_3x4t,
v_3x4t,
u_2x5t,
v_2x5t,
u_x6t,
v_x6t,
u_7t,
v_7t,
u_8x,
v_8x,
u_7xt,
v_7xt,
u_6x2t,
v_6x2t,
u_5x3t,
v_5x3t,
u_4x4t,
v_4x4t,
u_3x5t,
v_3x5t,
u_2x6t,
v_2x6t,
u_x7t,
v_x7t,
u_8t,
v_8t}$

% all odd derivatives in identifier notation:$

all_odd_id:={p,
q,
p_x,
q_x,
p_t,
q_t,
p_2x,
q_2x,
p_xt,
q_xt,
p_2t,
q_2t,
p_3x,
q_3x,
p_2xt,
q_2xt,
p_x2t,
q_x2t,
p_3t,
q_3t,
p_4x,
q_4x,
p_3xt,
q_3xt,
p_2x2t,
q_2x2t,
p_x3t,
q_x3t,
p_4t,
q_4t,
p_5x,
q_5x,
p_4xt,
q_4xt,
p_3x2t,
q_3x2t,
p_2x3t,
q_2x3t,
p_x4t,
q_x4t,
p_5t,
q_5t,
p_6x,
q_6x,
p_5xt,
q_5xt,
p_4x2t,
q_4x2t,
p_3x3t,
q_3x3t,
p_2x4t,
q_2x4t,
p_x5t,
q_x5t,
p_6t,
q_6t,
p_7x,
q_7x,
p_6xt,
q_6xt,
p_5x2t,
q_5x2t,
p_4x3t,
q_4x3t,
p_3x4t,
q_3x4t,
p_2x5t,
q_2x5t,
p_x6t,
q_x6t,
p_7t,
q_7t,
p_8x,
q_8x,
p_7xt,
q_7xt,
p_6x2t,
q_6x2t,
p_5x3t,
q_5x3t,
p_4x4t,
q_4x4t,
p_3x5t,
q_3x5t,
p_2x6t,
q_2x6t,
p_x7t,
q_x7t,
p_8t,
q_8t}$

% all ext symbols:$

all_ext:={ext(1),
ext(2),
ext(3),
ext(4),
ext(5),
ext(6),
ext(7),
ext(8),
ext(9),
ext(10),
ext(11),
ext(12),
ext(13),
ext(14),
ext(15),
ext(16),
ext(17),
ext(18),
ext(19),
ext(20),
ext(21),
ext(22),
ext(23),
ext(24),
ext(25),
ext(26),
ext(27),
ext(28),
ext(29),
ext(30),
ext(31),
ext(32),
ext(33),
ext(34),
ext(35),
ext(36),
ext(37),
ext(38),
ext(39),
ext(40),
ext(41),
ext(42),
ext(43),
ext(44),
ext(45),
ext(46),
ext(47),
ext(48),
ext(49),
ext(50),
ext(51),
ext(52),
ext(53),
ext(54),
ext(55),
ext(56),
ext(57),
ext(58),
ext(59),
ext(60),
ext(61),
ext(62),
ext(63),
ext(64),
ext(65),
ext(66),
ext(67),
ext(68),
ext(69),
ext(70),
ext(71),
ext(72),
ext(73),
ext(74),
ext(75),
ext(76),
ext(77),
ext(78),
ext(79),
ext(80),
ext(81),
ext(82),
ext(83),
ext(84),
ext(85),
ext(86),
ext(87),
ext(88),
ext(89),
ext(90)}$

% alist of even derivative coordinates:$

i2m_jetspace:={{u,{u,{0,0}}},
{v,{v,{0,0}}},
{u_x,{u,{1,0}}},
{v_x,{v,{1,0}}},
{u_t,{u,{0,1}}},
{v_t,{v,{0,1}}},
{u_2x,{u,{2,0}}},
{v_2x,{v,{2,0}}},
{u_xt,{u,{1,1}}},
{v_xt,{v,{1,1}}},
{u_2t,{u,{0,2}}},
{v_2t,{v,{0,2}}},
{u_3x,{u,{3,0}}},
{v_3x,{v,{3,0}}},
{u_2xt,{u,{2,1}}},
{v_2xt,{v,{2,1}}},
{u_x2t,{u,{1,2}}},
{v_x2t,{v,{1,2}}},
{u_3t,{u,{0,3}}},
{v_3t,{v,{0,3}}},
{u_4x,{u,{4,0}}},
{v_4x,{v,{4,0}}},
{u_3xt,{u,{3,1}}},
{v_3xt,{v,{3,1}}},
{u_2x2t,{u,{2,2}}},
{v_2x2t,{v,{2,2}}},
{u_x3t,{u,{1,3}}},
{v_x3t,{v,{1,3}}},
{u_4t,{u,{0,4}}},
{v_4t,{v,{0,4}}},
{u_5x,{u,{5,0}}},
{v_5x,{v,{5,0}}},
{u_4xt,{u,{4,1}}},
{v_4xt,{v,{4,1}}},
{u_3x2t,{u,{3,2}}},
{v_3x2t,{v,{3,2}}},
{u_2x3t,{u,{2,3}}},
{v_2x3t,{v,{2,3}}},
{u_x4t,{u,{1,4}}},
{v_x4t,{v,{1,4}}},
{u_5t,{u,{0,5}}},
{v_5t,{v,{0,5}}},
{u_6x,{u,{6,0}}},
{v_6x,{v,{6,0}}},
{u_5xt,{u,{5,1}}},
{v_5xt,{v,{5,1}}},
{u_4x2t,{u,{4,2}}},
{v_4x2t,{v,{4,2}}},
{u_3x3t,{u,{3,3}}},
{v_3x3t,{v,{3,3}}},
{u_2x4t,{u,{2,4}}},
{v_2x4t,{v,{2,4}}},
{u_x5t,{u,{1,5}}},
{v_x5t,{v,{1,5}}},
{u_6t,{u,{0,6}}},
{v_6t,{v,{0,6}}},
{u_7x,{u,{7,0}}},
{v_7x,{v,{7,0}}},
{u_6xt,{u,{6,1}}},
{v_6xt,{v,{6,1}}},
{u_5x2t,{u,{5,2}}},
{v_5x2t,{v,{5,2}}},
{u_4x3t,{u,{4,3}}},
{v_4x3t,{v,{4,3}}},
{u_3x4t,{u,{3,4}}},
{v_3x4t,{v,{3,4}}},
{u_2x5t,{u,{2,5}}},
{v_2x5t,{v,{2,5}}},
{u_x6t,{u,{1,6}}},
{v_x6t,{v,{1,6}}},
{u_7t,{u,{0,7}}},
{v_7t,{v,{0,7}}},
{u_8x,{u,{8,0}}},
{v_8x,{v,{8,0}}},
{u_7xt,{u,{7,1}}},
{v_7xt,{v,{7,1}}},
{u_6x2t,{u,{6,2}}},
{v_6x2t,{v,{6,2}}},
{u_5x3t,{u,{5,3}}},
{v_5x3t,{v,{5,3}}},
{u_4x4t,{u,{4,4}}},
{v_4x4t,{v,{4,4}}},
{u_3x5t,{u,{3,5}}},
{v_3x5t,{v,{3,5}}},
{u_2x6t,{u,{2,6}}},
{v_2x6t,{v,{2,6}}},
{u_x7t,{u,{1,7}}},
{v_x7t,{v,{1,7}}},
{u_8t,{u,{0,8}}},
{v_8t,{v,{0,8}}}}$

% alist of odd derivative coordinates:$

i2m_jetspace_odd:={{p,{p,{0,0}}},
{q,{q,{0,0}}},
{p_x,{p,{1,0}}},
{q_x,{q,{1,0}}},
{p_t,{p,{0,1}}},
{q_t,{q,{0,1}}},
{p_2x,{p,{2,0}}},
{q_2x,{q,{2,0}}},
{p_xt,{p,{1,1}}},
{q_xt,{q,{1,1}}},
{p_2t,{p,{0,2}}},
{q_2t,{q,{0,2}}},
{p_3x,{p,{3,0}}},
{q_3x,{q,{3,0}}},
{p_2xt,{p,{2,1}}},
{q_2xt,{q,{2,1}}},
{p_x2t,{p,{1,2}}},
{q_x2t,{q,{1,2}}},
{p_3t,{p,{0,3}}},
{q_3t,{q,{0,3}}},
{p_4x,{p,{4,0}}},
{q_4x,{q,{4,0}}},
{p_3xt,{p,{3,1}}},
{q_3xt,{q,{3,1}}},
{p_2x2t,{p,{2,2}}},
{q_2x2t,{q,{2,2}}},
{p_x3t,{p,{1,3}}},
{q_x3t,{q,{1,3}}},
{p_4t,{p,{0,4}}},
{q_4t,{q,{0,4}}},
{p_5x,{p,{5,0}}},
{q_5x,{q,{5,0}}},
{p_4xt,{p,{4,1}}},
{q_4xt,{q,{4,1}}},
{p_3x2t,{p,{3,2}}},
{q_3x2t,{q,{3,2}}},
{p_2x3t,{p,{2,3}}},
{q_2x3t,{q,{2,3}}},
{p_x4t,{p,{1,4}}},
{q_x4t,{q,{1,4}}},
{p_5t,{p,{0,5}}},
{q_5t,{q,{0,5}}},
{p_6x,{p,{6,0}}},
{q_6x,{q,{6,0}}},
{p_5xt,{p,{5,1}}},
{q_5xt,{q,{5,1}}},
{p_4x2t,{p,{4,2}}},
{q_4x2t,{q,{4,2}}},
{p_3x3t,{p,{3,3}}},
{q_3x3t,{q,{3,3}}},
{p_2x4t,{p,{2,4}}},
{q_2x4t,{q,{2,4}}},
{p_x5t,{p,{1,5}}},
{q_x5t,{q,{1,5}}},
{p_6t,{p,{0,6}}},
{q_6t,{q,{0,6}}},
{p_7x,{p,{7,0}}},
{q_7x,{q,{7,0}}},
{p_6xt,{p,{6,1}}},
{q_6xt,{q,{6,1}}},
{p_5x2t,{p,{5,2}}},
{q_5x2t,{q,{5,2}}},
{p_4x3t,{p,{4,3}}},
{q_4x3t,{q,{4,3}}},
{p_3x4t,{p,{3,4}}},
{q_3x4t,{q,{3,4}}},
{p_2x5t,{p,{2,5}}},
{q_2x5t,{q,{2,5}}},
{p_x6t,{p,{1,6}}},
{q_x6t,{q,{1,6}}},
{p_7t,{p,{0,7}}},
{q_7t,{q,{0,7}}},
{p_8x,{p,{8,0}}},
{q_8x,{q,{8,0}}},
{p_7xt,{p,{7,1}}},
{q_7xt,{q,{7,1}}},
{p_6x2t,{p,{6,2}}},
{q_6x2t,{q,{6,2}}},
{p_5x3t,{p,{5,3}}},
{q_5x3t,{q,{5,3}}},
{p_4x4t,{p,{4,4}}},
{q_4x4t,{q,{4,4}}},
{p_3x5t,{p,{3,5}}},
{q_3x5t,{q,{3,5}}},
{p_2x6t,{p,{2,6}}},
{q_2x6t,{q,{2,6}}},
{p_x7t,{p,{1,7}}},
{q_x7t,{q,{1,7}}},
{p_8t,{p,{0,8}}},
{q_8t,{q,{0,8}}}}$

% alist of even derivative coordinates - order of derivative:$

i2o_jetspace:={{u,0},
{v,0},
{u_x,1},
{v_x,1},
{u_t,1},
{v_t,1},
{u_2x,2},
{v_2x,2},
{u_xt,2},
{v_xt,2},
{u_2t,2},
{v_2t,2},
{u_3x,3},
{v_3x,3},
{u_2xt,3},
{v_2xt,3},
{u_x2t,3},
{v_x2t,3},
{u_3t,3},
{v_3t,3},
{u_4x,4},
{v_4x,4},
{u_3xt,4},
{v_3xt,4},
{u_2x2t,4},
{v_2x2t,4},
{u_x3t,4},
{v_x3t,4},
{u_4t,4},
{v_4t,4},
{u_5x,5},
{v_5x,5},
{u_4xt,5},
{v_4xt,5},
{u_3x2t,5},
{v_3x2t,5},
{u_2x3t,5},
{v_2x3t,5},
{u_x4t,5},
{v_x4t,5},
{u_5t,5},
{v_5t,5},
{u_6x,6},
{v_6x,6},
{u_5xt,6},
{v_5xt,6},
{u_4x2t,6},
{v_4x2t,6},
{u_3x3t,6},
{v_3x3t,6},
{u_2x4t,6},
{v_2x4t,6},
{u_x5t,6},
{v_x5t,6},
{u_6t,6},
{v_6t,6},
{u_7x,7},
{v_7x,7},
{u_6xt,7},
{v_6xt,7},
{u_5x2t,7},
{v_5x2t,7},
{u_4x3t,7},
{v_4x3t,7},
{u_3x4t,7},
{v_3x4t,7},
{u_2x5t,7},
{v_2x5t,7},
{u_x6t,7},
{v_x6t,7},
{u_7t,7},
{v_7t,7},
{u_8x,8},
{v_8x,8},
{u_7xt,8},
{v_7xt,8},
{u_6x2t,8},
{v_6x2t,8},
{u_5x3t,8},
{v_5x3t,8},
{u_4x4t,8},
{v_4x4t,8},
{u_3x5t,8},
{v_3x5t,8},
{u_2x6t,8},
{v_2x6t,8},
{u_x7t,8},
{v_x7t,8},
{u_8t,8},
{v_8t,8}}$

% alist of odd derivative coordinates - order of derivative:$

i2o_jetspace_odd:={{p,0},
{q,0},
{p_x,1},
{q_x,1},
{p_t,1},
{q_t,1},
{p_2x,2},
{q_2x,2},
{p_xt,2},
{q_xt,2},
{p_2t,2},
{q_2t,2},
{p_3x,3},
{q_3x,3},
{p_2xt,3},
{q_2xt,3},
{p_x2t,3},
{q_x2t,3},
{p_3t,3},
{q_3t,3},
{p_4x,4},
{q_4x,4},
{p_3xt,4},
{q_3xt,4},
{p_2x2t,4},
{q_2x2t,4},
{p_x3t,4},
{q_x3t,4},
{p_4t,4},
{q_4t,4},
{p_5x,5},
{q_5x,5},
{p_4xt,5},
{q_4xt,5},
{p_3x2t,5},
{q_3x2t,5},
{p_2x3t,5},
{q_2x3t,5},
{p_x4t,5},
{q_x4t,5},
{p_5t,5},
{q_5t,5},
{p_6x,6},
{q_6x,6},
{p_5xt,6},
{q_5xt,6},
{p_4x2t,6},
{q_4x2t,6},
{p_3x3t,6},
{q_3x3t,6},
{p_2x4t,6},
{q_2x4t,6},
{p_x5t,6},
{q_x5t,6},
{p_6t,6},
{q_6t,6},
{p_7x,7},
{q_7x,7},
{p_6xt,7},
{q_6xt,7},
{p_5x2t,7},
{q_5x2t,7},
{p_4x3t,7},
{q_4x3t,7},
{p_3x4t,7},
{q_3x4t,7},
{p_2x5t,7},
{q_2x5t,7},
{p_x6t,7},
{q_x6t,7},
{p_7t,7},
{q_7t,7},
{p_8x,8},
{q_8x,8},
{p_7xt,8},
{q_7xt,8},
{p_6x2t,8},
{q_6x2t,8},
{p_5x3t,8},
{q_5x3t,8},
{p_4x4t,8},
{q_4x4t,8},
{p_3x5t,8},
{q_3x5t,8},
{p_2x6t,8},
{q_2x6t,8},
{p_x7t,8},
{q_x7t,8},
{p_8t,8},
{q_8t,8}}$

% list of even principal derivatives:$

all_principal_der:={u_t,
v_t,
u_2t,
u_xt,
v_2t,
v_xt,
u_3t,
u_x2t,
u_2xt,
v_3t,
v_x2t,
v_2xt,
u_4t,
u_x3t,
u_2x2t,
u_3xt,
v_4t,
v_x3t,
v_2x2t,
v_3xt,
u_5t,
u_x4t,
u_2x3t,
u_3x2t,
u_4xt,
v_5t,
v_x4t,
v_2x3t,
v_3x2t,
v_4xt,
u_6t,
u_x5t,
u_2x4t,
u_3x3t,
u_4x2t,
u_5xt,
v_6t,
v_x5t,
v_2x4t,
v_3x3t,
v_4x2t,
v_5xt,
u_7t,
u_x6t,
u_2x5t,
u_3x4t,
u_4x3t,
u_5x2t,
u_6xt,
v_7t,
v_x6t,
v_2x5t,
v_3x4t,
v_4x3t,
v_5x2t,
v_6xt,
u_8t,
u_x7t,
u_2x6t,
u_3x5t,
u_4x4t,
u_5x3t,
u_6x2t,
u_7xt,
v_8t,
v_x7t,
v_2x6t,
v_3x5t,
v_4x4t,
v_5x3t,
v_6x2t,
v_7xt}$

% list of even parametric derivatives:$

all_parametric_der:={u,
v,
u_x,
v_x,
u_2x,
v_2x,
u_3x,
v_3x,
u_4x,
v_4x,
u_5x,
v_5x,
u_6x,
v_6x,
u_7x,
v_7x,
u_8x,
v_8x}$

% list of odd principal derivatives:$

all_principal_odd:={p_t,
q_t,
p_2t,
p_xt,
q_2t,
q_xt,
p_3t,
p_x2t,
p_2xt,
q_3t,
q_x2t,
q_2xt,
p_4t,
p_x3t,
p_2x2t,
p_3xt,
q_4t,
q_x3t,
q_2x2t,
q_3xt,
p_5t,
p_x4t,
p_2x3t,
p_3x2t,
p_4xt,
q_5t,
q_x4t,
q_2x3t,
q_3x2t,
q_4xt,
p_6t,
p_x5t,
p_2x4t,
p_3x3t,
p_4x2t,
p_5xt,
q_6t,
q_x5t,
q_2x4t,
q_3x3t,
q_4x2t,
q_5xt,
p_7t,
p_x6t,
p_2x5t,
p_3x4t,
p_4x3t,
p_5x2t,
p_6xt,
q_7t,
q_x6t,
q_2x5t,
q_3x4t,
q_4x3t,
q_5x2t,
q_6xt,
p_8t,
p_x7t,
p_2x6t,
p_3x5t,
p_4x4t,
p_5x3t,
p_6x2t,
p_7xt,
q_8t,
q_x7t,
q_2x6t,
q_3x5t,
q_4x4t,
q_5x3t,
q_6x2t,
q_7xt}$

% list of odd parametric derivatives:$

all_parametric_odd:={p,
q,
p_x,
q_x,
p_2x,
q_2x,
p_3x,
q_3x,
p_4x,
q_4x,
p_5x,
q_5x,
p_6x,
q_6x,
p_7x,
q_7x,
p_8x,
q_8x}$

% list of ext principal derivatives:$

all_principal_ext:={ext(19),
ext(20),
ext(21),
ext(22),
ext(23),
ext(24),
ext(25),
ext(26),
ext(27),
ext(28),
ext(29),
ext(30),
ext(31),
ext(32),
ext(33),
ext(34),
ext(35),
ext(36),
ext(37),
ext(38),
ext(39),
ext(40),
ext(41),
ext(42),
ext(43),
ext(44),
ext(45),
ext(46),
ext(47),
ext(48),
ext(49),
ext(50),
ext(51),
ext(52),
ext(53),
ext(54),
ext(55),
ext(56),
ext(57),
ext(58),
ext(59),
ext(60),
ext(61),
ext(62),
ext(63),
ext(64),
ext(65),
ext(66),
ext(67),
ext(68),
ext(69),
ext(70),
ext(71),
ext(72),
ext(73),
ext(74),
ext(75),
ext(76),
ext(77),
ext(78),
ext(79),
ext(80),
ext(81),
ext(82),
ext(83),
ext(84),
ext(85),
ext(86),
ext(87),
ext(88),
ext(89),
ext(90)}$

% list of ext parametric derivatives:$

all_parametric_ext:={ext(1),
ext(2),
ext(3),
ext(4),
ext(5),
ext(6),
ext(7),
ext(8),
ext(9),
ext(10),
ext(11),
ext(12),
ext(13),
ext(14),
ext(15),
ext(16),
ext(17),
ext(18)}$

% alist of odd derivatives - ext symbols:$

o2e_jetspace:={{p,ext(1)},
{q,ext(2)},
{p_x,ext(3)},
{q_x,ext(4)},
{p_2x,ext(5)},
{q_2x,ext(6)},
{p_3x,ext(7)},
{q_3x,ext(8)},
{p_4x,ext(9)},
{q_4x,ext(10)},
{p_5x,ext(11)},
{q_5x,ext(12)},
{p_6x,ext(13)},
{q_6x,ext(14)},
{p_7x,ext(15)},
{q_7x,ext(16)},
{p_8x,ext(17)},
{q_8x,ext(18)},
{p_t,ext(19)},
{q_t,ext(20)},
{p_2t,ext(21)},
{p_xt,ext(22)},
{q_2t,ext(23)},
{q_xt,ext(24)},
{p_3t,ext(25)},
{p_x2t,ext(26)},
{p_2xt,ext(27)},
{q_3t,ext(28)},
{q_x2t,ext(29)},
{q_2xt,ext(30)},
{p_4t,ext(31)},
{p_x3t,ext(32)},
{p_2x2t,ext(33)},
{p_3xt,ext(34)},
{q_4t,ext(35)},
{q_x3t,ext(36)},
{q_2x2t,ext(37)},
{q_3xt,ext(38)},
{p_5t,ext(39)},
{p_x4t,ext(40)},
{p_2x3t,ext(41)},
{p_3x2t,ext(42)},
{p_4xt,ext(43)},
{q_5t,ext(44)},
{q_x4t,ext(45)},
{q_2x3t,ext(46)},
{q_3x2t,ext(47)},
{q_4xt,ext(48)},
{p_6t,ext(49)},
{p_x5t,ext(50)},
{p_2x4t,ext(51)},
{p_3x3t,ext(52)},
{p_4x2t,ext(53)},
{p_5xt,ext(54)},
{q_6t,ext(55)},
{q_x5t,ext(56)},
{q_2x4t,ext(57)},
{q_3x3t,ext(58)},
{q_4x2t,ext(59)},
{q_5xt,ext(60)},
{p_7t,ext(61)},
{p_x6t,ext(62)},
{p_2x5t,ext(63)},
{p_3x4t,ext(64)},
{p_4x3t,ext(65)},
{p_5x2t,ext(66)},
{p_6xt,ext(67)},
{q_7t,ext(68)},
{q_x6t,ext(69)},
{q_2x5t,ext(70)},
{q_3x4t,ext(71)},
{q_4x3t,ext(72)},
{q_5x2t,ext(73)},
{q_6xt,ext(74)},
{p_8t,ext(75)},
{p_x7t,ext(76)},
{p_2x6t,ext(77)},
{p_3x5t,ext(78)},
{p_4x4t,ext(79)},
{p_5x3t,ext(80)},
{p_6x2t,ext(81)},
{p_7xt,ext(82)},
{q_8t,ext(83)},
{q_x7t,ext(84)},
{q_2x6t,ext(85)},
{q_3x5t,ext(86)},
{q_4x4t,ext(87)},
{q_5x3t,ext(88)},
{q_6x2t,ext(89)},
{q_7xt,ext(90)}}$

% set of rules to replace odd ders with ext symbols:$

repoddext:={p=ext(1),
q=ext(2),
p_x=ext(3),
q_x=ext(4),
p_2x=ext(5),
q_2x=ext(6),
p_3x=ext(7),
q_3x=ext(8),
p_4x=ext(9),
q_4x=ext(10),
p_5x=ext(11),
q_5x=ext(12),
p_6x=ext(13),
q_6x=ext(14),
p_7x=ext(15),
q_7x=ext(16),
p_8x=ext(17),
q_8x=ext(18),
p_t=ext(19),
q_t=ext(20),
p_2t=ext(21),
p_xt=ext(22),
q_2t=ext(23),
q_xt=ext(24),
p_3t=ext(25),
p_x2t=ext(26),
p_2xt=ext(27),
q_3t=ext(28),
q_x2t=ext(29),
q_2xt=ext(30),
p_4t=ext(31),
p_x3t=ext(32),
p_2x2t=ext(33),
p_3xt=ext(34),
q_4t=ext(35),
q_x3t=ext(36),
q_2x2t=ext(37),
q_3xt=ext(38),
p_5t=ext(39),
p_x4t=ext(40),
p_2x3t=ext(41),
p_3x2t=ext(42),
p_4xt=ext(43),
q_5t=ext(44),
q_x4t=ext(45),
q_2x3t=ext(46),
q_3x2t=ext(47),
q_4xt=ext(48),
p_6t=ext(49),
p_x5t=ext(50),
p_2x4t=ext(51),
p_3x3t=ext(52),
p_4x2t=ext(53),
p_5xt=ext(54),
q_6t=ext(55),
q_x5t=ext(56),
q_2x4t=ext(57),
q_3x3t=ext(58),
q_4x2t=ext(59),
q_5xt=ext(60),
p_7t=ext(61),
p_x6t=ext(62),
p_2x5t=ext(63),
p_3x4t=ext(64),
p_4x3t=ext(65),
p_5x2t=ext(66),
p_6xt=ext(67),
q_7t=ext(68),
q_x6t=ext(69),
q_2x5t=ext(70),
q_3x4t=ext(71),
q_4x3t=ext(72),
q_5x2t=ext(73),
q_6xt=ext(74),
p_8t=ext(75),
p_x7t=ext(76),
p_2x6t=ext(77),
p_3x5t=ext(78),
p_4x4t=ext(79),
p_5x3t=ext(80),
p_6x2t=ext(81),
p_7xt=ext(82),
q_8t=ext(83),
q_x7t=ext(84),
q_2x6t=ext(85),
q_3x5t=ext(86),
q_4x4t=ext(87),
q_5x3t=ext(88),
q_6x2t=ext(89),
q_7xt=ext(90)}$

% set of rules to replace ext symbols with odd ders:$

repextodd:={ext(1)=p,
ext(2)=q,
ext(3)=p_x,
ext(4)=q_x,
ext(5)=p_2x,
ext(6)=q_2x,
ext(7)=p_3x,
ext(8)=q_3x,
ext(9)=p_4x,
ext(10)=q_4x,
ext(11)=p_5x,
ext(12)=q_5x,
ext(13)=p_6x,
ext(14)=q_6x,
ext(15)=p_7x,
ext(16)=q_7x,
ext(17)=p_8x,
ext(18)=q_8x,
ext(19)=p_t,
ext(20)=q_t,
ext(21)=p_2t,
ext(22)=p_xt,
ext(23)=q_2t,
ext(24)=q_xt,
ext(25)=p_3t,
ext(26)=p_x2t,
ext(27)=p_2xt,
ext(28)=q_3t,
ext(29)=q_x2t,
ext(30)=q_2xt,
ext(31)=p_4t,
ext(32)=p_x3t,
ext(33)=p_2x2t,
ext(34)=p_3xt,
ext(35)=q_4t,
ext(36)=q_x3t,
ext(37)=q_2x2t,
ext(38)=q_3xt,
ext(39)=p_5t,
ext(40)=p_x4t,
ext(41)=p_2x3t,
ext(42)=p_3x2t,
ext(43)=p_4xt,
ext(44)=q_5t,
ext(45)=q_x4t,
ext(46)=q_2x3t,
ext(47)=q_3x2t,
ext(48)=q_4xt,
ext(49)=p_6t,
ext(50)=p_x5t,
ext(51)=p_2x4t,
ext(52)=p_3x3t,
ext(53)=p_4x2t,
ext(54)=p_5xt,
ext(55)=q_6t,
ext(56)=q_x5t,
ext(57)=q_2x4t,
ext(58)=q_3x3t,
ext(59)=q_4x2t,
ext(60)=q_5xt,
ext(61)=p_7t,
ext(62)=p_x6t,
ext(63)=p_2x5t,
ext(64)=p_3x4t,
ext(65)=p_4x3t,
ext(66)=p_5x2t,
ext(67)=p_6xt,
ext(68)=q_7t,
ext(69)=q_x6t,
ext(70)=q_2x5t,
ext(71)=q_3x4t,
ext(72)=q_4x3t,
ext(73)=q_5x2t,
ext(74)=q_6xt,
ext(75)=p_8t,
ext(76)=p_x7t,
ext(77)=p_2x6t,
ext(78)=p_3x5t,
ext(79)=p_4x4t,
ext(80)=p_5x3t,
ext(81)=p_6x2t,
ext(82)=p_7xt,
ext(83)=q_8t,
ext(84)=q_x7t,
ext(85)=q_2x6t,
ext(86)=q_3x5t,
ext(87)=q_4x4t,
ext(88)=q_5x3t,
ext(89)=q_6x2t,
ext(90)=q_7xt}$

% set of identifiers for total derivatives:$

tot_der:={ddx,ddt}$

% set up the auxiliary variable `letop'$

for each el in indep_var do depend letop,el;$

% Characterization of primary differential consequences:$

primary_diffcon_tot:={{{ddt,0,3,u_t},
{ddt,0,4,v_t},
{ddt,0,5,u_xt},
{ddt,0,6,v_xt},
{ddt,0,7,u_2xt},
{ddt,0,8,v_2xt},
{ddt,0,9,u_3xt},
{ddt,0,10,v_3xt},
{ddt,0,11,u_4xt},
{ddt,0,12,v_4xt},
{ddt,0,13,u_5xt},
{ddt,0,14,v_5xt},
{ddt,0,15,u_6xt},
{ddt,0,16,v_6xt},
{ddt,0,17,u_7xt},
{ddt,0,18,v_7xt}},
{{ddt,1,1,p_t},
{ddt,1,2,q_t},
{ddt,1,3,p_xt},
{ddt,1,4,q_xt},
{ddt,1,5,p_2xt},
{ddt,1,6,q_2xt},
{ddt,1,7,p_3xt},
{ddt,1,8,q_3xt},
{ddt,1,9,p_4xt},
{ddt,1,10,q_4xt},
{ddt,1,11,p_5xt},
{ddt,1,12,q_5xt},
{ddt,1,13,p_6xt},
{ddt,1,14,q_6xt},
{ddt,1,15,p_7xt},
{ddt,1,16,q_7xt}}}$

primary_diffcon_der:={u_xt,
v_xt,
u_2xt,
v_2xt,
u_3xt,
v_3xt,
u_4xt,
v_4xt,
u_5xt,
v_5xt,
u_6xt,
v_6xt,
u_7xt,
v_7xt}$

primary_diffcon_odd:={p_xt,
q_xt,
p_2xt,
q_2xt,
p_3xt,
q_3xt,
p_4xt,
q_4xt,
p_5xt,
q_5xt,
p_6xt,
q_6xt,
p_7xt,
q_7xt}$

% Alists of differential conseq. needed in total derivatives:$

diffcon_der:={{v_7xt,
u_8x + v*v_8x + 28*v_2x*v_6x + 56*v_3x*v_5x + 35*v_4x**2 + 8*v_7x*v_x},
{u_7xt,letop},
{v_6xt,
u_7x + v*v_7x + 21*v_2x*v_5x + 35*v_3x*v_4x + 7*v_6x*v_x},
{u_6xt,letop},
{v_5xt,u_6x + v*v_6x + 15*v_2x*v_4x + 10*v_3x**2 + 6*v_5x*v_x},
{u_5xt,
sig*v_8x + u*v_6x + 15*u_2x*v_4x + 20*u_3x*v_3x + 15*u_4x*v_2x + 6*u_5x*v_x + 
u_6x*v + 6*u_x*v_5x},
{v_4xt,u_5x + v*v_5x + 10*v_2x*v_3x + 5*v_4x*v_x},
{u_4xt,
sig*v_7x + u*v_5x + 10*u_2x*v_3x + 10*u_3x*v_2x + 5*u_4x*v_x + u_5x*v + 5*u_x*
v_4x},
{v_3xt,u_4x + v*v_4x + 3*v_2x**2 + 4*v_3x*v_x},
{u_3xt,
sig*v_6x + u*v_4x + 6*u_2x*v_2x + 4*u_3x*v_x + u_4x*v + 4*u_x*v_3x},
{v_2xt,u_3x + v*v_3x + 3*v_2x*v_x},
{u_2xt,
sig*v_5x + u*v_3x + 3*u_2x*v_x + u_3x*v + 3*u_x*v_2x},
{v_xt,u_2x + v*v_2x + v_x**2},
{u_xt,sig*v_4x + u*v_2x + u_2x*v + 2*u_x*v_x},
{u_t,sig*v_3x + u*v_x + u_x*v},
{v_t,u_x + v*v_x}}$

diffcon_odd:={{q_7xt,letop},
{p_7xt,
ext(18) + ext(17)*v + 7*ext(15)*v_x + 21*ext(13)*v_2x + 35*ext(11)*v_3x + 35*ext
(9)*v_4x + 21*ext(7)*v_5x + 7*ext(5)*v_6x + ext(3)*v_7x},
{q_6xt,letop},
{p_6xt,
ext(16) + ext(15)*v + 6*ext(13)*v_x + 15*ext(11)*v_2x + 20*ext(9)*v_3x + 15*ext(
7)*v_4x + 6*ext(5)*v_5x + ext(3)*v_6x},
{q_5xt,
ext(17)*sig + ext(14)*v + ext(13)*u + 5*ext(12)*v_x + 5*ext(11)*u_x + 10*ext(10)
*v_2x + 10*ext(9)*u_2x + 10*ext(8)*v_3x + 10*ext(7)*u_3x + 5*ext(6)*v_4x + 5*ext
(5)*u_4x + ext(4)*v_5x + ext(3)*u_5x},
{p_5xt,
ext(14) + ext(13)*v + 5*ext(11)*v_x + 10*ext(9)*v_2x + 10*ext(7)*v_3x + 5*ext(5)
*v_4x + ext(3)*v_5x},
{q_4xt,
ext(15)*sig + ext(12)*v + ext(11)*u + 4*ext(10)*v_x + 4*ext(9)*u_x + 6*ext(8)*
v_2x + 6*ext(7)*u_2x + 4*ext(6)*v_3x + 4*ext(5)*u_3x + ext(4)*v_4x + ext(3)*u_4x
},
{p_4xt,
ext(12) + ext(11)*v + 4*ext(9)*v_x + 6*ext(7)*v_2x + 4*ext(5)*v_3x + ext(3)*v_4x
},
{q_3xt,
ext(13)*sig + ext(10)*v + ext(9)*u + 3*ext(8)*v_x + 3*ext(7)*u_x + 3*ext(6)*v_2x
 + 3*ext(5)*u_2x + ext(4)*v_3x + ext(3)*u_3x},
{p_3xt,
ext(10) + ext(9)*v + 3*ext(7)*v_x + 3*ext(5)*v_2x + ext(3)*v_3x},
{q_2xt,
ext(11)*sig + ext(8)*v + ext(7)*u + 2*ext(6)*v_x + 2*ext(5)*u_x + ext(4)*v_2x + 
ext(3)*u_2x},
{p_2xt,
ext(8) + ext(7)*v + 2*ext(5)*v_x + ext(3)*v_2x},
{q_xt,
ext(9)*sig + ext(6)*v + ext(5)*u + ext(4)*v_x + ext(3)*u_x},
{p_xt,ext(6) + ext(5)*v + ext(3)*v_x},
{p_t,ext(4) + ext(3)*v},
{q_t,ext(7)*sig + ext(4)*v + ext(3)*u}}$

% Principal derivatives computed:$

diffcon_comp_der:={v_7xt,
u_7xt,
v_6xt,
u_6xt,
v_5xt,
u_5xt,
v_4xt,
u_4xt,
v_3xt,
u_3xt,
v_2xt,
u_2xt,
v_xt,
u_xt,
u_t,
v_t}$

diffcon_comp_odd:={q_7xt,
p_7xt,
q_6xt,
p_6xt,
q_5xt,
p_5xt,
q_4xt,
p_4xt,
q_3xt,
p_3xt,
q_2xt,
p_2xt,
q_xt,
p_xt,
p_t,
q_t}$

diffcon_comp_ext:={ext(90),
ext(82),
ext(74),
ext(67),
ext(60),
ext(54),
ext(48),
ext(43),
ext(38),
ext(34),
ext(30),
ext(27),
ext(24),
ext(22),
ext(19),
ext(20)}$

% Alists of principal derivatives in terms of parametric expr.:$

diffcon_param_der:={{v_7xt,
u_8x + v*v_8x + 28*v_2x*v_6x + 56*v_3x*v_5x + 35*v_4x**2 + 8*v_7x*v_x},
{u_7xt,letop},
{v_6xt,
u_7x + v*v_7x + 21*v_2x*v_5x + 35*v_3x*v_4x + 7*v_6x*v_x},
{u_6xt,letop},
{v_5xt,u_6x + v*v_6x + 15*v_2x*v_4x + 10*v_3x**2 + 6*v_5x*v_x},
{u_5xt,
sig*v_8x + u*v_6x + 15*u_2x*v_4x + 20*u_3x*v_3x + 15*u_4x*v_2x + 6*u_5x*v_x + 
u_6x*v + 6*u_x*v_5x},
{v_4xt,u_5x + v*v_5x + 10*v_2x*v_3x + 5*v_4x*v_x},
{u_4xt,
sig*v_7x + u*v_5x + 10*u_2x*v_3x + 10*u_3x*v_2x + 5*u_4x*v_x + u_5x*v + 5*u_x*
v_4x},
{v_3xt,u_4x + v*v_4x + 3*v_2x**2 + 4*v_3x*v_x},
{u_3xt,
sig*v_6x + u*v_4x + 6*u_2x*v_2x + 4*u_3x*v_x + u_4x*v + 4*u_x*v_3x},
{v_2xt,u_3x + v*v_3x + 3*v_2x*v_x},
{u_2xt,
sig*v_5x + u*v_3x + 3*u_2x*v_x + u_3x*v + 3*u_x*v_2x},
{v_xt,u_2x + v*v_2x + v_x**2},
{u_xt,sig*v_4x + u*v_2x + u_2x*v + 2*u_x*v_x},
{u_t,sig*v_3x + u*v_x + u_x*v},
{v_t,u_x + v*v_x}}$

diffcon_param_ext:={{ext(90),letop},
{ext(82),
ext(18) + ext(17)*v + 7*ext(15)*v_x + 21*ext(13)*v_2x + 35*ext(11)*v_3x + 35*ext
(9)*v_4x + 21*ext(7)*v_5x + 7*ext(5)*v_6x + ext(3)*v_7x},
{ext(74),letop},
{ext(67),
ext(16) + ext(15)*v + 6*ext(13)*v_x + 15*ext(11)*v_2x + 20*ext(9)*v_3x + 15*ext(
7)*v_4x + 6*ext(5)*v_5x + ext(3)*v_6x},
{ext(60),
ext(17)*sig + ext(14)*v + ext(13)*u + 5*ext(12)*v_x + 5*ext(11)*u_x + 10*ext(10)
*v_2x + 10*ext(9)*u_2x + 10*ext(8)*v_3x + 10*ext(7)*u_3x + 5*ext(6)*v_4x + 5*ext
(5)*u_4x + ext(4)*v_5x + ext(3)*u_5x},
{ext(54),
ext(14) + ext(13)*v + 5*ext(11)*v_x + 10*ext(9)*v_2x + 10*ext(7)*v_3x + 5*ext(5)
*v_4x + ext(3)*v_5x},
{ext(48),
ext(15)*sig + ext(12)*v + ext(11)*u + 4*ext(10)*v_x + 4*ext(9)*u_x + 6*ext(8)*
v_2x + 6*ext(7)*u_2x + 4*ext(6)*v_3x + 4*ext(5)*u_3x + ext(4)*v_4x + ext(3)*u_4x
},
{ext(43),
ext(12) + ext(11)*v + 4*ext(9)*v_x + 6*ext(7)*v_2x + 4*ext(5)*v_3x + ext(3)*v_4x
},
{ext(38),
ext(13)*sig + ext(10)*v + ext(9)*u + 3*ext(8)*v_x + 3*ext(7)*u_x + 3*ext(6)*v_2x
 + 3*ext(5)*u_2x + ext(4)*v_3x + ext(3)*u_3x},
{ext(34),
ext(10) + ext(9)*v + 3*ext(7)*v_x + 3*ext(5)*v_2x + ext(3)*v_3x},
{ext(30),
ext(11)*sig + ext(8)*v + ext(7)*u + 2*ext(6)*v_x + 2*ext(5)*u_x + ext(4)*v_2x + 
ext(3)*u_2x},
{ext(27),
ext(8) + ext(7)*v + 2*ext(5)*v_x + ext(3)*v_2x},
{ext(24),
ext(9)*sig + ext(6)*v + ext(5)*u + ext(4)*v_x + ext(3)*u_x},
{ext(22),ext(6) + ext(5)*v + ext(3)*v_x},
{ext(19),ext(4) + ext(3)*v},
{ext(20),
ext(7)*sig + ext(4)*v + ext(3)*u}}$

% Total derivatives declarations:$



for! i:=1:n!_indep!_var! do! super!_vectorfield(part(tot!_der,i),append(indep!_v
ar,all\
!_der!_id),all!_ext)$

% Coefficients of total derivatives:$

% component of ddx w.r.t. x$

ddx(0,1):=1$

% component of ddx w.r.t. t$

ddx(0,2):=0$

% component of ddx w.r.t. u$

ddx(0,3):=u_x$

% component of ddx w.r.t. v$

ddx(0,4):=v_x$

% component of ddx w.r.t. u_x$

ddx(0,5):=u_2x$

% component of ddx w.r.t. v_x$

ddx(0,6):=v_2x$

% component of ddx w.r.t. u_2x$

ddx(0,7):=u_3x$

% component of ddx w.r.t. v_2x$

ddx(0,8):=v_3x$

% component of ddx w.r.t. u_3x$

ddx(0,9):=u_4x$

% component of ddx w.r.t. v_3x$

ddx(0,10):=v_4x$

% component of ddx w.r.t. u_4x$

ddx(0,11):=u_5x$

% component of ddx w.r.t. v_4x$

ddx(0,12):=v_5x$

% component of ddx w.r.t. u_5x$

ddx(0,13):=u_6x$

% component of ddx w.r.t. v_5x$

ddx(0,14):=v_6x$

% component of ddx w.r.t. u_6x$

ddx(0,15):=u_7x$

% component of ddx w.r.t. v_6x$

ddx(0,16):=v_7x$

% component of ddx w.r.t. u_7x$

ddx(0,17):=u_8x$

% component of ddx w.r.t. v_7x$

ddx(0,18):=v_8x$

% component of ddx w.r.t. u_8x$

ddx(0,19):=letop$

% component of ddx w.r.t. v_8x$

ddx(0,20):=letop$

% component of ddx w.r.t. u_t$

ddx(0,21):=u_xt$

% component of ddx w.r.t. v_t$

ddx(0,22):=v_xt$

% component of ddx w.r.t. u_2t$

ddx(0,23):=u_x2t$

% component of ddx w.r.t. u_xt$

ddx(0,24):=u_2xt$

% component of ddx w.r.t. v_2t$

ddx(0,25):=v_x2t$

% component of ddx w.r.t. v_xt$

ddx(0,26):=v_2xt$

% component of ddx w.r.t. u_3t$

ddx(0,27):=u_x3t$

% component of ddx w.r.t. u_x2t$

ddx(0,28):=u_2x2t$

% component of ddx w.r.t. u_2xt$

ddx(0,29):=u_3xt$

% component of ddx w.r.t. v_3t$

ddx(0,30):=v_x3t$

% component of ddx w.r.t. v_x2t$

ddx(0,31):=v_2x2t$

% component of ddx w.r.t. v_2xt$

ddx(0,32):=v_3xt$

% component of ddx w.r.t. u_4t$

ddx(0,33):=u_x4t$

% component of ddx w.r.t. u_x3t$

ddx(0,34):=u_2x3t$

% component of ddx w.r.t. u_2x2t$

ddx(0,35):=u_3x2t$

% component of ddx w.r.t. u_3xt$

ddx(0,36):=u_4xt$

% component of ddx w.r.t. v_4t$

ddx(0,37):=v_x4t$

% component of ddx w.r.t. v_x3t$

ddx(0,38):=v_2x3t$

% component of ddx w.r.t. v_2x2t$

ddx(0,39):=v_3x2t$

% component of ddx w.r.t. v_3xt$

ddx(0,40):=v_4xt$

% component of ddx w.r.t. u_5t$

ddx(0,41):=u_x5t$

% component of ddx w.r.t. u_x4t$

ddx(0,42):=u_2x4t$

% component of ddx w.r.t. u_2x3t$

ddx(0,43):=u_3x3t$

% component of ddx w.r.t. u_3x2t$

ddx(0,44):=u_4x2t$

% component of ddx w.r.t. u_4xt$

ddx(0,45):=u_5xt$

% component of ddx w.r.t. v_5t$

ddx(0,46):=v_x5t$

% component of ddx w.r.t. v_x4t$

ddx(0,47):=v_2x4t$

% component of ddx w.r.t. v_2x3t$

ddx(0,48):=v_3x3t$

% component of ddx w.r.t. v_3x2t$

ddx(0,49):=v_4x2t$

% component of ddx w.r.t. v_4xt$

ddx(0,50):=v_5xt$

% component of ddx w.r.t. u_6t$

ddx(0,51):=u_x6t$

% component of ddx w.r.t. u_x5t$

ddx(0,52):=u_2x5t$

% component of ddx w.r.t. u_2x4t$

ddx(0,53):=u_3x4t$

% component of ddx w.r.t. u_3x3t$

ddx(0,54):=u_4x3t$

% component of ddx w.r.t. u_4x2t$

ddx(0,55):=u_5x2t$

% component of ddx w.r.t. u_5xt$

ddx(0,56):=u_6xt$

% component of ddx w.r.t. v_6t$

ddx(0,57):=v_x6t$

% component of ddx w.r.t. v_x5t$

ddx(0,58):=v_2x5t$

% component of ddx w.r.t. v_2x4t$

ddx(0,59):=v_3x4t$

% component of ddx w.r.t. v_3x3t$

ddx(0,60):=v_4x3t$

% component of ddx w.r.t. v_4x2t$

ddx(0,61):=v_5x2t$

% component of ddx w.r.t. v_5xt$

ddx(0,62):=v_6xt$

% component of ddx w.r.t. u_7t$

ddx(0,63):=u_x7t$

% component of ddx w.r.t. u_x6t$

ddx(0,64):=u_2x6t$

% component of ddx w.r.t. u_2x5t$

ddx(0,65):=u_3x5t$

% component of ddx w.r.t. u_3x4t$

ddx(0,66):=u_4x4t$

% component of ddx w.r.t. u_4x3t$

ddx(0,67):=u_5x3t$

% component of ddx w.r.t. u_5x2t$

ddx(0,68):=u_6x2t$

% component of ddx w.r.t. u_6xt$

ddx(0,69):=u_7xt$

% component of ddx w.r.t. v_7t$

ddx(0,70):=v_x7t$

% component of ddx w.r.t. v_x6t$

ddx(0,71):=v_2x6t$

% component of ddx w.r.t. v_2x5t$

ddx(0,72):=v_3x5t$

% component of ddx w.r.t. v_3x4t$

ddx(0,73):=v_4x4t$

% component of ddx w.r.t. v_4x3t$

ddx(0,74):=v_5x3t$

% component of ddx w.r.t. v_5x2t$

ddx(0,75):=v_6x2t$

% component of ddx w.r.t. v_6xt$

ddx(0,76):=v_7xt$

% component of ddx w.r.t. u_8t$

ddx(0,77):=letop$

% component of ddx w.r.t. u_x7t$

ddx(0,78):=letop$

% component of ddx w.r.t. u_2x6t$

ddx(0,79):=letop$

% component of ddx w.r.t. u_3x5t$

ddx(0,80):=letop$

% component of ddx w.r.t. u_4x4t$

ddx(0,81):=letop$

% component of ddx w.r.t. u_5x3t$

ddx(0,82):=letop$

% component of ddx w.r.t. u_6x2t$

ddx(0,83):=letop$

% component of ddx w.r.t. u_7xt$

ddx(0,84):=letop$

% component of ddx w.r.t. v_8t$

ddx(0,85):=letop$

% component of ddx w.r.t. v_x7t$

ddx(0,86):=letop$

% component of ddx w.r.t. v_2x6t$

ddx(0,87):=letop$

% component of ddx w.r.t. v_3x5t$

ddx(0,88):=letop$

% component of ddx w.r.t. v_4x4t$

ddx(0,89):=letop$

% component of ddx w.r.t. v_5x3t$

ddx(0,90):=letop$

% component of ddx w.r.t. v_6x2t$

ddx(0,91):=letop$

% component of ddx w.r.t. v_7xt$

ddx(0,92):=letop$

% component of ddx w.r.t. p i.e. ext(1)$

ddx(1,1):=ext(3)$

% component of ddx w.r.t. q i.e. ext(2)$

ddx(1,2):=ext(4)$

% component of ddx w.r.t. p_x i.e. ext(3)$

ddx(1,3):=ext(5)$

% component of ddx w.r.t. q_x i.e. ext(4)$

ddx(1,4):=ext(6)$

% component of ddx w.r.t. p_2x i.e. ext(5)$

ddx(1,5):=ext(7)$

% component of ddx w.r.t. q_2x i.e. ext(6)$

ddx(1,6):=ext(8)$

% component of ddx w.r.t. p_3x i.e. ext(7)$

ddx(1,7):=ext(9)$

% component of ddx w.r.t. q_3x i.e. ext(8)$

ddx(1,8):=ext(10)$

% component of ddx w.r.t. p_4x i.e. ext(9)$

ddx(1,9):=ext(11)$

% component of ddx w.r.t. q_4x i.e. ext(10)$

ddx(1,10):=ext(12)$

% component of ddx w.r.t. p_5x i.e. ext(11)$

ddx(1,11):=ext(13)$

% component of ddx w.r.t. q_5x i.e. ext(12)$

ddx(1,12):=ext(14)$

% component of ddx w.r.t. p_6x i.e. ext(13)$

ddx(1,13):=ext(15)$

% component of ddx w.r.t. q_6x i.e. ext(14)$

ddx(1,14):=ext(16)$

% component of ddx w.r.t. p_7x i.e. ext(15)$

ddx(1,15):=ext(17)$

% component of ddx w.r.t. q_7x i.e. ext(16)$

ddx(1,16):=ext(18)$

% component of ddx w.r.t. p_8x i.e. ext(17)$

ddx(1,17):=letop$

% component of ddx w.r.t. q_8x i.e. ext(18)$

ddx(1,18):=letop$

% component of ddx w.r.t. p_t i.e. ext(19)$

ddx(1,19):=ext(22)$

% component of ddx w.r.t. q_t i.e. ext(20)$

ddx(1,20):=ext(24)$

% component of ddx w.r.t. p_2t i.e. ext(21)$

ddx(1,21):=ext(26)$

% component of ddx w.r.t. p_xt i.e. ext(22)$

ddx(1,22):=ext(27)$

% component of ddx w.r.t. q_2t i.e. ext(23)$

ddx(1,23):=ext(29)$

% component of ddx w.r.t. q_xt i.e. ext(24)$

ddx(1,24):=ext(30)$

% component of ddx w.r.t. p_3t i.e. ext(25)$

ddx(1,25):=ext(32)$

% component of ddx w.r.t. p_x2t i.e. ext(26)$

ddx(1,26):=ext(33)$

% component of ddx w.r.t. p_2xt i.e. ext(27)$

ddx(1,27):=ext(34)$

% component of ddx w.r.t. q_3t i.e. ext(28)$

ddx(1,28):=ext(36)$

% component of ddx w.r.t. q_x2t i.e. ext(29)$

ddx(1,29):=ext(37)$

% component of ddx w.r.t. q_2xt i.e. ext(30)$

ddx(1,30):=ext(38)$

% component of ddx w.r.t. p_4t i.e. ext(31)$

ddx(1,31):=ext(40)$

% component of ddx w.r.t. p_x3t i.e. ext(32)$

ddx(1,32):=ext(41)$

% component of ddx w.r.t. p_2x2t i.e. ext(33)$

ddx(1,33):=ext(42)$

% component of ddx w.r.t. p_3xt i.e. ext(34)$

ddx(1,34):=ext(43)$

% component of ddx w.r.t. q_4t i.e. ext(35)$

ddx(1,35):=ext(45)$

% component of ddx w.r.t. q_x3t i.e. ext(36)$

ddx(1,36):=ext(46)$

% component of ddx w.r.t. q_2x2t i.e. ext(37)$

ddx(1,37):=ext(47)$

% component of ddx w.r.t. q_3xt i.e. ext(38)$

ddx(1,38):=ext(48)$

% component of ddx w.r.t. p_5t i.e. ext(39)$

ddx(1,39):=ext(50)$

% component of ddx w.r.t. p_x4t i.e. ext(40)$

ddx(1,40):=ext(51)$

% component of ddx w.r.t. p_2x3t i.e. ext(41)$

ddx(1,41):=ext(52)$

% component of ddx w.r.t. p_3x2t i.e. ext(42)$

ddx(1,42):=ext(53)$

% component of ddx w.r.t. p_4xt i.e. ext(43)$

ddx(1,43):=ext(54)$

% component of ddx w.r.t. q_5t i.e. ext(44)$

ddx(1,44):=ext(56)$

% component of ddx w.r.t. q_x4t i.e. ext(45)$

ddx(1,45):=ext(57)$

% component of ddx w.r.t. q_2x3t i.e. ext(46)$

ddx(1,46):=ext(58)$

% component of ddx w.r.t. q_3x2t i.e. ext(47)$

ddx(1,47):=ext(59)$

% component of ddx w.r.t. q_4xt i.e. ext(48)$

ddx(1,48):=ext(60)$

% component of ddx w.r.t. p_6t i.e. ext(49)$

ddx(1,49):=ext(62)$

% component of ddx w.r.t. p_x5t i.e. ext(50)$

ddx(1,50):=ext(63)$

% component of ddx w.r.t. p_2x4t i.e. ext(51)$

ddx(1,51):=ext(64)$

% component of ddx w.r.t. p_3x3t i.e. ext(52)$

ddx(1,52):=ext(65)$

% component of ddx w.r.t. p_4x2t i.e. ext(53)$

ddx(1,53):=ext(66)$

% component of ddx w.r.t. p_5xt i.e. ext(54)$

ddx(1,54):=ext(67)$

% component of ddx w.r.t. q_6t i.e. ext(55)$

ddx(1,55):=ext(69)$

% component of ddx w.r.t. q_x5t i.e. ext(56)$

ddx(1,56):=ext(70)$

% component of ddx w.r.t. q_2x4t i.e. ext(57)$

ddx(1,57):=ext(71)$

% component of ddx w.r.t. q_3x3t i.e. ext(58)$

ddx(1,58):=ext(72)$

% component of ddx w.r.t. q_4x2t i.e. ext(59)$

ddx(1,59):=ext(73)$

% component of ddx w.r.t. q_5xt i.e. ext(60)$

ddx(1,60):=ext(74)$

% component of ddx w.r.t. p_7t i.e. ext(61)$

ddx(1,61):=ext(76)$

% component of ddx w.r.t. p_x6t i.e. ext(62)$

ddx(1,62):=ext(77)$

% component of ddx w.r.t. p_2x5t i.e. ext(63)$

ddx(1,63):=ext(78)$

% component of ddx w.r.t. p_3x4t i.e. ext(64)$

ddx(1,64):=ext(79)$

% component of ddx w.r.t. p_4x3t i.e. ext(65)$

ddx(1,65):=ext(80)$

% component of ddx w.r.t. p_5x2t i.e. ext(66)$

ddx(1,66):=ext(81)$

% component of ddx w.r.t. p_6xt i.e. ext(67)$

ddx(1,67):=ext(82)$

% component of ddx w.r.t. q_7t i.e. ext(68)$

ddx(1,68):=ext(84)$

% component of ddx w.r.t. q_x6t i.e. ext(69)$

ddx(1,69):=ext(85)$

% component of ddx w.r.t. q_2x5t i.e. ext(70)$

ddx(1,70):=ext(86)$

% component of ddx w.r.t. q_3x4t i.e. ext(71)$

ddx(1,71):=ext(87)$

% component of ddx w.r.t. q_4x3t i.e. ext(72)$

ddx(1,72):=ext(88)$

% component of ddx w.r.t. q_5x2t i.e. ext(73)$

ddx(1,73):=ext(89)$

% component of ddx w.r.t. q_6xt i.e. ext(74)$

ddx(1,74):=ext(90)$

% component of ddx w.r.t. p_8t i.e. ext(75)$

ddx(1,75):=letop$

% component of ddx w.r.t. p_x7t i.e. ext(76)$

ddx(1,76):=letop$

% component of ddx w.r.t. p_2x6t i.e. ext(77)$

ddx(1,77):=letop$

% component of ddx w.r.t. p_3x5t i.e. ext(78)$

ddx(1,78):=letop$

% component of ddx w.r.t. p_4x4t i.e. ext(79)$

ddx(1,79):=letop$

% component of ddx w.r.t. p_5x3t i.e. ext(80)$

ddx(1,80):=letop$

% component of ddx w.r.t. p_6x2t i.e. ext(81)$

ddx(1,81):=letop$

% component of ddx w.r.t. p_7xt i.e. ext(82)$

ddx(1,82):=letop$

% component of ddx w.r.t. q_8t i.e. ext(83)$

ddx(1,83):=letop$

% component of ddx w.r.t. q_x7t i.e. ext(84)$

ddx(1,84):=letop$

% component of ddx w.r.t. q_2x6t i.e. ext(85)$

ddx(1,85):=letop$

% component of ddx w.r.t. q_3x5t i.e. ext(86)$

ddx(1,86):=letop$

% component of ddx w.r.t. q_4x4t i.e. ext(87)$

ddx(1,87):=letop$

% component of ddx w.r.t. q_5x3t i.e. ext(88)$

ddx(1,88):=letop$

% component of ddx w.r.t. q_6x2t i.e. ext(89)$

ddx(1,89):=letop$

% component of ddx w.r.t. q_7xt i.e. ext(90)$

ddx(1,90):=letop$

% component of ddt w.r.t. x$

ddt(0,1):=0$

% component of ddt w.r.t. t$

ddt(0,2):=1$

% component of ddt w.r.t. u$

ddt(0,3):=sig*v_3x + u*v_x + u_x*v$

% component of ddt w.r.t. v$

ddt(0,4):=u_x + v*v_x$

% component of ddt w.r.t. u_x$

ddt(0,5):=sig*v_4x + u*v_2x + u_2x*v + 2*u_x*v_x$

% component of ddt w.r.t. v_x$

ddt(0,6):=u_2x + v*v_2x + v_x**2$

% component of ddt w.r.t. u_2x$

ddt(0,7):=sig*v_5x + u*v_3x + 3*u_2x*v_x + u_3x*v + 3*u_x*v_2x$

% component of ddt w.r.t. v_2x$

ddt(0,8):=u_3x + v*v_3x + 3*v_2x*v_x$

% component of ddt w.r.t. u_3x$

ddt(0,9):=sig*v_6x + u*v_4x + 6*u_2x*v_2x + 4*u_3x*v_x + u_4x*v + 4*u_x*v_3x$

% component of ddt w.r.t. v_3x$

ddt(0,10):=u_4x + v*v_4x + 3*v_2x**2 + 4*v_3x*v_x$

% component of ddt w.r.t. u_4x$

ddt(0,11):=sig*v_7x + u*v_5x + 10*u_2x*v_3x + 10*u_3x*v_2x + 5*u_4x*v_x + u_5x*v
 + 5*u_x*v_4x$

% component of ddt w.r.t. v_4x$

ddt(0,12):=u_5x + v*v_5x + 10*v_2x*v_3x + 5*v_4x*v_x$

% component of ddt w.r.t. u_5x$

ddt(0,13):=sig*v_8x + u*v_6x + 15*u_2x*v_4x + 20*u_3x*v_3x + 15*u_4x*v_2x + 6*
u_5x*v_x + u_6x*v + 6*u_x*v_5x$

% component of ddt w.r.t. v_5x$

ddt(0,14):=u_6x + v*v_6x + 15*v_2x*v_4x + 10*v_3x**2 + 6*v_5x*v_x$

% component of ddt w.r.t. u_6x$

ddt(0,15):=letop$

% component of ddt w.r.t. v_6x$

ddt(0,16):=u_7x + v*v_7x + 21*v_2x*v_5x + 35*v_3x*v_4x + 7*v_6x*v_x$

% component of ddt w.r.t. u_7x$

ddt(0,17):=letop$

% component of ddt w.r.t. v_7x$

ddt(0,18):=u_8x + v*v_8x + 28*v_2x*v_6x + 56*v_3x*v_5x + 35*v_4x**2 + 8*v_7x*v_x
$

% component of ddt w.r.t. u_8x$

ddt(0,19):=letop$

% component of ddt w.r.t. v_8x$

ddt(0,20):=letop$

% component of ddt w.r.t. u_t$

ddt(0,21):=u_2t$

% component of ddt w.r.t. v_t$

ddt(0,22):=v_2t$

% component of ddt w.r.t. u_2t$

ddt(0,23):=u_3t$

% component of ddt w.r.t. u_xt$

ddt(0,24):=u_x2t$

% component of ddt w.r.t. v_2t$

ddt(0,25):=v_3t$

% component of ddt w.r.t. v_xt$

ddt(0,26):=v_x2t$

% component of ddt w.r.t. u_3t$

ddt(0,27):=u_4t$

% component of ddt w.r.t. u_x2t$

ddt(0,28):=u_x3t$

% component of ddt w.r.t. u_2xt$

ddt(0,29):=u_2x2t$

% component of ddt w.r.t. v_3t$

ddt(0,30):=v_4t$

% component of ddt w.r.t. v_x2t$

ddt(0,31):=v_x3t$

% component of ddt w.r.t. v_2xt$

ddt(0,32):=v_2x2t$

% component of ddt w.r.t. u_4t$

ddt(0,33):=u_5t$

% component of ddt w.r.t. u_x3t$

ddt(0,34):=u_x4t$

% component of ddt w.r.t. u_2x2t$

ddt(0,35):=u_2x3t$

% component of ddt w.r.t. u_3xt$

ddt(0,36):=u_3x2t$

% component of ddt w.r.t. v_4t$

ddt(0,37):=v_5t$

% component of ddt w.r.t. v_x3t$

ddt(0,38):=v_x4t$

% component of ddt w.r.t. v_2x2t$

ddt(0,39):=v_2x3t$

% component of ddt w.r.t. v_3xt$

ddt(0,40):=v_3x2t$

% component of ddt w.r.t. u_5t$

ddt(0,41):=u_6t$

% component of ddt w.r.t. u_x4t$

ddt(0,42):=u_x5t$

% component of ddt w.r.t. u_2x3t$

ddt(0,43):=u_2x4t$

% component of ddt w.r.t. u_3x2t$

ddt(0,44):=u_3x3t$

% component of ddt w.r.t. u_4xt$

ddt(0,45):=u_4x2t$

% component of ddt w.r.t. v_5t$

ddt(0,46):=v_6t$

% component of ddt w.r.t. v_x4t$

ddt(0,47):=v_x5t$

% component of ddt w.r.t. v_2x3t$

ddt(0,48):=v_2x4t$

% component of ddt w.r.t. v_3x2t$

ddt(0,49):=v_3x3t$

% component of ddt w.r.t. v_4xt$

ddt(0,50):=v_4x2t$

% component of ddt w.r.t. u_6t$

ddt(0,51):=u_7t$

% component of ddt w.r.t. u_x5t$

ddt(0,52):=u_x6t$

% component of ddt w.r.t. u_2x4t$

ddt(0,53):=u_2x5t$

% component of ddt w.r.t. u_3x3t$

ddt(0,54):=u_3x4t$

% component of ddt w.r.t. u_4x2t$

ddt(0,55):=u_4x3t$

% component of ddt w.r.t. u_5xt$

ddt(0,56):=u_5x2t$

% component of ddt w.r.t. v_6t$

ddt(0,57):=v_7t$

% component of ddt w.r.t. v_x5t$

ddt(0,58):=v_x6t$

% component of ddt w.r.t. v_2x4t$

ddt(0,59):=v_2x5t$

% component of ddt w.r.t. v_3x3t$

ddt(0,60):=v_3x4t$

% component of ddt w.r.t. v_4x2t$

ddt(0,61):=v_4x3t$

% component of ddt w.r.t. v_5xt$

ddt(0,62):=v_5x2t$

% component of ddt w.r.t. u_7t$

ddt(0,63):=u_8t$

% component of ddt w.r.t. u_x6t$

ddt(0,64):=u_x7t$

% component of ddt w.r.t. u_2x5t$

ddt(0,65):=u_2x6t$

% component of ddt w.r.t. u_3x4t$

ddt(0,66):=u_3x5t$

% component of ddt w.r.t. u_4x3t$

ddt(0,67):=u_4x4t$

% component of ddt w.r.t. u_5x2t$

ddt(0,68):=u_5x3t$

% component of ddt w.r.t. u_6xt$

ddt(0,69):=u_6x2t$

% component of ddt w.r.t. v_7t$

ddt(0,70):=v_8t$

% component of ddt w.r.t. v_x6t$

ddt(0,71):=v_x7t$

% component of ddt w.r.t. v_2x5t$

ddt(0,72):=v_2x6t$

% component of ddt w.r.t. v_3x4t$

ddt(0,73):=v_3x5t$

% component of ddt w.r.t. v_4x3t$

ddt(0,74):=v_4x4t$

% component of ddt w.r.t. v_5x2t$

ddt(0,75):=v_5x3t$

% component of ddt w.r.t. v_6xt$

ddt(0,76):=v_6x2t$

% component of ddt w.r.t. u_8t$

ddt(0,77):=letop$

% component of ddt w.r.t. u_x7t$

ddt(0,78):=letop$

% component of ddt w.r.t. u_2x6t$

ddt(0,79):=letop$

% component of ddt w.r.t. u_3x5t$

ddt(0,80):=letop$

% component of ddt w.r.t. u_4x4t$

ddt(0,81):=letop$

% component of ddt w.r.t. u_5x3t$

ddt(0,82):=letop$

% component of ddt w.r.t. u_6x2t$

ddt(0,83):=letop$

% component of ddt w.r.t. u_7xt$

ddt(0,84):=letop$

% component of ddt w.r.t. v_8t$

ddt(0,85):=letop$

% component of ddt w.r.t. v_x7t$

ddt(0,86):=letop$

% component of ddt w.r.t. v_2x6t$

ddt(0,87):=letop$

% component of ddt w.r.t. v_3x5t$

ddt(0,88):=letop$

% component of ddt w.r.t. v_4x4t$

ddt(0,89):=letop$

% component of ddt w.r.t. v_5x3t$

ddt(0,90):=letop$

% component of ddt w.r.t. v_6x2t$

ddt(0,91):=letop$

% component of ddt w.r.t. v_7xt$

ddt(0,92):=letop$

% component of ddt w.r.t. p i.e. ext(1)$

ddt(1,1):=ext(4) + ext(3)*v$

% component of ddt w.r.t. q i.e. ext(2)$

ddt(1,2):=ext(7)*sig + ext(4)*v + ext(3)*u$

% component of ddt w.r.t. p_x i.e. ext(3)$

ddt(1,3):=ext(6) + ext(5)*v + ext(3)*v_x$

% component of ddt w.r.t. q_x i.e. ext(4)$

ddt(1,4):=ext(9)*sig + ext(6)*v + ext(5)*u + ext(4)*v_x + ext(3)*u_x$

% component of ddt w.r.t. p_2x i.e. ext(5)$

ddt(1,5):=ext(8) + ext(7)*v + 2*ext(5)*v_x + ext(3)*v_2x$

% component of ddt w.r.t. q_2x i.e. ext(6)$

ddt(1,6):=ext(11)*sig + ext(8)*v + ext(7)*u + 2*ext(6)*v_x + 2*ext(5)*u_x + ext(
4)*v_2x + ext(3)*u_2x$

% component of ddt w.r.t. p_3x i.e. ext(7)$

ddt(1,7):=ext(10) + ext(9)*v + 3*ext(7)*v_x + 3*ext(5)*v_2x + ext(3)*v_3x$

% component of ddt w.r.t. q_3x i.e. ext(8)$

ddt(1,8):=ext(13)*sig + ext(10)*v + ext(9)*u + 3*ext(8)*v_x + 3*ext(7)*u_x + 3*
ext(6)*v_2x + 3*ext(5)*u_2x + ext(4)*v_3x + ext(3)*u_3x$

% component of ddt w.r.t. p_4x i.e. ext(9)$

ddt(1,9):=ext(12) + ext(11)*v + 4*ext(9)*v_x + 6*ext(7)*v_2x + 4*ext(5)*v_3x + 
ext(3)*v_4x$

% component of ddt w.r.t. q_4x i.e. ext(10)$

ddt(1,10):=ext(15)*sig + ext(12)*v + ext(11)*u + 4*ext(10)*v_x + 4*ext(9)*u_x + 
6*ext(8)*v_2x + 6*ext(7)*u_2x + 4*ext(6)*v_3x + 4*ext(5)*u_3x + ext(4)*v_4x + 
ext(3)*u_4x$

% component of ddt w.r.t. p_5x i.e. ext(11)$

ddt(1,11):=ext(14) + ext(13)*v + 5*ext(11)*v_x + 10*ext(9)*v_2x + 10*ext(7)*v_3x
 + 5*ext(5)*v_4x + ext(3)*v_5x$

% component of ddt w.r.t. q_5x i.e. ext(12)$

ddt(1,12):=ext(17)*sig + ext(14)*v + ext(13)*u + 5*ext(12)*v_x + 5*ext(11)*u_x +
 10*ext(10)*v_2x + 10*ext(9)*u_2x + 10*ext(8)*v_3x + 10*ext(7)*u_3x + 5*ext(6)*
v_4x + 5*ext(5)*u_4x + ext(4)*v_5x + ext(3)*u_5x$

% component of ddt w.r.t. p_6x i.e. ext(13)$

ddt(1,13):=ext(16) + ext(15)*v + 6*ext(13)*v_x + 15*ext(11)*v_2x + 20*ext(9)*
v_3x + 15*ext(7)*v_4x + 6*ext(5)*v_5x + ext(3)*v_6x$

% component of ddt w.r.t. q_6x i.e. ext(14)$

ddt(1,14):=letop$

% component of ddt w.r.t. p_7x i.e. ext(15)$

ddt(1,15):=ext(18) + ext(17)*v + 7*ext(15)*v_x + 21*ext(13)*v_2x + 35*ext(11)*
v_3x + 35*ext(9)*v_4x + 21*ext(7)*v_5x + 7*ext(5)*v_6x + ext(3)*v_7x$

% component of ddt w.r.t. q_7x i.e. ext(16)$

ddt(1,16):=letop$

% component of ddt w.r.t. p_8x i.e. ext(17)$

ddt(1,17):=letop$

% component of ddt w.r.t. q_8x i.e. ext(18)$

ddt(1,18):=letop$

% component of ddt w.r.t. p_t i.e. ext(19)$

ddt(1,19):=ext(21)$

% component of ddt w.r.t. q_t i.e. ext(20)$

ddt(1,20):=ext(23)$

% component of ddt w.r.t. p_2t i.e. ext(21)$

ddt(1,21):=ext(25)$

% component of ddt w.r.t. p_xt i.e. ext(22)$

ddt(1,22):=ext(26)$

% component of ddt w.r.t. q_2t i.e. ext(23)$

ddt(1,23):=ext(28)$

% component of ddt w.r.t. q_xt i.e. ext(24)$

ddt(1,24):=ext(29)$

% component of ddt w.r.t. p_3t i.e. ext(25)$

ddt(1,25):=ext(31)$

% component of ddt w.r.t. p_x2t i.e. ext(26)$

ddt(1,26):=ext(32)$

% component of ddt w.r.t. p_2xt i.e. ext(27)$

ddt(1,27):=ext(33)$

% component of ddt w.r.t. q_3t i.e. ext(28)$

ddt(1,28):=ext(35)$

% component of ddt w.r.t. q_x2t i.e. ext(29)$

ddt(1,29):=ext(36)$

% component of ddt w.r.t. q_2xt i.e. ext(30)$

ddt(1,30):=ext(37)$

% component of ddt w.r.t. p_4t i.e. ext(31)$

ddt(1,31):=ext(39)$

% component of ddt w.r.t. p_x3t i.e. ext(32)$

ddt(1,32):=ext(40)$

% component of ddt w.r.t. p_2x2t i.e. ext(33)$

ddt(1,33):=ext(41)$

% component of ddt w.r.t. p_3xt i.e. ext(34)$

ddt(1,34):=ext(42)$

% component of ddt w.r.t. q_4t i.e. ext(35)$

ddt(1,35):=ext(44)$

% component of ddt w.r.t. q_x3t i.e. ext(36)$

ddt(1,36):=ext(45)$

% component of ddt w.r.t. q_2x2t i.e. ext(37)$

ddt(1,37):=ext(46)$

% component of ddt w.r.t. q_3xt i.e. ext(38)$

ddt(1,38):=ext(47)$

% component of ddt w.r.t. p_5t i.e. ext(39)$

ddt(1,39):=ext(49)$

% component of ddt w.r.t. p_x4t i.e. ext(40)$

ddt(1,40):=ext(50)$

% component of ddt w.r.t. p_2x3t i.e. ext(41)$

ddt(1,41):=ext(51)$

% component of ddt w.r.t. p_3x2t i.e. ext(42)$

ddt(1,42):=ext(52)$

% component of ddt w.r.t. p_4xt i.e. ext(43)$

ddt(1,43):=ext(53)$

% component of ddt w.r.t. q_5t i.e. ext(44)$

ddt(1,44):=ext(55)$

% component of ddt w.r.t. q_x4t i.e. ext(45)$

ddt(1,45):=ext(56)$

% component of ddt w.r.t. q_2x3t i.e. ext(46)$

ddt(1,46):=ext(57)$

% component of ddt w.r.t. q_3x2t i.e. ext(47)$

ddt(1,47):=ext(58)$

% component of ddt w.r.t. q_4xt i.e. ext(48)$

ddt(1,48):=ext(59)$

% component of ddt w.r.t. p_6t i.e. ext(49)$

ddt(1,49):=ext(61)$

% component of ddt w.r.t. p_x5t i.e. ext(50)$

ddt(1,50):=ext(62)$

% component of ddt w.r.t. p_2x4t i.e. ext(51)$

ddt(1,51):=ext(63)$

% component of ddt w.r.t. p_3x3t i.e. ext(52)$

ddt(1,52):=ext(64)$

% component of ddt w.r.t. p_4x2t i.e. ext(53)$

ddt(1,53):=ext(65)$

% component of ddt w.r.t. p_5xt i.e. ext(54)$

ddt(1,54):=ext(66)$

% component of ddt w.r.t. q_6t i.e. ext(55)$

ddt(1,55):=ext(68)$

% component of ddt w.r.t. q_x5t i.e. ext(56)$

ddt(1,56):=ext(69)$

% component of ddt w.r.t. q_2x4t i.e. ext(57)$

ddt(1,57):=ext(70)$

% component of ddt w.r.t. q_3x3t i.e. ext(58)$

ddt(1,58):=ext(71)$

% component of ddt w.r.t. q_4x2t i.e. ext(59)$

ddt(1,59):=ext(72)$

% component of ddt w.r.t. q_5xt i.e. ext(60)$

ddt(1,60):=ext(73)$

% component of ddt w.r.t. p_7t i.e. ext(61)$

ddt(1,61):=ext(75)$

% component of ddt w.r.t. p_x6t i.e. ext(62)$

ddt(1,62):=ext(76)$

% component of ddt w.r.t. p_2x5t i.e. ext(63)$

ddt(1,63):=ext(77)$

% component of ddt w.r.t. p_3x4t i.e. ext(64)$

ddt(1,64):=ext(78)$

% component of ddt w.r.t. p_4x3t i.e. ext(65)$

ddt(1,65):=ext(79)$

% component of ddt w.r.t. p_5x2t i.e. ext(66)$

ddt(1,66):=ext(80)$

% component of ddt w.r.t. p_6xt i.e. ext(67)$

ddt(1,67):=ext(81)$

% component of ddt w.r.t. q_7t i.e. ext(68)$

ddt(1,68):=ext(83)$

% component of ddt w.r.t. q_x6t i.e. ext(69)$

ddt(1,69):=ext(84)$

% component of ddt w.r.t. q_2x5t i.e. ext(70)$

ddt(1,70):=ext(85)$

% component of ddt w.r.t. q_3x4t i.e. ext(71)$

ddt(1,71):=ext(86)$

% component of ddt w.r.t. q_4x3t i.e. ext(72)$

ddt(1,72):=ext(87)$

% component of ddt w.r.t. q_5x2t i.e. ext(73)$

ddt(1,73):=ext(88)$

% component of ddt w.r.t. q_6xt i.e. ext(74)$

ddt(1,74):=ext(89)$

% component of ddt w.r.t. p_8t i.e. ext(75)$

ddt(1,75):=letop$

% component of ddt w.r.t. p_x7t i.e. ext(76)$

ddt(1,76):=letop$

% component of ddt w.r.t. p_2x6t i.e. ext(77)$

ddt(1,77):=letop$

% component of ddt w.r.t. p_3x5t i.e. ext(78)$

ddt(1,78):=letop$

% component of ddt w.r.t. p_4x4t i.e. ext(79)$

ddt(1,79):=letop$

% component of ddt w.r.t. p_5x3t i.e. ext(80)$

ddt(1,80):=letop$

% component of ddt w.r.t. p_6x2t i.e. ext(81)$

ddt(1,81):=letop$

% component of ddt w.r.t. p_7xt i.e. ext(82)$

ddt(1,82):=letop$

% component of ddt w.r.t. q_8t i.e. ext(83)$

ddt(1,83):=letop$

% component of ddt w.r.t. q_x7t i.e. ext(84)$

ddt(1,84):=letop$

% component of ddt w.r.t. q_2x6t i.e. ext(85)$

ddt(1,85):=letop$

% component of ddt w.r.t. q_3x5t i.e. ext(86)$

ddt(1,86):=letop$

% component of ddt w.r.t. q_4x4t i.e. ext(87)$

ddt(1,87):=letop$

% component of ddt w.r.t. q_5x3t i.e. ext(88)$

ddt(1,88):=letop$

% component of ddt w.r.t. q_6x2t i.e. ext(89)$

ddt(1,89):=letop$

% component of ddt w.r.t. q_7xt i.e. ext(90)$

ddt(1,90):=letop$

;end;$
