
% cde state file$

% even equation:$

{u_t}={u*u_x + u_3x}$

% odd equation$

{p_t,
r1_x,
r1_t,
r2_x,
r2_t,
r3_x,
r3_t}={p_3x + p_x*u,
p*(t*u_x + 1),
p*t*u*u_x + p*t*u_3x + p*u + p_2x*t*u_x + p_2x - p_x*t*u_2x,
p*u_x,
p*u*u_x + p*u_3x + p_2x*u_x - p_x*u_2x,
p*(u*u_x + u_3x),
p*u**2*u_x + 2*p*u*u_3x + 3*p*u_2x*u_x + p*u_5x + p_2x*u*u_x + p_2x*u_3x - p_x*u
*u_2x - p_x*u_4x - p_x*u_x**2}$

 $

% Settings:$

 $

indep_var:={x,t}$

dep_var:={u}$

odd_var:={p,r1,r2,r3}$

deg_indep_var:={-1,-3}$

deg_dep_var:={2}$

deg_odd_var:={2,1,4,6}$

total_order:=8$

id_tot_der:=dd$

principal_der:={u_t}$

de:={u*u_x + u_3x}$

principal_odd:={p_t,
r1_x,
r1_t,
r2_x,
r2_t,
r3_x,
r3_t}$

de_odd:={p_3x + p_x*u,
p*(t*u_x + 1),
p*t*u*u_x + p*t*u_3x + p*u + p_2x*t*u_x + p_2x - p_x*t*u_2x,
p*u_x,
p*u*u_x + p*u_3x + p_2x*u_x - p_x*u_2x,
p*(u*u_x + u_3x),
p*u**2*u_x + 2*p*u*u_3x + 3*p*u_2x*u_x + p*u_5x + p_2x*u*u_x + p_2x*u_3x - p_x*u
*u_2x - p_x*u_4x - p_x*u_x**2}$

 $

% Here starts the output of computations of the program.$

 $

% number of independent variables:$

n_indep_var:=2$

% all multiindexes in table format:$

all_mind_table:={{{0,0},{{1,0},{0,1}}},
{{1,0},{{2,0},{1,1}}},
{{0,1},{{1,1},{0,2}}},
{{2,0},{{3,0},{2,1}}},
{{1,1},{{2,1},{1,2}}},
{{0,2},{{1,2},{0,3}}},
{{3,0},{{4,0},{3,1}}},
{{2,1},{{3,1},{2,2}}},
{{1,2},{{2,2},{1,3}}},
{{0,3},{{1,3},{0,4}}},
{{4,0},{{5,0},{4,1}}},
{{3,1},{{4,1},{3,2}}},
{{2,2},{{3,2},{2,3}}},
{{1,3},{{2,3},{1,4}}},
{{0,4},{{1,4},{0,5}}},
{{5,0},{{6,0},{5,1}}},
{{4,1},{{5,1},{4,2}}},
{{3,2},{{4,2},{3,3}}},
{{2,3},{{3,3},{2,4}}},
{{1,4},{{2,4},{1,5}}},
{{0,5},{{1,5},{0,6}}},
{{6,0},{{7,0},{6,1}}},
{{5,1},{{6,1},{5,2}}},
{{4,2},{{5,2},{4,3}}},
{{3,3},{{4,3},{3,4}}},
{{2,4},{{3,4},{2,5}}},
{{1,5},{{2,5},{1,6}}},
{{0,6},{{1,6},{0,7}}},
{{7,0},{{8,0},{7,1}}},
{{6,1},{{7,1},{6,2}}},
{{5,2},{{6,2},{5,3}}},
{{4,3},{{5,3},{4,4}}},
{{3,4},{{4,4},{3,5}}},
{{2,5},{{3,5},{2,6}}},
{{1,6},{{2,6},{1,7}}},
{{0,7},{{1,7},{0,8}}},
{{8,0},{}},
{{7,1},{}},
{{6,2},{}},
{{5,3},{}},
{{4,4},{}},
{{3,5},{}},
{{2,6},{}},
{{1,7},{}},
{{0,8},{}}}$

% all even derivatives in multiindex notation:$

all_der_mind:={{u,{0,0}},
{u,{1,0}},
{u,{0,1}},
{u,{2,0}},
{u,{1,1}},
{u,{0,2}},
{u,{3,0}},
{u,{2,1}},
{u,{1,2}},
{u,{0,3}},
{u,{4,0}},
{u,{3,1}},
{u,{2,2}},
{u,{1,3}},
{u,{0,4}},
{u,{5,0}},
{u,{4,1}},
{u,{3,2}},
{u,{2,3}},
{u,{1,4}},
{u,{0,5}},
{u,{6,0}},
{u,{5,1}},
{u,{4,2}},
{u,{3,3}},
{u,{2,4}},
{u,{1,5}},
{u,{0,6}},
{u,{7,0}},
{u,{6,1}},
{u,{5,2}},
{u,{4,3}},
{u,{3,4}},
{u,{2,5}},
{u,{1,6}},
{u,{0,7}},
{u,{8,0}},
{u,{7,1}},
{u,{6,2}},
{u,{5,3}},
{u,{4,4}},
{u,{3,5}},
{u,{2,6}},
{u,{1,7}},
{u,{0,8}}}$

% all odd derivatives in multiindex notation:$

all_odd_mind:={{p,{0,0}},
{r1,{0,0}},
{r2,{0,0}},
{r3,{0,0}},
{p,{1,0}},
{r1,{1,0}},
{r2,{1,0}},
{r3,{1,0}},
{p,{0,1}},
{r1,{0,1}},
{r2,{0,1}},
{r3,{0,1}},
{p,{2,0}},
{r1,{2,0}},
{r2,{2,0}},
{r3,{2,0}},
{p,{1,1}},
{r1,{1,1}},
{r2,{1,1}},
{r3,{1,1}},
{p,{0,2}},
{r1,{0,2}},
{r2,{0,2}},
{r3,{0,2}},
{p,{3,0}},
{r1,{3,0}},
{r2,{3,0}},
{r3,{3,0}},
{p,{2,1}},
{r1,{2,1}},
{r2,{2,1}},
{r3,{2,1}},
{p,{1,2}},
{r1,{1,2}},
{r2,{1,2}},
{r3,{1,2}},
{p,{0,3}},
{r1,{0,3}},
{r2,{0,3}},
{r3,{0,3}},
{p,{4,0}},
{r1,{4,0}},
{r2,{4,0}},
{r3,{4,0}},
{p,{3,1}},
{r1,{3,1}},
{r2,{3,1}},
{r3,{3,1}},
{p,{2,2}},
{r1,{2,2}},
{r2,{2,2}},
{r3,{2,2}},
{p,{1,3}},
{r1,{1,3}},
{r2,{1,3}},
{r3,{1,3}},
{p,{0,4}},
{r1,{0,4}},
{r2,{0,4}},
{r3,{0,4}},
{p,{5,0}},
{r1,{5,0}},
{r2,{5,0}},
{r3,{5,0}},
{p,{4,1}},
{r1,{4,1}},
{r2,{4,1}},
{r3,{4,1}},
{p,{3,2}},
{r1,{3,2}},
{r2,{3,2}},
{r3,{3,2}},
{p,{2,3}},
{r1,{2,3}},
{r2,{2,3}},
{r3,{2,3}},
{p,{1,4}},
{r1,{1,4}},
{r2,{1,4}},
{r3,{1,4}},
{p,{0,5}},
{r1,{0,5}},
{r2,{0,5}},
{r3,{0,5}},
{p,{6,0}},
{r1,{6,0}},
{r2,{6,0}},
{r3,{6,0}},
{p,{5,1}},
{r1,{5,1}},
{r2,{5,1}},
{r3,{5,1}},
{p,{4,2}},
{r1,{4,2}},
{r2,{4,2}},
{r3,{4,2}},
{p,{3,3}},
{r1,{3,3}},
{r2,{3,3}},
{r3,{3,3}},
{p,{2,4}},
{r1,{2,4}},
{r2,{2,4}},
{r3,{2,4}},
{p,{1,5}},
{r1,{1,5}},
{r2,{1,5}},
{r3,{1,5}},
{p,{0,6}},
{r1,{0,6}},
{r2,{0,6}},
{r3,{0,6}},
{p,{7,0}},
{r1,{7,0}},
{r2,{7,0}},
{r3,{7,0}},
{p,{6,1}},
{r1,{6,1}},
{r2,{6,1}},
{r3,{6,1}},
{p,{5,2}},
{r1,{5,2}},
{r2,{5,2}},
{r3,{5,2}},
{p,{4,3}},
{r1,{4,3}},
{r2,{4,3}},
{r3,{4,3}},
{p,{3,4}},
{r1,{3,4}},
{r2,{3,4}},
{r3,{3,4}},
{p,{2,5}},
{r1,{2,5}},
{r2,{2,5}},
{r3,{2,5}},
{p,{1,6}},
{r1,{1,6}},
{r2,{1,6}},
{r3,{1,6}},
{p,{0,7}},
{r1,{0,7}},
{r2,{0,7}},
{r3,{0,7}},
{p,{8,0}},
{r1,{8,0}},
{r2,{8,0}},
{r3,{8,0}},
{p,{7,1}},
{r1,{7,1}},
{r2,{7,1}},
{r3,{7,1}},
{p,{6,2}},
{r1,{6,2}},
{r2,{6,2}},
{r3,{6,2}},
{p,{5,3}},
{r1,{5,3}},
{r2,{5,3}},
{r3,{5,3}},
{p,{4,4}},
{r1,{4,4}},
{r2,{4,4}},
{r3,{4,4}},
{p,{3,5}},
{r1,{3,5}},
{r2,{3,5}},
{r3,{3,5}},
{p,{2,6}},
{r1,{2,6}},
{r2,{2,6}},
{r3,{2,6}},
{p,{1,7}},
{r1,{1,7}},
{r2,{1,7}},
{r3,{1,7}},
{p,{0,8}},
{r1,{0,8}},
{r2,{0,8}},
{r3,{0,8}}}$

% all even derivatives in identifier notation:$

all_der_id:={u,
u_x,
u_t,
u_2x,
u_xt,
u_2t,
u_3x,
u_2xt,
u_x2t,
u_3t,
u_4x,
u_3xt,
u_2x2t,
u_x3t,
u_4t,
u_5x,
u_4xt,
u_3x2t,
u_2x3t,
u_x4t,
u_5t,
u_6x,
u_5xt,
u_4x2t,
u_3x3t,
u_2x4t,
u_x5t,
u_6t,
u_7x,
u_6xt,
u_5x2t,
u_4x3t,
u_3x4t,
u_2x5t,
u_x6t,
u_7t,
u_8x,
u_7xt,
u_6x2t,
u_5x3t,
u_4x4t,
u_3x5t,
u_2x6t,
u_x7t,
u_8t}$

% all odd derivatives in identifier notation:$

all_odd_id:={p,
r1,
r2,
r3,
p_x,
r1_x,
r2_x,
r3_x,
p_t,
r1_t,
r2_t,
r3_t,
p_2x,
r1_2x,
r2_2x,
r3_2x,
p_xt,
r1_xt,
r2_xt,
r3_xt,
p_2t,
r1_2t,
r2_2t,
r3_2t,
p_3x,
r1_3x,
r2_3x,
r3_3x,
p_2xt,
r1_2xt,
r2_2xt,
r3_2xt,
p_x2t,
r1_x2t,
r2_x2t,
r3_x2t,
p_3t,
r1_3t,
r2_3t,
r3_3t,
p_4x,
r1_4x,
r2_4x,
r3_4x,
p_3xt,
r1_3xt,
r2_3xt,
r3_3xt,
p_2x2t,
r1_2x2t,
r2_2x2t,
r3_2x2t,
p_x3t,
r1_x3t,
r2_x3t,
r3_x3t,
p_4t,
r1_4t,
r2_4t,
r3_4t,
p_5x,
r1_5x,
r2_5x,
r3_5x,
p_4xt,
r1_4xt,
r2_4xt,
r3_4xt,
p_3x2t,
r1_3x2t,
r2_3x2t,
r3_3x2t,
p_2x3t,
r1_2x3t,
r2_2x3t,
r3_2x3t,
p_x4t,
r1_x4t,
r2_x4t,
r3_x4t,
p_5t,
r1_5t,
r2_5t,
r3_5t,
p_6x,
r1_6x,
r2_6x,
r3_6x,
p_5xt,
r1_5xt,
r2_5xt,
r3_5xt,
p_4x2t,
r1_4x2t,
r2_4x2t,
r3_4x2t,
p_3x3t,
r1_3x3t,
r2_3x3t,
r3_3x3t,
p_2x4t,
r1_2x4t,
r2_2x4t,
r3_2x4t,
p_x5t,
r1_x5t,
r2_x5t,
r3_x5t,
p_6t,
r1_6t,
r2_6t,
r3_6t,
p_7x,
r1_7x,
r2_7x,
r3_7x,
p_6xt,
r1_6xt,
r2_6xt,
r3_6xt,
p_5x2t,
r1_5x2t,
r2_5x2t,
r3_5x2t,
p_4x3t,
r1_4x3t,
r2_4x3t,
r3_4x3t,
p_3x4t,
r1_3x4t,
r2_3x4t,
r3_3x4t,
p_2x5t,
r1_2x5t,
r2_2x5t,
r3_2x5t,
p_x6t,
r1_x6t,
r2_x6t,
r3_x6t,
p_7t,
r1_7t,
r2_7t,
r3_7t,
p_8x,
r1_8x,
r2_8x,
r3_8x,
p_7xt,
r1_7xt,
r2_7xt,
r3_7xt,
p_6x2t,
r1_6x2t,
r2_6x2t,
r3_6x2t,
p_5x3t,
r1_5x3t,
r2_5x3t,
r3_5x3t,
p_4x4t,
r1_4x4t,
r2_4x4t,
r3_4x4t,
p_3x5t,
r1_3x5t,
r2_3x5t,
r3_3x5t,
p_2x6t,
r1_2x6t,
r2_2x6t,
r3_2x6t,
p_x7t,
r1_x7t,
r2_x7t,
r3_x7t,
p_8t,
r1_8t,
r2_8t,
r3_8t}$

% all ext symbols:$

all_ext:={ext(1),
ext(2),
ext(3),
ext(4),
ext(5),
ext(6),
ext(7),
ext(8),
ext(9),
ext(10),
ext(11),
ext(12),
ext(13),
ext(14),
ext(15),
ext(16),
ext(17),
ext(18),
ext(19),
ext(20),
ext(21),
ext(22),
ext(23),
ext(24),
ext(25),
ext(26),
ext(27),
ext(28),
ext(29),
ext(30),
ext(31),
ext(32),
ext(33),
ext(34),
ext(35),
ext(36),
ext(37),
ext(38),
ext(39),
ext(40),
ext(41),
ext(42),
ext(43),
ext(44),
ext(45),
ext(46),
ext(47),
ext(48),
ext(49),
ext(50),
ext(51),
ext(52),
ext(53),
ext(54),
ext(55),
ext(56),
ext(57),
ext(58),
ext(59),
ext(60),
ext(61),
ext(62),
ext(63),
ext(64),
ext(65),
ext(66),
ext(67),
ext(68),
ext(69),
ext(70),
ext(71),
ext(72),
ext(73),
ext(74),
ext(75),
ext(76),
ext(77),
ext(78),
ext(79),
ext(80),
ext(81),
ext(82),
ext(83),
ext(84),
ext(85),
ext(86),
ext(87),
ext(88),
ext(89),
ext(90),
ext(91),
ext(92),
ext(93),
ext(94),
ext(95),
ext(96),
ext(97),
ext(98),
ext(99),
ext(100),
ext(101),
ext(102),
ext(103),
ext(104),
ext(105),
ext(106),
ext(107),
ext(108),
ext(109),
ext(110),
ext(111),
ext(112),
ext(113),
ext(114),
ext(115),
ext(116),
ext(117),
ext(118),
ext(119),
ext(120),
ext(121),
ext(122),
ext(123),
ext(124),
ext(125),
ext(126),
ext(127),
ext(128),
ext(129),
ext(130),
ext(131),
ext(132),
ext(133),
ext(134),
ext(135),
ext(136),
ext(137),
ext(138),
ext(139),
ext(140),
ext(141),
ext(142),
ext(143),
ext(144),
ext(145),
ext(146),
ext(147),
ext(148),
ext(149),
ext(150),
ext(151),
ext(152),
ext(153),
ext(154),
ext(155),
ext(156),
ext(157),
ext(158),
ext(159),
ext(160),
ext(161),
ext(162),
ext(163),
ext(164),
ext(165),
ext(166),
ext(167),
ext(168),
ext(169),
ext(170),
ext(171),
ext(172),
ext(173),
ext(174),
ext(175),
ext(176),
ext(177),
ext(178),
ext(179),
ext(180)}$

% alist of even derivative coordinates:$

i2m_jetspace:={{u,{u,{0,0}}},
{u_x,{u,{1,0}}},
{u_t,{u,{0,1}}},
{u_2x,{u,{2,0}}},
{u_xt,{u,{1,1}}},
{u_2t,{u,{0,2}}},
{u_3x,{u,{3,0}}},
{u_2xt,{u,{2,1}}},
{u_x2t,{u,{1,2}}},
{u_3t,{u,{0,3}}},
{u_4x,{u,{4,0}}},
{u_3xt,{u,{3,1}}},
{u_2x2t,{u,{2,2}}},
{u_x3t,{u,{1,3}}},
{u_4t,{u,{0,4}}},
{u_5x,{u,{5,0}}},
{u_4xt,{u,{4,1}}},
{u_3x2t,{u,{3,2}}},
{u_2x3t,{u,{2,3}}},
{u_x4t,{u,{1,4}}},
{u_5t,{u,{0,5}}},
{u_6x,{u,{6,0}}},
{u_5xt,{u,{5,1}}},
{u_4x2t,{u,{4,2}}},
{u_3x3t,{u,{3,3}}},
{u_2x4t,{u,{2,4}}},
{u_x5t,{u,{1,5}}},
{u_6t,{u,{0,6}}},
{u_7x,{u,{7,0}}},
{u_6xt,{u,{6,1}}},
{u_5x2t,{u,{5,2}}},
{u_4x3t,{u,{4,3}}},
{u_3x4t,{u,{3,4}}},
{u_2x5t,{u,{2,5}}},
{u_x6t,{u,{1,6}}},
{u_7t,{u,{0,7}}},
{u_8x,{u,{8,0}}},
{u_7xt,{u,{7,1}}},
{u_6x2t,{u,{6,2}}},
{u_5x3t,{u,{5,3}}},
{u_4x4t,{u,{4,4}}},
{u_3x5t,{u,{3,5}}},
{u_2x6t,{u,{2,6}}},
{u_x7t,{u,{1,7}}},
{u_8t,{u,{0,8}}}}$

% alist of odd derivative coordinates:$

i2m_jetspace_odd:={{p,{p,{0,0}}},
{r1,{r1,{0,0}}},
{r2,{r2,{0,0}}},
{r3,{r3,{0,0}}},
{p_x,{p,{1,0}}},
{r1_x,{r1,{1,0}}},
{r2_x,{r2,{1,0}}},
{r3_x,{r3,{1,0}}},
{p_t,{p,{0,1}}},
{r1_t,{r1,{0,1}}},
{r2_t,{r2,{0,1}}},
{r3_t,{r3,{0,1}}},
{p_2x,{p,{2,0}}},
{r1_2x,{r1,{2,0}}},
{r2_2x,{r2,{2,0}}},
{r3_2x,{r3,{2,0}}},
{p_xt,{p,{1,1}}},
{r1_xt,{r1,{1,1}}},
{r2_xt,{r2,{1,1}}},
{r3_xt,{r3,{1,1}}},
{p_2t,{p,{0,2}}},
{r1_2t,{r1,{0,2}}},
{r2_2t,{r2,{0,2}}},
{r3_2t,{r3,{0,2}}},
{p_3x,{p,{3,0}}},
{r1_3x,{r1,{3,0}}},
{r2_3x,{r2,{3,0}}},
{r3_3x,{r3,{3,0}}},
{p_2xt,{p,{2,1}}},
{r1_2xt,{r1,{2,1}}},
{r2_2xt,{r2,{2,1}}},
{r3_2xt,{r3,{2,1}}},
{p_x2t,{p,{1,2}}},
{r1_x2t,{r1,{1,2}}},
{r2_x2t,{r2,{1,2}}},
{r3_x2t,{r3,{1,2}}},
{p_3t,{p,{0,3}}},
{r1_3t,{r1,{0,3}}},
{r2_3t,{r2,{0,3}}},
{r3_3t,{r3,{0,3}}},
{p_4x,{p,{4,0}}},
{r1_4x,{r1,{4,0}}},
{r2_4x,{r2,{4,0}}},
{r3_4x,{r3,{4,0}}},
{p_3xt,{p,{3,1}}},
{r1_3xt,{r1,{3,1}}},
{r2_3xt,{r2,{3,1}}},
{r3_3xt,{r3,{3,1}}},
{p_2x2t,{p,{2,2}}},
{r1_2x2t,{r1,{2,2}}},
{r2_2x2t,{r2,{2,2}}},
{r3_2x2t,{r3,{2,2}}},
{p_x3t,{p,{1,3}}},
{r1_x3t,{r1,{1,3}}},
{r2_x3t,{r2,{1,3}}},
{r3_x3t,{r3,{1,3}}},
{p_4t,{p,{0,4}}},
{r1_4t,{r1,{0,4}}},
{r2_4t,{r2,{0,4}}},
{r3_4t,{r3,{0,4}}},
{p_5x,{p,{5,0}}},
{r1_5x,{r1,{5,0}}},
{r2_5x,{r2,{5,0}}},
{r3_5x,{r3,{5,0}}},
{p_4xt,{p,{4,1}}},
{r1_4xt,{r1,{4,1}}},
{r2_4xt,{r2,{4,1}}},
{r3_4xt,{r3,{4,1}}},
{p_3x2t,{p,{3,2}}},
{r1_3x2t,{r1,{3,2}}},
{r2_3x2t,{r2,{3,2}}},
{r3_3x2t,{r3,{3,2}}},
{p_2x3t,{p,{2,3}}},
{r1_2x3t,{r1,{2,3}}},
{r2_2x3t,{r2,{2,3}}},
{r3_2x3t,{r3,{2,3}}},
{p_x4t,{p,{1,4}}},
{r1_x4t,{r1,{1,4}}},
{r2_x4t,{r2,{1,4}}},
{r3_x4t,{r3,{1,4}}},
{p_5t,{p,{0,5}}},
{r1_5t,{r1,{0,5}}},
{r2_5t,{r2,{0,5}}},
{r3_5t,{r3,{0,5}}},
{p_6x,{p,{6,0}}},
{r1_6x,{r1,{6,0}}},
{r2_6x,{r2,{6,0}}},
{r3_6x,{r3,{6,0}}},
{p_5xt,{p,{5,1}}},
{r1_5xt,{r1,{5,1}}},
{r2_5xt,{r2,{5,1}}},
{r3_5xt,{r3,{5,1}}},
{p_4x2t,{p,{4,2}}},
{r1_4x2t,{r1,{4,2}}},
{r2_4x2t,{r2,{4,2}}},
{r3_4x2t,{r3,{4,2}}},
{p_3x3t,{p,{3,3}}},
{r1_3x3t,{r1,{3,3}}},
{r2_3x3t,{r2,{3,3}}},
{r3_3x3t,{r3,{3,3}}},
{p_2x4t,{p,{2,4}}},
{r1_2x4t,{r1,{2,4}}},
{r2_2x4t,{r2,{2,4}}},
{r3_2x4t,{r3,{2,4}}},
{p_x5t,{p,{1,5}}},
{r1_x5t,{r1,{1,5}}},
{r2_x5t,{r2,{1,5}}},
{r3_x5t,{r3,{1,5}}},
{p_6t,{p,{0,6}}},
{r1_6t,{r1,{0,6}}},
{r2_6t,{r2,{0,6}}},
{r3_6t,{r3,{0,6}}},
{p_7x,{p,{7,0}}},
{r1_7x,{r1,{7,0}}},
{r2_7x,{r2,{7,0}}},
{r3_7x,{r3,{7,0}}},
{p_6xt,{p,{6,1}}},
{r1_6xt,{r1,{6,1}}},
{r2_6xt,{r2,{6,1}}},
{r3_6xt,{r3,{6,1}}},
{p_5x2t,{p,{5,2}}},
{r1_5x2t,{r1,{5,2}}},
{r2_5x2t,{r2,{5,2}}},
{r3_5x2t,{r3,{5,2}}},
{p_4x3t,{p,{4,3}}},
{r1_4x3t,{r1,{4,3}}},
{r2_4x3t,{r2,{4,3}}},
{r3_4x3t,{r3,{4,3}}},
{p_3x4t,{p,{3,4}}},
{r1_3x4t,{r1,{3,4}}},
{r2_3x4t,{r2,{3,4}}},
{r3_3x4t,{r3,{3,4}}},
{p_2x5t,{p,{2,5}}},
{r1_2x5t,{r1,{2,5}}},
{r2_2x5t,{r2,{2,5}}},
{r3_2x5t,{r3,{2,5}}},
{p_x6t,{p,{1,6}}},
{r1_x6t,{r1,{1,6}}},
{r2_x6t,{r2,{1,6}}},
{r3_x6t,{r3,{1,6}}},
{p_7t,{p,{0,7}}},
{r1_7t,{r1,{0,7}}},
{r2_7t,{r2,{0,7}}},
{r3_7t,{r3,{0,7}}},
{p_8x,{p,{8,0}}},
{r1_8x,{r1,{8,0}}},
{r2_8x,{r2,{8,0}}},
{r3_8x,{r3,{8,0}}},
{p_7xt,{p,{7,1}}},
{r1_7xt,{r1,{7,1}}},
{r2_7xt,{r2,{7,1}}},
{r3_7xt,{r3,{7,1}}},
{p_6x2t,{p,{6,2}}},
{r1_6x2t,{r1,{6,2}}},
{r2_6x2t,{r2,{6,2}}},
{r3_6x2t,{r3,{6,2}}},
{p_5x3t,{p,{5,3}}},
{r1_5x3t,{r1,{5,3}}},
{r2_5x3t,{r2,{5,3}}},
{r3_5x3t,{r3,{5,3}}},
{p_4x4t,{p,{4,4}}},
{r1_4x4t,{r1,{4,4}}},
{r2_4x4t,{r2,{4,4}}},
{r3_4x4t,{r3,{4,4}}},
{p_3x5t,{p,{3,5}}},
{r1_3x5t,{r1,{3,5}}},
{r2_3x5t,{r2,{3,5}}},
{r3_3x5t,{r3,{3,5}}},
{p_2x6t,{p,{2,6}}},
{r1_2x6t,{r1,{2,6}}},
{r2_2x6t,{r2,{2,6}}},
{r3_2x6t,{r3,{2,6}}},
{p_x7t,{p,{1,7}}},
{r1_x7t,{r1,{1,7}}},
{r2_x7t,{r2,{1,7}}},
{r3_x7t,{r3,{1,7}}},
{p_8t,{p,{0,8}}},
{r1_8t,{r1,{0,8}}},
{r2_8t,{r2,{0,8}}},
{r3_8t,{r3,{0,8}}}}$

% alist of even derivative coordinates - order of derivative:$

i2o_jetspace:={{u,0},
{u_x,1},
{u_t,1},
{u_2x,2},
{u_xt,2},
{u_2t,2},
{u_3x,3},
{u_2xt,3},
{u_x2t,3},
{u_3t,3},
{u_4x,4},
{u_3xt,4},
{u_2x2t,4},
{u_x3t,4},
{u_4t,4},
{u_5x,5},
{u_4xt,5},
{u_3x2t,5},
{u_2x3t,5},
{u_x4t,5},
{u_5t,5},
{u_6x,6},
{u_5xt,6},
{u_4x2t,6},
{u_3x3t,6},
{u_2x4t,6},
{u_x5t,6},
{u_6t,6},
{u_7x,7},
{u_6xt,7},
{u_5x2t,7},
{u_4x3t,7},
{u_3x4t,7},
{u_2x5t,7},
{u_x6t,7},
{u_7t,7},
{u_8x,8},
{u_7xt,8},
{u_6x2t,8},
{u_5x3t,8},
{u_4x4t,8},
{u_3x5t,8},
{u_2x6t,8},
{u_x7t,8},
{u_8t,8}}$

% alist of odd derivative coordinates - order of derivative:$

i2o_jetspace_odd:={{p,0},
{r1,0},
{r2,0},
{r3,0},
{p_x,1},
{r1_x,1},
{r2_x,1},
{r3_x,1},
{p_t,1},
{r1_t,1},
{r2_t,1},
{r3_t,1},
{p_2x,2},
{r1_2x,2},
{r2_2x,2},
{r3_2x,2},
{p_xt,2},
{r1_xt,2},
{r2_xt,2},
{r3_xt,2},
{p_2t,2},
{r1_2t,2},
{r2_2t,2},
{r3_2t,2},
{p_3x,3},
{r1_3x,3},
{r2_3x,3},
{r3_3x,3},
{p_2xt,3},
{r1_2xt,3},
{r2_2xt,3},
{r3_2xt,3},
{p_x2t,3},
{r1_x2t,3},
{r2_x2t,3},
{r3_x2t,3},
{p_3t,3},
{r1_3t,3},
{r2_3t,3},
{r3_3t,3},
{p_4x,4},
{r1_4x,4},
{r2_4x,4},
{r3_4x,4},
{p_3xt,4},
{r1_3xt,4},
{r2_3xt,4},
{r3_3xt,4},
{p_2x2t,4},
{r1_2x2t,4},
{r2_2x2t,4},
{r3_2x2t,4},
{p_x3t,4},
{r1_x3t,4},
{r2_x3t,4},
{r3_x3t,4},
{p_4t,4},
{r1_4t,4},
{r2_4t,4},
{r3_4t,4},
{p_5x,5},
{r1_5x,5},
{r2_5x,5},
{r3_5x,5},
{p_4xt,5},
{r1_4xt,5},
{r2_4xt,5},
{r3_4xt,5},
{p_3x2t,5},
{r1_3x2t,5},
{r2_3x2t,5},
{r3_3x2t,5},
{p_2x3t,5},
{r1_2x3t,5},
{r2_2x3t,5},
{r3_2x3t,5},
{p_x4t,5},
{r1_x4t,5},
{r2_x4t,5},
{r3_x4t,5},
{p_5t,5},
{r1_5t,5},
{r2_5t,5},
{r3_5t,5},
{p_6x,6},
{r1_6x,6},
{r2_6x,6},
{r3_6x,6},
{p_5xt,6},
{r1_5xt,6},
{r2_5xt,6},
{r3_5xt,6},
{p_4x2t,6},
{r1_4x2t,6},
{r2_4x2t,6},
{r3_4x2t,6},
{p_3x3t,6},
{r1_3x3t,6},
{r2_3x3t,6},
{r3_3x3t,6},
{p_2x4t,6},
{r1_2x4t,6},
{r2_2x4t,6},
{r3_2x4t,6},
{p_x5t,6},
{r1_x5t,6},
{r2_x5t,6},
{r3_x5t,6},
{p_6t,6},
{r1_6t,6},
{r2_6t,6},
{r3_6t,6},
{p_7x,7},
{r1_7x,7},
{r2_7x,7},
{r3_7x,7},
{p_6xt,7},
{r1_6xt,7},
{r2_6xt,7},
{r3_6xt,7},
{p_5x2t,7},
{r1_5x2t,7},
{r2_5x2t,7},
{r3_5x2t,7},
{p_4x3t,7},
{r1_4x3t,7},
{r2_4x3t,7},
{r3_4x3t,7},
{p_3x4t,7},
{r1_3x4t,7},
{r2_3x4t,7},
{r3_3x4t,7},
{p_2x5t,7},
{r1_2x5t,7},
{r2_2x5t,7},
{r3_2x5t,7},
{p_x6t,7},
{r1_x6t,7},
{r2_x6t,7},
{r3_x6t,7},
{p_7t,7},
{r1_7t,7},
{r2_7t,7},
{r3_7t,7},
{p_8x,8},
{r1_8x,8},
{r2_8x,8},
{r3_8x,8},
{p_7xt,8},
{r1_7xt,8},
{r2_7xt,8},
{r3_7xt,8},
{p_6x2t,8},
{r1_6x2t,8},
{r2_6x2t,8},
{r3_6x2t,8},
{p_5x3t,8},
{r1_5x3t,8},
{r2_5x3t,8},
{r3_5x3t,8},
{p_4x4t,8},
{r1_4x4t,8},
{r2_4x4t,8},
{r3_4x4t,8},
{p_3x5t,8},
{r1_3x5t,8},
{r2_3x5t,8},
{r3_3x5t,8},
{p_2x6t,8},
{r1_2x6t,8},
{r2_2x6t,8},
{r3_2x6t,8},
{p_x7t,8},
{r1_x7t,8},
{r2_x7t,8},
{r3_x7t,8},
{p_8t,8},
{r1_8t,8},
{r2_8t,8},
{r3_8t,8}}$

% list of even principal derivatives:$

all_principal_der:={u_t,
u_2t,
u_xt,
u_3t,
u_x2t,
u_2xt,
u_4t,
u_x3t,
u_2x2t,
u_3xt,
u_5t,
u_x4t,
u_2x3t,
u_3x2t,
u_4xt,
u_6t,
u_x5t,
u_2x4t,
u_3x3t,
u_4x2t,
u_5xt,
u_7t,
u_x6t,
u_2x5t,
u_3x4t,
u_4x3t,
u_5x2t,
u_6xt,
u_8t,
u_x7t,
u_2x6t,
u_3x5t,
u_4x4t,
u_5x3t,
u_6x2t,
u_7xt}$

% list of even parametric derivatives:$

all_parametric_der:={u,
u_x,
u_2x,
u_3x,
u_4x,
u_5x,
u_6x,
u_7x,
u_8x}$

% list of odd principal derivatives:$

all_principal_odd:={p_t,
r1_t,
r1_x,
r2_t,
r2_x,
r3_t,
r3_x,
p_2t,
p_xt,
r1_2t,
r1_xt,
r1_2x,
r2_2t,
r2_xt,
r2_2x,
r3_2t,
r3_xt,
r3_2x,
p_3t,
p_x2t,
p_2xt,
r1_3t,
r1_x2t,
r1_2xt,
r1_3x,
r2_3t,
r2_x2t,
r2_2xt,
r2_3x,
r3_3t,
r3_x2t,
r3_2xt,
r3_3x,
p_4t,
p_x3t,
p_2x2t,
p_3xt,
r1_4t,
r1_x3t,
r1_2x2t,
r1_3xt,
r1_4x,
r2_4t,
r2_x3t,
r2_2x2t,
r2_3xt,
r2_4x,
r3_4t,
r3_x3t,
r3_2x2t,
r3_3xt,
r3_4x,
p_5t,
p_x4t,
p_2x3t,
p_3x2t,
p_4xt,
r1_5t,
r1_x4t,
r1_2x3t,
r1_3x2t,
r1_4xt,
r1_5x,
r2_5t,
r2_x4t,
r2_2x3t,
r2_3x2t,
r2_4xt,
r2_5x,
r3_5t,
r3_x4t,
r3_2x3t,
r3_3x2t,
r3_4xt,
r3_5x,
p_6t,
p_x5t,
p_2x4t,
p_3x3t,
p_4x2t,
p_5xt,
r1_6t,
r1_x5t,
r1_2x4t,
r1_3x3t,
r1_4x2t,
r1_5xt,
r1_6x,
r2_6t,
r2_x5t,
r2_2x4t,
r2_3x3t,
r2_4x2t,
r2_5xt,
r2_6x,
r3_6t,
r3_x5t,
r3_2x4t,
r3_3x3t,
r3_4x2t,
r3_5xt,
r3_6x,
p_7t,
p_x6t,
p_2x5t,
p_3x4t,
p_4x3t,
p_5x2t,
p_6xt,
r1_7t,
r1_x6t,
r1_2x5t,
r1_3x4t,
r1_4x3t,
r1_5x2t,
r1_6xt,
r1_7x,
r2_7t,
r2_x6t,
r2_2x5t,
r2_3x4t,
r2_4x3t,
r2_5x2t,
r2_6xt,
r2_7x,
r3_7t,
r3_x6t,
r3_2x5t,
r3_3x4t,
r3_4x3t,
r3_5x2t,
r3_6xt,
r3_7x,
p_8t,
p_x7t,
p_2x6t,
p_3x5t,
p_4x4t,
p_5x3t,
p_6x2t,
p_7xt,
r1_8t,
r1_x7t,
r1_2x6t,
r1_3x5t,
r1_4x4t,
r1_5x3t,
r1_6x2t,
r1_7xt,
r1_8x,
r2_8t,
r2_x7t,
r2_2x6t,
r2_3x5t,
r2_4x4t,
r2_5x3t,
r2_6x2t,
r2_7xt,
r2_8x,
r3_8t,
r3_x7t,
r3_2x6t,
r3_3x5t,
r3_4x4t,
r3_5x3t,
r3_6x2t,
r3_7xt,
r3_8x}$

% list of odd parametric derivatives:$

all_parametric_odd:={p,
r1,
r2,
r3,
p_x,
p_2x,
p_3x,
p_4x,
p_5x,
p_6x,
p_7x,
p_8x}$

% list of ext principal derivatives:$

all_principal_ext:={ext(13),
ext(14),
ext(15),
ext(16),
ext(17),
ext(18),
ext(19),
ext(20),
ext(21),
ext(22),
ext(23),
ext(24),
ext(25),
ext(26),
ext(27),
ext(28),
ext(29),
ext(30),
ext(31),
ext(32),
ext(33),
ext(34),
ext(35),
ext(36),
ext(37),
ext(38),
ext(39),
ext(40),
ext(41),
ext(42),
ext(43),
ext(44),
ext(45),
ext(46),
ext(47),
ext(48),
ext(49),
ext(50),
ext(51),
ext(52),
ext(53),
ext(54),
ext(55),
ext(56),
ext(57),
ext(58),
ext(59),
ext(60),
ext(61),
ext(62),
ext(63),
ext(64),
ext(65),
ext(66),
ext(67),
ext(68),
ext(69),
ext(70),
ext(71),
ext(72),
ext(73),
ext(74),
ext(75),
ext(76),
ext(77),
ext(78),
ext(79),
ext(80),
ext(81),
ext(82),
ext(83),
ext(84),
ext(85),
ext(86),
ext(87),
ext(88),
ext(89),
ext(90),
ext(91),
ext(92),
ext(93),
ext(94),
ext(95),
ext(96),
ext(97),
ext(98),
ext(99),
ext(100),
ext(101),
ext(102),
ext(103),
ext(104),
ext(105),
ext(106),
ext(107),
ext(108),
ext(109),
ext(110),
ext(111),
ext(112),
ext(113),
ext(114),
ext(115),
ext(116),
ext(117),
ext(118),
ext(119),
ext(120),
ext(121),
ext(122),
ext(123),
ext(124),
ext(125),
ext(126),
ext(127),
ext(128),
ext(129),
ext(130),
ext(131),
ext(132),
ext(133),
ext(134),
ext(135),
ext(136),
ext(137),
ext(138),
ext(139),
ext(140),
ext(141),
ext(142),
ext(143),
ext(144),
ext(145),
ext(146),
ext(147),
ext(148),
ext(149),
ext(150),
ext(151),
ext(152),
ext(153),
ext(154),
ext(155),
ext(156),
ext(157),
ext(158),
ext(159),
ext(160),
ext(161),
ext(162),
ext(163),
ext(164),
ext(165),
ext(166),
ext(167),
ext(168),
ext(169),
ext(170),
ext(171),
ext(172),
ext(173),
ext(174),
ext(175),
ext(176),
ext(177),
ext(178),
ext(179),
ext(180)}$

% list of ext parametric derivatives:$

all_parametric_ext:={ext(1),
ext(2),
ext(3),
ext(4),
ext(5),
ext(6),
ext(7),
ext(8),
ext(9),
ext(10),
ext(11),
ext(12)}$

% alist of odd derivatives - ext symbols:$

o2e_jetspace:={{p,ext(1)},
{r1,ext(2)},
{r2,ext(3)},
{r3,ext(4)},
{p_x,ext(5)},
{p_2x,ext(6)},
{p_3x,ext(7)},
{p_4x,ext(8)},
{p_5x,ext(9)},
{p_6x,ext(10)},
{p_7x,ext(11)},
{p_8x,ext(12)},
{p_t,ext(13)},
{r1_t,ext(14)},
{r1_x,ext(15)},
{r2_t,ext(16)},
{r2_x,ext(17)},
{r3_t,ext(18)},
{r3_x,ext(19)},
{p_2t,ext(20)},
{p_xt,ext(21)},
{r1_2t,ext(22)},
{r1_xt,ext(23)},
{r1_2x,ext(24)},
{r2_2t,ext(25)},
{r2_xt,ext(26)},
{r2_2x,ext(27)},
{r3_2t,ext(28)},
{r3_xt,ext(29)},
{r3_2x,ext(30)},
{p_3t,ext(31)},
{p_x2t,ext(32)},
{p_2xt,ext(33)},
{r1_3t,ext(34)},
{r1_x2t,ext(35)},
{r1_2xt,ext(36)},
{r1_3x,ext(37)},
{r2_3t,ext(38)},
{r2_x2t,ext(39)},
{r2_2xt,ext(40)},
{r2_3x,ext(41)},
{r3_3t,ext(42)},
{r3_x2t,ext(43)},
{r3_2xt,ext(44)},
{r3_3x,ext(45)},
{p_4t,ext(46)},
{p_x3t,ext(47)},
{p_2x2t,ext(48)},
{p_3xt,ext(49)},
{r1_4t,ext(50)},
{r1_x3t,ext(51)},
{r1_2x2t,ext(52)},
{r1_3xt,ext(53)},
{r1_4x,ext(54)},
{r2_4t,ext(55)},
{r2_x3t,ext(56)},
{r2_2x2t,ext(57)},
{r2_3xt,ext(58)},
{r2_4x,ext(59)},
{r3_4t,ext(60)},
{r3_x3t,ext(61)},
{r3_2x2t,ext(62)},
{r3_3xt,ext(63)},
{r3_4x,ext(64)},
{p_5t,ext(65)},
{p_x4t,ext(66)},
{p_2x3t,ext(67)},
{p_3x2t,ext(68)},
{p_4xt,ext(69)},
{r1_5t,ext(70)},
{r1_x4t,ext(71)},
{r1_2x3t,ext(72)},
{r1_3x2t,ext(73)},
{r1_4xt,ext(74)},
{r1_5x,ext(75)},
{r2_5t,ext(76)},
{r2_x4t,ext(77)},
{r2_2x3t,ext(78)},
{r2_3x2t,ext(79)},
{r2_4xt,ext(80)},
{r2_5x,ext(81)},
{r3_5t,ext(82)},
{r3_x4t,ext(83)},
{r3_2x3t,ext(84)},
{r3_3x2t,ext(85)},
{r3_4xt,ext(86)},
{r3_5x,ext(87)},
{p_6t,ext(88)},
{p_x5t,ext(89)},
{p_2x4t,ext(90)},
{p_3x3t,ext(91)},
{p_4x2t,ext(92)},
{p_5xt,ext(93)},
{r1_6t,ext(94)},
{r1_x5t,ext(95)},
{r1_2x4t,ext(96)},
{r1_3x3t,ext(97)},
{r1_4x2t,ext(98)},
{r1_5xt,ext(99)},
{r1_6x,ext(100)},
{r2_6t,ext(101)},
{r2_x5t,ext(102)},
{r2_2x4t,ext(103)},
{r2_3x3t,ext(104)},
{r2_4x2t,ext(105)},
{r2_5xt,ext(106)},
{r2_6x,ext(107)},
{r3_6t,ext(108)},
{r3_x5t,ext(109)},
{r3_2x4t,ext(110)},
{r3_3x3t,ext(111)},
{r3_4x2t,ext(112)},
{r3_5xt,ext(113)},
{r3_6x,ext(114)},
{p_7t,ext(115)},
{p_x6t,ext(116)},
{p_2x5t,ext(117)},
{p_3x4t,ext(118)},
{p_4x3t,ext(119)},
{p_5x2t,ext(120)},
{p_6xt,ext(121)},
{r1_7t,ext(122)},
{r1_x6t,ext(123)},
{r1_2x5t,ext(124)},
{r1_3x4t,ext(125)},
{r1_4x3t,ext(126)},
{r1_5x2t,ext(127)},
{r1_6xt,ext(128)},
{r1_7x,ext(129)},
{r2_7t,ext(130)},
{r2_x6t,ext(131)},
{r2_2x5t,ext(132)},
{r2_3x4t,ext(133)},
{r2_4x3t,ext(134)},
{r2_5x2t,ext(135)},
{r2_6xt,ext(136)},
{r2_7x,ext(137)},
{r3_7t,ext(138)},
{r3_x6t,ext(139)},
{r3_2x5t,ext(140)},
{r3_3x4t,ext(141)},
{r3_4x3t,ext(142)},
{r3_5x2t,ext(143)},
{r3_6xt,ext(144)},
{r3_7x,ext(145)},
{p_8t,ext(146)},
{p_x7t,ext(147)},
{p_2x6t,ext(148)},
{p_3x5t,ext(149)},
{p_4x4t,ext(150)},
{p_5x3t,ext(151)},
{p_6x2t,ext(152)},
{p_7xt,ext(153)},
{r1_8t,ext(154)},
{r1_x7t,ext(155)},
{r1_2x6t,ext(156)},
{r1_3x5t,ext(157)},
{r1_4x4t,ext(158)},
{r1_5x3t,ext(159)},
{r1_6x2t,ext(160)},
{r1_7xt,ext(161)},
{r1_8x,ext(162)},
{r2_8t,ext(163)},
{r2_x7t,ext(164)},
{r2_2x6t,ext(165)},
{r2_3x5t,ext(166)},
{r2_4x4t,ext(167)},
{r2_5x3t,ext(168)},
{r2_6x2t,ext(169)},
{r2_7xt,ext(170)},
{r2_8x,ext(171)},
{r3_8t,ext(172)},
{r3_x7t,ext(173)},
{r3_2x6t,ext(174)},
{r3_3x5t,ext(175)},
{r3_4x4t,ext(176)},
{r3_5x3t,ext(177)},
{r3_6x2t,ext(178)},
{r3_7xt,ext(179)},
{r3_8x,ext(180)}}$

% set of rules to replace odd ders with ext symbols:$

repoddext:={p=ext(1),
r1=ext(2),
r2=ext(3),
r3=ext(4),
p_x=ext(5),
p_2x=ext(6),
p_3x=ext(7),
p_4x=ext(8),
p_5x=ext(9),
p_6x=ext(10),
p_7x=ext(11),
p_8x=ext(12),
p_t=ext(13),
r1_t=ext(14),
r1_x=ext(15),
r2_t=ext(16),
r2_x=ext(17),
r3_t=ext(18),
r3_x=ext(19),
p_2t=ext(20),
p_xt=ext(21),
r1_2t=ext(22),
r1_xt=ext(23),
r1_2x=ext(24),
r2_2t=ext(25),
r2_xt=ext(26),
r2_2x=ext(27),
r3_2t=ext(28),
r3_xt=ext(29),
r3_2x=ext(30),
p_3t=ext(31),
p_x2t=ext(32),
p_2xt=ext(33),
r1_3t=ext(34),
r1_x2t=ext(35),
r1_2xt=ext(36),
r1_3x=ext(37),
r2_3t=ext(38),
r2_x2t=ext(39),
r2_2xt=ext(40),
r2_3x=ext(41),
r3_3t=ext(42),
r3_x2t=ext(43),
r3_2xt=ext(44),
r3_3x=ext(45),
p_4t=ext(46),
p_x3t=ext(47),
p_2x2t=ext(48),
p_3xt=ext(49),
r1_4t=ext(50),
r1_x3t=ext(51),
r1_2x2t=ext(52),
r1_3xt=ext(53),
r1_4x=ext(54),
r2_4t=ext(55),
r2_x3t=ext(56),
r2_2x2t=ext(57),
r2_3xt=ext(58),
r2_4x=ext(59),
r3_4t=ext(60),
r3_x3t=ext(61),
r3_2x2t=ext(62),
r3_3xt=ext(63),
r3_4x=ext(64),
p_5t=ext(65),
p_x4t=ext(66),
p_2x3t=ext(67),
p_3x2t=ext(68),
p_4xt=ext(69),
r1_5t=ext(70),
r1_x4t=ext(71),
r1_2x3t=ext(72),
r1_3x2t=ext(73),
r1_4xt=ext(74),
r1_5x=ext(75),
r2_5t=ext(76),
r2_x4t=ext(77),
r2_2x3t=ext(78),
r2_3x2t=ext(79),
r2_4xt=ext(80),
r2_5x=ext(81),
r3_5t=ext(82),
r3_x4t=ext(83),
r3_2x3t=ext(84),
r3_3x2t=ext(85),
r3_4xt=ext(86),
r3_5x=ext(87),
p_6t=ext(88),
p_x5t=ext(89),
p_2x4t=ext(90),
p_3x3t=ext(91),
p_4x2t=ext(92),
p_5xt=ext(93),
r1_6t=ext(94),
r1_x5t=ext(95),
r1_2x4t=ext(96),
r1_3x3t=ext(97),
r1_4x2t=ext(98),
r1_5xt=ext(99),
r1_6x=ext(100),
r2_6t=ext(101),
r2_x5t=ext(102),
r2_2x4t=ext(103),
r2_3x3t=ext(104),
r2_4x2t=ext(105),
r2_5xt=ext(106),
r2_6x=ext(107),
r3_6t=ext(108),
r3_x5t=ext(109),
r3_2x4t=ext(110),
r3_3x3t=ext(111),
r3_4x2t=ext(112),
r3_5xt=ext(113),
r3_6x=ext(114),
p_7t=ext(115),
p_x6t=ext(116),
p_2x5t=ext(117),
p_3x4t=ext(118),
p_4x3t=ext(119),
p_5x2t=ext(120),
p_6xt=ext(121),
r1_7t=ext(122),
r1_x6t=ext(123),
r1_2x5t=ext(124),
r1_3x4t=ext(125),
r1_4x3t=ext(126),
r1_5x2t=ext(127),
r1_6xt=ext(128),
r1_7x=ext(129),
r2_7t=ext(130),
r2_x6t=ext(131),
r2_2x5t=ext(132),
r2_3x4t=ext(133),
r2_4x3t=ext(134),
r2_5x2t=ext(135),
r2_6xt=ext(136),
r2_7x=ext(137),
r3_7t=ext(138),
r3_x6t=ext(139),
r3_2x5t=ext(140),
r3_3x4t=ext(141),
r3_4x3t=ext(142),
r3_5x2t=ext(143),
r3_6xt=ext(144),
r3_7x=ext(145),
p_8t=ext(146),
p_x7t=ext(147),
p_2x6t=ext(148),
p_3x5t=ext(149),
p_4x4t=ext(150),
p_5x3t=ext(151),
p_6x2t=ext(152),
p_7xt=ext(153),
r1_8t=ext(154),
r1_x7t=ext(155),
r1_2x6t=ext(156),
r1_3x5t=ext(157),
r1_4x4t=ext(158),
r1_5x3t=ext(159),
r1_6x2t=ext(160),
r1_7xt=ext(161),
r1_8x=ext(162),
r2_8t=ext(163),
r2_x7t=ext(164),
r2_2x6t=ext(165),
r2_3x5t=ext(166),
r2_4x4t=ext(167),
r2_5x3t=ext(168),
r2_6x2t=ext(169),
r2_7xt=ext(170),
r2_8x=ext(171),
r3_8t=ext(172),
r3_x7t=ext(173),
r3_2x6t=ext(174),
r3_3x5t=ext(175),
r3_4x4t=ext(176),
r3_5x3t=ext(177),
r3_6x2t=ext(178),
r3_7xt=ext(179),
r3_8x=ext(180)}$

% set of rules to replace ext symbols with odd ders:$

repextodd:={ext(1)=p,
ext(2)=r1,
ext(3)=r2,
ext(4)=r3,
ext(5)=p_x,
ext(6)=p_2x,
ext(7)=p_3x,
ext(8)=p_4x,
ext(9)=p_5x,
ext(10)=p_6x,
ext(11)=p_7x,
ext(12)=p_8x,
ext(13)=p_t,
ext(14)=r1_t,
ext(15)=r1_x,
ext(16)=r2_t,
ext(17)=r2_x,
ext(18)=r3_t,
ext(19)=r3_x,
ext(20)=p_2t,
ext(21)=p_xt,
ext(22)=r1_2t,
ext(23)=r1_xt,
ext(24)=r1_2x,
ext(25)=r2_2t,
ext(26)=r2_xt,
ext(27)=r2_2x,
ext(28)=r3_2t,
ext(29)=r3_xt,
ext(30)=r3_2x,
ext(31)=p_3t,
ext(32)=p_x2t,
ext(33)=p_2xt,
ext(34)=r1_3t,
ext(35)=r1_x2t,
ext(36)=r1_2xt,
ext(37)=r1_3x,
ext(38)=r2_3t,
ext(39)=r2_x2t,
ext(40)=r2_2xt,
ext(41)=r2_3x,
ext(42)=r3_3t,
ext(43)=r3_x2t,
ext(44)=r3_2xt,
ext(45)=r3_3x,
ext(46)=p_4t,
ext(47)=p_x3t,
ext(48)=p_2x2t,
ext(49)=p_3xt,
ext(50)=r1_4t,
ext(51)=r1_x3t,
ext(52)=r1_2x2t,
ext(53)=r1_3xt,
ext(54)=r1_4x,
ext(55)=r2_4t,
ext(56)=r2_x3t,
ext(57)=r2_2x2t,
ext(58)=r2_3xt,
ext(59)=r2_4x,
ext(60)=r3_4t,
ext(61)=r3_x3t,
ext(62)=r3_2x2t,
ext(63)=r3_3xt,
ext(64)=r3_4x,
ext(65)=p_5t,
ext(66)=p_x4t,
ext(67)=p_2x3t,
ext(68)=p_3x2t,
ext(69)=p_4xt,
ext(70)=r1_5t,
ext(71)=r1_x4t,
ext(72)=r1_2x3t,
ext(73)=r1_3x2t,
ext(74)=r1_4xt,
ext(75)=r1_5x,
ext(76)=r2_5t,
ext(77)=r2_x4t,
ext(78)=r2_2x3t,
ext(79)=r2_3x2t,
ext(80)=r2_4xt,
ext(81)=r2_5x,
ext(82)=r3_5t,
ext(83)=r3_x4t,
ext(84)=r3_2x3t,
ext(85)=r3_3x2t,
ext(86)=r3_4xt,
ext(87)=r3_5x,
ext(88)=p_6t,
ext(89)=p_x5t,
ext(90)=p_2x4t,
ext(91)=p_3x3t,
ext(92)=p_4x2t,
ext(93)=p_5xt,
ext(94)=r1_6t,
ext(95)=r1_x5t,
ext(96)=r1_2x4t,
ext(97)=r1_3x3t,
ext(98)=r1_4x2t,
ext(99)=r1_5xt,
ext(100)=r1_6x,
ext(101)=r2_6t,
ext(102)=r2_x5t,
ext(103)=r2_2x4t,
ext(104)=r2_3x3t,
ext(105)=r2_4x2t,
ext(106)=r2_5xt,
ext(107)=r2_6x,
ext(108)=r3_6t,
ext(109)=r3_x5t,
ext(110)=r3_2x4t,
ext(111)=r3_3x3t,
ext(112)=r3_4x2t,
ext(113)=r3_5xt,
ext(114)=r3_6x,
ext(115)=p_7t,
ext(116)=p_x6t,
ext(117)=p_2x5t,
ext(118)=p_3x4t,
ext(119)=p_4x3t,
ext(120)=p_5x2t,
ext(121)=p_6xt,
ext(122)=r1_7t,
ext(123)=r1_x6t,
ext(124)=r1_2x5t,
ext(125)=r1_3x4t,
ext(126)=r1_4x3t,
ext(127)=r1_5x2t,
ext(128)=r1_6xt,
ext(129)=r1_7x,
ext(130)=r2_7t,
ext(131)=r2_x6t,
ext(132)=r2_2x5t,
ext(133)=r2_3x4t,
ext(134)=r2_4x3t,
ext(135)=r2_5x2t,
ext(136)=r2_6xt,
ext(137)=r2_7x,
ext(138)=r3_7t,
ext(139)=r3_x6t,
ext(140)=r3_2x5t,
ext(141)=r3_3x4t,
ext(142)=r3_4x3t,
ext(143)=r3_5x2t,
ext(144)=r3_6xt,
ext(145)=r3_7x,
ext(146)=p_8t,
ext(147)=p_x7t,
ext(148)=p_2x6t,
ext(149)=p_3x5t,
ext(150)=p_4x4t,
ext(151)=p_5x3t,
ext(152)=p_6x2t,
ext(153)=p_7xt,
ext(154)=r1_8t,
ext(155)=r1_x7t,
ext(156)=r1_2x6t,
ext(157)=r1_3x5t,
ext(158)=r1_4x4t,
ext(159)=r1_5x3t,
ext(160)=r1_6x2t,
ext(161)=r1_7xt,
ext(162)=r1_8x,
ext(163)=r2_8t,
ext(164)=r2_x7t,
ext(165)=r2_2x6t,
ext(166)=r2_3x5t,
ext(167)=r2_4x4t,
ext(168)=r2_5x3t,
ext(169)=r2_6x2t,
ext(170)=r2_7xt,
ext(171)=r2_8x,
ext(172)=r3_8t,
ext(173)=r3_x7t,
ext(174)=r3_2x6t,
ext(175)=r3_3x5t,
ext(176)=r3_4x4t,
ext(177)=r3_5x3t,
ext(178)=r3_6x2t,
ext(179)=r3_7xt,
ext(180)=r3_8x}$

% set of identifiers for total derivatives:$

tot_der:={ddx,ddt}$

% set up the auxiliary variable `letop'$

for each el in indep_var do depend letop,el;$

% Characterization of primary differential consequences:$

primary_diffcon_tot:={{{ddt,0,3,u_t},
{ddt,0,4,u_xt},
{ddt,0,5,u_2xt},
{ddt,0,6,u_3xt},
{ddt,0,7,u_4xt},
{ddt,0,8,u_5xt},
{ddt,0,9,u_6xt},
{ddt,0,10,u_7xt}},
{{ddx,1,2,r1_x},
{ddx,1,3,r2_x},
{ddx,1,4,r3_x},
{ddt,1,1,p_t},
{ddt,1,2,r1_t},
{ddt,1,3,r2_t},
{ddt,1,4,r3_t},
{ddt,1,5,p_xt},
{ddt,1,6,p_2xt},
{ddt,1,7,p_3xt},
{ddt,1,8,p_4xt},
{ddt,1,9,p_5xt},
{ddt,1,10,p_6xt},
{ddt,1,11,p_7xt}}}$

primary_diffcon_der:={u_xt,
u_2xt,
u_3xt,
u_4xt,
u_5xt,
u_6xt,
u_7xt}$

primary_diffcon_odd:={p_xt,
p_2xt,
p_3xt,
p_4xt,
p_5xt,
p_6xt,
p_7xt}$

% Alists of differential conseq. needed in total derivatives:$

diffcon_der:={{u_7xt,letop},
{u_6xt,letop},
{u_5xt,u*u_6x + 15*u_2x*u_4x + 10*u_3x**2 + 6*u_5x*u_x + u_8x},
{u_4xt,u*u_5x + 10*u_2x*u_3x + 5*u_4x*u_x + u_7x},
{u_3xt,u*u_4x + 3*u_2x**2 + 4*u_3x*u_x + u_6x},
{u_2xt,u*u_3x + 3*u_2x*u_x + u_5x},
{u_xt,u*u_2x + u_4x + u_x**2},
{u_t,u*u_x + u_3x}}$

diffcon_odd:={{p_7xt,letop},
{p_6xt,letop},
{p_5xt,
ext(12) + ext(10)*u + 5*ext(9)*u_x + 10*ext(8)*u_2x + 10*ext(7)*u_3x + 5*ext(6)*
u_4x + ext(5)*u_5x},
{p_4xt,
ext(11) + ext(9)*u + 4*ext(8)*u_x + 6*ext(7)*u_2x + 4*ext(6)*u_3x + ext(5)*u_4x}
,
{p_3xt,
ext(10) + ext(8)*u + 3*ext(7)*u_x + 3*ext(6)*u_2x + ext(5)*u_3x},
{p_2xt,
ext(9) + ext(7)*u + 2*ext(6)*u_x + ext(5)*u_2x},
{p_xt,ext(8) + ext(6)*u + ext(5)*u_x},
{p_t,ext(7) + ext(5)*u},
{r1_x,ext(1)*(t*u_x + 1)},
{r1_t,
ext(6)*t*u_x + ext(6) - ext(5)*t*u_2x + ext(1)*t*u*u_x + ext(1)*t*u_3x + ext(1)*
u},
{r2_x,ext(1)*u_x},
{r2_t,
ext(6)*u_x - ext(5)*u_2x + ext(1)*u*u_x + ext(1)*u_3x},
{r3_x,ext(1)*(u*u_x + u_3x)},
{r3_t,
ext(6)*u*u_x + ext(6)*u_3x - ext(5)*u*u_2x - ext(5)*u_4x - ext(5)*u_x**2 + ext(1
)*u**2*u_x + 2*ext(1)*u*u_3x + 3*ext(1)*u_2x*u_x + ext(1)*u_5x}}$

% Principal derivatives computed:$

diffcon_comp_der:={u_7xt,
u_6xt,
u_5xt,
u_4xt,
u_3xt,
u_2xt,
u_xt,
u_t}$

diffcon_comp_odd:={p_7xt,
p_6xt,
p_5xt,
p_4xt,
p_3xt,
p_2xt,
p_xt,
p_t,
r1_x,
r1_t,
r2_x,
r2_t,
r3_x,
r3_t}$

diffcon_comp_ext:={ext(153),
ext(121),
ext(93),
ext(69),
ext(49),
ext(33),
ext(21),
ext(13),
ext(15),
ext(14),
ext(17),
ext(16),
ext(19),
ext(18)}$

% Alists of principal derivatives in terms of parametric expr.:$

diffcon_param_der:={{u_7xt,letop},
{u_6xt,letop},
{u_5xt,u*u_6x + 15*u_2x*u_4x + 10*u_3x**2 + 6*u_5x*u_x + u_8x},
{u_4xt,u*u_5x + 10*u_2x*u_3x + 5*u_4x*u_x + u_7x},
{u_3xt,u*u_4x + 3*u_2x**2 + 4*u_3x*u_x + u_6x},
{u_2xt,u*u_3x + 3*u_2x*u_x + u_5x},
{u_xt,u*u_2x + u_4x + u_x**2},
{u_t,u*u_x + u_3x}}$

diffcon_param_ext:={{ext(153),letop},
{ext(121),letop},
{ext(93),
ext(12) + ext(10)*u + 5*ext(9)*u_x + 10*ext(8)*u_2x + 10*ext(7)*u_3x + 5*ext(6)*
u_4x + ext(5)*u_5x},
{ext(69),
ext(11) + ext(9)*u + 4*ext(8)*u_x + 6*ext(7)*u_2x + 4*ext(6)*u_3x + ext(5)*u_4x}
,
{ext(49),
ext(10) + ext(8)*u + 3*ext(7)*u_x + 3*ext(6)*u_2x + ext(5)*u_3x},
{ext(33),
ext(9) + ext(7)*u + 2*ext(6)*u_x + ext(5)*u_2x},
{ext(21),ext(8) + ext(6)*u + ext(5)*u_x},
{ext(13),ext(7) + ext(5)*u},
{ext(15),ext(1)*(t*u_x + 1)},
{ext(14),
ext(6)*t*u_x + ext(6) - ext(5)*t*u_2x + ext(1)*t*u*u_x + ext(1)*t*u_3x + ext(1)*
u},
{ext(17),ext(1)*u_x},
{ext(16),
ext(6)*u_x - ext(5)*u_2x + ext(1)*u*u_x + ext(1)*u_3x},
{ext(19),ext(1)*(u*u_x + u_3x)},
{ext(18),
ext(6)*u*u_x + ext(6)*u_3x - ext(5)*u*u_2x - ext(5)*u_4x - ext(5)*u_x**2 + ext(1
)*u**2*u_x + 2*ext(1)*u*u_3x + 3*ext(1)*u_2x*u_x + ext(1)*u_5x}}$

% Total derivatives declarations:$



for! i:=1:n!_indep!_var! do! super!_vectorfield(part(tot!_der,i),append(indep!_v
ar,all\
!_der!_id),all!_ext)$

% Coefficients of total derivatives:$

% component of ddx w.r.t. x$

ddx(0,1):=1$

% component of ddx w.r.t. t$

ddx(0,2):=0$

% component of ddx w.r.t. u$

ddx(0,3):=u_x$

% component of ddx w.r.t. u_x$

ddx(0,4):=u_2x$

% component of ddx w.r.t. u_2x$

ddx(0,5):=u_3x$

% component of ddx w.r.t. u_3x$

ddx(0,6):=u_4x$

% component of ddx w.r.t. u_4x$

ddx(0,7):=u_5x$

% component of ddx w.r.t. u_5x$

ddx(0,8):=u_6x$

% component of ddx w.r.t. u_6x$

ddx(0,9):=u_7x$

% component of ddx w.r.t. u_7x$

ddx(0,10):=u_8x$

% component of ddx w.r.t. u_8x$

ddx(0,11):=letop$

% component of ddx w.r.t. u_t$

ddx(0,12):=u_xt$

% component of ddx w.r.t. u_2t$

ddx(0,13):=u_x2t$

% component of ddx w.r.t. u_xt$

ddx(0,14):=u_2xt$

% component of ddx w.r.t. u_3t$

ddx(0,15):=u_x3t$

% component of ddx w.r.t. u_x2t$

ddx(0,16):=u_2x2t$

% component of ddx w.r.t. u_2xt$

ddx(0,17):=u_3xt$

% component of ddx w.r.t. u_4t$

ddx(0,18):=u_x4t$

% component of ddx w.r.t. u_x3t$

ddx(0,19):=u_2x3t$

% component of ddx w.r.t. u_2x2t$

ddx(0,20):=u_3x2t$

% component of ddx w.r.t. u_3xt$

ddx(0,21):=u_4xt$

% component of ddx w.r.t. u_5t$

ddx(0,22):=u_x5t$

% component of ddx w.r.t. u_x4t$

ddx(0,23):=u_2x4t$

% component of ddx w.r.t. u_2x3t$

ddx(0,24):=u_3x3t$

% component of ddx w.r.t. u_3x2t$

ddx(0,25):=u_4x2t$

% component of ddx w.r.t. u_4xt$

ddx(0,26):=u_5xt$

% component of ddx w.r.t. u_6t$

ddx(0,27):=u_x6t$

% component of ddx w.r.t. u_x5t$

ddx(0,28):=u_2x5t$

% component of ddx w.r.t. u_2x4t$

ddx(0,29):=u_3x4t$

% component of ddx w.r.t. u_3x3t$

ddx(0,30):=u_4x3t$

% component of ddx w.r.t. u_4x2t$

ddx(0,31):=u_5x2t$

% component of ddx w.r.t. u_5xt$

ddx(0,32):=u_6xt$

% component of ddx w.r.t. u_7t$

ddx(0,33):=u_x7t$

% component of ddx w.r.t. u_x6t$

ddx(0,34):=u_2x6t$

% component of ddx w.r.t. u_2x5t$

ddx(0,35):=u_3x5t$

% component of ddx w.r.t. u_3x4t$

ddx(0,36):=u_4x4t$

% component of ddx w.r.t. u_4x3t$

ddx(0,37):=u_5x3t$

% component of ddx w.r.t. u_5x2t$

ddx(0,38):=u_6x2t$

% component of ddx w.r.t. u_6xt$

ddx(0,39):=u_7xt$

% component of ddx w.r.t. u_8t$

ddx(0,40):=letop$

% component of ddx w.r.t. u_x7t$

ddx(0,41):=letop$

% component of ddx w.r.t. u_2x6t$

ddx(0,42):=letop$

% component of ddx w.r.t. u_3x5t$

ddx(0,43):=letop$

% component of ddx w.r.t. u_4x4t$

ddx(0,44):=letop$

% component of ddx w.r.t. u_5x3t$

ddx(0,45):=letop$

% component of ddx w.r.t. u_6x2t$

ddx(0,46):=letop$

% component of ddx w.r.t. u_7xt$

ddx(0,47):=letop$

% component of ddx w.r.t. p i.e. ext(1)$

ddx(1,1):=ext(5)$

% component of ddx w.r.t. r1 i.e. ext(2)$

ddx(1,2):=ext(1)*(t*u_x + 1)$

% component of ddx w.r.t. r2 i.e. ext(3)$

ddx(1,3):=ext(1)*u_x$

% component of ddx w.r.t. r3 i.e. ext(4)$

ddx(1,4):=ext(1)*(u*u_x + u_3x)$

% component of ddx w.r.t. p_x i.e. ext(5)$

ddx(1,5):=ext(6)$

% component of ddx w.r.t. p_2x i.e. ext(6)$

ddx(1,6):=ext(7)$

% component of ddx w.r.t. p_3x i.e. ext(7)$

ddx(1,7):=ext(8)$

% component of ddx w.r.t. p_4x i.e. ext(8)$

ddx(1,8):=ext(9)$

% component of ddx w.r.t. p_5x i.e. ext(9)$

ddx(1,9):=ext(10)$

% component of ddx w.r.t. p_6x i.e. ext(10)$

ddx(1,10):=ext(11)$

% component of ddx w.r.t. p_7x i.e. ext(11)$

ddx(1,11):=ext(12)$

% component of ddx w.r.t. p_8x i.e. ext(12)$

ddx(1,12):=letop$

% component of ddx w.r.t. p_t i.e. ext(13)$

ddx(1,13):=ext(21)$

% component of ddx w.r.t. r1_t i.e. ext(14)$

ddx(1,14):=ext(23)$

% component of ddx w.r.t. r1_x i.e. ext(15)$

ddx(1,15):=ext(24)$

% component of ddx w.r.t. r2_t i.e. ext(16)$

ddx(1,16):=ext(26)$

% component of ddx w.r.t. r2_x i.e. ext(17)$

ddx(1,17):=ext(27)$

% component of ddx w.r.t. r3_t i.e. ext(18)$

ddx(1,18):=ext(29)$

% component of ddx w.r.t. r3_x i.e. ext(19)$

ddx(1,19):=ext(30)$

% component of ddx w.r.t. p_2t i.e. ext(20)$

ddx(1,20):=ext(32)$

% component of ddx w.r.t. p_xt i.e. ext(21)$

ddx(1,21):=ext(33)$

% component of ddx w.r.t. r1_2t i.e. ext(22)$

ddx(1,22):=ext(35)$

% component of ddx w.r.t. r1_xt i.e. ext(23)$

ddx(1,23):=ext(36)$

% component of ddx w.r.t. r1_2x i.e. ext(24)$

ddx(1,24):=ext(37)$

% component of ddx w.r.t. r2_2t i.e. ext(25)$

ddx(1,25):=ext(39)$

% component of ddx w.r.t. r2_xt i.e. ext(26)$

ddx(1,26):=ext(40)$

% component of ddx w.r.t. r2_2x i.e. ext(27)$

ddx(1,27):=ext(41)$

% component of ddx w.r.t. r3_2t i.e. ext(28)$

ddx(1,28):=ext(43)$

% component of ddx w.r.t. r3_xt i.e. ext(29)$

ddx(1,29):=ext(44)$

% component of ddx w.r.t. r3_2x i.e. ext(30)$

ddx(1,30):=ext(45)$

% component of ddx w.r.t. p_3t i.e. ext(31)$

ddx(1,31):=ext(47)$

% component of ddx w.r.t. p_x2t i.e. ext(32)$

ddx(1,32):=ext(48)$

% component of ddx w.r.t. p_2xt i.e. ext(33)$

ddx(1,33):=ext(49)$

% component of ddx w.r.t. r1_3t i.e. ext(34)$

ddx(1,34):=ext(51)$

% component of ddx w.r.t. r1_x2t i.e. ext(35)$

ddx(1,35):=ext(52)$

% component of ddx w.r.t. r1_2xt i.e. ext(36)$

ddx(1,36):=ext(53)$

% component of ddx w.r.t. r1_3x i.e. ext(37)$

ddx(1,37):=ext(54)$

% component of ddx w.r.t. r2_3t i.e. ext(38)$

ddx(1,38):=ext(56)$

% component of ddx w.r.t. r2_x2t i.e. ext(39)$

ddx(1,39):=ext(57)$

% component of ddx w.r.t. r2_2xt i.e. ext(40)$

ddx(1,40):=ext(58)$

% component of ddx w.r.t. r2_3x i.e. ext(41)$

ddx(1,41):=ext(59)$

% component of ddx w.r.t. r3_3t i.e. ext(42)$

ddx(1,42):=ext(61)$

% component of ddx w.r.t. r3_x2t i.e. ext(43)$

ddx(1,43):=ext(62)$

% component of ddx w.r.t. r3_2xt i.e. ext(44)$

ddx(1,44):=ext(63)$

% component of ddx w.r.t. r3_3x i.e. ext(45)$

ddx(1,45):=ext(64)$

% component of ddx w.r.t. p_4t i.e. ext(46)$

ddx(1,46):=ext(66)$

% component of ddx w.r.t. p_x3t i.e. ext(47)$

ddx(1,47):=ext(67)$

% component of ddx w.r.t. p_2x2t i.e. ext(48)$

ddx(1,48):=ext(68)$

% component of ddx w.r.t. p_3xt i.e. ext(49)$

ddx(1,49):=ext(69)$

% component of ddx w.r.t. r1_4t i.e. ext(50)$

ddx(1,50):=ext(71)$

% component of ddx w.r.t. r1_x3t i.e. ext(51)$

ddx(1,51):=ext(72)$

% component of ddx w.r.t. r1_2x2t i.e. ext(52)$

ddx(1,52):=ext(73)$

% component of ddx w.r.t. r1_3xt i.e. ext(53)$

ddx(1,53):=ext(74)$

% component of ddx w.r.t. r1_4x i.e. ext(54)$

ddx(1,54):=ext(75)$

% component of ddx w.r.t. r2_4t i.e. ext(55)$

ddx(1,55):=ext(77)$

% component of ddx w.r.t. r2_x3t i.e. ext(56)$

ddx(1,56):=ext(78)$

% component of ddx w.r.t. r2_2x2t i.e. ext(57)$

ddx(1,57):=ext(79)$

% component of ddx w.r.t. r2_3xt i.e. ext(58)$

ddx(1,58):=ext(80)$

% component of ddx w.r.t. r2_4x i.e. ext(59)$

ddx(1,59):=ext(81)$

% component of ddx w.r.t. r3_4t i.e. ext(60)$

ddx(1,60):=ext(83)$

% component of ddx w.r.t. r3_x3t i.e. ext(61)$

ddx(1,61):=ext(84)$

% component of ddx w.r.t. r3_2x2t i.e. ext(62)$

ddx(1,62):=ext(85)$

% component of ddx w.r.t. r3_3xt i.e. ext(63)$

ddx(1,63):=ext(86)$

% component of ddx w.r.t. r3_4x i.e. ext(64)$

ddx(1,64):=ext(87)$

% component of ddx w.r.t. p_5t i.e. ext(65)$

ddx(1,65):=ext(89)$

% component of ddx w.r.t. p_x4t i.e. ext(66)$

ddx(1,66):=ext(90)$

% component of ddx w.r.t. p_2x3t i.e. ext(67)$

ddx(1,67):=ext(91)$

% component of ddx w.r.t. p_3x2t i.e. ext(68)$

ddx(1,68):=ext(92)$

% component of ddx w.r.t. p_4xt i.e. ext(69)$

ddx(1,69):=ext(93)$

% component of ddx w.r.t. r1_5t i.e. ext(70)$

ddx(1,70):=ext(95)$

% component of ddx w.r.t. r1_x4t i.e. ext(71)$

ddx(1,71):=ext(96)$

% component of ddx w.r.t. r1_2x3t i.e. ext(72)$

ddx(1,72):=ext(97)$

% component of ddx w.r.t. r1_3x2t i.e. ext(73)$

ddx(1,73):=ext(98)$

% component of ddx w.r.t. r1_4xt i.e. ext(74)$

ddx(1,74):=ext(99)$

% component of ddx w.r.t. r1_5x i.e. ext(75)$

ddx(1,75):=ext(100)$

% component of ddx w.r.t. r2_5t i.e. ext(76)$

ddx(1,76):=ext(102)$

% component of ddx w.r.t. r2_x4t i.e. ext(77)$

ddx(1,77):=ext(103)$

% component of ddx w.r.t. r2_2x3t i.e. ext(78)$

ddx(1,78):=ext(104)$

% component of ddx w.r.t. r2_3x2t i.e. ext(79)$

ddx(1,79):=ext(105)$

% component of ddx w.r.t. r2_4xt i.e. ext(80)$

ddx(1,80):=ext(106)$

% component of ddx w.r.t. r2_5x i.e. ext(81)$

ddx(1,81):=ext(107)$

% component of ddx w.r.t. r3_5t i.e. ext(82)$

ddx(1,82):=ext(109)$

% component of ddx w.r.t. r3_x4t i.e. ext(83)$

ddx(1,83):=ext(110)$

% component of ddx w.r.t. r3_2x3t i.e. ext(84)$

ddx(1,84):=ext(111)$

% component of ddx w.r.t. r3_3x2t i.e. ext(85)$

ddx(1,85):=ext(112)$

% component of ddx w.r.t. r3_4xt i.e. ext(86)$

ddx(1,86):=ext(113)$

% component of ddx w.r.t. r3_5x i.e. ext(87)$

ddx(1,87):=ext(114)$

% component of ddx w.r.t. p_6t i.e. ext(88)$

ddx(1,88):=ext(116)$

% component of ddx w.r.t. p_x5t i.e. ext(89)$

ddx(1,89):=ext(117)$

% component of ddx w.r.t. p_2x4t i.e. ext(90)$

ddx(1,90):=ext(118)$

% component of ddx w.r.t. p_3x3t i.e. ext(91)$

ddx(1,91):=ext(119)$

% component of ddx w.r.t. p_4x2t i.e. ext(92)$

ddx(1,92):=ext(120)$

% component of ddx w.r.t. p_5xt i.e. ext(93)$

ddx(1,93):=ext(121)$

% component of ddx w.r.t. r1_6t i.e. ext(94)$

ddx(1,94):=ext(123)$

% component of ddx w.r.t. r1_x5t i.e. ext(95)$

ddx(1,95):=ext(124)$

% component of ddx w.r.t. r1_2x4t i.e. ext(96)$

ddx(1,96):=ext(125)$

% component of ddx w.r.t. r1_3x3t i.e. ext(97)$

ddx(1,97):=ext(126)$

% component of ddx w.r.t. r1_4x2t i.e. ext(98)$

ddx(1,98):=ext(127)$

% component of ddx w.r.t. r1_5xt i.e. ext(99)$

ddx(1,99):=ext(128)$

% component of ddx w.r.t. r1_6x i.e. ext(100)$

ddx(1,100):=ext(129)$

% component of ddx w.r.t. r2_6t i.e. ext(101)$

ddx(1,101):=ext(131)$

% component of ddx w.r.t. r2_x5t i.e. ext(102)$

ddx(1,102):=ext(132)$

% component of ddx w.r.t. r2_2x4t i.e. ext(103)$

ddx(1,103):=ext(133)$

% component of ddx w.r.t. r2_3x3t i.e. ext(104)$

ddx(1,104):=ext(134)$

% component of ddx w.r.t. r2_4x2t i.e. ext(105)$

ddx(1,105):=ext(135)$

% component of ddx w.r.t. r2_5xt i.e. ext(106)$

ddx(1,106):=ext(136)$

% component of ddx w.r.t. r2_6x i.e. ext(107)$

ddx(1,107):=ext(137)$

% component of ddx w.r.t. r3_6t i.e. ext(108)$

ddx(1,108):=ext(139)$

% component of ddx w.r.t. r3_x5t i.e. ext(109)$

ddx(1,109):=ext(140)$

% component of ddx w.r.t. r3_2x4t i.e. ext(110)$

ddx(1,110):=ext(141)$

% component of ddx w.r.t. r3_3x3t i.e. ext(111)$

ddx(1,111):=ext(142)$

% component of ddx w.r.t. r3_4x2t i.e. ext(112)$

ddx(1,112):=ext(143)$

% component of ddx w.r.t. r3_5xt i.e. ext(113)$

ddx(1,113):=ext(144)$

% component of ddx w.r.t. r3_6x i.e. ext(114)$

ddx(1,114):=ext(145)$

% component of ddx w.r.t. p_7t i.e. ext(115)$

ddx(1,115):=ext(147)$

% component of ddx w.r.t. p_x6t i.e. ext(116)$

ddx(1,116):=ext(148)$

% component of ddx w.r.t. p_2x5t i.e. ext(117)$

ddx(1,117):=ext(149)$

% component of ddx w.r.t. p_3x4t i.e. ext(118)$

ddx(1,118):=ext(150)$

% component of ddx w.r.t. p_4x3t i.e. ext(119)$

ddx(1,119):=ext(151)$

% component of ddx w.r.t. p_5x2t i.e. ext(120)$

ddx(1,120):=ext(152)$

% component of ddx w.r.t. p_6xt i.e. ext(121)$

ddx(1,121):=ext(153)$

% component of ddx w.r.t. r1_7t i.e. ext(122)$

ddx(1,122):=ext(155)$

% component of ddx w.r.t. r1_x6t i.e. ext(123)$

ddx(1,123):=ext(156)$

% component of ddx w.r.t. r1_2x5t i.e. ext(124)$

ddx(1,124):=ext(157)$

% component of ddx w.r.t. r1_3x4t i.e. ext(125)$

ddx(1,125):=ext(158)$

% component of ddx w.r.t. r1_4x3t i.e. ext(126)$

ddx(1,126):=ext(159)$

% component of ddx w.r.t. r1_5x2t i.e. ext(127)$

ddx(1,127):=ext(160)$

% component of ddx w.r.t. r1_6xt i.e. ext(128)$

ddx(1,128):=ext(161)$

% component of ddx w.r.t. r1_7x i.e. ext(129)$

ddx(1,129):=ext(162)$

% component of ddx w.r.t. r2_7t i.e. ext(130)$

ddx(1,130):=ext(164)$

% component of ddx w.r.t. r2_x6t i.e. ext(131)$

ddx(1,131):=ext(165)$

% component of ddx w.r.t. r2_2x5t i.e. ext(132)$

ddx(1,132):=ext(166)$

% component of ddx w.r.t. r2_3x4t i.e. ext(133)$

ddx(1,133):=ext(167)$

% component of ddx w.r.t. r2_4x3t i.e. ext(134)$

ddx(1,134):=ext(168)$

% component of ddx w.r.t. r2_5x2t i.e. ext(135)$

ddx(1,135):=ext(169)$

% component of ddx w.r.t. r2_6xt i.e. ext(136)$

ddx(1,136):=ext(170)$

% component of ddx w.r.t. r2_7x i.e. ext(137)$

ddx(1,137):=ext(171)$

% component of ddx w.r.t. r3_7t i.e. ext(138)$

ddx(1,138):=ext(173)$

% component of ddx w.r.t. r3_x6t i.e. ext(139)$

ddx(1,139):=ext(174)$

% component of ddx w.r.t. r3_2x5t i.e. ext(140)$

ddx(1,140):=ext(175)$

% component of ddx w.r.t. r3_3x4t i.e. ext(141)$

ddx(1,141):=ext(176)$

% component of ddx w.r.t. r3_4x3t i.e. ext(142)$

ddx(1,142):=ext(177)$

% component of ddx w.r.t. r3_5x2t i.e. ext(143)$

ddx(1,143):=ext(178)$

% component of ddx w.r.t. r3_6xt i.e. ext(144)$

ddx(1,144):=ext(179)$

% component of ddx w.r.t. r3_7x i.e. ext(145)$

ddx(1,145):=ext(180)$

% component of ddx w.r.t. p_8t i.e. ext(146)$

ddx(1,146):=letop$

% component of ddx w.r.t. p_x7t i.e. ext(147)$

ddx(1,147):=letop$

% component of ddx w.r.t. p_2x6t i.e. ext(148)$

ddx(1,148):=letop$

% component of ddx w.r.t. p_3x5t i.e. ext(149)$

ddx(1,149):=letop$

% component of ddx w.r.t. p_4x4t i.e. ext(150)$

ddx(1,150):=letop$

% component of ddx w.r.t. p_5x3t i.e. ext(151)$

ddx(1,151):=letop$

% component of ddx w.r.t. p_6x2t i.e. ext(152)$

ddx(1,152):=letop$

% component of ddx w.r.t. p_7xt i.e. ext(153)$

ddx(1,153):=letop$

% component of ddx w.r.t. r1_8t i.e. ext(154)$

ddx(1,154):=letop$

% component of ddx w.r.t. r1_x7t i.e. ext(155)$

ddx(1,155):=letop$

% component of ddx w.r.t. r1_2x6t i.e. ext(156)$

ddx(1,156):=letop$

% component of ddx w.r.t. r1_3x5t i.e. ext(157)$

ddx(1,157):=letop$

% component of ddx w.r.t. r1_4x4t i.e. ext(158)$

ddx(1,158):=letop$

% component of ddx w.r.t. r1_5x3t i.e. ext(159)$

ddx(1,159):=letop$

% component of ddx w.r.t. r1_6x2t i.e. ext(160)$

ddx(1,160):=letop$

% component of ddx w.r.t. r1_7xt i.e. ext(161)$

ddx(1,161):=letop$

% component of ddx w.r.t. r1_8x i.e. ext(162)$

ddx(1,162):=letop$

% component of ddx w.r.t. r2_8t i.e. ext(163)$

ddx(1,163):=letop$

% component of ddx w.r.t. r2_x7t i.e. ext(164)$

ddx(1,164):=letop$

% component of ddx w.r.t. r2_2x6t i.e. ext(165)$

ddx(1,165):=letop$

% component of ddx w.r.t. r2_3x5t i.e. ext(166)$

ddx(1,166):=letop$

% component of ddx w.r.t. r2_4x4t i.e. ext(167)$

ddx(1,167):=letop$

% component of ddx w.r.t. r2_5x3t i.e. ext(168)$

ddx(1,168):=letop$

% component of ddx w.r.t. r2_6x2t i.e. ext(169)$

ddx(1,169):=letop$

% component of ddx w.r.t. r2_7xt i.e. ext(170)$

ddx(1,170):=letop$

% component of ddx w.r.t. r2_8x i.e. ext(171)$

ddx(1,171):=letop$

% component of ddx w.r.t. r3_8t i.e. ext(172)$

ddx(1,172):=letop$

% component of ddx w.r.t. r3_x7t i.e. ext(173)$

ddx(1,173):=letop$

% component of ddx w.r.t. r3_2x6t i.e. ext(174)$

ddx(1,174):=letop$

% component of ddx w.r.t. r3_3x5t i.e. ext(175)$

ddx(1,175):=letop$

% component of ddx w.r.t. r3_4x4t i.e. ext(176)$

ddx(1,176):=letop$

% component of ddx w.r.t. r3_5x3t i.e. ext(177)$

ddx(1,177):=letop$

% component of ddx w.r.t. r3_6x2t i.e. ext(178)$

ddx(1,178):=letop$

% component of ddx w.r.t. r3_7xt i.e. ext(179)$

ddx(1,179):=letop$

% component of ddx w.r.t. r3_8x i.e. ext(180)$

ddx(1,180):=letop$

% component of ddt w.r.t. x$

ddt(0,1):=0$

% component of ddt w.r.t. t$

ddt(0,2):=1$

% component of ddt w.r.t. u$

ddt(0,3):=u*u_x + u_3x$

% component of ddt w.r.t. u_x$

ddt(0,4):=u*u_2x + u_4x + u_x**2$

% component of ddt w.r.t. u_2x$

ddt(0,5):=u*u_3x + 3*u_2x*u_x + u_5x$

% component of ddt w.r.t. u_3x$

ddt(0,6):=u*u_4x + 3*u_2x**2 + 4*u_3x*u_x + u_6x$

% component of ddt w.r.t. u_4x$

ddt(0,7):=u*u_5x + 10*u_2x*u_3x + 5*u_4x*u_x + u_7x$

% component of ddt w.r.t. u_5x$

ddt(0,8):=u*u_6x + 15*u_2x*u_4x + 10*u_3x**2 + 6*u_5x*u_x + u_8x$

% component of ddt w.r.t. u_6x$

ddt(0,9):=letop$

% component of ddt w.r.t. u_7x$

ddt(0,10):=letop$

% component of ddt w.r.t. u_8x$

ddt(0,11):=letop$

% component of ddt w.r.t. u_t$

ddt(0,12):=u_2t$

% component of ddt w.r.t. u_2t$

ddt(0,13):=u_3t$

% component of ddt w.r.t. u_xt$

ddt(0,14):=u_x2t$

% component of ddt w.r.t. u_3t$

ddt(0,15):=u_4t$

% component of ddt w.r.t. u_x2t$

ddt(0,16):=u_x3t$

% component of ddt w.r.t. u_2xt$

ddt(0,17):=u_2x2t$

% component of ddt w.r.t. u_4t$

ddt(0,18):=u_5t$

% component of ddt w.r.t. u_x3t$

ddt(0,19):=u_x4t$

% component of ddt w.r.t. u_2x2t$

ddt(0,20):=u_2x3t$

% component of ddt w.r.t. u_3xt$

ddt(0,21):=u_3x2t$

% component of ddt w.r.t. u_5t$

ddt(0,22):=u_6t$

% component of ddt w.r.t. u_x4t$

ddt(0,23):=u_x5t$

% component of ddt w.r.t. u_2x3t$

ddt(0,24):=u_2x4t$

% component of ddt w.r.t. u_3x2t$

ddt(0,25):=u_3x3t$

% component of ddt w.r.t. u_4xt$

ddt(0,26):=u_4x2t$

% component of ddt w.r.t. u_6t$

ddt(0,27):=u_7t$

% component of ddt w.r.t. u_x5t$

ddt(0,28):=u_x6t$

% component of ddt w.r.t. u_2x4t$

ddt(0,29):=u_2x5t$

% component of ddt w.r.t. u_3x3t$

ddt(0,30):=u_3x4t$

% component of ddt w.r.t. u_4x2t$

ddt(0,31):=u_4x3t$

% component of ddt w.r.t. u_5xt$

ddt(0,32):=u_5x2t$

% component of ddt w.r.t. u_7t$

ddt(0,33):=u_8t$

% component of ddt w.r.t. u_x6t$

ddt(0,34):=u_x7t$

% component of ddt w.r.t. u_2x5t$

ddt(0,35):=u_2x6t$

% component of ddt w.r.t. u_3x4t$

ddt(0,36):=u_3x5t$

% component of ddt w.r.t. u_4x3t$

ddt(0,37):=u_4x4t$

% component of ddt w.r.t. u_5x2t$

ddt(0,38):=u_5x3t$

% component of ddt w.r.t. u_6xt$

ddt(0,39):=u_6x2t$

% component of ddt w.r.t. u_8t$

ddt(0,40):=letop$

% component of ddt w.r.t. u_x7t$

ddt(0,41):=letop$

% component of ddt w.r.t. u_2x6t$

ddt(0,42):=letop$

% component of ddt w.r.t. u_3x5t$

ddt(0,43):=letop$

% component of ddt w.r.t. u_4x4t$

ddt(0,44):=letop$

% component of ddt w.r.t. u_5x3t$

ddt(0,45):=letop$

% component of ddt w.r.t. u_6x2t$

ddt(0,46):=letop$

% component of ddt w.r.t. u_7xt$

ddt(0,47):=letop$

% component of ddt w.r.t. p i.e. ext(1)$

ddt(1,1):=ext(7) + ext(5)*u$

% component of ddt w.r.t. r1 i.e. ext(2)$

ddt(1,2):=ext(6)*t*u_x + ext(6) - ext(5)*t*u_2x + ext(1)*t*u*u_x + ext(1)*t*u_3x
 + ext(1)*u$

% component of ddt w.r.t. r2 i.e. ext(3)$

ddt(1,3):=ext(6)*u_x - ext(5)*u_2x + ext(1)*u*u_x + ext(1)*u_3x$

% component of ddt w.r.t. r3 i.e. ext(4)$

ddt(1,4):=ext(6)*u*u_x + ext(6)*u_3x - ext(5)*u*u_2x - ext(5)*u_4x - ext(5)*u_x
**2 + ext(1)*u**2*u_x + 2*ext(1)*u*u_3x + 3*ext(1)*u_2x*u_x + ext(1)*u_5x$

% component of ddt w.r.t. p_x i.e. ext(5)$

ddt(1,5):=ext(8) + ext(6)*u + ext(5)*u_x$

% component of ddt w.r.t. p_2x i.e. ext(6)$

ddt(1,6):=ext(9) + ext(7)*u + 2*ext(6)*u_x + ext(5)*u_2x$

% component of ddt w.r.t. p_3x i.e. ext(7)$

ddt(1,7):=ext(10) + ext(8)*u + 3*ext(7)*u_x + 3*ext(6)*u_2x + ext(5)*u_3x$

% component of ddt w.r.t. p_4x i.e. ext(8)$

ddt(1,8):=ext(11) + ext(9)*u + 4*ext(8)*u_x + 6*ext(7)*u_2x + 4*ext(6)*u_3x + 
ext(5)*u_4x$

% component of ddt w.r.t. p_5x i.e. ext(9)$

ddt(1,9):=ext(12) + ext(10)*u + 5*ext(9)*u_x + 10*ext(8)*u_2x + 10*ext(7)*u_3x +
 5*ext(6)*u_4x + ext(5)*u_5x$

% component of ddt w.r.t. p_6x i.e. ext(10)$

ddt(1,10):=letop$

% component of ddt w.r.t. p_7x i.e. ext(11)$

ddt(1,11):=letop$

% component of ddt w.r.t. p_8x i.e. ext(12)$

ddt(1,12):=letop$

% component of ddt w.r.t. p_t i.e. ext(13)$

ddt(1,13):=ext(20)$

% component of ddt w.r.t. r1_t i.e. ext(14)$

ddt(1,14):=ext(22)$

% component of ddt w.r.t. r1_x i.e. ext(15)$

ddt(1,15):=ext(23)$

% component of ddt w.r.t. r2_t i.e. ext(16)$

ddt(1,16):=ext(25)$

% component of ddt w.r.t. r2_x i.e. ext(17)$

ddt(1,17):=ext(26)$

% component of ddt w.r.t. r3_t i.e. ext(18)$

ddt(1,18):=ext(28)$

% component of ddt w.r.t. r3_x i.e. ext(19)$

ddt(1,19):=ext(29)$

% component of ddt w.r.t. p_2t i.e. ext(20)$

ddt(1,20):=ext(31)$

% component of ddt w.r.t. p_xt i.e. ext(21)$

ddt(1,21):=ext(32)$

% component of ddt w.r.t. r1_2t i.e. ext(22)$

ddt(1,22):=ext(34)$

% component of ddt w.r.t. r1_xt i.e. ext(23)$

ddt(1,23):=ext(35)$

% component of ddt w.r.t. r1_2x i.e. ext(24)$

ddt(1,24):=ext(36)$

% component of ddt w.r.t. r2_2t i.e. ext(25)$

ddt(1,25):=ext(38)$

% component of ddt w.r.t. r2_xt i.e. ext(26)$

ddt(1,26):=ext(39)$

% component of ddt w.r.t. r2_2x i.e. ext(27)$

ddt(1,27):=ext(40)$

% component of ddt w.r.t. r3_2t i.e. ext(28)$

ddt(1,28):=ext(42)$

% component of ddt w.r.t. r3_xt i.e. ext(29)$

ddt(1,29):=ext(43)$

% component of ddt w.r.t. r3_2x i.e. ext(30)$

ddt(1,30):=ext(44)$

% component of ddt w.r.t. p_3t i.e. ext(31)$

ddt(1,31):=ext(46)$

% component of ddt w.r.t. p_x2t i.e. ext(32)$

ddt(1,32):=ext(47)$

% component of ddt w.r.t. p_2xt i.e. ext(33)$

ddt(1,33):=ext(48)$

% component of ddt w.r.t. r1_3t i.e. ext(34)$

ddt(1,34):=ext(50)$

% component of ddt w.r.t. r1_x2t i.e. ext(35)$

ddt(1,35):=ext(51)$

% component of ddt w.r.t. r1_2xt i.e. ext(36)$

ddt(1,36):=ext(52)$

% component of ddt w.r.t. r1_3x i.e. ext(37)$

ddt(1,37):=ext(53)$

% component of ddt w.r.t. r2_3t i.e. ext(38)$

ddt(1,38):=ext(55)$

% component of ddt w.r.t. r2_x2t i.e. ext(39)$

ddt(1,39):=ext(56)$

% component of ddt w.r.t. r2_2xt i.e. ext(40)$

ddt(1,40):=ext(57)$

% component of ddt w.r.t. r2_3x i.e. ext(41)$

ddt(1,41):=ext(58)$

% component of ddt w.r.t. r3_3t i.e. ext(42)$

ddt(1,42):=ext(60)$

% component of ddt w.r.t. r3_x2t i.e. ext(43)$

ddt(1,43):=ext(61)$

% component of ddt w.r.t. r3_2xt i.e. ext(44)$

ddt(1,44):=ext(62)$

% component of ddt w.r.t. r3_3x i.e. ext(45)$

ddt(1,45):=ext(63)$

% component of ddt w.r.t. p_4t i.e. ext(46)$

ddt(1,46):=ext(65)$

% component of ddt w.r.t. p_x3t i.e. ext(47)$

ddt(1,47):=ext(66)$

% component of ddt w.r.t. p_2x2t i.e. ext(48)$

ddt(1,48):=ext(67)$

% component of ddt w.r.t. p_3xt i.e. ext(49)$

ddt(1,49):=ext(68)$

% component of ddt w.r.t. r1_4t i.e. ext(50)$

ddt(1,50):=ext(70)$

% component of ddt w.r.t. r1_x3t i.e. ext(51)$

ddt(1,51):=ext(71)$

% component of ddt w.r.t. r1_2x2t i.e. ext(52)$

ddt(1,52):=ext(72)$

% component of ddt w.r.t. r1_3xt i.e. ext(53)$

ddt(1,53):=ext(73)$

% component of ddt w.r.t. r1_4x i.e. ext(54)$

ddt(1,54):=ext(74)$

% component of ddt w.r.t. r2_4t i.e. ext(55)$

ddt(1,55):=ext(76)$

% component of ddt w.r.t. r2_x3t i.e. ext(56)$

ddt(1,56):=ext(77)$

% component of ddt w.r.t. r2_2x2t i.e. ext(57)$

ddt(1,57):=ext(78)$

% component of ddt w.r.t. r2_3xt i.e. ext(58)$

ddt(1,58):=ext(79)$

% component of ddt w.r.t. r2_4x i.e. ext(59)$

ddt(1,59):=ext(80)$

% component of ddt w.r.t. r3_4t i.e. ext(60)$

ddt(1,60):=ext(82)$

% component of ddt w.r.t. r3_x3t i.e. ext(61)$

ddt(1,61):=ext(83)$

% component of ddt w.r.t. r3_2x2t i.e. ext(62)$

ddt(1,62):=ext(84)$

% component of ddt w.r.t. r3_3xt i.e. ext(63)$

ddt(1,63):=ext(85)$

% component of ddt w.r.t. r3_4x i.e. ext(64)$

ddt(1,64):=ext(86)$

% component of ddt w.r.t. p_5t i.e. ext(65)$

ddt(1,65):=ext(88)$

% component of ddt w.r.t. p_x4t i.e. ext(66)$

ddt(1,66):=ext(89)$

% component of ddt w.r.t. p_2x3t i.e. ext(67)$

ddt(1,67):=ext(90)$

% component of ddt w.r.t. p_3x2t i.e. ext(68)$

ddt(1,68):=ext(91)$

% component of ddt w.r.t. p_4xt i.e. ext(69)$

ddt(1,69):=ext(92)$

% component of ddt w.r.t. r1_5t i.e. ext(70)$

ddt(1,70):=ext(94)$

% component of ddt w.r.t. r1_x4t i.e. ext(71)$

ddt(1,71):=ext(95)$

% component of ddt w.r.t. r1_2x3t i.e. ext(72)$

ddt(1,72):=ext(96)$

% component of ddt w.r.t. r1_3x2t i.e. ext(73)$

ddt(1,73):=ext(97)$

% component of ddt w.r.t. r1_4xt i.e. ext(74)$

ddt(1,74):=ext(98)$

% component of ddt w.r.t. r1_5x i.e. ext(75)$

ddt(1,75):=ext(99)$

% component of ddt w.r.t. r2_5t i.e. ext(76)$

ddt(1,76):=ext(101)$

% component of ddt w.r.t. r2_x4t i.e. ext(77)$

ddt(1,77):=ext(102)$

% component of ddt w.r.t. r2_2x3t i.e. ext(78)$

ddt(1,78):=ext(103)$

% component of ddt w.r.t. r2_3x2t i.e. ext(79)$

ddt(1,79):=ext(104)$

% component of ddt w.r.t. r2_4xt i.e. ext(80)$

ddt(1,80):=ext(105)$

% component of ddt w.r.t. r2_5x i.e. ext(81)$

ddt(1,81):=ext(106)$

% component of ddt w.r.t. r3_5t i.e. ext(82)$

ddt(1,82):=ext(108)$

% component of ddt w.r.t. r3_x4t i.e. ext(83)$

ddt(1,83):=ext(109)$

% component of ddt w.r.t. r3_2x3t i.e. ext(84)$

ddt(1,84):=ext(110)$

% component of ddt w.r.t. r3_3x2t i.e. ext(85)$

ddt(1,85):=ext(111)$

% component of ddt w.r.t. r3_4xt i.e. ext(86)$

ddt(1,86):=ext(112)$

% component of ddt w.r.t. r3_5x i.e. ext(87)$

ddt(1,87):=ext(113)$

% component of ddt w.r.t. p_6t i.e. ext(88)$

ddt(1,88):=ext(115)$

% component of ddt w.r.t. p_x5t i.e. ext(89)$

ddt(1,89):=ext(116)$

% component of ddt w.r.t. p_2x4t i.e. ext(90)$

ddt(1,90):=ext(117)$

% component of ddt w.r.t. p_3x3t i.e. ext(91)$

ddt(1,91):=ext(118)$

% component of ddt w.r.t. p_4x2t i.e. ext(92)$

ddt(1,92):=ext(119)$

% component of ddt w.r.t. p_5xt i.e. ext(93)$

ddt(1,93):=ext(120)$

% component of ddt w.r.t. r1_6t i.e. ext(94)$

ddt(1,94):=ext(122)$

% component of ddt w.r.t. r1_x5t i.e. ext(95)$

ddt(1,95):=ext(123)$

% component of ddt w.r.t. r1_2x4t i.e. ext(96)$

ddt(1,96):=ext(124)$

% component of ddt w.r.t. r1_3x3t i.e. ext(97)$

ddt(1,97):=ext(125)$

% component of ddt w.r.t. r1_4x2t i.e. ext(98)$

ddt(1,98):=ext(126)$

% component of ddt w.r.t. r1_5xt i.e. ext(99)$

ddt(1,99):=ext(127)$

% component of ddt w.r.t. r1_6x i.e. ext(100)$

ddt(1,100):=ext(128)$

% component of ddt w.r.t. r2_6t i.e. ext(101)$

ddt(1,101):=ext(130)$

% component of ddt w.r.t. r2_x5t i.e. ext(102)$

ddt(1,102):=ext(131)$

% component of ddt w.r.t. r2_2x4t i.e. ext(103)$

ddt(1,103):=ext(132)$

% component of ddt w.r.t. r2_3x3t i.e. ext(104)$

ddt(1,104):=ext(133)$

% component of ddt w.r.t. r2_4x2t i.e. ext(105)$

ddt(1,105):=ext(134)$

% component of ddt w.r.t. r2_5xt i.e. ext(106)$

ddt(1,106):=ext(135)$

% component of ddt w.r.t. r2_6x i.e. ext(107)$

ddt(1,107):=ext(136)$

% component of ddt w.r.t. r3_6t i.e. ext(108)$

ddt(1,108):=ext(138)$

% component of ddt w.r.t. r3_x5t i.e. ext(109)$

ddt(1,109):=ext(139)$

% component of ddt w.r.t. r3_2x4t i.e. ext(110)$

ddt(1,110):=ext(140)$

% component of ddt w.r.t. r3_3x3t i.e. ext(111)$

ddt(1,111):=ext(141)$

% component of ddt w.r.t. r3_4x2t i.e. ext(112)$

ddt(1,112):=ext(142)$

% component of ddt w.r.t. r3_5xt i.e. ext(113)$

ddt(1,113):=ext(143)$

% component of ddt w.r.t. r3_6x i.e. ext(114)$

ddt(1,114):=ext(144)$

% component of ddt w.r.t. p_7t i.e. ext(115)$

ddt(1,115):=ext(146)$

% component of ddt w.r.t. p_x6t i.e. ext(116)$

ddt(1,116):=ext(147)$

% component of ddt w.r.t. p_2x5t i.e. ext(117)$

ddt(1,117):=ext(148)$

% component of ddt w.r.t. p_3x4t i.e. ext(118)$

ddt(1,118):=ext(149)$

% component of ddt w.r.t. p_4x3t i.e. ext(119)$

ddt(1,119):=ext(150)$

% component of ddt w.r.t. p_5x2t i.e. ext(120)$

ddt(1,120):=ext(151)$

% component of ddt w.r.t. p_6xt i.e. ext(121)$

ddt(1,121):=ext(152)$

% component of ddt w.r.t. r1_7t i.e. ext(122)$

ddt(1,122):=ext(154)$

% component of ddt w.r.t. r1_x6t i.e. ext(123)$

ddt(1,123):=ext(155)$

% component of ddt w.r.t. r1_2x5t i.e. ext(124)$

ddt(1,124):=ext(156)$

% component of ddt w.r.t. r1_3x4t i.e. ext(125)$

ddt(1,125):=ext(157)$

% component of ddt w.r.t. r1_4x3t i.e. ext(126)$

ddt(1,126):=ext(158)$

% component of ddt w.r.t. r1_5x2t i.e. ext(127)$

ddt(1,127):=ext(159)$

% component of ddt w.r.t. r1_6xt i.e. ext(128)$

ddt(1,128):=ext(160)$

% component of ddt w.r.t. r1_7x i.e. ext(129)$

ddt(1,129):=ext(161)$

% component of ddt w.r.t. r2_7t i.e. ext(130)$

ddt(1,130):=ext(163)$

% component of ddt w.r.t. r2_x6t i.e. ext(131)$

ddt(1,131):=ext(164)$

% component of ddt w.r.t. r2_2x5t i.e. ext(132)$

ddt(1,132):=ext(165)$

% component of ddt w.r.t. r2_3x4t i.e. ext(133)$

ddt(1,133):=ext(166)$

% component of ddt w.r.t. r2_4x3t i.e. ext(134)$

ddt(1,134):=ext(167)$

% component of ddt w.r.t. r2_5x2t i.e. ext(135)$

ddt(1,135):=ext(168)$

% component of ddt w.r.t. r2_6xt i.e. ext(136)$

ddt(1,136):=ext(169)$

% component of ddt w.r.t. r2_7x i.e. ext(137)$

ddt(1,137):=ext(170)$

% component of ddt w.r.t. r3_7t i.e. ext(138)$

ddt(1,138):=ext(172)$

% component of ddt w.r.t. r3_x6t i.e. ext(139)$

ddt(1,139):=ext(173)$

% component of ddt w.r.t. r3_2x5t i.e. ext(140)$

ddt(1,140):=ext(174)$

% component of ddt w.r.t. r3_3x4t i.e. ext(141)$

ddt(1,141):=ext(175)$

% component of ddt w.r.t. r3_4x3t i.e. ext(142)$

ddt(1,142):=ext(176)$

% component of ddt w.r.t. r3_5x2t i.e. ext(143)$

ddt(1,143):=ext(177)$

% component of ddt w.r.t. r3_6xt i.e. ext(144)$

ddt(1,144):=ext(178)$

% component of ddt w.r.t. r3_7x i.e. ext(145)$

ddt(1,145):=ext(179)$

% component of ddt w.r.t. p_8t i.e. ext(146)$

ddt(1,146):=letop$

% component of ddt w.r.t. p_x7t i.e. ext(147)$

ddt(1,147):=letop$

% component of ddt w.r.t. p_2x6t i.e. ext(148)$

ddt(1,148):=letop$

% component of ddt w.r.t. p_3x5t i.e. ext(149)$

ddt(1,149):=letop$

% component of ddt w.r.t. p_4x4t i.e. ext(150)$

ddt(1,150):=letop$

% component of ddt w.r.t. p_5x3t i.e. ext(151)$

ddt(1,151):=letop$

% component of ddt w.r.t. p_6x2t i.e. ext(152)$

ddt(1,152):=letop$

% component of ddt w.r.t. p_7xt i.e. ext(153)$

ddt(1,153):=letop$

% component of ddt w.r.t. r1_8t i.e. ext(154)$

ddt(1,154):=letop$

% component of ddt w.r.t. r1_x7t i.e. ext(155)$

ddt(1,155):=letop$

% component of ddt w.r.t. r1_2x6t i.e. ext(156)$

ddt(1,156):=letop$

% component of ddt w.r.t. r1_3x5t i.e. ext(157)$

ddt(1,157):=letop$

% component of ddt w.r.t. r1_4x4t i.e. ext(158)$

ddt(1,158):=letop$

% component of ddt w.r.t. r1_5x3t i.e. ext(159)$

ddt(1,159):=letop$

% component of ddt w.r.t. r1_6x2t i.e. ext(160)$

ddt(1,160):=letop$

% component of ddt w.r.t. r1_7xt i.e. ext(161)$

ddt(1,161):=letop$

% component of ddt w.r.t. r1_8x i.e. ext(162)$

ddt(1,162):=letop$

% component of ddt w.r.t. r2_8t i.e. ext(163)$

ddt(1,163):=letop$

% component of ddt w.r.t. r2_x7t i.e. ext(164)$

ddt(1,164):=letop$

% component of ddt w.r.t. r2_2x6t i.e. ext(165)$

ddt(1,165):=letop$

% component of ddt w.r.t. r2_3x5t i.e. ext(166)$

ddt(1,166):=letop$

% component of ddt w.r.t. r2_4x4t i.e. ext(167)$

ddt(1,167):=letop$

% component of ddt w.r.t. r2_5x3t i.e. ext(168)$

ddt(1,168):=letop$

% component of ddt w.r.t. r2_6x2t i.e. ext(169)$

ddt(1,169):=letop$

% component of ddt w.r.t. r2_7xt i.e. ext(170)$

ddt(1,170):=letop$

% component of ddt w.r.t. r2_8x i.e. ext(171)$

ddt(1,171):=letop$

% component of ddt w.r.t. r3_8t i.e. ext(172)$

ddt(1,172):=letop$

% component of ddt w.r.t. r3_x7t i.e. ext(173)$

ddt(1,173):=letop$

% component of ddt w.r.t. r3_2x6t i.e. ext(174)$

ddt(1,174):=letop$

% component of ddt w.r.t. r3_3x5t i.e. ext(175)$

ddt(1,175):=letop$

% component of ddt w.r.t. r3_4x4t i.e. ext(176)$

ddt(1,176):=letop$

% component of ddt w.r.t. r3_5x3t i.e. ext(177)$

ddt(1,177):=letop$

% component of ddt w.r.t. r3_6x2t i.e. ext(178)$

ddt(1,178):=letop$

% component of ddt w.r.t. r3_7xt i.e. ext(179)$

ddt(1,179):=letop$

% component of ddt w.r.t. r3_8x i.e. ext(180)$

ddt(1,180):=letop$

;end;$
