
% cde state file$

% even equation:$

{u_t}={u*u_x + u_3x}$

% odd equation$

{q_t,r_x,r_t}={q*u_x + q_3x + q_x*u,
q,
q*u + q_2x}$

 $

% Settings:$

 $

indep_var:={x,t}$

dep_var:={u}$

odd_var:={q,r}$

deg_indep_var:={-1,-3}$

deg_dep_var:={2}$

deg_odd_var:={2,1}$

total_order:=10$

id_tot_der:=dd$

principal_der:={u_t}$

de:={u*u_x + u_3x}$

principal_odd:={q_t,r_x,r_t}$

de_odd:={q*u_x + q_3x + q_x*u,
q,
q*u + q_2x}$

 $

% Here starts the output of computations of the program.$

 $

% number of independent variables:$

n_indep_var:=2$

% all multiindexes in table format:$

all_mind_table:={{{0,0},{{1,0},{0,1}}},
{{1,0},{{2,0},{1,1}}},
{{0,1},{{1,1},{0,2}}},
{{2,0},{{3,0},{2,1}}},
{{1,1},{{2,1},{1,2}}},
{{0,2},{{1,2},{0,3}}},
{{3,0},{{4,0},{3,1}}},
{{2,1},{{3,1},{2,2}}},
{{1,2},{{2,2},{1,3}}},
{{0,3},{{1,3},{0,4}}},
{{4,0},{{5,0},{4,1}}},
{{3,1},{{4,1},{3,2}}},
{{2,2},{{3,2},{2,3}}},
{{1,3},{{2,3},{1,4}}},
{{0,4},{{1,4},{0,5}}},
{{5,0},{{6,0},{5,1}}},
{{4,1},{{5,1},{4,2}}},
{{3,2},{{4,2},{3,3}}},
{{2,3},{{3,3},{2,4}}},
{{1,4},{{2,4},{1,5}}},
{{0,5},{{1,5},{0,6}}},
{{6,0},{{7,0},{6,1}}},
{{5,1},{{6,1},{5,2}}},
{{4,2},{{5,2},{4,3}}},
{{3,3},{{4,3},{3,4}}},
{{2,4},{{3,4},{2,5}}},
{{1,5},{{2,5},{1,6}}},
{{0,6},{{1,6},{0,7}}},
{{7,0},{{8,0},{7,1}}},
{{6,1},{{7,1},{6,2}}},
{{5,2},{{6,2},{5,3}}},
{{4,3},{{5,3},{4,4}}},
{{3,4},{{4,4},{3,5}}},
{{2,5},{{3,5},{2,6}}},
{{1,6},{{2,6},{1,7}}},
{{0,7},{{1,7},{0,8}}},
{{8,0},{{9,0},{8,1}}},
{{7,1},{{8,1},{7,2}}},
{{6,2},{{7,2},{6,3}}},
{{5,3},{{6,3},{5,4}}},
{{4,4},{{5,4},{4,5}}},
{{3,5},{{4,5},{3,6}}},
{{2,6},{{3,6},{2,7}}},
{{1,7},{{2,7},{1,8}}},
{{0,8},{{1,8},{0,9}}},
{{9,0},{{10,0},{9,1}}},
{{8,1},{{9,1},{8,2}}},
{{7,2},{{8,2},{7,3}}},
{{6,3},{{7,3},{6,4}}},
{{5,4},{{6,4},{5,5}}},
{{4,5},{{5,5},{4,6}}},
{{3,6},{{4,6},{3,7}}},
{{2,7},{{3,7},{2,8}}},
{{1,8},{{2,8},{1,9}}},
{{0,9},{{1,9},{0,10}}},
{{10,0},{}},
{{9,1},{}},
{{8,2},{}},
{{7,3},{}},
{{6,4},{}},
{{5,5},{}},
{{4,6},{}},
{{3,7},{}},
{{2,8},{}},
{{1,9},{}},
{{0,10},{}}}$

% all even derivatives in multiindex notation:$

all_der_mind:={{u,{0,0}},
{u,{1,0}},
{u,{0,1}},
{u,{2,0}},
{u,{1,1}},
{u,{0,2}},
{u,{3,0}},
{u,{2,1}},
{u,{1,2}},
{u,{0,3}},
{u,{4,0}},
{u,{3,1}},
{u,{2,2}},
{u,{1,3}},
{u,{0,4}},
{u,{5,0}},
{u,{4,1}},
{u,{3,2}},
{u,{2,3}},
{u,{1,4}},
{u,{0,5}},
{u,{6,0}},
{u,{5,1}},
{u,{4,2}},
{u,{3,3}},
{u,{2,4}},
{u,{1,5}},
{u,{0,6}},
{u,{7,0}},
{u,{6,1}},
{u,{5,2}},
{u,{4,3}},
{u,{3,4}},
{u,{2,5}},
{u,{1,6}},
{u,{0,7}},
{u,{8,0}},
{u,{7,1}},
{u,{6,2}},
{u,{5,3}},
{u,{4,4}},
{u,{3,5}},
{u,{2,6}},
{u,{1,7}},
{u,{0,8}},
{u,{9,0}},
{u,{8,1}},
{u,{7,2}},
{u,{6,3}},
{u,{5,4}},
{u,{4,5}},
{u,{3,6}},
{u,{2,7}},
{u,{1,8}},
{u,{0,9}},
{u,{10,0}},
{u,{9,1}},
{u,{8,2}},
{u,{7,3}},
{u,{6,4}},
{u,{5,5}},
{u,{4,6}},
{u,{3,7}},
{u,{2,8}},
{u,{1,9}},
{u,{0,10}}}$

% all odd derivatives in multiindex notation:$

all_odd_mind:={{q,{0,0}},
{r,{0,0}},
{q,{1,0}},
{r,{1,0}},
{q,{0,1}},
{r,{0,1}},
{q,{2,0}},
{r,{2,0}},
{q,{1,1}},
{r,{1,1}},
{q,{0,2}},
{r,{0,2}},
{q,{3,0}},
{r,{3,0}},
{q,{2,1}},
{r,{2,1}},
{q,{1,2}},
{r,{1,2}},
{q,{0,3}},
{r,{0,3}},
{q,{4,0}},
{r,{4,0}},
{q,{3,1}},
{r,{3,1}},
{q,{2,2}},
{r,{2,2}},
{q,{1,3}},
{r,{1,3}},
{q,{0,4}},
{r,{0,4}},
{q,{5,0}},
{r,{5,0}},
{q,{4,1}},
{r,{4,1}},
{q,{3,2}},
{r,{3,2}},
{q,{2,3}},
{r,{2,3}},
{q,{1,4}},
{r,{1,4}},
{q,{0,5}},
{r,{0,5}},
{q,{6,0}},
{r,{6,0}},
{q,{5,1}},
{r,{5,1}},
{q,{4,2}},
{r,{4,2}},
{q,{3,3}},
{r,{3,3}},
{q,{2,4}},
{r,{2,4}},
{q,{1,5}},
{r,{1,5}},
{q,{0,6}},
{r,{0,6}},
{q,{7,0}},
{r,{7,0}},
{q,{6,1}},
{r,{6,1}},
{q,{5,2}},
{r,{5,2}},
{q,{4,3}},
{r,{4,3}},
{q,{3,4}},
{r,{3,4}},
{q,{2,5}},
{r,{2,5}},
{q,{1,6}},
{r,{1,6}},
{q,{0,7}},
{r,{0,7}},
{q,{8,0}},
{r,{8,0}},
{q,{7,1}},
{r,{7,1}},
{q,{6,2}},
{r,{6,2}},
{q,{5,3}},
{r,{5,3}},
{q,{4,4}},
{r,{4,4}},
{q,{3,5}},
{r,{3,5}},
{q,{2,6}},
{r,{2,6}},
{q,{1,7}},
{r,{1,7}},
{q,{0,8}},
{r,{0,8}},
{q,{9,0}},
{r,{9,0}},
{q,{8,1}},
{r,{8,1}},
{q,{7,2}},
{r,{7,2}},
{q,{6,3}},
{r,{6,3}},
{q,{5,4}},
{r,{5,4}},
{q,{4,5}},
{r,{4,5}},
{q,{3,6}},
{r,{3,6}},
{q,{2,7}},
{r,{2,7}},
{q,{1,8}},
{r,{1,8}},
{q,{0,9}},
{r,{0,9}},
{q,{10,0}},
{r,{10,0}},
{q,{9,1}},
{r,{9,1}},
{q,{8,2}},
{r,{8,2}},
{q,{7,3}},
{r,{7,3}},
{q,{6,4}},
{r,{6,4}},
{q,{5,5}},
{r,{5,5}},
{q,{4,6}},
{r,{4,6}},
{q,{3,7}},
{r,{3,7}},
{q,{2,8}},
{r,{2,8}},
{q,{1,9}},
{r,{1,9}},
{q,{0,10}},
{r,{0,10}}}$

% all even derivatives in identifier notation:$

all_der_id:={u,
u_x,
u_t,
u_2x,
u_xt,
u_2t,
u_3x,
u_2xt,
u_x2t,
u_3t,
u_4x,
u_3xt,
u_2x2t,
u_x3t,
u_4t,
u_5x,
u_4xt,
u_3x2t,
u_2x3t,
u_x4t,
u_5t,
u_6x,
u_5xt,
u_4x2t,
u_3x3t,
u_2x4t,
u_x5t,
u_6t,
u_7x,
u_6xt,
u_5x2t,
u_4x3t,
u_3x4t,
u_2x5t,
u_x6t,
u_7t,
u_8x,
u_7xt,
u_6x2t,
u_5x3t,
u_4x4t,
u_3x5t,
u_2x6t,
u_x7t,
u_8t,
u_9x,
u_8xt,
u_7x2t,
u_6x3t,
u_5x4t,
u_4x5t,
u_3x6t,
u_2x7t,
u_x8t,
u_9t,
u_10x,
u_9xt,
u_8x2t,
u_7x3t,
u_6x4t,
u_5x5t,
u_4x6t,
u_3x7t,
u_2x8t,
u_x9t,
u_10t}$

% all odd derivatives in identifier notation:$

all_odd_id:={q,
r,
q_x,
r_x,
q_t,
r_t,
q_2x,
r_2x,
q_xt,
r_xt,
q_2t,
r_2t,
q_3x,
r_3x,
q_2xt,
r_2xt,
q_x2t,
r_x2t,
q_3t,
r_3t,
q_4x,
r_4x,
q_3xt,
r_3xt,
q_2x2t,
r_2x2t,
q_x3t,
r_x3t,
q_4t,
r_4t,
q_5x,
r_5x,
q_4xt,
r_4xt,
q_3x2t,
r_3x2t,
q_2x3t,
r_2x3t,
q_x4t,
r_x4t,
q_5t,
r_5t,
q_6x,
r_6x,
q_5xt,
r_5xt,
q_4x2t,
r_4x2t,
q_3x3t,
r_3x3t,
q_2x4t,
r_2x4t,
q_x5t,
r_x5t,
q_6t,
r_6t,
q_7x,
r_7x,
q_6xt,
r_6xt,
q_5x2t,
r_5x2t,
q_4x3t,
r_4x3t,
q_3x4t,
r_3x4t,
q_2x5t,
r_2x5t,
q_x6t,
r_x6t,
q_7t,
r_7t,
q_8x,
r_8x,
q_7xt,
r_7xt,
q_6x2t,
r_6x2t,
q_5x3t,
r_5x3t,
q_4x4t,
r_4x4t,
q_3x5t,
r_3x5t,
q_2x6t,
r_2x6t,
q_x7t,
r_x7t,
q_8t,
r_8t,
q_9x,
r_9x,
q_8xt,
r_8xt,
q_7x2t,
r_7x2t,
q_6x3t,
r_6x3t,
q_5x4t,
r_5x4t,
q_4x5t,
r_4x5t,
q_3x6t,
r_3x6t,
q_2x7t,
r_2x7t,
q_x8t,
r_x8t,
q_9t,
r_9t,
q_10x,
r_10x,
q_9xt,
r_9xt,
q_8x2t,
r_8x2t,
q_7x3t,
r_7x3t,
q_6x4t,
r_6x4t,
q_5x5t,
r_5x5t,
q_4x6t,
r_4x6t,
q_3x7t,
r_3x7t,
q_2x8t,
r_2x8t,
q_x9t,
r_x9t,
q_10t,
r_10t}$

% all ext symbols:$

all_ext:={ext(1),
ext(2),
ext(3),
ext(4),
ext(5),
ext(6),
ext(7),
ext(8),
ext(9),
ext(10),
ext(11),
ext(12),
ext(13),
ext(14),
ext(15),
ext(16),
ext(17),
ext(18),
ext(19),
ext(20),
ext(21),
ext(22),
ext(23),
ext(24),
ext(25),
ext(26),
ext(27),
ext(28),
ext(29),
ext(30),
ext(31),
ext(32),
ext(33),
ext(34),
ext(35),
ext(36),
ext(37),
ext(38),
ext(39),
ext(40),
ext(41),
ext(42),
ext(43),
ext(44),
ext(45),
ext(46),
ext(47),
ext(48),
ext(49),
ext(50),
ext(51),
ext(52),
ext(53),
ext(54),
ext(55),
ext(56),
ext(57),
ext(58),
ext(59),
ext(60),
ext(61),
ext(62),
ext(63),
ext(64),
ext(65),
ext(66),
ext(67),
ext(68),
ext(69),
ext(70),
ext(71),
ext(72),
ext(73),
ext(74),
ext(75),
ext(76),
ext(77),
ext(78),
ext(79),
ext(80),
ext(81),
ext(82),
ext(83),
ext(84),
ext(85),
ext(86),
ext(87),
ext(88),
ext(89),
ext(90),
ext(91),
ext(92),
ext(93),
ext(94),
ext(95),
ext(96),
ext(97),
ext(98),
ext(99),
ext(100),
ext(101),
ext(102),
ext(103),
ext(104),
ext(105),
ext(106),
ext(107),
ext(108),
ext(109),
ext(110),
ext(111),
ext(112),
ext(113),
ext(114),
ext(115),
ext(116),
ext(117),
ext(118),
ext(119),
ext(120),
ext(121),
ext(122),
ext(123),
ext(124),
ext(125),
ext(126),
ext(127),
ext(128),
ext(129),
ext(130),
ext(131),
ext(132)}$

% alist of even derivative coordinates:$

i2m_jetspace:={{u,{u,{0,0}}},
{u_x,{u,{1,0}}},
{u_t,{u,{0,1}}},
{u_2x,{u,{2,0}}},
{u_xt,{u,{1,1}}},
{u_2t,{u,{0,2}}},
{u_3x,{u,{3,0}}},
{u_2xt,{u,{2,1}}},
{u_x2t,{u,{1,2}}},
{u_3t,{u,{0,3}}},
{u_4x,{u,{4,0}}},
{u_3xt,{u,{3,1}}},
{u_2x2t,{u,{2,2}}},
{u_x3t,{u,{1,3}}},
{u_4t,{u,{0,4}}},
{u_5x,{u,{5,0}}},
{u_4xt,{u,{4,1}}},
{u_3x2t,{u,{3,2}}},
{u_2x3t,{u,{2,3}}},
{u_x4t,{u,{1,4}}},
{u_5t,{u,{0,5}}},
{u_6x,{u,{6,0}}},
{u_5xt,{u,{5,1}}},
{u_4x2t,{u,{4,2}}},
{u_3x3t,{u,{3,3}}},
{u_2x4t,{u,{2,4}}},
{u_x5t,{u,{1,5}}},
{u_6t,{u,{0,6}}},
{u_7x,{u,{7,0}}},
{u_6xt,{u,{6,1}}},
{u_5x2t,{u,{5,2}}},
{u_4x3t,{u,{4,3}}},
{u_3x4t,{u,{3,4}}},
{u_2x5t,{u,{2,5}}},
{u_x6t,{u,{1,6}}},
{u_7t,{u,{0,7}}},
{u_8x,{u,{8,0}}},
{u_7xt,{u,{7,1}}},
{u_6x2t,{u,{6,2}}},
{u_5x3t,{u,{5,3}}},
{u_4x4t,{u,{4,4}}},
{u_3x5t,{u,{3,5}}},
{u_2x6t,{u,{2,6}}},
{u_x7t,{u,{1,7}}},
{u_8t,{u,{0,8}}},
{u_9x,{u,{9,0}}},
{u_8xt,{u,{8,1}}},
{u_7x2t,{u,{7,2}}},
{u_6x3t,{u,{6,3}}},
{u_5x4t,{u,{5,4}}},
{u_4x5t,{u,{4,5}}},
{u_3x6t,{u,{3,6}}},
{u_2x7t,{u,{2,7}}},
{u_x8t,{u,{1,8}}},
{u_9t,{u,{0,9}}},
{u_10x,{u,{10,0}}},
{u_9xt,{u,{9,1}}},
{u_8x2t,{u,{8,2}}},
{u_7x3t,{u,{7,3}}},
{u_6x4t,{u,{6,4}}},
{u_5x5t,{u,{5,5}}},
{u_4x6t,{u,{4,6}}},
{u_3x7t,{u,{3,7}}},
{u_2x8t,{u,{2,8}}},
{u_x9t,{u,{1,9}}},
{u_10t,{u,{0,10}}}}$

% alist of odd derivative coordinates:$

i2m_jetspace_odd:={{q,{q,{0,0}}},
{r,{r,{0,0}}},
{q_x,{q,{1,0}}},
{r_x,{r,{1,0}}},
{q_t,{q,{0,1}}},
{r_t,{r,{0,1}}},
{q_2x,{q,{2,0}}},
{r_2x,{r,{2,0}}},
{q_xt,{q,{1,1}}},
{r_xt,{r,{1,1}}},
{q_2t,{q,{0,2}}},
{r_2t,{r,{0,2}}},
{q_3x,{q,{3,0}}},
{r_3x,{r,{3,0}}},
{q_2xt,{q,{2,1}}},
{r_2xt,{r,{2,1}}},
{q_x2t,{q,{1,2}}},
{r_x2t,{r,{1,2}}},
{q_3t,{q,{0,3}}},
{r_3t,{r,{0,3}}},
{q_4x,{q,{4,0}}},
{r_4x,{r,{4,0}}},
{q_3xt,{q,{3,1}}},
{r_3xt,{r,{3,1}}},
{q_2x2t,{q,{2,2}}},
{r_2x2t,{r,{2,2}}},
{q_x3t,{q,{1,3}}},
{r_x3t,{r,{1,3}}},
{q_4t,{q,{0,4}}},
{r_4t,{r,{0,4}}},
{q_5x,{q,{5,0}}},
{r_5x,{r,{5,0}}},
{q_4xt,{q,{4,1}}},
{r_4xt,{r,{4,1}}},
{q_3x2t,{q,{3,2}}},
{r_3x2t,{r,{3,2}}},
{q_2x3t,{q,{2,3}}},
{r_2x3t,{r,{2,3}}},
{q_x4t,{q,{1,4}}},
{r_x4t,{r,{1,4}}},
{q_5t,{q,{0,5}}},
{r_5t,{r,{0,5}}},
{q_6x,{q,{6,0}}},
{r_6x,{r,{6,0}}},
{q_5xt,{q,{5,1}}},
{r_5xt,{r,{5,1}}},
{q_4x2t,{q,{4,2}}},
{r_4x2t,{r,{4,2}}},
{q_3x3t,{q,{3,3}}},
{r_3x3t,{r,{3,3}}},
{q_2x4t,{q,{2,4}}},
{r_2x4t,{r,{2,4}}},
{q_x5t,{q,{1,5}}},
{r_x5t,{r,{1,5}}},
{q_6t,{q,{0,6}}},
{r_6t,{r,{0,6}}},
{q_7x,{q,{7,0}}},
{r_7x,{r,{7,0}}},
{q_6xt,{q,{6,1}}},
{r_6xt,{r,{6,1}}},
{q_5x2t,{q,{5,2}}},
{r_5x2t,{r,{5,2}}},
{q_4x3t,{q,{4,3}}},
{r_4x3t,{r,{4,3}}},
{q_3x4t,{q,{3,4}}},
{r_3x4t,{r,{3,4}}},
{q_2x5t,{q,{2,5}}},
{r_2x5t,{r,{2,5}}},
{q_x6t,{q,{1,6}}},
{r_x6t,{r,{1,6}}},
{q_7t,{q,{0,7}}},
{r_7t,{r,{0,7}}},
{q_8x,{q,{8,0}}},
{r_8x,{r,{8,0}}},
{q_7xt,{q,{7,1}}},
{r_7xt,{r,{7,1}}},
{q_6x2t,{q,{6,2}}},
{r_6x2t,{r,{6,2}}},
{q_5x3t,{q,{5,3}}},
{r_5x3t,{r,{5,3}}},
{q_4x4t,{q,{4,4}}},
{r_4x4t,{r,{4,4}}},
{q_3x5t,{q,{3,5}}},
{r_3x5t,{r,{3,5}}},
{q_2x6t,{q,{2,6}}},
{r_2x6t,{r,{2,6}}},
{q_x7t,{q,{1,7}}},
{r_x7t,{r,{1,7}}},
{q_8t,{q,{0,8}}},
{r_8t,{r,{0,8}}},
{q_9x,{q,{9,0}}},
{r_9x,{r,{9,0}}},
{q_8xt,{q,{8,1}}},
{r_8xt,{r,{8,1}}},
{q_7x2t,{q,{7,2}}},
{r_7x2t,{r,{7,2}}},
{q_6x3t,{q,{6,3}}},
{r_6x3t,{r,{6,3}}},
{q_5x4t,{q,{5,4}}},
{r_5x4t,{r,{5,4}}},
{q_4x5t,{q,{4,5}}},
{r_4x5t,{r,{4,5}}},
{q_3x6t,{q,{3,6}}},
{r_3x6t,{r,{3,6}}},
{q_2x7t,{q,{2,7}}},
{r_2x7t,{r,{2,7}}},
{q_x8t,{q,{1,8}}},
{r_x8t,{r,{1,8}}},
{q_9t,{q,{0,9}}},
{r_9t,{r,{0,9}}},
{q_10x,{q,{10,0}}},
{r_10x,{r,{10,0}}},
{q_9xt,{q,{9,1}}},
{r_9xt,{r,{9,1}}},
{q_8x2t,{q,{8,2}}},
{r_8x2t,{r,{8,2}}},
{q_7x3t,{q,{7,3}}},
{r_7x3t,{r,{7,3}}},
{q_6x4t,{q,{6,4}}},
{r_6x4t,{r,{6,4}}},
{q_5x5t,{q,{5,5}}},
{r_5x5t,{r,{5,5}}},
{q_4x6t,{q,{4,6}}},
{r_4x6t,{r,{4,6}}},
{q_3x7t,{q,{3,7}}},
{r_3x7t,{r,{3,7}}},
{q_2x8t,{q,{2,8}}},
{r_2x8t,{r,{2,8}}},
{q_x9t,{q,{1,9}}},
{r_x9t,{r,{1,9}}},
{q_10t,{q,{0,10}}},
{r_10t,{r,{0,10}}}}$

% alist of even derivative coordinates - order of derivative:$

i2o_jetspace:={{u,0},
{u_x,1},
{u_t,1},
{u_2x,2},
{u_xt,2},
{u_2t,2},
{u_3x,3},
{u_2xt,3},
{u_x2t,3},
{u_3t,3},
{u_4x,4},
{u_3xt,4},
{u_2x2t,4},
{u_x3t,4},
{u_4t,4},
{u_5x,5},
{u_4xt,5},
{u_3x2t,5},
{u_2x3t,5},
{u_x4t,5},
{u_5t,5},
{u_6x,6},
{u_5xt,6},
{u_4x2t,6},
{u_3x3t,6},
{u_2x4t,6},
{u_x5t,6},
{u_6t,6},
{u_7x,7},
{u_6xt,7},
{u_5x2t,7},
{u_4x3t,7},
{u_3x4t,7},
{u_2x5t,7},
{u_x6t,7},
{u_7t,7},
{u_8x,8},
{u_7xt,8},
{u_6x2t,8},
{u_5x3t,8},
{u_4x4t,8},
{u_3x5t,8},
{u_2x6t,8},
{u_x7t,8},
{u_8t,8},
{u_9x,9},
{u_8xt,9},
{u_7x2t,9},
{u_6x3t,9},
{u_5x4t,9},
{u_4x5t,9},
{u_3x6t,9},
{u_2x7t,9},
{u_x8t,9},
{u_9t,9},
{u_10x,10},
{u_9xt,10},
{u_8x2t,10},
{u_7x3t,10},
{u_6x4t,10},
{u_5x5t,10},
{u_4x6t,10},
{u_3x7t,10},
{u_2x8t,10},
{u_x9t,10},
{u_10t,10}}$

% alist of odd derivative coordinates - order of derivative:$

i2o_jetspace_odd:={{q,0},
{r,0},
{q_x,1},
{r_x,1},
{q_t,1},
{r_t,1},
{q_2x,2},
{r_2x,2},
{q_xt,2},
{r_xt,2},
{q_2t,2},
{r_2t,2},
{q_3x,3},
{r_3x,3},
{q_2xt,3},
{r_2xt,3},
{q_x2t,3},
{r_x2t,3},
{q_3t,3},
{r_3t,3},
{q_4x,4},
{r_4x,4},
{q_3xt,4},
{r_3xt,4},
{q_2x2t,4},
{r_2x2t,4},
{q_x3t,4},
{r_x3t,4},
{q_4t,4},
{r_4t,4},
{q_5x,5},
{r_5x,5},
{q_4xt,5},
{r_4xt,5},
{q_3x2t,5},
{r_3x2t,5},
{q_2x3t,5},
{r_2x3t,5},
{q_x4t,5},
{r_x4t,5},
{q_5t,5},
{r_5t,5},
{q_6x,6},
{r_6x,6},
{q_5xt,6},
{r_5xt,6},
{q_4x2t,6},
{r_4x2t,6},
{q_3x3t,6},
{r_3x3t,6},
{q_2x4t,6},
{r_2x4t,6},
{q_x5t,6},
{r_x5t,6},
{q_6t,6},
{r_6t,6},
{q_7x,7},
{r_7x,7},
{q_6xt,7},
{r_6xt,7},
{q_5x2t,7},
{r_5x2t,7},
{q_4x3t,7},
{r_4x3t,7},
{q_3x4t,7},
{r_3x4t,7},
{q_2x5t,7},
{r_2x5t,7},
{q_x6t,7},
{r_x6t,7},
{q_7t,7},
{r_7t,7},
{q_8x,8},
{r_8x,8},
{q_7xt,8},
{r_7xt,8},
{q_6x2t,8},
{r_6x2t,8},
{q_5x3t,8},
{r_5x3t,8},
{q_4x4t,8},
{r_4x4t,8},
{q_3x5t,8},
{r_3x5t,8},
{q_2x6t,8},
{r_2x6t,8},
{q_x7t,8},
{r_x7t,8},
{q_8t,8},
{r_8t,8},
{q_9x,9},
{r_9x,9},
{q_8xt,9},
{r_8xt,9},
{q_7x2t,9},
{r_7x2t,9},
{q_6x3t,9},
{r_6x3t,9},
{q_5x4t,9},
{r_5x4t,9},
{q_4x5t,9},
{r_4x5t,9},
{q_3x6t,9},
{r_3x6t,9},
{q_2x7t,9},
{r_2x7t,9},
{q_x8t,9},
{r_x8t,9},
{q_9t,9},
{r_9t,9},
{q_10x,10},
{r_10x,10},
{q_9xt,10},
{r_9xt,10},
{q_8x2t,10},
{r_8x2t,10},
{q_7x3t,10},
{r_7x3t,10},
{q_6x4t,10},
{r_6x4t,10},
{q_5x5t,10},
{r_5x5t,10},
{q_4x6t,10},
{r_4x6t,10},
{q_3x7t,10},
{r_3x7t,10},
{q_2x8t,10},
{r_2x8t,10},
{q_x9t,10},
{r_x9t,10},
{q_10t,10},
{r_10t,10}}$

% list of even principal derivatives:$

all_principal_der:={u_t,
u_2t,
u_xt,
u_3t,
u_x2t,
u_2xt,
u_4t,
u_x3t,
u_2x2t,
u_3xt,
u_5t,
u_x4t,
u_2x3t,
u_3x2t,
u_4xt,
u_6t,
u_x5t,
u_2x4t,
u_3x3t,
u_4x2t,
u_5xt,
u_7t,
u_x6t,
u_2x5t,
u_3x4t,
u_4x3t,
u_5x2t,
u_6xt,
u_8t,
u_x7t,
u_2x6t,
u_3x5t,
u_4x4t,
u_5x3t,
u_6x2t,
u_7xt,
u_9t,
u_x8t,
u_2x7t,
u_3x6t,
u_4x5t,
u_5x4t,
u_6x3t,
u_7x2t,
u_8xt,
u_10t,
u_x9t,
u_2x8t,
u_3x7t,
u_4x6t,
u_5x5t,
u_6x4t,
u_7x3t,
u_8x2t,
u_9xt}$

% list of even parametric derivatives:$

all_parametric_der:={u,
u_x,
u_2x,
u_3x,
u_4x,
u_5x,
u_6x,
u_7x,
u_8x,
u_9x,
u_10x}$

% list of odd principal derivatives:$

all_principal_odd:={q_t,
r_t,
r_x,
q_2t,
q_xt,
r_2t,
r_xt,
r_2x,
q_3t,
q_x2t,
q_2xt,
r_3t,
r_x2t,
r_2xt,
r_3x,
q_4t,
q_x3t,
q_2x2t,
q_3xt,
r_4t,
r_x3t,
r_2x2t,
r_3xt,
r_4x,
q_5t,
q_x4t,
q_2x3t,
q_3x2t,
q_4xt,
r_5t,
r_x4t,
r_2x3t,
r_3x2t,
r_4xt,
r_5x,
q_6t,
q_x5t,
q_2x4t,
q_3x3t,
q_4x2t,
q_5xt,
r_6t,
r_x5t,
r_2x4t,
r_3x3t,
r_4x2t,
r_5xt,
r_6x,
q_7t,
q_x6t,
q_2x5t,
q_3x4t,
q_4x3t,
q_5x2t,
q_6xt,
r_7t,
r_x6t,
r_2x5t,
r_3x4t,
r_4x3t,
r_5x2t,
r_6xt,
r_7x,
q_8t,
q_x7t,
q_2x6t,
q_3x5t,
q_4x4t,
q_5x3t,
q_6x2t,
q_7xt,
r_8t,
r_x7t,
r_2x6t,
r_3x5t,
r_4x4t,
r_5x3t,
r_6x2t,
r_7xt,
r_8x,
q_9t,
q_x8t,
q_2x7t,
q_3x6t,
q_4x5t,
q_5x4t,
q_6x3t,
q_7x2t,
q_8xt,
r_9t,
r_x8t,
r_2x7t,
r_3x6t,
r_4x5t,
r_5x4t,
r_6x3t,
r_7x2t,
r_8xt,
r_9x,
q_10t,
q_x9t,
q_2x8t,
q_3x7t,
q_4x6t,
q_5x5t,
q_6x4t,
q_7x3t,
q_8x2t,
q_9xt,
r_10t,
r_x9t,
r_2x8t,
r_3x7t,
r_4x6t,
r_5x5t,
r_6x4t,
r_7x3t,
r_8x2t,
r_9xt,
r_10x}$

% list of odd parametric derivatives:$

all_parametric_odd:={q,
r,
q_x,
q_2x,
q_3x,
q_4x,
q_5x,
q_6x,
q_7x,
q_8x,
q_9x,
q_10x}$

% list of ext principal derivatives:$

all_principal_ext:={ext(13),
ext(14),
ext(15),
ext(16),
ext(17),
ext(18),
ext(19),
ext(20),
ext(21),
ext(22),
ext(23),
ext(24),
ext(25),
ext(26),
ext(27),
ext(28),
ext(29),
ext(30),
ext(31),
ext(32),
ext(33),
ext(34),
ext(35),
ext(36),
ext(37),
ext(38),
ext(39),
ext(40),
ext(41),
ext(42),
ext(43),
ext(44),
ext(45),
ext(46),
ext(47),
ext(48),
ext(49),
ext(50),
ext(51),
ext(52),
ext(53),
ext(54),
ext(55),
ext(56),
ext(57),
ext(58),
ext(59),
ext(60),
ext(61),
ext(62),
ext(63),
ext(64),
ext(65),
ext(66),
ext(67),
ext(68),
ext(69),
ext(70),
ext(71),
ext(72),
ext(73),
ext(74),
ext(75),
ext(76),
ext(77),
ext(78),
ext(79),
ext(80),
ext(81),
ext(82),
ext(83),
ext(84),
ext(85),
ext(86),
ext(87),
ext(88),
ext(89),
ext(90),
ext(91),
ext(92),
ext(93),
ext(94),
ext(95),
ext(96),
ext(97),
ext(98),
ext(99),
ext(100),
ext(101),
ext(102),
ext(103),
ext(104),
ext(105),
ext(106),
ext(107),
ext(108),
ext(109),
ext(110),
ext(111),
ext(112),
ext(113),
ext(114),
ext(115),
ext(116),
ext(117),
ext(118),
ext(119),
ext(120),
ext(121),
ext(122),
ext(123),
ext(124),
ext(125),
ext(126),
ext(127),
ext(128),
ext(129),
ext(130),
ext(131),
ext(132)}$

% list of ext parametric derivatives:$

all_parametric_ext:={ext(1),
ext(2),
ext(3),
ext(4),
ext(5),
ext(6),
ext(7),
ext(8),
ext(9),
ext(10),
ext(11),
ext(12)}$

% alist of odd derivatives - ext symbols:$

o2e_jetspace:={{q,ext(1)},
{r,ext(2)},
{q_x,ext(3)},
{q_2x,ext(4)},
{q_3x,ext(5)},
{q_4x,ext(6)},
{q_5x,ext(7)},
{q_6x,ext(8)},
{q_7x,ext(9)},
{q_8x,ext(10)},
{q_9x,ext(11)},
{q_10x,ext(12)},
{q_t,ext(13)},
{r_t,ext(14)},
{r_x,ext(15)},
{q_2t,ext(16)},
{q_xt,ext(17)},
{r_2t,ext(18)},
{r_xt,ext(19)},
{r_2x,ext(20)},
{q_3t,ext(21)},
{q_x2t,ext(22)},
{q_2xt,ext(23)},
{r_3t,ext(24)},
{r_x2t,ext(25)},
{r_2xt,ext(26)},
{r_3x,ext(27)},
{q_4t,ext(28)},
{q_x3t,ext(29)},
{q_2x2t,ext(30)},
{q_3xt,ext(31)},
{r_4t,ext(32)},
{r_x3t,ext(33)},
{r_2x2t,ext(34)},
{r_3xt,ext(35)},
{r_4x,ext(36)},
{q_5t,ext(37)},
{q_x4t,ext(38)},
{q_2x3t,ext(39)},
{q_3x2t,ext(40)},
{q_4xt,ext(41)},
{r_5t,ext(42)},
{r_x4t,ext(43)},
{r_2x3t,ext(44)},
{r_3x2t,ext(45)},
{r_4xt,ext(46)},
{r_5x,ext(47)},
{q_6t,ext(48)},
{q_x5t,ext(49)},
{q_2x4t,ext(50)},
{q_3x3t,ext(51)},
{q_4x2t,ext(52)},
{q_5xt,ext(53)},
{r_6t,ext(54)},
{r_x5t,ext(55)},
{r_2x4t,ext(56)},
{r_3x3t,ext(57)},
{r_4x2t,ext(58)},
{r_5xt,ext(59)},
{r_6x,ext(60)},
{q_7t,ext(61)},
{q_x6t,ext(62)},
{q_2x5t,ext(63)},
{q_3x4t,ext(64)},
{q_4x3t,ext(65)},
{q_5x2t,ext(66)},
{q_6xt,ext(67)},
{r_7t,ext(68)},
{r_x6t,ext(69)},
{r_2x5t,ext(70)},
{r_3x4t,ext(71)},
{r_4x3t,ext(72)},
{r_5x2t,ext(73)},
{r_6xt,ext(74)},
{r_7x,ext(75)},
{q_8t,ext(76)},
{q_x7t,ext(77)},
{q_2x6t,ext(78)},
{q_3x5t,ext(79)},
{q_4x4t,ext(80)},
{q_5x3t,ext(81)},
{q_6x2t,ext(82)},
{q_7xt,ext(83)},
{r_8t,ext(84)},
{r_x7t,ext(85)},
{r_2x6t,ext(86)},
{r_3x5t,ext(87)},
{r_4x4t,ext(88)},
{r_5x3t,ext(89)},
{r_6x2t,ext(90)},
{r_7xt,ext(91)},
{r_8x,ext(92)},
{q_9t,ext(93)},
{q_x8t,ext(94)},
{q_2x7t,ext(95)},
{q_3x6t,ext(96)},
{q_4x5t,ext(97)},
{q_5x4t,ext(98)},
{q_6x3t,ext(99)},
{q_7x2t,ext(100)},
{q_8xt,ext(101)},
{r_9t,ext(102)},
{r_x8t,ext(103)},
{r_2x7t,ext(104)},
{r_3x6t,ext(105)},
{r_4x5t,ext(106)},
{r_5x4t,ext(107)},
{r_6x3t,ext(108)},
{r_7x2t,ext(109)},
{r_8xt,ext(110)},
{r_9x,ext(111)},
{q_10t,ext(112)},
{q_x9t,ext(113)},
{q_2x8t,ext(114)},
{q_3x7t,ext(115)},
{q_4x6t,ext(116)},
{q_5x5t,ext(117)},
{q_6x4t,ext(118)},
{q_7x3t,ext(119)},
{q_8x2t,ext(120)},
{q_9xt,ext(121)},
{r_10t,ext(122)},
{r_x9t,ext(123)},
{r_2x8t,ext(124)},
{r_3x7t,ext(125)},
{r_4x6t,ext(126)},
{r_5x5t,ext(127)},
{r_6x4t,ext(128)},
{r_7x3t,ext(129)},
{r_8x2t,ext(130)},
{r_9xt,ext(131)},
{r_10x,ext(132)}}$

% set of rules to replace odd ders with ext symbols:$

repoddext:={q=ext(1),
r=ext(2),
q_x=ext(3),
q_2x=ext(4),
q_3x=ext(5),
q_4x=ext(6),
q_5x=ext(7),
q_6x=ext(8),
q_7x=ext(9),
q_8x=ext(10),
q_9x=ext(11),
q_10x=ext(12),
q_t=ext(13),
r_t=ext(14),
r_x=ext(15),
q_2t=ext(16),
q_xt=ext(17),
r_2t=ext(18),
r_xt=ext(19),
r_2x=ext(20),
q_3t=ext(21),
q_x2t=ext(22),
q_2xt=ext(23),
r_3t=ext(24),
r_x2t=ext(25),
r_2xt=ext(26),
r_3x=ext(27),
q_4t=ext(28),
q_x3t=ext(29),
q_2x2t=ext(30),
q_3xt=ext(31),
r_4t=ext(32),
r_x3t=ext(33),
r_2x2t=ext(34),
r_3xt=ext(35),
r_4x=ext(36),
q_5t=ext(37),
q_x4t=ext(38),
q_2x3t=ext(39),
q_3x2t=ext(40),
q_4xt=ext(41),
r_5t=ext(42),
r_x4t=ext(43),
r_2x3t=ext(44),
r_3x2t=ext(45),
r_4xt=ext(46),
r_5x=ext(47),
q_6t=ext(48),
q_x5t=ext(49),
q_2x4t=ext(50),
q_3x3t=ext(51),
q_4x2t=ext(52),
q_5xt=ext(53),
r_6t=ext(54),
r_x5t=ext(55),
r_2x4t=ext(56),
r_3x3t=ext(57),
r_4x2t=ext(58),
r_5xt=ext(59),
r_6x=ext(60),
q_7t=ext(61),
q_x6t=ext(62),
q_2x5t=ext(63),
q_3x4t=ext(64),
q_4x3t=ext(65),
q_5x2t=ext(66),
q_6xt=ext(67),
r_7t=ext(68),
r_x6t=ext(69),
r_2x5t=ext(70),
r_3x4t=ext(71),
r_4x3t=ext(72),
r_5x2t=ext(73),
r_6xt=ext(74),
r_7x=ext(75),
q_8t=ext(76),
q_x7t=ext(77),
q_2x6t=ext(78),
q_3x5t=ext(79),
q_4x4t=ext(80),
q_5x3t=ext(81),
q_6x2t=ext(82),
q_7xt=ext(83),
r_8t=ext(84),
r_x7t=ext(85),
r_2x6t=ext(86),
r_3x5t=ext(87),
r_4x4t=ext(88),
r_5x3t=ext(89),
r_6x2t=ext(90),
r_7xt=ext(91),
r_8x=ext(92),
q_9t=ext(93),
q_x8t=ext(94),
q_2x7t=ext(95),
q_3x6t=ext(96),
q_4x5t=ext(97),
q_5x4t=ext(98),
q_6x3t=ext(99),
q_7x2t=ext(100),
q_8xt=ext(101),
r_9t=ext(102),
r_x8t=ext(103),
r_2x7t=ext(104),
r_3x6t=ext(105),
r_4x5t=ext(106),
r_5x4t=ext(107),
r_6x3t=ext(108),
r_7x2t=ext(109),
r_8xt=ext(110),
r_9x=ext(111),
q_10t=ext(112),
q_x9t=ext(113),
q_2x8t=ext(114),
q_3x7t=ext(115),
q_4x6t=ext(116),
q_5x5t=ext(117),
q_6x4t=ext(118),
q_7x3t=ext(119),
q_8x2t=ext(120),
q_9xt=ext(121),
r_10t=ext(122),
r_x9t=ext(123),
r_2x8t=ext(124),
r_3x7t=ext(125),
r_4x6t=ext(126),
r_5x5t=ext(127),
r_6x4t=ext(128),
r_7x3t=ext(129),
r_8x2t=ext(130),
r_9xt=ext(131),
r_10x=ext(132)}$

% set of rules to replace ext symbols with odd ders:$

repextodd:={ext(1)=q,
ext(2)=r,
ext(3)=q_x,
ext(4)=q_2x,
ext(5)=q_3x,
ext(6)=q_4x,
ext(7)=q_5x,
ext(8)=q_6x,
ext(9)=q_7x,
ext(10)=q_8x,
ext(11)=q_9x,
ext(12)=q_10x,
ext(13)=q_t,
ext(14)=r_t,
ext(15)=r_x,
ext(16)=q_2t,
ext(17)=q_xt,
ext(18)=r_2t,
ext(19)=r_xt,
ext(20)=r_2x,
ext(21)=q_3t,
ext(22)=q_x2t,
ext(23)=q_2xt,
ext(24)=r_3t,
ext(25)=r_x2t,
ext(26)=r_2xt,
ext(27)=r_3x,
ext(28)=q_4t,
ext(29)=q_x3t,
ext(30)=q_2x2t,
ext(31)=q_3xt,
ext(32)=r_4t,
ext(33)=r_x3t,
ext(34)=r_2x2t,
ext(35)=r_3xt,
ext(36)=r_4x,
ext(37)=q_5t,
ext(38)=q_x4t,
ext(39)=q_2x3t,
ext(40)=q_3x2t,
ext(41)=q_4xt,
ext(42)=r_5t,
ext(43)=r_x4t,
ext(44)=r_2x3t,
ext(45)=r_3x2t,
ext(46)=r_4xt,
ext(47)=r_5x,
ext(48)=q_6t,
ext(49)=q_x5t,
ext(50)=q_2x4t,
ext(51)=q_3x3t,
ext(52)=q_4x2t,
ext(53)=q_5xt,
ext(54)=r_6t,
ext(55)=r_x5t,
ext(56)=r_2x4t,
ext(57)=r_3x3t,
ext(58)=r_4x2t,
ext(59)=r_5xt,
ext(60)=r_6x,
ext(61)=q_7t,
ext(62)=q_x6t,
ext(63)=q_2x5t,
ext(64)=q_3x4t,
ext(65)=q_4x3t,
ext(66)=q_5x2t,
ext(67)=q_6xt,
ext(68)=r_7t,
ext(69)=r_x6t,
ext(70)=r_2x5t,
ext(71)=r_3x4t,
ext(72)=r_4x3t,
ext(73)=r_5x2t,
ext(74)=r_6xt,
ext(75)=r_7x,
ext(76)=q_8t,
ext(77)=q_x7t,
ext(78)=q_2x6t,
ext(79)=q_3x5t,
ext(80)=q_4x4t,
ext(81)=q_5x3t,
ext(82)=q_6x2t,
ext(83)=q_7xt,
ext(84)=r_8t,
ext(85)=r_x7t,
ext(86)=r_2x6t,
ext(87)=r_3x5t,
ext(88)=r_4x4t,
ext(89)=r_5x3t,
ext(90)=r_6x2t,
ext(91)=r_7xt,
ext(92)=r_8x,
ext(93)=q_9t,
ext(94)=q_x8t,
ext(95)=q_2x7t,
ext(96)=q_3x6t,
ext(97)=q_4x5t,
ext(98)=q_5x4t,
ext(99)=q_6x3t,
ext(100)=q_7x2t,
ext(101)=q_8xt,
ext(102)=r_9t,
ext(103)=r_x8t,
ext(104)=r_2x7t,
ext(105)=r_3x6t,
ext(106)=r_4x5t,
ext(107)=r_5x4t,
ext(108)=r_6x3t,
ext(109)=r_7x2t,
ext(110)=r_8xt,
ext(111)=r_9x,
ext(112)=q_10t,
ext(113)=q_x9t,
ext(114)=q_2x8t,
ext(115)=q_3x7t,
ext(116)=q_4x6t,
ext(117)=q_5x5t,
ext(118)=q_6x4t,
ext(119)=q_7x3t,
ext(120)=q_8x2t,
ext(121)=q_9xt,
ext(122)=r_10t,
ext(123)=r_x9t,
ext(124)=r_2x8t,
ext(125)=r_3x7t,
ext(126)=r_4x6t,
ext(127)=r_5x5t,
ext(128)=r_6x4t,
ext(129)=r_7x3t,
ext(130)=r_8x2t,
ext(131)=r_9xt,
ext(132)=r_10x}$

% set of identifiers for total derivatives:$

tot_der:={ddx,ddt}$

% set up the auxiliary variable `letop'$

for each el in indep_var do depend letop,el;$

% Characterization of primary differential consequences:$

primary_diffcon_tot:={{{ddt,0,3,u_t},
{ddt,0,4,u_xt},
{ddt,0,5,u_2xt},
{ddt,0,6,u_3xt},
{ddt,0,7,u_4xt},
{ddt,0,8,u_5xt},
{ddt,0,9,u_6xt},
{ddt,0,10,u_7xt},
{ddt,0,11,u_8xt},
{ddt,0,12,u_9xt}},
{{ddx,1,2,r_x},
{ddt,1,1,q_t},
{ddt,1,2,r_t},
{ddt,1,3,q_xt},
{ddt,1,4,q_2xt},
{ddt,1,5,q_3xt},
{ddt,1,6,q_4xt},
{ddt,1,7,q_5xt},
{ddt,1,8,q_6xt},
{ddt,1,9,q_7xt},
{ddt,1,10,q_8xt},
{ddt,1,11,q_9xt}}}$

primary_diffcon_der:={u_xt,
u_2xt,
u_3xt,
u_4xt,
u_5xt,
u_6xt,
u_7xt,
u_8xt,
u_9xt}$

primary_diffcon_odd:={q_xt,
q_2xt,
q_3xt,
q_4xt,
q_5xt,
q_6xt,
q_7xt,
q_8xt,
q_9xt}$

% Alists of differential conseq. needed in total derivatives:$

diffcon_der:={{u_9xt,letop},
{u_8xt,letop},
{u_7xt,
u*u_8x + u_10x + 28*u_2x*u_6x + 56*u_3x*u_5x + 35*u_4x**2 + 8*u_7x*u_x},
{u_6xt,
u*u_7x + 21*u_2x*u_5x + 35*u_3x*u_4x + 7*u_6x*u_x + u_9x},
{u_5xt,u*u_6x + 15*u_2x*u_4x + 10*u_3x**2 + 6*u_5x*u_x + u_8x},
{u_4xt,u*u_5x + 10*u_2x*u_3x + 5*u_4x*u_x + u_7x},
{u_3xt,u*u_4x + 3*u_2x**2 + 4*u_3x*u_x + u_6x},
{u_2xt,u*u_3x + 3*u_2x*u_x + u_5x},
{u_xt,u*u_2x + u_4x + u_x**2},
{u_t,u*u_x + u_3x}}$

diffcon_odd:={{q_9xt,letop},
{q_8xt,letop},
{q_7xt,
ext(12) + ext(10)*u + 8*ext(9)*u_x + 28*ext(8)*u_2x + 56*ext(7)*u_3x + 70*ext(6)
*u_4x + 56*ext(5)*u_5x + 28*ext(4)*u_6x + 8*ext(3)*u_7x + ext(1)*u_8x},
{q_6xt,
ext(11) + ext(9)*u + 7*ext(8)*u_x + 21*ext(7)*u_2x + 35*ext(6)*u_3x + 35*ext(5)*
u_4x + 21*ext(4)*u_5x + 7*ext(3)*u_6x + ext(1)*u_7x},
{q_5xt,
ext(10) + ext(8)*u + 6*ext(7)*u_x + 15*ext(6)*u_2x + 20*ext(5)*u_3x + 15*ext(4)*
u_4x + 6*ext(3)*u_5x + ext(1)*u_6x},
{q_4xt,
ext(9) + ext(7)*u + 5*ext(6)*u_x + 10*ext(5)*u_2x + 10*ext(4)*u_3x + 5*ext(3)*
u_4x + ext(1)*u_5x},
{q_3xt,
ext(8) + ext(6)*u + 4*ext(5)*u_x + 6*ext(4)*u_2x + 4*ext(3)*u_3x + ext(1)*u_4x},
{q_2xt,
ext(7) + ext(5)*u + 3*ext(4)*u_x + 3*ext(3)*u_2x + ext(1)*u_3x},
{q_xt,
ext(6) + ext(4)*u + 2*ext(3)*u_x + ext(1)*u_2x},
{q_t,ext(5) + ext(3)*u + ext(1)*u_x},
{r_x,ext(1)},
{r_t,ext(4) + ext(1)*u}}$

% Principal derivatives computed:$

diffcon_comp_der:={u_9xt,
u_8xt,
u_7xt,
u_6xt,
u_5xt,
u_4xt,
u_3xt,
u_2xt,
u_xt,
u_t}$

diffcon_comp_odd:={q_9xt,
q_8xt,
q_7xt,
q_6xt,
q_5xt,
q_4xt,
q_3xt,
q_2xt,
q_xt,
q_t,
r_x,
r_t}$

diffcon_comp_ext:={ext(121),
ext(101),
ext(83),
ext(67),
ext(53),
ext(41),
ext(31),
ext(23),
ext(17),
ext(13),
ext(15),
ext(14)}$

% Alists of principal derivatives in terms of parametric expr.:$

diffcon_param_der:={{u_9xt,letop},
{u_8xt,letop},
{u_7xt,
u*u_8x + u_10x + 28*u_2x*u_6x + 56*u_3x*u_5x + 35*u_4x**2 + 8*u_7x*u_x},
{u_6xt,
u*u_7x + 21*u_2x*u_5x + 35*u_3x*u_4x + 7*u_6x*u_x + u_9x},
{u_5xt,u*u_6x + 15*u_2x*u_4x + 10*u_3x**2 + 6*u_5x*u_x + u_8x},
{u_4xt,u*u_5x + 10*u_2x*u_3x + 5*u_4x*u_x + u_7x},
{u_3xt,u*u_4x + 3*u_2x**2 + 4*u_3x*u_x + u_6x},
{u_2xt,u*u_3x + 3*u_2x*u_x + u_5x},
{u_xt,u*u_2x + u_4x + u_x**2},
{u_t,u*u_x + u_3x}}$

diffcon_param_ext:={{ext(121),letop},
{ext(101),letop},
{ext(83),
ext(12) + ext(10)*u + 8*ext(9)*u_x + 28*ext(8)*u_2x + 56*ext(7)*u_3x + 70*ext(6)
*u_4x + 56*ext(5)*u_5x + 28*ext(4)*u_6x + 8*ext(3)*u_7x + ext(1)*u_8x},
{ext(67),
ext(11) + ext(9)*u + 7*ext(8)*u_x + 21*ext(7)*u_2x + 35*ext(6)*u_3x + 35*ext(5)*
u_4x + 21*ext(4)*u_5x + 7*ext(3)*u_6x + ext(1)*u_7x},
{ext(53),
ext(10) + ext(8)*u + 6*ext(7)*u_x + 15*ext(6)*u_2x + 20*ext(5)*u_3x + 15*ext(4)*
u_4x + 6*ext(3)*u_5x + ext(1)*u_6x},
{ext(41),
ext(9) + ext(7)*u + 5*ext(6)*u_x + 10*ext(5)*u_2x + 10*ext(4)*u_3x + 5*ext(3)*
u_4x + ext(1)*u_5x},
{ext(31),
ext(8) + ext(6)*u + 4*ext(5)*u_x + 6*ext(4)*u_2x + 4*ext(3)*u_3x + ext(1)*u_4x},
{ext(23),
ext(7) + ext(5)*u + 3*ext(4)*u_x + 3*ext(3)*u_2x + ext(1)*u_3x},
{ext(17),
ext(6) + ext(4)*u + 2*ext(3)*u_x + ext(1)*u_2x},
{ext(13),ext(5) + ext(3)*u + ext(1)*u_x},
{ext(15),ext(1)},
{ext(14),ext(4) + ext(1)*u}}$

% Total derivatives declarations:$



for! i:=1:n!_indep!_var! do! super!_vectorfield(part(tot!_der,i),append(indep!_v
ar,all\
!_der!_id),all!_ext)$

% Coefficients of total derivatives:$

% component of ddx w.r.t. x$

ddx(0,1):=1$

% component of ddx w.r.t. t$

ddx(0,2):=0$

% component of ddx w.r.t. u$

ddx(0,3):=u_x$

% component of ddx w.r.t. u_x$

ddx(0,4):=u_2x$

% component of ddx w.r.t. u_2x$

ddx(0,5):=u_3x$

% component of ddx w.r.t. u_3x$

ddx(0,6):=u_4x$

% component of ddx w.r.t. u_4x$

ddx(0,7):=u_5x$

% component of ddx w.r.t. u_5x$

ddx(0,8):=u_6x$

% component of ddx w.r.t. u_6x$

ddx(0,9):=u_7x$

% component of ddx w.r.t. u_7x$

ddx(0,10):=u_8x$

% component of ddx w.r.t. u_8x$

ddx(0,11):=u_9x$

% component of ddx w.r.t. u_9x$

ddx(0,12):=u_10x$

% component of ddx w.r.t. u_10x$

ddx(0,13):=letop$

% component of ddx w.r.t. u_t$

ddx(0,14):=u_xt$

% component of ddx w.r.t. u_2t$

ddx(0,15):=u_x2t$

% component of ddx w.r.t. u_xt$

ddx(0,16):=u_2xt$

% component of ddx w.r.t. u_3t$

ddx(0,17):=u_x3t$

% component of ddx w.r.t. u_x2t$

ddx(0,18):=u_2x2t$

% component of ddx w.r.t. u_2xt$

ddx(0,19):=u_3xt$

% component of ddx w.r.t. u_4t$

ddx(0,20):=u_x4t$

% component of ddx w.r.t. u_x3t$

ddx(0,21):=u_2x3t$

% component of ddx w.r.t. u_2x2t$

ddx(0,22):=u_3x2t$

% component of ddx w.r.t. u_3xt$

ddx(0,23):=u_4xt$

% component of ddx w.r.t. u_5t$

ddx(0,24):=u_x5t$

% component of ddx w.r.t. u_x4t$

ddx(0,25):=u_2x4t$

% component of ddx w.r.t. u_2x3t$

ddx(0,26):=u_3x3t$

% component of ddx w.r.t. u_3x2t$

ddx(0,27):=u_4x2t$

% component of ddx w.r.t. u_4xt$

ddx(0,28):=u_5xt$

% component of ddx w.r.t. u_6t$

ddx(0,29):=u_x6t$

% component of ddx w.r.t. u_x5t$

ddx(0,30):=u_2x5t$

% component of ddx w.r.t. u_2x4t$

ddx(0,31):=u_3x4t$

% component of ddx w.r.t. u_3x3t$

ddx(0,32):=u_4x3t$

% component of ddx w.r.t. u_4x2t$

ddx(0,33):=u_5x2t$

% component of ddx w.r.t. u_5xt$

ddx(0,34):=u_6xt$

% component of ddx w.r.t. u_7t$

ddx(0,35):=u_x7t$

% component of ddx w.r.t. u_x6t$

ddx(0,36):=u_2x6t$

% component of ddx w.r.t. u_2x5t$

ddx(0,37):=u_3x5t$

% component of ddx w.r.t. u_3x4t$

ddx(0,38):=u_4x4t$

% component of ddx w.r.t. u_4x3t$

ddx(0,39):=u_5x3t$

% component of ddx w.r.t. u_5x2t$

ddx(0,40):=u_6x2t$

% component of ddx w.r.t. u_6xt$

ddx(0,41):=u_7xt$

% component of ddx w.r.t. u_8t$

ddx(0,42):=u_x8t$

% component of ddx w.r.t. u_x7t$

ddx(0,43):=u_2x7t$

% component of ddx w.r.t. u_2x6t$

ddx(0,44):=u_3x6t$

% component of ddx w.r.t. u_3x5t$

ddx(0,45):=u_4x5t$

% component of ddx w.r.t. u_4x4t$

ddx(0,46):=u_5x4t$

% component of ddx w.r.t. u_5x3t$

ddx(0,47):=u_6x3t$

% component of ddx w.r.t. u_6x2t$

ddx(0,48):=u_7x2t$

% component of ddx w.r.t. u_7xt$

ddx(0,49):=u_8xt$

% component of ddx w.r.t. u_9t$

ddx(0,50):=u_x9t$

% component of ddx w.r.t. u_x8t$

ddx(0,51):=u_2x8t$

% component of ddx w.r.t. u_2x7t$

ddx(0,52):=u_3x7t$

% component of ddx w.r.t. u_3x6t$

ddx(0,53):=u_4x6t$

% component of ddx w.r.t. u_4x5t$

ddx(0,54):=u_5x5t$

% component of ddx w.r.t. u_5x4t$

ddx(0,55):=u_6x4t$

% component of ddx w.r.t. u_6x3t$

ddx(0,56):=u_7x3t$

% component of ddx w.r.t. u_7x2t$

ddx(0,57):=u_8x2t$

% component of ddx w.r.t. u_8xt$

ddx(0,58):=u_9xt$

% component of ddx w.r.t. u_10t$

ddx(0,59):=letop$

% component of ddx w.r.t. u_x9t$

ddx(0,60):=letop$

% component of ddx w.r.t. u_2x8t$

ddx(0,61):=letop$

% component of ddx w.r.t. u_3x7t$

ddx(0,62):=letop$

% component of ddx w.r.t. u_4x6t$

ddx(0,63):=letop$

% component of ddx w.r.t. u_5x5t$

ddx(0,64):=letop$

% component of ddx w.r.t. u_6x4t$

ddx(0,65):=letop$

% component of ddx w.r.t. u_7x3t$

ddx(0,66):=letop$

% component of ddx w.r.t. u_8x2t$

ddx(0,67):=letop$

% component of ddx w.r.t. u_9xt$

ddx(0,68):=letop$

% component of ddx w.r.t. q i.e. ext(1)$

ddx(1,1):=ext(3)$

% component of ddx w.r.t. r i.e. ext(2)$

ddx(1,2):=ext(1)$

% component of ddx w.r.t. q_x i.e. ext(3)$

ddx(1,3):=ext(4)$

% component of ddx w.r.t. q_2x i.e. ext(4)$

ddx(1,4):=ext(5)$

% component of ddx w.r.t. q_3x i.e. ext(5)$

ddx(1,5):=ext(6)$

% component of ddx w.r.t. q_4x i.e. ext(6)$

ddx(1,6):=ext(7)$

% component of ddx w.r.t. q_5x i.e. ext(7)$

ddx(1,7):=ext(8)$

% component of ddx w.r.t. q_6x i.e. ext(8)$

ddx(1,8):=ext(9)$

% component of ddx w.r.t. q_7x i.e. ext(9)$

ddx(1,9):=ext(10)$

% component of ddx w.r.t. q_8x i.e. ext(10)$

ddx(1,10):=ext(11)$

% component of ddx w.r.t. q_9x i.e. ext(11)$

ddx(1,11):=ext(12)$

% component of ddx w.r.t. q_10x i.e. ext(12)$

ddx(1,12):=letop$

% component of ddx w.r.t. q_t i.e. ext(13)$

ddx(1,13):=ext(17)$

% component of ddx w.r.t. r_t i.e. ext(14)$

ddx(1,14):=ext(19)$

% component of ddx w.r.t. r_x i.e. ext(15)$

ddx(1,15):=ext(20)$

% component of ddx w.r.t. q_2t i.e. ext(16)$

ddx(1,16):=ext(22)$

% component of ddx w.r.t. q_xt i.e. ext(17)$

ddx(1,17):=ext(23)$

% component of ddx w.r.t. r_2t i.e. ext(18)$

ddx(1,18):=ext(25)$

% component of ddx w.r.t. r_xt i.e. ext(19)$

ddx(1,19):=ext(26)$

% component of ddx w.r.t. r_2x i.e. ext(20)$

ddx(1,20):=ext(27)$

% component of ddx w.r.t. q_3t i.e. ext(21)$

ddx(1,21):=ext(29)$

% component of ddx w.r.t. q_x2t i.e. ext(22)$

ddx(1,22):=ext(30)$

% component of ddx w.r.t. q_2xt i.e. ext(23)$

ddx(1,23):=ext(31)$

% component of ddx w.r.t. r_3t i.e. ext(24)$

ddx(1,24):=ext(33)$

% component of ddx w.r.t. r_x2t i.e. ext(25)$

ddx(1,25):=ext(34)$

% component of ddx w.r.t. r_2xt i.e. ext(26)$

ddx(1,26):=ext(35)$

% component of ddx w.r.t. r_3x i.e. ext(27)$

ddx(1,27):=ext(36)$

% component of ddx w.r.t. q_4t i.e. ext(28)$

ddx(1,28):=ext(38)$

% component of ddx w.r.t. q_x3t i.e. ext(29)$

ddx(1,29):=ext(39)$

% component of ddx w.r.t. q_2x2t i.e. ext(30)$

ddx(1,30):=ext(40)$

% component of ddx w.r.t. q_3xt i.e. ext(31)$

ddx(1,31):=ext(41)$

% component of ddx w.r.t. r_4t i.e. ext(32)$

ddx(1,32):=ext(43)$

% component of ddx w.r.t. r_x3t i.e. ext(33)$

ddx(1,33):=ext(44)$

% component of ddx w.r.t. r_2x2t i.e. ext(34)$

ddx(1,34):=ext(45)$

% component of ddx w.r.t. r_3xt i.e. ext(35)$

ddx(1,35):=ext(46)$

% component of ddx w.r.t. r_4x i.e. ext(36)$

ddx(1,36):=ext(47)$

% component of ddx w.r.t. q_5t i.e. ext(37)$

ddx(1,37):=ext(49)$

% component of ddx w.r.t. q_x4t i.e. ext(38)$

ddx(1,38):=ext(50)$

% component of ddx w.r.t. q_2x3t i.e. ext(39)$

ddx(1,39):=ext(51)$

% component of ddx w.r.t. q_3x2t i.e. ext(40)$

ddx(1,40):=ext(52)$

% component of ddx w.r.t. q_4xt i.e. ext(41)$

ddx(1,41):=ext(53)$

% component of ddx w.r.t. r_5t i.e. ext(42)$

ddx(1,42):=ext(55)$

% component of ddx w.r.t. r_x4t i.e. ext(43)$

ddx(1,43):=ext(56)$

% component of ddx w.r.t. r_2x3t i.e. ext(44)$

ddx(1,44):=ext(57)$

% component of ddx w.r.t. r_3x2t i.e. ext(45)$

ddx(1,45):=ext(58)$

% component of ddx w.r.t. r_4xt i.e. ext(46)$

ddx(1,46):=ext(59)$

% component of ddx w.r.t. r_5x i.e. ext(47)$

ddx(1,47):=ext(60)$

% component of ddx w.r.t. q_6t i.e. ext(48)$

ddx(1,48):=ext(62)$

% component of ddx w.r.t. q_x5t i.e. ext(49)$

ddx(1,49):=ext(63)$

% component of ddx w.r.t. q_2x4t i.e. ext(50)$

ddx(1,50):=ext(64)$

% component of ddx w.r.t. q_3x3t i.e. ext(51)$

ddx(1,51):=ext(65)$

% component of ddx w.r.t. q_4x2t i.e. ext(52)$

ddx(1,52):=ext(66)$

% component of ddx w.r.t. q_5xt i.e. ext(53)$

ddx(1,53):=ext(67)$

% component of ddx w.r.t. r_6t i.e. ext(54)$

ddx(1,54):=ext(69)$

% component of ddx w.r.t. r_x5t i.e. ext(55)$

ddx(1,55):=ext(70)$

% component of ddx w.r.t. r_2x4t i.e. ext(56)$

ddx(1,56):=ext(71)$

% component of ddx w.r.t. r_3x3t i.e. ext(57)$

ddx(1,57):=ext(72)$

% component of ddx w.r.t. r_4x2t i.e. ext(58)$

ddx(1,58):=ext(73)$

% component of ddx w.r.t. r_5xt i.e. ext(59)$

ddx(1,59):=ext(74)$

% component of ddx w.r.t. r_6x i.e. ext(60)$

ddx(1,60):=ext(75)$

% component of ddx w.r.t. q_7t i.e. ext(61)$

ddx(1,61):=ext(77)$

% component of ddx w.r.t. q_x6t i.e. ext(62)$

ddx(1,62):=ext(78)$

% component of ddx w.r.t. q_2x5t i.e. ext(63)$

ddx(1,63):=ext(79)$

% component of ddx w.r.t. q_3x4t i.e. ext(64)$

ddx(1,64):=ext(80)$

% component of ddx w.r.t. q_4x3t i.e. ext(65)$

ddx(1,65):=ext(81)$

% component of ddx w.r.t. q_5x2t i.e. ext(66)$

ddx(1,66):=ext(82)$

% component of ddx w.r.t. q_6xt i.e. ext(67)$

ddx(1,67):=ext(83)$

% component of ddx w.r.t. r_7t i.e. ext(68)$

ddx(1,68):=ext(85)$

% component of ddx w.r.t. r_x6t i.e. ext(69)$

ddx(1,69):=ext(86)$

% component of ddx w.r.t. r_2x5t i.e. ext(70)$

ddx(1,70):=ext(87)$

% component of ddx w.r.t. r_3x4t i.e. ext(71)$

ddx(1,71):=ext(88)$

% component of ddx w.r.t. r_4x3t i.e. ext(72)$

ddx(1,72):=ext(89)$

% component of ddx w.r.t. r_5x2t i.e. ext(73)$

ddx(1,73):=ext(90)$

% component of ddx w.r.t. r_6xt i.e. ext(74)$

ddx(1,74):=ext(91)$

% component of ddx w.r.t. r_7x i.e. ext(75)$

ddx(1,75):=ext(92)$

% component of ddx w.r.t. q_8t i.e. ext(76)$

ddx(1,76):=ext(94)$

% component of ddx w.r.t. q_x7t i.e. ext(77)$

ddx(1,77):=ext(95)$

% component of ddx w.r.t. q_2x6t i.e. ext(78)$

ddx(1,78):=ext(96)$

% component of ddx w.r.t. q_3x5t i.e. ext(79)$

ddx(1,79):=ext(97)$

% component of ddx w.r.t. q_4x4t i.e. ext(80)$

ddx(1,80):=ext(98)$

% component of ddx w.r.t. q_5x3t i.e. ext(81)$

ddx(1,81):=ext(99)$

% component of ddx w.r.t. q_6x2t i.e. ext(82)$

ddx(1,82):=ext(100)$

% component of ddx w.r.t. q_7xt i.e. ext(83)$

ddx(1,83):=ext(101)$

% component of ddx w.r.t. r_8t i.e. ext(84)$

ddx(1,84):=ext(103)$

% component of ddx w.r.t. r_x7t i.e. ext(85)$

ddx(1,85):=ext(104)$

% component of ddx w.r.t. r_2x6t i.e. ext(86)$

ddx(1,86):=ext(105)$

% component of ddx w.r.t. r_3x5t i.e. ext(87)$

ddx(1,87):=ext(106)$

% component of ddx w.r.t. r_4x4t i.e. ext(88)$

ddx(1,88):=ext(107)$

% component of ddx w.r.t. r_5x3t i.e. ext(89)$

ddx(1,89):=ext(108)$

% component of ddx w.r.t. r_6x2t i.e. ext(90)$

ddx(1,90):=ext(109)$

% component of ddx w.r.t. r_7xt i.e. ext(91)$

ddx(1,91):=ext(110)$

% component of ddx w.r.t. r_8x i.e. ext(92)$

ddx(1,92):=ext(111)$

% component of ddx w.r.t. q_9t i.e. ext(93)$

ddx(1,93):=ext(113)$

% component of ddx w.r.t. q_x8t i.e. ext(94)$

ddx(1,94):=ext(114)$

% component of ddx w.r.t. q_2x7t i.e. ext(95)$

ddx(1,95):=ext(115)$

% component of ddx w.r.t. q_3x6t i.e. ext(96)$

ddx(1,96):=ext(116)$

% component of ddx w.r.t. q_4x5t i.e. ext(97)$

ddx(1,97):=ext(117)$

% component of ddx w.r.t. q_5x4t i.e. ext(98)$

ddx(1,98):=ext(118)$

% component of ddx w.r.t. q_6x3t i.e. ext(99)$

ddx(1,99):=ext(119)$

% component of ddx w.r.t. q_7x2t i.e. ext(100)$

ddx(1,100):=ext(120)$

% component of ddx w.r.t. q_8xt i.e. ext(101)$

ddx(1,101):=ext(121)$

% component of ddx w.r.t. r_9t i.e. ext(102)$

ddx(1,102):=ext(123)$

% component of ddx w.r.t. r_x8t i.e. ext(103)$

ddx(1,103):=ext(124)$

% component of ddx w.r.t. r_2x7t i.e. ext(104)$

ddx(1,104):=ext(125)$

% component of ddx w.r.t. r_3x6t i.e. ext(105)$

ddx(1,105):=ext(126)$

% component of ddx w.r.t. r_4x5t i.e. ext(106)$

ddx(1,106):=ext(127)$

% component of ddx w.r.t. r_5x4t i.e. ext(107)$

ddx(1,107):=ext(128)$

% component of ddx w.r.t. r_6x3t i.e. ext(108)$

ddx(1,108):=ext(129)$

% component of ddx w.r.t. r_7x2t i.e. ext(109)$

ddx(1,109):=ext(130)$

% component of ddx w.r.t. r_8xt i.e. ext(110)$

ddx(1,110):=ext(131)$

% component of ddx w.r.t. r_9x i.e. ext(111)$

ddx(1,111):=ext(132)$

% component of ddx w.r.t. q_10t i.e. ext(112)$

ddx(1,112):=letop$

% component of ddx w.r.t. q_x9t i.e. ext(113)$

ddx(1,113):=letop$

% component of ddx w.r.t. q_2x8t i.e. ext(114)$

ddx(1,114):=letop$

% component of ddx w.r.t. q_3x7t i.e. ext(115)$

ddx(1,115):=letop$

% component of ddx w.r.t. q_4x6t i.e. ext(116)$

ddx(1,116):=letop$

% component of ddx w.r.t. q_5x5t i.e. ext(117)$

ddx(1,117):=letop$

% component of ddx w.r.t. q_6x4t i.e. ext(118)$

ddx(1,118):=letop$

% component of ddx w.r.t. q_7x3t i.e. ext(119)$

ddx(1,119):=letop$

% component of ddx w.r.t. q_8x2t i.e. ext(120)$

ddx(1,120):=letop$

% component of ddx w.r.t. q_9xt i.e. ext(121)$

ddx(1,121):=letop$

% component of ddx w.r.t. r_10t i.e. ext(122)$

ddx(1,122):=letop$

% component of ddx w.r.t. r_x9t i.e. ext(123)$

ddx(1,123):=letop$

% component of ddx w.r.t. r_2x8t i.e. ext(124)$

ddx(1,124):=letop$

% component of ddx w.r.t. r_3x7t i.e. ext(125)$

ddx(1,125):=letop$

% component of ddx w.r.t. r_4x6t i.e. ext(126)$

ddx(1,126):=letop$

% component of ddx w.r.t. r_5x5t i.e. ext(127)$

ddx(1,127):=letop$

% component of ddx w.r.t. r_6x4t i.e. ext(128)$

ddx(1,128):=letop$

% component of ddx w.r.t. r_7x3t i.e. ext(129)$

ddx(1,129):=letop$

% component of ddx w.r.t. r_8x2t i.e. ext(130)$

ddx(1,130):=letop$

% component of ddx w.r.t. r_9xt i.e. ext(131)$

ddx(1,131):=letop$

% component of ddx w.r.t. r_10x i.e. ext(132)$

ddx(1,132):=letop$

% component of ddt w.r.t. x$

ddt(0,1):=0$

% component of ddt w.r.t. t$

ddt(0,2):=1$

% component of ddt w.r.t. u$

ddt(0,3):=u*u_x + u_3x$

% component of ddt w.r.t. u_x$

ddt(0,4):=u*u_2x + u_4x + u_x**2$

% component of ddt w.r.t. u_2x$

ddt(0,5):=u*u_3x + 3*u_2x*u_x + u_5x$

% component of ddt w.r.t. u_3x$

ddt(0,6):=u*u_4x + 3*u_2x**2 + 4*u_3x*u_x + u_6x$

% component of ddt w.r.t. u_4x$

ddt(0,7):=u*u_5x + 10*u_2x*u_3x + 5*u_4x*u_x + u_7x$

% component of ddt w.r.t. u_5x$

ddt(0,8):=u*u_6x + 15*u_2x*u_4x + 10*u_3x**2 + 6*u_5x*u_x + u_8x$

% component of ddt w.r.t. u_6x$

ddt(0,9):=u*u_7x + 21*u_2x*u_5x + 35*u_3x*u_4x + 7*u_6x*u_x + u_9x$

% component of ddt w.r.t. u_7x$

ddt(0,10):=u*u_8x + u_10x + 28*u_2x*u_6x + 56*u_3x*u_5x + 35*u_4x**2 + 8*u_7x*
u_x$

% component of ddt w.r.t. u_8x$

ddt(0,11):=letop$

% component of ddt w.r.t. u_9x$

ddt(0,12):=letop$

% component of ddt w.r.t. u_10x$

ddt(0,13):=letop$

% component of ddt w.r.t. u_t$

ddt(0,14):=u_2t$

% component of ddt w.r.t. u_2t$

ddt(0,15):=u_3t$

% component of ddt w.r.t. u_xt$

ddt(0,16):=u_x2t$

% component of ddt w.r.t. u_3t$

ddt(0,17):=u_4t$

% component of ddt w.r.t. u_x2t$

ddt(0,18):=u_x3t$

% component of ddt w.r.t. u_2xt$

ddt(0,19):=u_2x2t$

% component of ddt w.r.t. u_4t$

ddt(0,20):=u_5t$

% component of ddt w.r.t. u_x3t$

ddt(0,21):=u_x4t$

% component of ddt w.r.t. u_2x2t$

ddt(0,22):=u_2x3t$

% component of ddt w.r.t. u_3xt$

ddt(0,23):=u_3x2t$

% component of ddt w.r.t. u_5t$

ddt(0,24):=u_6t$

% component of ddt w.r.t. u_x4t$

ddt(0,25):=u_x5t$

% component of ddt w.r.t. u_2x3t$

ddt(0,26):=u_2x4t$

% component of ddt w.r.t. u_3x2t$

ddt(0,27):=u_3x3t$

% component of ddt w.r.t. u_4xt$

ddt(0,28):=u_4x2t$

% component of ddt w.r.t. u_6t$

ddt(0,29):=u_7t$

% component of ddt w.r.t. u_x5t$

ddt(0,30):=u_x6t$

% component of ddt w.r.t. u_2x4t$

ddt(0,31):=u_2x5t$

% component of ddt w.r.t. u_3x3t$

ddt(0,32):=u_3x4t$

% component of ddt w.r.t. u_4x2t$

ddt(0,33):=u_4x3t$

% component of ddt w.r.t. u_5xt$

ddt(0,34):=u_5x2t$

% component of ddt w.r.t. u_7t$

ddt(0,35):=u_8t$

% component of ddt w.r.t. u_x6t$

ddt(0,36):=u_x7t$

% component of ddt w.r.t. u_2x5t$

ddt(0,37):=u_2x6t$

% component of ddt w.r.t. u_3x4t$

ddt(0,38):=u_3x5t$

% component of ddt w.r.t. u_4x3t$

ddt(0,39):=u_4x4t$

% component of ddt w.r.t. u_5x2t$

ddt(0,40):=u_5x3t$

% component of ddt w.r.t. u_6xt$

ddt(0,41):=u_6x2t$

% component of ddt w.r.t. u_8t$

ddt(0,42):=u_9t$

% component of ddt w.r.t. u_x7t$

ddt(0,43):=u_x8t$

% component of ddt w.r.t. u_2x6t$

ddt(0,44):=u_2x7t$

% component of ddt w.r.t. u_3x5t$

ddt(0,45):=u_3x6t$

% component of ddt w.r.t. u_4x4t$

ddt(0,46):=u_4x5t$

% component of ddt w.r.t. u_5x3t$

ddt(0,47):=u_5x4t$

% component of ddt w.r.t. u_6x2t$

ddt(0,48):=u_6x3t$

% component of ddt w.r.t. u_7xt$

ddt(0,49):=u_7x2t$

% component of ddt w.r.t. u_9t$

ddt(0,50):=u_10t$

% component of ddt w.r.t. u_x8t$

ddt(0,51):=u_x9t$

% component of ddt w.r.t. u_2x7t$

ddt(0,52):=u_2x8t$

% component of ddt w.r.t. u_3x6t$

ddt(0,53):=u_3x7t$

% component of ddt w.r.t. u_4x5t$

ddt(0,54):=u_4x6t$

% component of ddt w.r.t. u_5x4t$

ddt(0,55):=u_5x5t$

% component of ddt w.r.t. u_6x3t$

ddt(0,56):=u_6x4t$

% component of ddt w.r.t. u_7x2t$

ddt(0,57):=u_7x3t$

% component of ddt w.r.t. u_8xt$

ddt(0,58):=u_8x2t$

% component of ddt w.r.t. u_10t$

ddt(0,59):=letop$

% component of ddt w.r.t. u_x9t$

ddt(0,60):=letop$

% component of ddt w.r.t. u_2x8t$

ddt(0,61):=letop$

% component of ddt w.r.t. u_3x7t$

ddt(0,62):=letop$

% component of ddt w.r.t. u_4x6t$

ddt(0,63):=letop$

% component of ddt w.r.t. u_5x5t$

ddt(0,64):=letop$

% component of ddt w.r.t. u_6x4t$

ddt(0,65):=letop$

% component of ddt w.r.t. u_7x3t$

ddt(0,66):=letop$

% component of ddt w.r.t. u_8x2t$

ddt(0,67):=letop$

% component of ddt w.r.t. u_9xt$

ddt(0,68):=letop$

% component of ddt w.r.t. q i.e. ext(1)$

ddt(1,1):=ext(5) + ext(3)*u + ext(1)*u_x$

% component of ddt w.r.t. r i.e. ext(2)$

ddt(1,2):=ext(4) + ext(1)*u$

% component of ddt w.r.t. q_x i.e. ext(3)$

ddt(1,3):=ext(6) + ext(4)*u + 2*ext(3)*u_x + ext(1)*u_2x$

% component of ddt w.r.t. q_2x i.e. ext(4)$

ddt(1,4):=ext(7) + ext(5)*u + 3*ext(4)*u_x + 3*ext(3)*u_2x + ext(1)*u_3x$

% component of ddt w.r.t. q_3x i.e. ext(5)$

ddt(1,5):=ext(8) + ext(6)*u + 4*ext(5)*u_x + 6*ext(4)*u_2x + 4*ext(3)*u_3x + ext
(1)*u_4x$

% component of ddt w.r.t. q_4x i.e. ext(6)$

ddt(1,6):=ext(9) + ext(7)*u + 5*ext(6)*u_x + 10*ext(5)*u_2x + 10*ext(4)*u_3x + 5
*ext(3)*u_4x + ext(1)*u_5x$

% component of ddt w.r.t. q_5x i.e. ext(7)$

ddt(1,7):=ext(10) + ext(8)*u + 6*ext(7)*u_x + 15*ext(6)*u_2x + 20*ext(5)*u_3x + 
15*ext(4)*u_4x + 6*ext(3)*u_5x + ext(1)*u_6x$

% component of ddt w.r.t. q_6x i.e. ext(8)$

ddt(1,8):=ext(11) + ext(9)*u + 7*ext(8)*u_x + 21*ext(7)*u_2x + 35*ext(6)*u_3x + 
35*ext(5)*u_4x + 21*ext(4)*u_5x + 7*ext(3)*u_6x + ext(1)*u_7x$

% component of ddt w.r.t. q_7x i.e. ext(9)$

ddt(1,9):=ext(12) + ext(10)*u + 8*ext(9)*u_x + 28*ext(8)*u_2x + 56*ext(7)*u_3x +
 70*ext(6)*u_4x + 56*ext(5)*u_5x + 28*ext(4)*u_6x + 8*ext(3)*u_7x + ext(1)*u_8x$

% component of ddt w.r.t. q_8x i.e. ext(10)$

ddt(1,10):=letop$

% component of ddt w.r.t. q_9x i.e. ext(11)$

ddt(1,11):=letop$

% component of ddt w.r.t. q_10x i.e. ext(12)$

ddt(1,12):=letop$

% component of ddt w.r.t. q_t i.e. ext(13)$

ddt(1,13):=ext(16)$

% component of ddt w.r.t. r_t i.e. ext(14)$

ddt(1,14):=ext(18)$

% component of ddt w.r.t. r_x i.e. ext(15)$

ddt(1,15):=ext(19)$

% component of ddt w.r.t. q_2t i.e. ext(16)$

ddt(1,16):=ext(21)$

% component of ddt w.r.t. q_xt i.e. ext(17)$

ddt(1,17):=ext(22)$

% component of ddt w.r.t. r_2t i.e. ext(18)$

ddt(1,18):=ext(24)$

% component of ddt w.r.t. r_xt i.e. ext(19)$

ddt(1,19):=ext(25)$

% component of ddt w.r.t. r_2x i.e. ext(20)$

ddt(1,20):=ext(26)$

% component of ddt w.r.t. q_3t i.e. ext(21)$

ddt(1,21):=ext(28)$

% component of ddt w.r.t. q_x2t i.e. ext(22)$

ddt(1,22):=ext(29)$

% component of ddt w.r.t. q_2xt i.e. ext(23)$

ddt(1,23):=ext(30)$

% component of ddt w.r.t. r_3t i.e. ext(24)$

ddt(1,24):=ext(32)$

% component of ddt w.r.t. r_x2t i.e. ext(25)$

ddt(1,25):=ext(33)$

% component of ddt w.r.t. r_2xt i.e. ext(26)$

ddt(1,26):=ext(34)$

% component of ddt w.r.t. r_3x i.e. ext(27)$

ddt(1,27):=ext(35)$

% component of ddt w.r.t. q_4t i.e. ext(28)$

ddt(1,28):=ext(37)$

% component of ddt w.r.t. q_x3t i.e. ext(29)$

ddt(1,29):=ext(38)$

% component of ddt w.r.t. q_2x2t i.e. ext(30)$

ddt(1,30):=ext(39)$

% component of ddt w.r.t. q_3xt i.e. ext(31)$

ddt(1,31):=ext(40)$

% component of ddt w.r.t. r_4t i.e. ext(32)$

ddt(1,32):=ext(42)$

% component of ddt w.r.t. r_x3t i.e. ext(33)$

ddt(1,33):=ext(43)$

% component of ddt w.r.t. r_2x2t i.e. ext(34)$

ddt(1,34):=ext(44)$

% component of ddt w.r.t. r_3xt i.e. ext(35)$

ddt(1,35):=ext(45)$

% component of ddt w.r.t. r_4x i.e. ext(36)$

ddt(1,36):=ext(46)$

% component of ddt w.r.t. q_5t i.e. ext(37)$

ddt(1,37):=ext(48)$

% component of ddt w.r.t. q_x4t i.e. ext(38)$

ddt(1,38):=ext(49)$

% component of ddt w.r.t. q_2x3t i.e. ext(39)$

ddt(1,39):=ext(50)$

% component of ddt w.r.t. q_3x2t i.e. ext(40)$

ddt(1,40):=ext(51)$

% component of ddt w.r.t. q_4xt i.e. ext(41)$

ddt(1,41):=ext(52)$

% component of ddt w.r.t. r_5t i.e. ext(42)$

ddt(1,42):=ext(54)$

% component of ddt w.r.t. r_x4t i.e. ext(43)$

ddt(1,43):=ext(55)$

% component of ddt w.r.t. r_2x3t i.e. ext(44)$

ddt(1,44):=ext(56)$

% component of ddt w.r.t. r_3x2t i.e. ext(45)$

ddt(1,45):=ext(57)$

% component of ddt w.r.t. r_4xt i.e. ext(46)$

ddt(1,46):=ext(58)$

% component of ddt w.r.t. r_5x i.e. ext(47)$

ddt(1,47):=ext(59)$

% component of ddt w.r.t. q_6t i.e. ext(48)$

ddt(1,48):=ext(61)$

% component of ddt w.r.t. q_x5t i.e. ext(49)$

ddt(1,49):=ext(62)$

% component of ddt w.r.t. q_2x4t i.e. ext(50)$

ddt(1,50):=ext(63)$

% component of ddt w.r.t. q_3x3t i.e. ext(51)$

ddt(1,51):=ext(64)$

% component of ddt w.r.t. q_4x2t i.e. ext(52)$

ddt(1,52):=ext(65)$

% component of ddt w.r.t. q_5xt i.e. ext(53)$

ddt(1,53):=ext(66)$

% component of ddt w.r.t. r_6t i.e. ext(54)$

ddt(1,54):=ext(68)$

% component of ddt w.r.t. r_x5t i.e. ext(55)$

ddt(1,55):=ext(69)$

% component of ddt w.r.t. r_2x4t i.e. ext(56)$

ddt(1,56):=ext(70)$

% component of ddt w.r.t. r_3x3t i.e. ext(57)$

ddt(1,57):=ext(71)$

% component of ddt w.r.t. r_4x2t i.e. ext(58)$

ddt(1,58):=ext(72)$

% component of ddt w.r.t. r_5xt i.e. ext(59)$

ddt(1,59):=ext(73)$

% component of ddt w.r.t. r_6x i.e. ext(60)$

ddt(1,60):=ext(74)$

% component of ddt w.r.t. q_7t i.e. ext(61)$

ddt(1,61):=ext(76)$

% component of ddt w.r.t. q_x6t i.e. ext(62)$

ddt(1,62):=ext(77)$

% component of ddt w.r.t. q_2x5t i.e. ext(63)$

ddt(1,63):=ext(78)$

% component of ddt w.r.t. q_3x4t i.e. ext(64)$

ddt(1,64):=ext(79)$

% component of ddt w.r.t. q_4x3t i.e. ext(65)$

ddt(1,65):=ext(80)$

% component of ddt w.r.t. q_5x2t i.e. ext(66)$

ddt(1,66):=ext(81)$

% component of ddt w.r.t. q_6xt i.e. ext(67)$

ddt(1,67):=ext(82)$

% component of ddt w.r.t. r_7t i.e. ext(68)$

ddt(1,68):=ext(84)$

% component of ddt w.r.t. r_x6t i.e. ext(69)$

ddt(1,69):=ext(85)$

% component of ddt w.r.t. r_2x5t i.e. ext(70)$

ddt(1,70):=ext(86)$

% component of ddt w.r.t. r_3x4t i.e. ext(71)$

ddt(1,71):=ext(87)$

% component of ddt w.r.t. r_4x3t i.e. ext(72)$

ddt(1,72):=ext(88)$

% component of ddt w.r.t. r_5x2t i.e. ext(73)$

ddt(1,73):=ext(89)$

% component of ddt w.r.t. r_6xt i.e. ext(74)$

ddt(1,74):=ext(90)$

% component of ddt w.r.t. r_7x i.e. ext(75)$

ddt(1,75):=ext(91)$

% component of ddt w.r.t. q_8t i.e. ext(76)$

ddt(1,76):=ext(93)$

% component of ddt w.r.t. q_x7t i.e. ext(77)$

ddt(1,77):=ext(94)$

% component of ddt w.r.t. q_2x6t i.e. ext(78)$

ddt(1,78):=ext(95)$

% component of ddt w.r.t. q_3x5t i.e. ext(79)$

ddt(1,79):=ext(96)$

% component of ddt w.r.t. q_4x4t i.e. ext(80)$

ddt(1,80):=ext(97)$

% component of ddt w.r.t. q_5x3t i.e. ext(81)$

ddt(1,81):=ext(98)$

% component of ddt w.r.t. q_6x2t i.e. ext(82)$

ddt(1,82):=ext(99)$

% component of ddt w.r.t. q_7xt i.e. ext(83)$

ddt(1,83):=ext(100)$

% component of ddt w.r.t. r_8t i.e. ext(84)$

ddt(1,84):=ext(102)$

% component of ddt w.r.t. r_x7t i.e. ext(85)$

ddt(1,85):=ext(103)$

% component of ddt w.r.t. r_2x6t i.e. ext(86)$

ddt(1,86):=ext(104)$

% component of ddt w.r.t. r_3x5t i.e. ext(87)$

ddt(1,87):=ext(105)$

% component of ddt w.r.t. r_4x4t i.e. ext(88)$

ddt(1,88):=ext(106)$

% component of ddt w.r.t. r_5x3t i.e. ext(89)$

ddt(1,89):=ext(107)$

% component of ddt w.r.t. r_6x2t i.e. ext(90)$

ddt(1,90):=ext(108)$

% component of ddt w.r.t. r_7xt i.e. ext(91)$

ddt(1,91):=ext(109)$

% component of ddt w.r.t. r_8x i.e. ext(92)$

ddt(1,92):=ext(110)$

% component of ddt w.r.t. q_9t i.e. ext(93)$

ddt(1,93):=ext(112)$

% component of ddt w.r.t. q_x8t i.e. ext(94)$

ddt(1,94):=ext(113)$

% component of ddt w.r.t. q_2x7t i.e. ext(95)$

ddt(1,95):=ext(114)$

% component of ddt w.r.t. q_3x6t i.e. ext(96)$

ddt(1,96):=ext(115)$

% component of ddt w.r.t. q_4x5t i.e. ext(97)$

ddt(1,97):=ext(116)$

% component of ddt w.r.t. q_5x4t i.e. ext(98)$

ddt(1,98):=ext(117)$

% component of ddt w.r.t. q_6x3t i.e. ext(99)$

ddt(1,99):=ext(118)$

% component of ddt w.r.t. q_7x2t i.e. ext(100)$

ddt(1,100):=ext(119)$

% component of ddt w.r.t. q_8xt i.e. ext(101)$

ddt(1,101):=ext(120)$

% component of ddt w.r.t. r_9t i.e. ext(102)$

ddt(1,102):=ext(122)$

% component of ddt w.r.t. r_x8t i.e. ext(103)$

ddt(1,103):=ext(123)$

% component of ddt w.r.t. r_2x7t i.e. ext(104)$

ddt(1,104):=ext(124)$

% component of ddt w.r.t. r_3x6t i.e. ext(105)$

ddt(1,105):=ext(125)$

% component of ddt w.r.t. r_4x5t i.e. ext(106)$

ddt(1,106):=ext(126)$

% component of ddt w.r.t. r_5x4t i.e. ext(107)$

ddt(1,107):=ext(127)$

% component of ddt w.r.t. r_6x3t i.e. ext(108)$

ddt(1,108):=ext(128)$

% component of ddt w.r.t. r_7x2t i.e. ext(109)$

ddt(1,109):=ext(129)$

% component of ddt w.r.t. r_8xt i.e. ext(110)$

ddt(1,110):=ext(130)$

% component of ddt w.r.t. r_9x i.e. ext(111)$

ddt(1,111):=ext(131)$

% component of ddt w.r.t. q_10t i.e. ext(112)$

ddt(1,112):=letop$

% component of ddt w.r.t. q_x9t i.e. ext(113)$

ddt(1,113):=letop$

% component of ddt w.r.t. q_2x8t i.e. ext(114)$

ddt(1,114):=letop$

% component of ddt w.r.t. q_3x7t i.e. ext(115)$

ddt(1,115):=letop$

% component of ddt w.r.t. q_4x6t i.e. ext(116)$

ddt(1,116):=letop$

% component of ddt w.r.t. q_5x5t i.e. ext(117)$

ddt(1,117):=letop$

% component of ddt w.r.t. q_6x4t i.e. ext(118)$

ddt(1,118):=letop$

% component of ddt w.r.t. q_7x3t i.e. ext(119)$

ddt(1,119):=letop$

% component of ddt w.r.t. q_8x2t i.e. ext(120)$

ddt(1,120):=letop$

% component of ddt w.r.t. q_9xt i.e. ext(121)$

ddt(1,121):=letop$

% component of ddt w.r.t. r_10t i.e. ext(122)$

ddt(1,122):=letop$

% component of ddt w.r.t. r_x9t i.e. ext(123)$

ddt(1,123):=letop$

% component of ddt w.r.t. r_2x8t i.e. ext(124)$

ddt(1,124):=letop$

% component of ddt w.r.t. r_3x7t i.e. ext(125)$

ddt(1,125):=letop$

% component of ddt w.r.t. r_4x6t i.e. ext(126)$

ddt(1,126):=letop$

% component of ddt w.r.t. r_5x5t i.e. ext(127)$

ddt(1,127):=letop$

% component of ddt w.r.t. r_6x4t i.e. ext(128)$

ddt(1,128):=letop$

% component of ddt w.r.t. r_7x3t i.e. ext(129)$

ddt(1,129):=letop$

% component of ddt w.r.t. r_8x2t i.e. ext(130)$

ddt(1,130):=letop$

% component of ddt w.r.t. r_9xt i.e. ext(131)$

ddt(1,131):=letop$

% component of ddt w.r.t. r_10x i.e. ext(132)$

ddt(1,132):=letop$

;end;$
